<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:description>createIsUserInRolesQuery</con:description>
  <con:xquery>(: Creates a request to a WLI service that can decide which roles the calling user has :)

(: Name spaces :)
declare namespace rolemap = "http://www.skat.dk/2008/05/06/RoleMapSchema";

declare variable $roleConfiguration as element()* external;

(: Insert each Core Id Role from the configuration in the request, except the default role "ALL" :)
&lt;soap-env:Body xmlns:soap-env="http://schemas.xmlsoap.org/soap/envelope/">
&lt;user:isUserInRoles xmlns:user="http://dk/skat/ip/autonomy/wli/processes/userroles" xmlns:rol="http://www.skat.dk/2008/05/06/RoleListSchema">
   &lt;rol:RoleList>
      &lt;rol:UseStrippedPrincipal>true&lt;/rol:UseStrippedPrincipal>
      { for $d in $roleConfiguration//rolemap:Role/rolemap:Name
         where data($d)!="ALL"
	 return
            &lt;rol:Role>
	       { data($d) }
            &lt;/rol:Role> 
         }
   &lt;/rol:RoleList>
&lt;/user:isUserInRoles>
&lt;/soap-env:Body></con:xquery>
</con:xqueryEntry>