<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:description>mapRolesInIsUserInRolesReply</con:description>
  <con:xquery>(: Replaces Core ID roles by Autonomy ACLs :)

(: Name spaces :)
declare namespace rolemap = "http://www.skat.dk/2008/05/06/RoleMapSchema";

(: Variables :)
declare variable $roleResponse as element()* external;
declare variable $roleConfiguration as element()* external;

&lt;soap-env:Body xmlns:soap-env="http://schemas.xmlsoap.org/soap/envelope/">
&lt;user:isUserInRolesResponse  xmlns:user="http://dk/skat/ip/autonomy/wli/processes/userroles">
&lt;rolereply:RoleListReply xmlns:rolereply="http://www.skat.dk/2008/05/06/RoleListReplySchema">
   (: Get the principal from the reply :)
   &lt;rolereply:Principal>{$roleResponse//rolereply:Principal/text()}&lt;/rolereply:Principal>

   (: Get the roles that "ALL" maps to :)
   {
      for $e in $roleConfiguration//rolemap:Role/rolemap:MapsTo/rolemap:MappedRole
      where data($e/../../rolemap:Name)="ALL"
      return &lt;rolereply:Role> {data($e)}&lt;/rolereply:Role> 
   }

   (: Get the roles that those in the reply map to :)
   { 
      for $d in $roleResponse//rolereply:Role 
      return
      for $e in $roleConfiguration//rolemap:Role/rolemap:MapsTo/rolemap:MappedRole
      where data($e/../../rolemap:Name)=data($d)
      return &lt;rolereply:Role> {data($e)}&lt;/rolereply:Role> 
   }
&lt;/rolereply:RoleListReply>
&lt;/user:isUserInRolesResponse>
&lt;/soap-env:Body></con:xquery>
</con:xqueryEntry>