<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$virksomhed1" type="ns1:VirksomhedRollerOpretInterface/ns1:VirksomhedRollerOpret_I/ns1:VirksomhedListe/ns1:Virksomhed" ::)

declare namespace xf = "http://tempuri.org/Samples/CreateIPEventFromVirksomhedRollerOpret/";
declare namespace ns0 = "http://skat.dk/ip/security/xml/schemas/2008/09/09/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2008/01/01/";
declare namespace ns2 = "http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/";

declare function xf:CreateIPEventFromVirksomhedRollerOpret($hovedOplysninger1 as element(ns2:HovedOplysninger),
    $virksomhed1 as element())
    as element(ns0:IPEvent) {
        &lt;ns0:IPEvent>
            &lt;ns0:IPEventType>ipevent.virksomhedrolleropret&lt;/ns0:IPEventType>
            &lt;ns0:Kontekst>
                { $hovedOplysninger1 }
            &lt;/ns0:Kontekst>
            &lt;ns0:IPEventData>
                { $virksomhed1 }
            &lt;/ns0:IPEventData>
        &lt;/ns0:IPEvent>
};

declare variable $hovedOplysninger1 as element(ns2:HovedOplysninger) external;
declare variable $virksomhed1 as element() external;

xf:CreateIPEventFromVirksomhedRollerOpret($hovedOplysninger1,
    $virksomhed1)</con:xquery>
</con:xqueryEntry>