<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:AKFAAngivelseOpretInterface/ns0:AKFAAngivelseOpret" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/AKFAAngivelseOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:AKFAAngivelseOpret_SKAT_2_TACTICAL_Input($aKFAAngivelseOpret_I1 as element(ns1:AKFAAngivelseOpret_I))
    as element() {
        let $AKFAAngivelseOpret_I := $aKFAAngivelseOpret_I1
        return
            &lt;ns0:AKFAAngivelseOpret>
                {
                    let $Kontekst := $AKFAAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:ValgtIndberetningsForm>{ padInFront( data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode), 3, '0' ) }&lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:AKFAAngivelsesOplysninger>
                    &lt;ns0:BetalingsKode>{ xs:string( data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseBetalingKode) ) }&lt;/ns0:BetalingsKode>
                    &lt;ns0:BeloebsArt>{ data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseBeløbArt) }&lt;/ns0:BeloebsArt>
                    {
                        for $AKFAAngivelseErhvervsmæssigIndbetalingBeløb in $AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb
                        return
                            &lt;ns0:ErhvervsmaessigIndb>{ xs:decimal( data($AKFAAngivelseErhvervsmæssigIndbetalingBeløb) ) }&lt;/ns0:ErhvervsmaessigIndb>
                    }
                    {
                        for $AKFAAngivelseFradragsberettigetIndbetalingBeløb in $AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb
                        return
                            &lt;ns0:FradragsBerettigetIndb>{ xs:decimal( data($AKFAAngivelseFradragsberettigetIndbetalingBeløb) ) }&lt;/ns0:FradragsBerettigetIndb>
                    }
                    &lt;ns0:GruppeLivsForsikringKode>{ xs:string( data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseGruppelivForsikringKode) ) }&lt;/ns0:GruppeLivsForsikringKode>
                    {
                        for $AKFAAngivelseMedlemNummer in $AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemNummer
                        return
                            &lt;ns0:MedlemsNummer>{ data($AKFAAngivelseMedlemNummer) }&lt;/ns0:MedlemsNummer>
                    }
                    &lt;ns0:RetteKode>{ data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseRetteKode) }&lt;/ns0:RetteKode>
                    &lt;ns0:CPRSENummer>
					{
						let $CPRSENummer := $AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemCPRSENummer
						return  if (fn:string-length($CPRSENummer) = 10 and fn:not(fn:starts-with($CPRSENummer , '00'))) then
						    &lt;ns0:CPRNummer>
								{data($CPRSENummer)}
		    	            &lt;/ns0:CPRNummer>
		    	        else
		    	          &lt;ns0:SENummer>
								{data($CPRSENummer)}
		    	            &lt;/ns0:SENummer>
					}
					&lt;/ns0:CPRSENummer>
					 
                    &lt;ns0:AngivelsesTidspunkt>{ data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                    &lt;ns0:IndkomstAar>{ xs:gYear( year-from-date($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) ) }&lt;/ns0:IndkomstAar>
                &lt;/ns0:AKFAAngivelsesOplysninger>
                &lt;ns0:ValutaKode>{ data($AKFAAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
            &lt;/ns0:AKFAAngivelseOpret>
};

declare variable $aKFAAngivelseOpret_I1 as element(ns1:AKFAAngivelseOpret_I) external;

xf:AKFAAngivelseOpret_SKAT_2_TACTICAL_Input($aKFAAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>