<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/AktieKlasserHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:AktieKlasserHent_TACTICAL_2_SKAT_Output($aktieKlasserHentSvar1 as element(ns0:AktieKlasserHentSvar))
    as element(ns1:AktieKlasserHent_O) {
        &lt;ns1:AktieKlasserHent_O>
            &lt;ns1:Kontekst>
                { $aktieKlasserHentSvar1/ns0:Kontekst/* }
            &lt;/ns1:Kontekst>
            &lt;ns1:AktieKlasseTypeListe>
                {
                    for $AktieKlasserListe in $aktieKlasserHentSvar1/ns0:AktieKlasserListe
                    return
                        &lt;ns1:AktieKlasseType>
                            &lt;ns1:AktieKlasseTypeAktieKlasseKode>{ padInFront( data($AktieKlasserListe/ns0:AktieKlasseKod), 3 ,'0' ) }&lt;/ns1:AktieKlasseTypeAktieKlasseKode>
                            &lt;ns1:AktieKlasseTypeAktieKlasseTekst>{ data($AktieKlasserListe/ns0:AktieKlasseTekst) }&lt;/ns1:AktieKlasseTypeAktieKlasseTekst>
                        &lt;/ns1:AktieKlasseType>
                }
            &lt;/ns1:AktieKlasseTypeListe>
        &lt;/ns1:AktieKlasserHent_O>
};

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare variable $aktieKlasserHentSvar1 as element(ns0:AktieKlasserHentSvar) external;

xf:AktieKlasserHent_TACTICAL_2_SKAT_Output($aktieKlasserHentSvar1)</con:xquery>
</con:xqueryEntry>