<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/GaveAngivelseMultiOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:GaveAngivelseMultiOpret_SKAT_2_TACTICAL_Input($gaveDonationAngivelseMultiOpret_I1 as element(ns1:GaveDonationAngivelseMultiOpret_I))
    as element(ns0:GaveAngivelseMultiOpret) {
        &lt;ns0:GaveAngivelseMultiOpret>
            {
                let $Kontekst := $gaveDonationAngivelseMultiOpret_I1/ns1:Kontekst
                return
                    &lt;ns0:Kontekst>
                        { $Kontekst/* }
                    &lt;/ns0:Kontekst>
            }
            &lt;ns0:SENumre>
                &lt;ns0:SENummerIndberetter>{ data($gaveDonationAngivelseMultiOpret_I1/ns1:InputParametre/ns1:IndsenderVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                &lt;ns0:SENummerAngiver>{ data($gaveDonationAngivelseMultiOpret_I1/ns1:InputParametre/ns1:AfgiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
            &lt;/ns0:SENumre>
            &lt;ns0:ValgtIndberetningsForm>{ padInFront(fn:string($gaveDonationAngivelseMultiOpret_I1/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode),3,'0') }&lt;/ns0:ValgtIndberetningsForm>
            &lt;ns0:AngivelsesTidspunkt>{ data($gaveDonationAngivelseMultiOpret_I1/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
            {
                for $GaveDonationAngivelseInddata in $gaveDonationAngivelseMultiOpret_I1/ns1:InputParametre/ns1:AngivelseInddata/ns1:IndberetningListe/ns1:GaveDonationAngivelseInddata
                return
                    &lt;ns0:GaveAngivelsesMultiOplysninger>
       &lt;ns0:IndividNummer>{xs:string(data("2261"))}&lt;/ns0:IndividNummer>             
        &lt;ns0:OplysningPligtigeSENummer>{data($GaveDonationAngivelseInddata/ns1:AngivelseAltInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer)}&lt;/ns0:OplysningPligtigeSENummer>
                    &lt;ns0:CPRSENummer>
					{
						let $CPRSENummer := $GaveDonationAngivelseInddata/ns1:GaveDonationAngivelseGiverCPRSENummer
						return if (fn:string-length($CPRSENummer) =10 and fn:not(fn:starts-with($CPRSENummer , '00'))) then
						    &lt;ns0:CPRNummer>
								{data($GaveDonationAngivelseInddata/ns1:GaveDonationAngivelseGiverCPRSENummer)}
		    	            &lt;/ns0:CPRNummer>
		    	        else 
						    &lt;ns0:SENummer>
								{data($GaveDonationAngivelseInddata/ns1:GaveDonationAngivelseGiverCPRSENummer)}
		    	            &lt;/ns0:SENummer>
					}
		            &lt;/ns0:CPRSENummer> 
                        &lt;ns0:IndkomstAar>{ fn:year-from-date($GaveDonationAngivelseInddata/ns1:AngivelseAltInddata/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:IndkomstAar>
                        &lt;ns0:GaveBeloeb>{ xs:decimal( data($GaveDonationAngivelseInddata/ns1:GaveDonationAngivelseGaveBeløb) ) }&lt;/ns0:GaveBeloeb>
                        &lt;ns0:GaveArtKode>{ data($GaveDonationAngivelseInddata/ns1:GaveDonationAngivelseGaveArt) }&lt;/ns0:GaveArtKode>
                        &lt;ns0:RetteKode>{ data($GaveDonationAngivelseInddata/ns1:GaveDonationAngivelseGaverDonationRetteKode) }&lt;/ns0:RetteKode>
                    &lt;/ns0:GaveAngivelsesMultiOplysninger>
            }
            &lt;ns0:ValutaKode>{ data($gaveDonationAngivelseMultiOpret_I1/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
        &lt;/ns0:GaveAngivelseMultiOpret>
};

declare variable $gaveDonationAngivelseMultiOpret_I1 as element(ns1:GaveDonationAngivelseMultiOpret_I) external;

xf:GaveAngivelseMultiOpret_SKAT_2_TACTICAL_Input($gaveDonationAngivelseMultiOpret_I1)</con:xquery>
</con:xqueryEntry>