<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Fejl/GaveDonationAngivelseMultiOpret_TACTICAL_2_SKAT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:GaveDonationAngivelseMultiOpret_TACTICAL_2_SKAT($gaveAngivelseMultiOpretSvarFejl1 as element(ns0:GaveAngivelseMultiOpretSvarFejl))
    as element(ns1:GaveDonationAngivelseMultiOpret_FejlId) {
        &lt;ns1:GaveDonationAngivelseMultiOpret_FejlId>
            &lt;ns1:AngiverVirksomhedSENummer>
                &lt;ns1:VirksomhedSENummer>{ xs:string( data($gaveAngivelseMultiOpretSvarFejl1/ns0:OplysningPligtigeSENummer) ) }&lt;/ns1:VirksomhedSENummer>
            &lt;/ns1:AngiverVirksomhedSENummer>
            &lt;ns1:GaveDonationAngivelseGiverCPRSENummer>{ let $Nummer1 := $gaveAngivelseMultiOpretSvarFejl1/ns0:CPRSENummer/ns0:CPRNummer
                                                         let $Nummer2 := $gaveAngivelseMultiOpretSvarFejl1/ns0:CPRSENummer/ns0:SENummer
                                                         return if (fn:string-length($Nummer1) = 10) then
                                                         data($Nummer1)
                                                         else
                                                         data($Nummer2) }&lt;/ns1:GaveDonationAngivelseGiverCPRSENummer>
            {
                for $ServiceTilgaengelighedsDato in $gaveAngivelseMultiOpretSvarFejl1/ns0:ServiceTilgaengelighedsDato
                return
                    &lt;ns1:ServiceTilgængelighedsDato>{ data($ServiceTilgaengelighedsDato) }&lt;/ns1:ServiceTilgængelighedsDato>
            }
            {
                for $IndkomstAar in $gaveAngivelseMultiOpretSvarFejl1/ns0:IndkomstAar
                return
                    &lt;ns1:AngivelseValgtPeriodeSlutDato>{fn:concat(xs:string(month-from-date(current-date())),'-',xs:string(day-from-date(current-date())),'-',data($IndkomstAar))}&lt;/ns1:AngivelseValgtPeriodeSlutDato>
            }
        &lt;/ns1:GaveDonationAngivelseMultiOpret_FejlId>
};

declare variable $gaveAngivelseMultiOpretSvarFejl1 as element(ns0:GaveAngivelseMultiOpretSvarFejl) external;

xf:GaveDonationAngivelseMultiOpret_TACTICAL_2_SKAT($gaveAngivelseMultiOpretSvarFejl1)</con:xquery>
</con:xqueryEntry>