<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/HentSpillesteder_OIO_2_SKAT_Input/";
declare namespace ns0 = "http://rep.oio.dk/cvr.dk/xml/schemas/2002/06/28/";
declare namespace ns1 = "http://rep.oio.dk/skat.dk/TSE/service/SpillestederHent/xml/schemas/2006/09/01/";
declare namespace ns3 = "http://rep.oio.dk/skat.dk/TSE/virksomhed/xml/schemas/2006/09/01/";
declare namespace ns2 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns4 = "http://toldskat.dk/xml/schemas/raplet/kontekst/2005/01/01/";

declare function xf:HentSpillesteder_OIO_2_SKAT_Input($spillestederHentInputStruktur1 as element(ns1:SpillestederHentInputStruktur))
    as element(ns2:HentSpillesteder_I) {
        let $SpillestederHentInputStruktur := $spillestederHentInputStruktur1
        return
            &lt;ns2:HentSpillesteder_I>
            	&lt;ns2:Kontekst>
            		&lt;tsk:HovedOplysninger xmlns:tsk="http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/">
						&lt;tsk:TransaktionsID>{data ("transaktionsid") }&lt;/tsk:TransaktionsID>
						&lt;tsk:TransaktionsTid>{ current-dateTime() }&lt;/tsk:TransaktionsTid>
					&lt;/tsk:HovedOplysninger>
            	&lt;/ns2:Kontekst>
                &lt;ns2:VirksomhedIdentifikation>
                    &lt;ns2:AngiverVirksomhedCVRNummer>
                        &lt;ns2:VirksomhedCVRNummer>{ data($SpillestederHentInputStruktur/ns0:CVRnumber) }&lt;/ns2:VirksomhedCVRNummer>
                    &lt;/ns2:AngiverVirksomhedCVRNummer>
                    &lt;ns2:IndberetterVirksomhedCVRNummer>
                        &lt;ns2:VirksomhedSENummer>{ data($SpillestederHentInputStruktur/ns3:IndberetterSEnummerIdentifikator) }&lt;/ns2:VirksomhedSENummer>
                    &lt;/ns2:IndberetterVirksomhedCVRNummer>
                &lt;/ns2:VirksomhedIdentifikation>
            &lt;/ns2:HentSpillesteder_I>
};

declare variable $spillestederHentInputStruktur1 as element(ns1:SpillestederHentInputStruktur) external;

xf:HentSpillesteder_OIO_2_SKAT_Input($spillestederHentInputStruktur1)</con:xquery>
</con:xqueryEntry>