<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/HovedOplysninger_input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/kontekst/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/";

declare function xf:HovedOplysninger_input($hovedOplysninger1 as element(ns1:HovedOplysninger))
    as element(ns0:HovedOplysninger) {
        let $HovedOplysninger := $hovedOplysninger1
        return
            &lt;ns0:HovedOplysninger>
                &lt;ns0:TransaktionsID>{ data($HovedOplysninger/ns1:TransaktionsID) }&lt;/ns0:TransaktionsID>
                &lt;ns0:TransaktionsTid>{ data($HovedOplysninger/ns1:TransaktionsTid) }&lt;/ns0:TransaktionsTid>
                {
                    let $BrugerKode := $HovedOplysninger/ns1:BrugerKode
                    return if(count($BrugerKode) > 0) then
                        &lt;ns0:BrugerKode>{ data($BrugerKode) }&lt;/ns0:BrugerKode>
                    else 
                    	&lt;ns0:BrugerKode>{xs:string(data("NTSE"))}&lt;/ns0:BrugerKode>
                }
                {
                   let $RolleKode:= $HovedOplysninger/ns1:RolleKode
                    return if(count($RolleKode) > 0) then
                        &lt;ns0:RolleKode>{ data($RolleKode) }&lt;/ns0:RolleKode>
                else
                &lt;ns0:RolleKode>{xs:string(data("18"))}&lt;/ns0:RolleKode>
                }
                {
                    let $StedKode:= $HovedOplysninger/ns1:StedKode
                    return if(count($StedKode)>0)then
                        &lt;ns0:StedKode>{ data($StedKode) }&lt;/ns0:StedKode>
                else
                &lt;ns0:StedKode>{xs:string(data("6206"))}&lt;/ns0:StedKode>
                }
            &lt;/ns0:HovedOplysninger>
};

declare variable $hovedOplysninger1 as element(ns1:HovedOplysninger) external;

xf:HovedOplysninger_input($hovedOplysninger1)</con:xquery>
</con:xqueryEntry>