<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ImportspecifikationFilFormatHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace tsfil = "http://toldskat.dk/xml/schemas/raplet/importspecifikationfilhent/2005/01/01/";

declare function xf:ImportspecifikationFilFormatHent_TACTICAL_2_SKAT_Output($importspecifikationFilHentSvar1 as element(ns0:ImportspecifikationFilHentSvar))
    as element(ns1:ImportspecifikationFilFormatHent_O) {
        &lt;ns1:ImportspecifikationFilFormatHent_O>
            {
                let $Kontekst := $importspecifikationFilHentSvar1/ns0:Kontekst
                return
                    &lt;ns1:Kontekst>
                        { $Kontekst/* }
                    &lt;/ns1:Kontekst>
            }
            {
              let $ImportspecifikationFilXMLHentSvar := $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar
              return if(count($ImportspecifikationFilXMLHentSvar) > 0) then
            &lt;ns1:UddataResultat>
                &lt;ns1:AngivelseValuta>{ data($importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:ValutaKode) }&lt;/ns1:AngivelseValuta>
                &lt;ns1:ImportspecifikationPeriode>
                    &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:VirksomhedsOpl/tsfil:AfregningPeriode) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                &lt;/ns1:ImportspecifikationPeriode>
                {
                  for $AfmeldtKode in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:VirksomhedsOpl/tsfil:AfmeldtKode
                  return if(fn:compare($AfmeldtKode, 'Nej')=0) then
                    &lt;ns1:ImportspecifikationAfmeldelseMarkering>{ xs:string( "F") }&lt;/ns1:ImportspecifikationAfmeldelseMarkering>
                  else
                    &lt;ns1:ImportspecifikationAfmeldelseMarkering>{ xs:string( "T") }&lt;/ns1:ImportspecifikationAfmeldelseMarkering>
                }
                &lt;ns1:ImportspecifikationKørselDato>{ data($importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:VirksomhedsOpl/tsfil:KoerselsDato) }&lt;/ns1:ImportspecifikationKørselDato>
                &lt;ns1:ImportspecifikationVirksomhedSikkerhedStillelseTekst>{ data($importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:VirksomhedsOpl/tsfil:VirksomhedsSikkerhedsStil) }&lt;/ns1:ImportspecifikationVirksomhedSikkerhedStillelseTekst>
                &lt;ns1:BetalingOplysninger>
                    {
                        for $ForfaldBeloeb in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:BetalingsOpl/tsfil:ForfaldBeloeb
                        return
                            &lt;ns1:ImportspecifikationForfaldentBeløb>{ data($ForfaldBeloeb) }&lt;/ns1:ImportspecifikationForfaldentBeløb>
                    }
                    {
                        for $BeloebTilBetaling in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:BetalingsOpl/tsfil:BeloebTilBetaling
                        return
                            &lt;ns1:ImportspecifikationBeløbTilBetaling>{ data($BeloebTilBetaling) }&lt;/ns1:ImportspecifikationBeløbTilBetaling>
                    }
                    &lt;ns1:Angivelse>
                    {
                       for $AngivelseFrekvensForhold in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:BetalingsOpl/tsfil:SenestIndbetalingDato
                       return 
                        &lt;ns1:AngivelseFrekvensForhold>
                            &lt;ns1:AngivelseFrekvensForholdBetalingFristDato>{ data($importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:BetalingsOpl/tsfil:SenestIndbetalingDato) }&lt;/ns1:AngivelseFrekvensForholdBetalingFristDato>
                        &lt;/ns1:AngivelseFrekvensForhold>
                    }
                    &lt;/ns1:Angivelse>
                &lt;/ns1:BetalingOplysninger>
                &lt;ns1:FortoldningListe>
                    {
                        for $FortoldningsOpl in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:FortoldningsOpl
                        return
                            &lt;ns1:FortoldningOplysninger>
                                &lt;ns1:FortoldningOplysningerFortoldningTekst>{ data($FortoldningsOpl/tsfil:FortoldningsTekst) }&lt;/ns1:FortoldningOplysningerFortoldningTekst>
                                {
                                    for $BundtNummer in $FortoldningsOpl/tsfil:BundtNummer
                                    return
                                        &lt;ns1:FortoldningOplysningerBundtNummer>{ data($BundtNummer) }&lt;/ns1:FortoldningOplysningerBundtNummer>
                                }
                                {
                                    for $BundtTSR in $FortoldningsOpl/tsfil:BundtTSR
                                    return
                                        &lt;ns1:FortoldningOplysningerBundtTSRNummer>{ xs:integer( data($BundtTSR) ) }&lt;/ns1:FortoldningOplysningerBundtTSRNummer>
                                }
                                {
                                    for $EkspNummer in $FortoldningsOpl/tsfil:EkspNummer
                                    return
                                        &lt;ns1:FortoldningOplysningerEkspeditionNummer>{ xs:integer( data($EkspNummer) ) }&lt;/ns1:FortoldningOplysningerEkspeditionNummer>
                                }
                                {
                                    for $ModtagDato in $FortoldningsOpl/tsfil:ModtagDato
                                    return
                                        &lt;ns1:FortoldningOplysningerModtagelseDato>{ data($ModtagDato) }&lt;/ns1:FortoldningOplysningerModtagelseDato>
                                }
                                &lt;ns1:FortoldningOplysningerFortoldningBeløb>{ data($FortoldningsOpl/tsfil:FortoldningsBeloeb) }&lt;/ns1:FortoldningOplysningerFortoldningBeløb>
                            &lt;/ns1:FortoldningOplysninger>
                    }
                &lt;/ns1:FortoldningListe>
                &lt;ns1:IndbetalingListe>
                    {
                        for $IndbetalingsOpl in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:IndbetalingsOpl
                        return
                            &lt;ns1:IndbetalingOplysninger>
                                &lt;ns1:IndbetalingOplysningerIndbetalingTekst>{ data($IndbetalingsOpl/tsfil:IndbetalingsTekst) }&lt;/ns1:IndbetalingOplysningerIndbetalingTekst>
                                {
                                    for $BundtArt in $IndbetalingsOpl/tsfil:BundtArt
                                    return
                                        &lt;ns1:IndbetalingOplysningerBundtArt>{ data($BundtArt) }&lt;/ns1:IndbetalingOplysningerBundtArt>
                                }
                                {
                                    for $BundtTSR in $IndbetalingsOpl/tsfil:BundtTSR
                                    return
                                        &lt;ns1:IndbetalingOplysningerBundtTSRNummer>{ xs:integer( data($BundtTSR) ) }&lt;/ns1:IndbetalingOplysningerBundtTSRNummer>
                                }
                                {
                                    for $BundtDato in $IndbetalingsOpl/tsfil:BundtDato
                                    return
                                        &lt;ns1:IndbetalingOplysningerBundtDato>{ data($BundtDato) }&lt;/ns1:IndbetalingOplysningerBundtDato>
                                }
                                {
                                    for $BundtLoebeNummer in $IndbetalingsOpl/tsfil:BundtLoebeNummer
                                    return
                                        &lt;ns1:IndbetalingOplysningerBundtLøbeNummer>{ xs:string( data($BundtLoebeNummer) ) }&lt;/ns1:IndbetalingOplysningerBundtLøbeNummer>
                                }
                                {
                                    for $ToldEkspNummer in $IndbetalingsOpl/tsfil:ToldEkspNummer
                                    return
                                        &lt;ns1:IndbetalingOplysningerToldEkspeditionNummer>{ xs:string( data($ToldEkspNummer) ) }&lt;/ns1:IndbetalingOplysningerToldEkspeditionNummer>
                                }
                                {
                                    for $ModtagDato in $IndbetalingsOpl/tsfil:ModtagDato
                                    return
                                        &lt;ns1:IndbetalingOplysningerModtagelseDato>{ data($ModtagDato) }&lt;/ns1:IndbetalingOplysningerModtagelseDato>
                                }
                                &lt;ns1:IndbetalingOplysningerIndbetalingBeløb>{ data($IndbetalingsOpl/tsfil:IndbetalingsBeloeb) }&lt;/ns1:IndbetalingOplysningerIndbetalingBeløb>
                            &lt;/ns1:IndbetalingOplysninger>
                    }
                &lt;/ns1:IndbetalingListe>
                &lt;ns1:BeregningListe>
                    {
                        for $BeregningsOpl in $importspecifikationFilHentSvar1/tsfil:ImportspecifikationFilXMLHentSvar/tsfil:BeregningsOpl
                        return
                        if(count($BeregningsOpl/tsfil:BeregningsTekst)>0 or
                        	count($BeregningsOpl/tsfil:BeregningsBeloeb)>0 or 
                        	count($BeregningsOpl/tsfil:BeloebTilMomsAngivelse)>0) then
                            &lt;ns1:BeregningOplysninger>
                                {
                                    for $BeregningsTekst in $BeregningsOpl/tsfil:BeregningsTekst
                                    return
                                        &lt;ns1:BeregningOplysningerBeregningTekst>{ data($BeregningsTekst) }&lt;/ns1:BeregningOplysningerBeregningTekst>
                                }
                                {
                                    for $BeregningsBeloeb in $BeregningsOpl/tsfil:BeregningsBeloeb
                                    return
                                        &lt;ns1:BeregningOplysningerBeregningBeløb>{ data($BeregningsBeloeb) }&lt;/ns1:BeregningOplysningerBeregningBeløb>
                                }
                                {
                                    for $BeloebTilMomsAngivelse in $BeregningsOpl/tsfil:BeloebTilMomsAngivelse
                                    return
                                        &lt;ns1:BeregningOplysningerBeløbTilMomsAngivelse>{ data($BeloebTilMomsAngivelse) }&lt;/ns1:BeregningOplysningerBeløbTilMomsAngivelse>
                                }
                            &lt;/ns1:BeregningOplysninger>
                         else ""
                    }
                &lt;/ns1:BeregningListe>
            &lt;/ns1:UddataResultat>
             else ""
         }
        &lt;/ns1:ImportspecifikationFilFormatHent_O>
};

declare variable $importspecifikationFilHentSvar1 as element(ns0:ImportspecifikationFilHentSvar) external;

xf:ImportspecifikationFilFormatHent_TACTICAL_2_SKAT_Output($importspecifikationFilHentSvar1)</con:xquery>
</con:xqueryEntry>