<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ImportspecifikationHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:ImportspecifikationHent_TACTICAL_2_SKAT_Output($importspecifikationHentSvar1 as element(ns0:ImportspecifikationHentSvar))
    as element(ns1:ImportspecifikationHent_O) {
        &lt;ns1:ImportspecifikationHent_O>
            {
                let $Kontekst := $importspecifikationHentSvar1/ns0:Kontekst
                return
                    &lt;ns1:Kontekst>
                        { $Kontekst/* }
                    &lt;/ns1:Kontekst>
            }
            {
                let $ImportSpecVirksomhedStamdataOplysninger := $importspecifikationHentSvar1/ns0:ImportSpecVirksomhedStamdataOplysninger
                return if(count($ImportSpecVirksomhedStamdataOplysninger) > 0) then
                    &lt;ns1:UddataResultat>
                        &lt;ns1:AngivelseValuta>{ data($importspecifikationHentSvar1/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                        &lt;ns1:ImportspecifikationFormateretPeriode>{ data($importspecifikationHentSvar1/ns0:ImportSpecFormatteretPeriode) }&lt;/ns1:ImportspecifikationFormateretPeriode>
                        {
                            for $ImportSpecAfmeldtKode in $ImportSpecVirksomhedStamdataOplysninger/ns0:ImportSpecAfmeldtKode
                            return
                                if($ImportSpecAfmeldtKode="true" or $ImportSpecAfmeldtKode="TRUE") then
                                    &lt;ns1:ImportspecifikationAfmeldelseMarkering>{ xs:string( "T") }&lt;/ns1:ImportspecifikationAfmeldelseMarkering>
                                else
                                  &lt;ns1:ImportspecifikationAfmeldelseMarkering>{ xs:string( "F") }&lt;/ns1:ImportspecifikationAfmeldelseMarkering>
                        }
                        &lt;ns1:ImportspecifikationKørselDato>{ data($ImportSpecVirksomhedStamdataOplysninger/ns0:ImportSpecKoerselsDato) }&lt;/ns1:ImportspecifikationKørselDato>
                        &lt;ns1:ImportspecifikationVirksomhedSikkerhedStillelseTekst>{ data($ImportSpecVirksomhedStamdataOplysninger/ns0:ImportSpecVirksomhedSikkerhedsStil) }&lt;/ns1:ImportspecifikationVirksomhedSikkerhedStillelseTekst>
                        &lt;ns1:VirksomhedUddata>
                            &lt;ns1:VirksomhedNavnFirmaNavnKort>{ data($ImportSpecVirksomhedStamdataOplysninger/ns0:FirmaNavnKort) }&lt;/ns1:VirksomhedNavnFirmaNavnKort>
                            &lt;ns1:VirksomhedOfficielAdresseListe>
                                {
                                    for $AdresseOplysninger in $ImportSpecVirksomhedStamdataOplysninger/ns0:ImportVirksomhedAdresseOplysninger/ns0:AdresseOplysninger
                                    return
                                        &lt;ns1:VirksomhedOfficielAdresse>
                                            &lt;ns1:VirksomhedAdresseVejNavn>{ data($AdresseOplysninger/ns0:VejNavn) }&lt;/ns1:VirksomhedAdresseVejNavn>
                                            &lt;ns1:VirksomhedAdresseFraHusNummer>{ xs:integer( data($AdresseOplysninger/ns0:FraHusNummer) ) }&lt;/ns1:VirksomhedAdresseFraHusNummer>
                                            {
                                                for $TilHusNummer in $AdresseOplysninger/ns0:TilHusNummer
                                                return
                                                    &lt;ns1:VirksomhedAdresseTilHusNummer>{ xs:integer( data($TilHusNummer) ) }&lt;/ns1:VirksomhedAdresseTilHusNummer>
                                            }
                                            {
                                                for $FraHusBogstav in $AdresseOplysninger/ns0:FraHusBogstav
                                                return
                                                    &lt;ns1:VirksomhedAdresseFraHusBogstav>{ data($FraHusBogstav) }&lt;/ns1:VirksomhedAdresseFraHusBogstav>
                                            }
                                            {
                                                for $TilHusBogstav in $AdresseOplysninger/ns0:TilHusBogstav
                                                return
                                                    &lt;ns1:VirksomhedAdresseTilHusBogstav>{ data($TilHusBogstav) }&lt;/ns1:VirksomhedAdresseTilHusBogstav>
                                            }
                                            {
                                                for $EtageTekst in $AdresseOplysninger/ns0:EtageTekst
                                                return
                                                    &lt;ns1:VirksomhedAdresseEtageTekst>{ data($EtageTekst) }&lt;/ns1:VirksomhedAdresseEtageTekst>
                                            }
                                            {
                                                for $SideDoerTekst in $AdresseOplysninger/ns0:SideDoerTekst
                                                return
                                                    &lt;ns1:VirksomhedAdresseSideDørTekst>{ data($SideDoerTekst) }&lt;/ns1:VirksomhedAdresseSideDørTekst>
                                            }
                                            {
                                                for $CONavn in $AdresseOplysninger/ns0:CONavn
                                                return
                                                    &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
                                            }
                                            {
                                                for $ByNavn in $AdresseOplysninger/ns0:ByNavn
                                                return
                                                    &lt;ns1:VirksomhedAdresseByNavn>{ data($ByNavn) }&lt;/ns1:VirksomhedAdresseByNavn>
                                            }
                                            &lt;ns1:VirksomhedAdressePostNummer>{ xs:integer( data($AdresseOplysninger/ns0:PostNummer) ) }&lt;/ns1:VirksomhedAdressePostNummer>
                                            &lt;ns1:VirksomhedAdressePostdistriktNavn>{ data($AdresseOplysninger/ns0:PostDistriktNavn) }&lt;/ns1:VirksomhedAdressePostdistriktNavn>
                                            &lt;ns1:VirksomhedAdresseVejKode>{ padInFront( data($AdresseOplysninger/ns0:VejKode),4,'0' ) }&lt;/ns1:VirksomhedAdresseVejKode>
                                            &lt;ns1:VirksomhedAdresseMyndighedNummer>{ xs:integer( data($AdresseOplysninger/ns0:MyndighedsNummer) ) }&lt;/ns1:VirksomhedAdresseMyndighedNummer>
                                        &lt;/ns1:VirksomhedOfficielAdresse>
                                }
                            &lt;/ns1:VirksomhedOfficielAdresseListe>
                            &lt;ns1:VirksomhedPostboksAdresseListe>
                                {
                                    for $PostBoksAdresse in $ImportSpecVirksomhedStamdataOplysninger/ns0:ImportVirksomhedAdresseOplysninger/ns0:PostBoksAdresse
                                    return
                                        &lt;ns1:VirksomhedPostboksAdresse>
                                            &lt;ns1:VirksomhedAdresseKode>{ xs:integer( data($PostBoksAdresse/ns0:VirksomhedAdresseKode) ) }&lt;/ns1:VirksomhedAdresseKode>
                                            &lt;ns1:VirksomhedAdresseAdresseFormKode>{ padInFront( data($PostBoksAdresse/ns0:AdresseFormatKode),3,'0' ) }&lt;/ns1:VirksomhedAdresseAdresseFormKode>
                                            {
                                                for $VirkomhedsAdresseLoebeNummer in $PostBoksAdresse/ns0:VirkomhedsAdresseLoebeNummer
                                                return
                                                    &lt;ns1:VirksomhedAdresseLøbeNummer>{ xs:integer( data($VirkomhedsAdresseLoebeNummer) ) }&lt;/ns1:VirksomhedAdresseLøbeNummer>
                                            }
                                            {
                                                for $CONavn in $PostBoksAdresse/ns0:CONavn
                                                return
                                                    &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
                                            }
                                            {
                                                for $ByNavn in $PostBoksAdresse/ns0:ByNavn
                                                return
                                                    &lt;ns1:VirksomhedAdresseByNavn>{ data($ByNavn) }&lt;/ns1:VirksomhedAdresseByNavn>
                                            }
                                            &lt;ns1:VirksomhedAdressePostNummer>{ xs:integer( data($PostBoksAdresse/ns0:PostNummer) ) }&lt;/ns1:VirksomhedAdressePostNummer>
                                            &lt;ns1:VirksomhedAdressePostdistriktNavn>{ data($PostBoksAdresse/ns0:PostDistriktNavn) }&lt;/ns1:VirksomhedAdressePostdistriktNavn>
                                            &lt;ns1:VirksomhedAdressePostboksNummer>{ xs:integer( data($PostBoksAdresse/ns0:PostBoksNummer) ) }&lt;/ns1:VirksomhedAdressePostboksNummer>
                                        &lt;/ns1:VirksomhedPostboksAdresse>
                                }
                            &lt;/ns1:VirksomhedPostboksAdresseListe>
                            &lt;ns1:VirksomhedAdresseUdenlandskAdresse>
                                {
                                    for $UdenlandskAdresse in $ImportSpecVirksomhedStamdataOplysninger/ns0:ImportVirksomhedAdresseOplysninger/ns0:UdenlandskAdresse
                                    return
                                        &lt;ns1:VirksomhedAdresseUdenlandskAdresse>
                                            &lt;ns1:VirksomhedAdresseKode>{ xs:integer( data($UdenlandskAdresse/ns0:VirksomhedAdresseKode) ) }&lt;/ns1:VirksomhedAdresseKode>
                                            &lt;ns1:VirksomhedAdresseAdresseFormKode>{ padInFront( data($UdenlandskAdresse/ns0:AdresseFormatKode),3,'0' ) }&lt;/ns1:VirksomhedAdresseAdresseFormKode>
                                            {
                                                for $VirkomhedsAdresseLoebeNummer in $UdenlandskAdresse/ns0:VirkomhedsAdresseLoebeNummer
                                                return
                                                    &lt;ns1:VirksomhedAdresseLøbeNummer>{ xs:integer( data($VirkomhedsAdresseLoebeNummer) ) }&lt;/ns1:VirksomhedAdresseLøbeNummer>
                                            }
                                            {
                                                for $CONavn in $UdenlandskAdresse/ns0:CONavn
                                                return
                                                    &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
                                            }
                                            &lt;ns1:VirksomhedAdresseUdenlandskAdresseLinie1>{ data($UdenlandskAdresse/ns0:UdenlandskAdresseLinie1) }&lt;/ns1:VirksomhedAdresseUdenlandskAdresseLinie1>
                                            {
                                                for $UdenlandskAdresseLinie2 in $UdenlandskAdresse/ns0:UdenlandskAdresseLinie2
                                                return
                                                    &lt;ns1:VirksomhedAdresseUdenlandskAdresseLinie2>{ data($UdenlandskAdresseLinie2) }&lt;/ns1:VirksomhedAdresseUdenlandskAdresseLinie2>
                                            }
                                            &lt;ns1:VirksomhedAdresseLandeKode>{ data($UdenlandskAdresse/ns0:LandeKode) }&lt;/ns1:VirksomhedAdresseLandeKode>
                                        &lt;/ns1:VirksomhedAdresseUdenlandskAdresse>
                                }
                            &lt;/ns1:VirksomhedAdresseUdenlandskAdresse>
                        &lt;/ns1:VirksomhedUddata>
                        &lt;ns1:MyndighedToldCenter>
                            &lt;ns1:MyndighedNavn>
                                &lt;ns1:MyndighedNavnNavn>{ data($importspecifikationHentSvar1/ns0:ImportSpecVirksomhedToldcenterOplysninger/ns0:ImportSpecToldcenterNavn) }&lt;/ns1:MyndighedNavnNavn>
                            &lt;/ns1:MyndighedNavn>
                            &lt;ns1:MyndighedAdresse>
                                &lt;ns1:MyndighedAdresseVejNavn>{ data($importspecifikationHentSvar1/ns0:ImportSpecVirksomhedToldcenterOplysninger/ns0:ImportSpecToldcenterAdresse) }&lt;/ns1:MyndighedAdresseVejNavn>
                                &lt;ns1:MyndighedAdressePostNummer>{ xs:integer( data($importspecifikationHentSvar1/ns0:ImportSpecVirksomhedToldcenterOplysninger/ns0:ImportSpecToldcenterPostNummer) ) }&lt;/ns1:MyndighedAdressePostNummer>
                                &lt;ns1:MyndighedAdressePostdistriktNavn>{ data($importspecifikationHentSvar1/ns0:ImportSpecVirksomhedToldcenterOplysninger/ns0:ImportSpecToldcenterPostBy) }&lt;/ns1:MyndighedAdressePostdistriktNavn>
                            &lt;/ns1:MyndighedAdresse>
                            &lt;ns1:MyndighedKontaktOplysning>
                                &lt;ns1:MyndighedKontaktOplysningKontaktOplysningNummer>{ data($importspecifikationHentSvar1/ns0:ImportSpecVirksomhedToldcenterOplysninger/ns0:ImportSpecToldcenterTelefonNummer) }&lt;/ns1:MyndighedKontaktOplysningKontaktOplysningNummer>
                            &lt;/ns1:MyndighedKontaktOplysning>
                        &lt;/ns1:MyndighedToldCenter>
                        &lt;ns1:BetalingOplysninger>
                            {
                                for $ImportSpecForfaldentBeloeb in $importspecifikationHentSvar1/ns0:ImportSpecBetalingsOplysninger/ns0:ImportSpecForfaldentBeloeb
                                return
                                    &lt;ns1:ImportspecifikationForfaldentBeløb>{ data($ImportSpecForfaldentBeloeb) }&lt;/ns1:ImportspecifikationForfaldentBeløb>
                            }
                            {
                                for $ImportSpecBeloebTilBetaling in $importspecifikationHentSvar1/ns0:ImportSpecBetalingsOplysninger/ns0:ImportSpecBeloebTilBetaling
                                return
                                    &lt;ns1:ImportspecifikationBeløbTilBetaling>{ data($ImportSpecBeloebTilBetaling) }&lt;/ns1:ImportspecifikationBeløbTilBetaling>
                            }
                            {
                                for $ImportSpecPBSKode in $importspecifikationHentSvar1/ns0:ImportSpecBetalingsOplysninger/ns0:ImportSpecPBSKode
                                return if(string-length($ImportSpecPBSKode)>0) then
                                     if($ImportSpecPBSKode="true" or $ImportSpecPBSKode="TRUE") then
                                       &lt;ns1:ImportspecifikationPBSMarkering>{ xs:string( "T") }&lt;/ns1:ImportspecifikationPBSMarkering>
                                     else if($ImportSpecPBSKode="false" or $ImportSpecPBSKode="FALSE") then
                                        &lt;ns1:ImportspecifikationPBSMarkering>{ xs:string( "F") }&lt;/ns1:ImportspecifikationPBSMarkering>
                                     else ""
                                  else ""
                            }
                            &lt;ns1:Angivelse>
                                {
                                    for $OCRLinie in $importspecifikationHentSvar1/ns0:ImportSpecBetalingsOplysninger/ns0:OCRLinie
                                    return
                                        &lt;ns1:OCRLinie>
                                            &lt;ns1:AngivelseOCRKortType>{ xs:integer( data($OCRLinie/ns0:KortType) ) }&lt;/ns1:AngivelseOCRKortType>
                                            &lt;ns1:AngivelseOCRNummer>{ data($OCRLinie/ns0:OCRNummer) }&lt;/ns1:AngivelseOCRNummer>
                                            &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                        &lt;/ns1:OCRLinie>
                                }
                                {
                                  for $AngivelseFrekvensForhold in $importspecifikationHentSvar1/ns0:ImportSpecBetalingsOplysninger/ns0:ImportSpecSenestIndbetalingDato
                                  return 
		                                &lt;ns1:AngivelseFrekvensForhold>
		                                    &lt;ns1:AngivelseFrekvensForholdBetalingFristDato>{ data($importspecifikationHentSvar1/ns0:ImportSpecBetalingsOplysninger/ns0:ImportSpecSenestIndbetalingDato) }&lt;/ns1:AngivelseFrekvensForholdBetalingFristDato>
		                                &lt;/ns1:AngivelseFrekvensForhold>
		                        }
                            &lt;/ns1:Angivelse>
                        &lt;/ns1:BetalingOplysninger>
                        &lt;ns1:FortoldningListe>
                            {
                                for $ImportSpecFortoldningsOplysninger in $importspecifikationHentSvar1/ns0:ImportSpecFortoldningsOplysninger
                                return
                                    &lt;ns1:FortoldningOplysninger>
                                        {
                                            for $ImportSpecFortoldningsLinieNummer in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecFortoldningsLinieNummer
                                            return
                                                &lt;ns1:FortoldningOplysningerFortoldningLinieNummer>{ data($ImportSpecFortoldningsLinieNummer) }&lt;/ns1:FortoldningOplysningerFortoldningLinieNummer>
                                        }
                                        {
                                            for $ImportSpecFortoldningsTekst in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecFortoldningsTekst
                                            return
                                                &lt;ns1:FortoldningOplysningerFortoldningTekst>{ data($ImportSpecFortoldningsTekst) }&lt;/ns1:FortoldningOplysningerFortoldningTekst>
                                        }
                                        {
                                            for $ImportSpecBundtNummer in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecBundtNummer
                                            return
                                                &lt;ns1:FortoldningOplysningerBundtNummer>{ data($ImportSpecBundtNummer) }&lt;/ns1:FortoldningOplysningerBundtNummer>
                                        }
                                        {
                                            for $ImportSpecBundtTSR in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecBundtTSR
                                            return
                                                &lt;ns1:FortoldningOplysningerBundtTSRNummer>{ xs:integer( data($ImportSpecBundtTSR) ) }&lt;/ns1:FortoldningOplysningerBundtTSRNummer>
                                        }
                                        {
                                            for $ImportSpecEkspNummer in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecEkspNummer
                                            return
                                                &lt;ns1:FortoldningOplysningerEkspeditionNummer>{ data($ImportSpecEkspNummer) }&lt;/ns1:FortoldningOplysningerEkspeditionNummer>
                                        }
                                        {
                                            for $ImportSpecModtagDato in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecModtagDato
                                            return
                                                &lt;ns1:FortoldningOplysningerModtagelseDato>{ data($ImportSpecModtagDato) }&lt;/ns1:FortoldningOplysningerModtagelseDato>
                                        }
                                        {
                                            for $ImportSpecFortoldningsBeloeb in $ImportSpecFortoldningsOplysninger/ns0:ImportSpecFortoldningsBeloeb
                                            return
                                                &lt;ns1:FortoldningOplysningerFortoldningBeløb>{ data($ImportSpecFortoldningsBeloeb) }&lt;/ns1:FortoldningOplysningerFortoldningBeløb>
                                        }
                                    &lt;/ns1:FortoldningOplysninger>
                            }
                        &lt;/ns1:FortoldningListe>
                        &lt;ns1:IndbetalingListe>
                            {
                                for $ImportSpecIndbetalingsOplysninger in $importspecifikationHentSvar1/ns0:ImportSpecIndbetalingsOplysninger
                                return
                                    &lt;ns1:IndbetalingOplysninger>
                                        {
                                            for $ImportSpecIndbetalingsLinieNummer in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecIndbetalingsLinieNummer
                                            return
                                                &lt;ns1:IndbetalingOplysningerIndbetalingLinieNummer>{ xs:string( data($ImportSpecIndbetalingsLinieNummer) ) }&lt;/ns1:IndbetalingOplysningerIndbetalingLinieNummer>
                                        }
                                        {
                                            for $ImportSpecIndbetalingsTekst in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecIndbetalingsTekst
                                            return
                                                &lt;ns1:IndbetalingOplysningerIndbetalingTekst>{ data($ImportSpecIndbetalingsTekst) }&lt;/ns1:IndbetalingOplysningerIndbetalingTekst>
                                        }
                                        {
                                            for $ImportSpecBundtArt in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecBundtArt
                                            return
                                                &lt;ns1:IndbetalingOplysningerBundtArt>{ data($ImportSpecBundtArt) }&lt;/ns1:IndbetalingOplysningerBundtArt>
                                        }
                                        {
                                            for $ImportSpecBundtTSR in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecBundtTSR
                                            return
                                                &lt;ns1:IndbetalingOplysningerBundtTSRNummer>{ xs:string( data($ImportSpecBundtTSR) ) }&lt;/ns1:IndbetalingOplysningerBundtTSRNummer>
                                        }
                                        {
                                            for $ImportSpecBundtDato in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecBundtDato
                                            return
                                                &lt;ns1:IndbetalingOplysningerBundtDato>{ data($ImportSpecBundtDato) }&lt;/ns1:IndbetalingOplysningerBundtDato>
                                        }
                                        {
                                            for $ImportSpecBundtLoebeNummer in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecBundtLoebeNummer
                                            return
                                                &lt;ns1:IndbetalingOplysningerBundtLøbeNummer>{ xs:string( data($ImportSpecBundtLoebeNummer) ) }&lt;/ns1:IndbetalingOplysningerBundtLøbeNummer>
                                        }
                                        {
                                            for $ImportSpecToldEkspNummer in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecToldEkspNummer
                                            return
                                                &lt;ns1:IndbetalingOplysningerToldEkspeditionNummer>{ xs:string( data($ImportSpecToldEkspNummer) ) }&lt;/ns1:IndbetalingOplysningerToldEkspeditionNummer>
                                        }
                                        {
                                            for $ImportSpecModtagDato in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecModtagDato
                                            return
                                                &lt;ns1:IndbetalingOplysningerModtagelseDato>{ data($ImportSpecModtagDato) }&lt;/ns1:IndbetalingOplysningerModtagelseDato>
                                        }
                                        {
                                            for $ImportSpecIndbetalingsBeloeb in $ImportSpecIndbetalingsOplysninger/ns0:ImportSpecIndbetalingsBeloeb
                                            return
                                                &lt;ns1:IndbetalingOplysningerIndbetalingBeløb>{ data($ImportSpecIndbetalingsBeloeb) }&lt;/ns1:IndbetalingOplysningerIndbetalingBeløb>
                                        }
                                    &lt;/ns1:IndbetalingOplysninger>
                            }
                        &lt;/ns1:IndbetalingListe>
                        &lt;ns1:BeregningListe>
                            {
                                for $ImportSpecBeregningsOplysninger in $importspecifikationHentSvar1/ns0:ImportSpecBeregningsOplysninger
                                return
                                    &lt;ns1:BeregningOplysninger>
                                        {
                                            for $ImportSpecBeregningsLinieNummer in $ImportSpecBeregningsOplysninger/ns0:ImportSpecBeregningsLinieNummer
                                            return
                                                &lt;ns1:BeregningOplysningerBeregningLinieNummer>{ data($ImportSpecBeregningsLinieNummer) }&lt;/ns1:BeregningOplysningerBeregningLinieNummer>
                                        }
                                        {
                                            for $ImportSpecBeregningsTekst in $ImportSpecBeregningsOplysninger/ns0:ImportSpecBeregningsTekst
                                            return
                                                &lt;ns1:BeregningOplysningerBeregningTekst>{ data($ImportSpecBeregningsTekst) }&lt;/ns1:BeregningOplysningerBeregningTekst>
                                        }
                                        {
                                            for $ImportSpecBeregningsBeloeb in $ImportSpecBeregningsOplysninger/ns0:ImportSpecBeregningsBeloeb
                                            return
                                                &lt;ns1:BeregningOplysningerBeregningBeløb>{ data($ImportSpecBeregningsBeloeb) }&lt;/ns1:BeregningOplysningerBeregningBeløb>
                                        }
                                        {
                                            for $ImportSpecBeloebTilMomsAngivelse in $ImportSpecBeregningsOplysninger/ns0:ImportSpecBeloebTilMomsAngivelse
                                            return
                                                &lt;ns1:BeregningOplysningerBeløbTilMomsAngivelse>{ data($ImportSpecBeloebTilMomsAngivelse) }&lt;/ns1:BeregningOplysningerBeløbTilMomsAngivelse>
                                        }
                                    &lt;/ns1:BeregningOplysninger>
                            }
                        &lt;/ns1:BeregningListe>
                    &lt;/ns1:UddataResultat>
                    else ""
            }
        &lt;/ns1:ImportspecifikationHent_O>
};

declare variable $importspecifikationHentSvar1 as element(ns0:ImportspecifikationHentSvar) external;

xf:ImportspecifikationHent_TACTICAL_2_SKAT_Output($importspecifikationHentSvar1)</con:xquery>
</con:xqueryEntry>