<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XQuery/2BCPkg2/KontraktAftaleAngivelseList_TACTICAL_2_SKAT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:KontraktAftaleAngivelseList_TACTICAL_2_SKAT($kontraktAftaleAngivelseListSvar1 as element(ns0:KontraktAftaleAngivelseListSvar))
    as element(ns1:KontraktAftaleAngivelseList_O) {
        let $KontraktAftaleAngivelseListSvar := $kontraktAftaleAngivelseListSvar1
        return
            &lt;ns1:KontraktAftaleAngivelseList_O>
                {
                    let $Kontekst := $KontraktAftaleAngivelseListSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                &lt;ns1:AngivelseAfKontraktAftaleListe>
                    {
                        for $KontraktAftaleAngivelseListSvarList in $KontraktAftaleAngivelseListSvar/ns0:KontraktAftaleAngivelseListSvarList
                        return
                            &lt;ns1:AngivelseAfKontraktAftale>
                                &lt;ns1:IndberetterVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ data($KontraktAftaleAngivelseListSvarList/ns0:SENummerIndberetter) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:IndberetterVirksomhedSENummer>
                                &lt;ns1:AngivelseValgtPeriode>
                                    &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($KontraktAftaleAngivelseListSvarList/ns0:KontraktDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                &lt;/ns1:AngivelseValgtPeriode>
                                &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($KontraktAftaleAngivelseListSvarList/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                &lt;ns1:AngivelseAngivelseTid>{ data($KontraktAftaleAngivelseListSvarList/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                &lt;ns1:AngivelseValuta>{ data($KontraktAftaleAngivelseListSvarList/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                                &lt;ns1:KontraktAftaleAngivelseKontraktNummer>{ data($KontraktAftaleAngivelseListSvarList/ns0:KontraktNummer) }&lt;/ns1:KontraktAftaleAngivelseKontraktNummer>
                                {
                                    for $SENummerUdenlandskVirksomhed in $KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:SENummerUdenlandskVirksomhed
                                    return
                                        &lt;ns1:KontraktAftaleAngivelseUdenlandskVirksomhedSENummer>{ data($SENummerUdenlandskVirksomhed) }&lt;/ns1:KontraktAftaleAngivelseUdenlandskVirksomhedSENummer>
                                }
                                {
                                    for $IdUdenlandskVirksomhed in $KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:IdUdenlandskVirksomhed
                                    return
                                        &lt;ns1:KontraktAftaleAngivelseUdenlandskVirksomhedId>{ xs:integer( data($IdUdenlandskVirksomhed) ) }&lt;/ns1:KontraktAftaleAngivelseUdenlandskVirksomhedId>
                                }
                                {
                                    for $UdenlandskVirksomhedNavn in $KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:UdenlandskVirksomhedNavn
                                    return
                                        &lt;ns1:KontraktAftaleAngivelseUdenlandskVirksomhedNavn>{ data($UdenlandskVirksomhedNavn) }&lt;/ns1:KontraktAftaleAngivelseUdenlandskVirksomhedNavn>
                                }
                                &lt;ns1:UdenlandskeAdresseOplysninger>
                                    &lt;ns1:KontraktAftaleAngivelseUdenlandskVirksomhedAdresseLinie1>{ data($KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:UdenlandskAdresse3Linier/ns0:UdenlandskAdresseLinie1) }&lt;/ns1:KontraktAftaleAngivelseUdenlandskVirksomhedAdresseLinie1>
                                    &lt;ns1:KontraktAftaleAngivelseUdenlandskVirksomhedAdresseLinie2>{ data($KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:UdenlandskAdresse3Linier/ns0:UdenlandskAdresseLinie2) }&lt;/ns1:KontraktAftaleAngivelseUdenlandskVirksomhedAdresseLinie2>
                                    {
                                        for $UdenlandskAdresseLinie3 in $KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:UdenlandskAdresse3Linier/ns0:UdenlandskAdresseLinie3
                                        return
                                            &lt;ns1:KontraktAftaleAngivelseUdenlandskVirksomhedAdresseLinie3>{ data($UdenlandskAdresseLinie3) }&lt;/ns1:KontraktAftaleAngivelseUdenlandskVirksomhedAdresseLinie3>
                                    }
                                    &lt;ns1:KontraktAftaleAngivelseLandeKode>{ data($KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:UdenlandskAdresse3Linier/ns0:LandeKode) }&lt;/ns1:KontraktAftaleAngivelseLandeKode>
                                &lt;/ns1:UdenlandskeAdresseOplysninger>
                                &lt;ns1:KontraktAftaleAngivelseKontraktSum>{ xs:integer( data($KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:KontraktSum) ) }&lt;/ns1:KontraktAftaleAngivelseKontraktSum>
                                &lt;ns1:KontraktAftaleAngivelseArbejdsPeriodeStartDato>{ data($KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:ArbejdsPeriodeStartDato) }&lt;/ns1:KontraktAftaleAngivelseArbejdsPeriodeStartDato>
                                {
                                    for $ArbejdsPeriodeSlutDato in $KontraktAftaleAngivelseListSvarList/ns0:SklPgf7EKontraktAftaleAngivelseOplysninger/ns0:ArbejdsPeriodeSlutDato
                                    return
                                        &lt;ns1:KontraktAftaleAngivelseArbejdsPeriodeSlutDato>{ data($ArbejdsPeriodeSlutDato) }&lt;/ns1:KontraktAftaleAngivelseArbejdsPeriodeSlutDato>
                                }
                            &lt;/ns1:AngivelseAfKontraktAftale>
                    }
                &lt;/ns1:AngivelseAfKontraktAftaleListe>
            &lt;/ns1:KontraktAftaleAngivelseList_O>
};

declare variable $kontraktAftaleAngivelseListSvar1 as element(ns0:KontraktAftaleAngivelseListSvar) external;

xf:KontraktAftaleAngivelseList_TACTICAL_2_SKAT($kontraktAftaleAngivelseListSvar1)</con:xquery>
</con:xqueryEntry>