<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Fejl/KontraktAftaleAngivelseOpret_TACTICAL_2_SKAT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:KontraktAftaleAngivelseOpret_TACTICAL_2_SKAT($kontraktAftaleAngivelseOpretSvarFejl1 as element(ns0:KontraktAftaleAngivelseOpretSvarFejl))
    as element(ns1:KontraktAftaleAngivelseOpret_FejlId) {
        &lt;ns1:KontraktAftaleAngivelseOpret_FejlId>
            {
                for $CPRNummer in $kontraktAftaleAngivelseOpretSvarFejl1/ns0:CPRNummer
                return
                    &lt;ns1:PersonCPRNummer>{ xs:string( data($CPRNummer) ) }&lt;/ns1:PersonCPRNummer>
            }
            {
                for $ByggePladsNummer in $kontraktAftaleAngivelseOpretSvarFejl1/ns0:ByggePladsNummer
                return
                    &lt;ns1:ByggePladsByggePladsNummer>{ data($ByggePladsNummer) }&lt;/ns1:ByggePladsByggePladsNummer>
            }
            {
                for $MedarbejderNummer in $kontraktAftaleAngivelseOpretSvarFejl1/ns0:MedarbejderNummer
                return
                    &lt;ns1:ArbejdstagerMedarbejderNummer>{ data($MedarbejderNummer) }&lt;/ns1:ArbejdstagerMedarbejderNummer>
            }
            {
                for $MedarbejderNavn in $kontraktAftaleAngivelseOpretSvarFejl1/ns0:MedarbejderNavn
                return
                    &lt;ns1:ArbejdstagerNavn>{ data($MedarbejderNavn) }&lt;/ns1:ArbejdstagerNavn>
            }
            {
                for $KontraktNummer in $kontraktAftaleAngivelseOpretSvarFejl1/ns0:KontraktNummer
                return
                    &lt;ns1:KontraktAftaleAngivelseKontraktNummer>{ data($KontraktNummer) }&lt;/ns1:KontraktAftaleAngivelseKontraktNummer>
            }
            {
                for $ReferenceUnderAftaleKontraktNummer in $kontraktAftaleAngivelseOpretSvarFejl1/ns0:ReferenceUnderAftaleKontraktNummer
                return
                    &lt;ns1:UnderAftaleReferenceUnderAftaleKontraktNummer>{ data($ReferenceUnderAftaleKontraktNummer) }&lt;/ns1:UnderAftaleReferenceUnderAftaleKontraktNummer>
            }
        &lt;/ns1:KontraktAftaleAngivelseOpret_FejlId>
};

declare variable $kontraktAftaleAngivelseOpretSvarFejl1 as element(ns0:KontraktAftaleAngivelseOpretSvarFejl) external;

xf:KontraktAftaleAngivelseOpret_TACTICAL_2_SKAT($kontraktAftaleAngivelseOpretSvarFejl1)</con:xquery>
</con:xqueryEntry>