<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/KontrolleredeTransaktionerAngivelseHent_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:KontrolleredeTransaktionerAngivelseHent_SKAT_2_TACTICAL_Input($kontrolleredeTransaktionerAngivelseHent_I1 as element(ns1:KontrolleredeTransaktionerAngivelseHent_I))
    as element(ns0:KontrolleredeTransaktionerAngivelseHent) {
        &lt;ns0:KontrolleredeTransaktionerAngivelseHent>
            &lt;ns0:Kontekst>
                { $kontrolleredeTransaktionerAngivelseHent_I1/ns1:Kontekst/* }
            &lt;/ns0:Kontekst>
            &lt;ns0:CPRSENummerAngiver>
            	{
            		let $PersonCPRNummer := $kontrolleredeTransaktionerAngivelseHent_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:PersonCPRNummer
            		return if(count($PersonCPRNummer) > 0) then
            			&lt;ns0:CPRNummer>{ data($kontrolleredeTransaktionerAngivelseHent_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:PersonCPRNummer) }&lt;/ns0:CPRNummer>
           			else ""
            	}
            	{
            		let $VirksomhedSENummer := $kontrolleredeTransaktionerAngivelseHent_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:VirksomhedSENummer
            		return if(count($VirksomhedSENummer) > 0) then
            			&lt;ns0:SENummer>{ data($kontrolleredeTransaktionerAngivelseHent_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummer>
           			else ""
            	}
            &lt;/ns0:CPRSENummerAngiver>
            &lt;ns0:IndkomstAar>{ xs:gYear(year-from-date($kontrolleredeTransaktionerAngivelseHent_I1/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) ) }&lt;/ns0:IndkomstAar>
            &lt;ns0:KvitteringsNummer>{ xs:string( data($kontrolleredeTransaktionerAngivelseHent_I1/ns1:InputParametre/ns1:AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
        &lt;/ns0:KontrolleredeTransaktionerAngivelseHent>
};

declare variable $kontrolleredeTransaktionerAngivelseHent_I1 as element(ns1:KontrolleredeTransaktionerAngivelseHent_I) external;

xf:KontrolleredeTransaktionerAngivelseHent_SKAT_2_TACTICAL_Input($kontrolleredeTransaktionerAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>