<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/KontrolleredeTransaktionerAngivelseList_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:KontrolleredeTransaktionerAngivelseList_SKAT_2_TACTICAL_Input($kontrolleredeTransaktionerAngivelseList_I1 as element(ns1:KontrolleredeTransaktionerAngivelseList_I))
    as element(ns0:KontrolleredeTransaktionerAngivelseList) {
        let $KontrolleredeTransaktionerAngivelseList_I := $kontrolleredeTransaktionerAngivelseList_I1
        return
            &lt;ns0:KontrolleredeTransaktionerAngivelseList>
                {
                    let $Kontekst := $KontrolleredeTransaktionerAngivelseList_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:CPRSENummerAngiver>
                    {
	                    let $CPRNummer := $KontrolleredeTransaktionerAngivelseList_I/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:PersonCPRNummer
	                    return if(count($CPRNummer) > 0) then
		                    &lt;ns0:CPRNummer>{data($KontrolleredeTransaktionerAngivelseList_I/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:PersonCPRNummer)}&lt;/ns0:CPRNummer>
		                else ""
                	}
                    {
	                    let $SENummer := $KontrolleredeTransaktionerAngivelseList_I/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:VirksomhedSENummer
	                    return if(count($SENummer) > 0) then
		                    &lt;ns0:SENummer>{data($KontrolleredeTransaktionerAngivelseList_I/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:VirksomhedSENummer)}&lt;/ns0:SENummer>
		                else ""
                	}
                
                &lt;/ns0:CPRSENummerAngiver>
                &lt;ns0:SENummerIndberetter>{ data($KontrolleredeTransaktionerAngivelseList_I/ns1:InputParametre/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                {
                	let $AngivelseValgtPeriode := $kontrolleredeTransaktionerAngivelseList_I1/ns1:InputParametre/ns1:AngivelseValgtPeriode
                	return if(count($AngivelseValgtPeriode) > 0 ) then
		                &lt;ns0:IndkomstAar>{ xs:gYear(year-from-date($kontrolleredeTransaktionerAngivelseList_I1/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) ) }&lt;/ns0:IndkomstAar>                	
		            else ""
                }

            &lt;/ns0:KontrolleredeTransaktionerAngivelseList>
};

declare variable $kontrolleredeTransaktionerAngivelseList_I1 as element(ns1:KontrolleredeTransaktionerAngivelseList_I) external;

xf:KontrolleredeTransaktionerAngivelseList_SKAT_2_TACTICAL_Input($kontrolleredeTransaktionerAngivelseList_I1)</con:xquery>
</con:xqueryEntry>