<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/KontrolleredeTransaktionerAngivelseSlet_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:KontrolleredeTransaktionerAngivelseSlet_SKAT_2_TACTICAL_Input($kontrolleredeTransaktionerAngivelseSlet_I1 as element(ns1:KontrolleredeTransaktionerAngivelseSlet_I))
    as element(ns0:KontrolleredeTransaktionerAngivelseSlet) {
        &lt;ns0:KontrolleredeTransaktionerAngivelseSlet>
            &lt;ns0:Kontekst>
                { $kontrolleredeTransaktionerAngivelseSlet_I1/ns1:Kontekst/* }
            &lt;/ns0:Kontekst>
            &lt;ns0:CPRSENummerAngiver>
            {
	            let $PersonCPRNummer := $kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:PersonCPRNummer
	            return if(count($PersonCPRNummer) > 0) then
	                &lt;ns0:CPRNummer>{ data($kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:PersonCPRNummer) }&lt;/ns0:CPRNummer>
	            else ""
            }
            {
	            let $VirksomhedSENummer := $kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:VirksomhedSENummer
	            return if(count($VirksomhedSENummer) > 0) then
	                &lt;ns0:SENummer>{ data($kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:AngiverVirksomhedCPRSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummer>
	            else ""
            }
            &lt;/ns0:CPRSENummerAngiver>
            &lt;ns0:SENummerIndberetter>{ data($kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
            &lt;ns0:IndkomstAar>{ xs:gYear(year-from-date($kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) ) }&lt;/ns0:IndkomstAar>
            &lt;ns0:KvitteringsNummer>{ xs:string( data($kontrolleredeTransaktionerAngivelseSlet_I1/ns1:InputParametre/ns1:AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
        &lt;/ns0:KontrolleredeTransaktionerAngivelseSlet>
};

declare variable $kontrolleredeTransaktionerAngivelseSlet_I1 as element(ns1:KontrolleredeTransaktionerAngivelseSlet_I) external;

xf:KontrolleredeTransaktionerAngivelseSlet_SKAT_2_TACTICAL_Input($kontrolleredeTransaktionerAngivelseSlet_I1)</con:xquery>
</con:xqueryEntry>