<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ListeAngivelseFilOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns1 = "http://skat.dk/tse/steria/xml/schema/liws/2008/01701/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){



	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)

	else $value

};

declare function xf:ListeAngivelseFilOpret_SKAT_2_TACTICAL_Input($listeAngivelseFilOpret_I1 as element(ns0:ListeAngivelseFilOpret_I))
    as element(ns1:ListeAngivelseFilOpret) {
        &lt;ns1:ListeAngivelseFilOpret>
            {
                let $Kontekst := $listeAngivelseFilOpret_I1/ns0:Kontekst
                return
                    &lt;ns1:Kontekst>
                        { $Kontekst/* }
                    &lt;/ns1:Kontekst>
            }
            &lt;ns1:Valuta>{ data($listeAngivelseFilOpret_I1/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseValuta) }&lt;/ns1:Valuta>
            &lt;ns1:AngivelsesTid>{ data($listeAngivelseFilOpret_I1/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseAngivelseTid) }&lt;/ns1:AngivelsesTid>
            &lt;ns1:ValgtIndberetningsFormKode>{ padInFront( xs:string( data($listeAngivelseFilOpret_I1/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseValgtIndberetningFormKode) ),3,'0') }&lt;/ns1:ValgtIndberetningsFormKode>
            &lt;ns1:SeNr1>{ data($listeAngivelseFilOpret_I1/ns0:InputParametre/ns0:VirksomhedIndsender/ns0:VirksomhedSENummer) }&lt;/ns1:SeNr1>
            {
                for $ListeAngivelseLinie in $listeAngivelseFilOpret_I1/ns0:InputParametre/ns0:IndberetningFilListe/ns0:ListeAngivelseLinie
                return
                    &lt;ns1:FilOpretXML>
                        &lt;ns1:KoebersMomsNr>{fn-bea:trim( data($ListeAngivelseLinie/ns0:ListeAngivelseKøbersMomsNummer))}&lt;/ns1:KoebersMomsNr>
                        {
                        let $ListeAngivelseLandeKode := $ListeAngivelseLinie/ns0:ListeAngivelseLandeKode
                        return if(fn:matches($ListeAngivelseLandeKode,'GR'))then
                         &lt;ns1:LandeKode>{xs:string(data("EL"))}&lt;/ns1:LandeKode>
                        else
                        &lt;ns1:LandeKode>{ data($ListeAngivelseLandeKode) }&lt;/ns1:LandeKode>
                        }
                        {
                            for $ListeAngivelseSalgsBeløb in $ListeAngivelseLinie/ns0:ListeAngivelseSalgsBeløb
                            return
                                &lt;ns1:SalgsBeloeb>{ xs:decimal( data($ListeAngivelseSalgsBeløb) ) }&lt;/ns1:SalgsBeloeb>
                        }
                        {
                            for $ListeAngivelseTrekantBeløb in $ListeAngivelseLinie/ns0:ListeAngivelseTrekantBeløb
                            return
                                &lt;ns1:TrekantBeloeb>{ xs:decimal( data($ListeAngivelseTrekantBeløb) ) }&lt;/ns1:TrekantBeloeb>
                        }
                        &lt;ns1:SeNr2>{ data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngiverVirksomhedSENummer/ns0:VirksomhedSENummer) }&lt;/ns1:SeNr2>
                        {
                        let $StartDato := $ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeStartDato
                        return if(count($StartDato)>0) then
                         &lt;ns1:ValgtPeriode>
                            {
                            	let $Current_Month := month-from-date(current-date()) 
                                for $AngivelseValgtPeriodeStartDato in $ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeStartDato
                                return
                                
		                            &lt;ns1:StartDato>{ fn:concat((xs:string(year-from-date(data($AngivelseValgtPeriodeStartDato)))) , "-" , 
												if(xs:string(data($Current_Month)) = "1") then
													"01"
												else if(xs:string(data($Current_Month)) &lt;= "4") then
													"04"
												else if(xs:string(data($Current_Month)) &lt;= "7") then
													"07"	
												else "07"	
												,"-" ,
		                    			        padInFront(xs:string(data('1')),2,'0')) }
		                            &lt;/ns1:StartDato>
                            }
                            &lt;ns1:SlutDato>{fn:concat((xs:string(year-from-date(data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato)))) , "-" , 
		                    			         padInFront(xs:string((month-from-date(data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato)))), 2, '0'), "-" ,
		                    			         padInFront(xs:string(day-from-date(data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))), 2, '0')) }
		                   	&lt;/ns1:SlutDato>
                        &lt;/ns1:ValgtPeriode>
                        else 
                         &lt;ns1:ValgtPeriode>
							&lt;ns1:SlutDato>{fn:concat((xs:string(year-from-date(data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato)))) , "-" , 
		                    			         padInFront(xs:string((month-from-date(data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato)))), 2, '0'), "-" ,
		                    			         padInFront(xs:string(day-from-date(data($ListeAngivelseLinie/ns0:ListeAngivelseInddata/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))), 2, '0')) }
		                   	&lt;/ns1:SlutDato>
                         &lt;/ns1:ValgtPeriode>	    
                        }
                        {
                            for $ListeAngivelseInternReferenceNummer in $ListeAngivelseLinie/ns0:ListeAngivelseInternReferenceNummer
                            return
                                &lt;ns1:InterntRefNr>{ data($ListeAngivelseInternReferenceNummer)}&lt;/ns1:InterntRefNr>
                        }
                    &lt;/ns1:FilOpretXML>
            }
        &lt;/ns1:ListeAngivelseFilOpret>
};

declare variable $listeAngivelseFilOpret_I1 as element(ns0:ListeAngivelseFilOpret_I) external;

xf:ListeAngivelseFilOpret_SKAT_2_TACTICAL_Input($listeAngivelseFilOpret_I1)</con:xquery>
</con:xqueryEntry>