<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ListeAngivelseList_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns1 = "http://skat.dk/tse/steria/xml/schema/liws/2008/01701/";

declare function xf:ListeAngivelseList_TACTICAL_2_SKAT_Output($listeAngivelseListSvar1 as element(ns1:ListeAngivelseListSvar))
    as element(ns0:ListeAngivelseList_O) {
        let $ListeAngivelseListSvar := $listeAngivelseListSvar1
        return
            &lt;ns0:ListeAngivelseList_O>
                {
                    let $Kontekst := $ListeAngivelseListSvar/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
            
                
                {
                
				if(count($ListeAngivelseListSvar/ns1:ListeAngivelseListOutput) > 0) then                    

 				&lt;ns0:UddataResultatListe>

                {

                        for $ListeAngivelseListOutput in $ListeAngivelseListSvar/ns1:ListeAngivelseListOutput
                        return
        
	                            &lt;ns0:UddataResultat>
	                                &lt;ns0:IndberetterVirksomhedSENummer>
	                                    &lt;ns0:VirksomhedSENummer>{ xs:string( data($ListeAngivelseListOutput/ns1:SeNr1) ) }&lt;/ns0:VirksomhedSENummer>
	                                &lt;/ns0:IndberetterVirksomhedSENummer>
	                                &lt;ns0:AngivelseTilladtAktion>{ data($ListeAngivelseListOutput/ns1:TilladtAktion) }&lt;/ns0:AngivelseTilladtAktion>
	                                &lt;ns0:AngivelseAngivelseTid>{ data($ListeAngivelseListOutput/ns1:AngivelsesTid) }&lt;/ns0:AngivelseAngivelseTid>
	                                &lt;ns0:AngivelseKvitteringNummer>{ data($ListeAngivelseListOutput/ns1:KvitteringsNr)  }&lt;/ns0:AngivelseKvitteringNummer>
	                                &lt;ns0:AngivelseValgtPeriode>
	                                    {
	                                        for $StartDato in $ListeAngivelseListOutput/ns1:ValgtPeriode/ns1:StartDato
	                                        return
	                                            &lt;ns0:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns0:AngivelseValgtPeriodeStartDato>
	                                    }
	                                    &lt;ns0:AngivelseValgtPeriodeSlutDato>{ data($ListeAngivelseListOutput/ns1:ValgtPeriode/ns1:SlutDato) }&lt;/ns0:AngivelseValgtPeriodeSlutDato>
	                                &lt;/ns0:AngivelseValgtPeriode>
	                            &lt;/ns0:UddataResultat>
             }

           &lt;/ns0:UddataResultatListe>
           else ""
         }
             
            &lt;/ns0:ListeAngivelseList_O>
};

declare variable $listeAngivelseListSvar1 as element(ns1:ListeAngivelseListSvar) external;

xf:ListeAngivelseList_TACTICAL_2_SKAT_Output($listeAngivelseListSvar1)</con:xquery>
</con:xqueryEntry>