<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:LoenSumAngivelseHentInterface/ns0:LoenSumAngivelseHent" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelseHent_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LoenSumAngivelseHent_SKAT_2_TACTICAL_Input($lønsumAngivelseHent_I1 as element(ns1:LønsumAngivelseHent_I))
    as element() {
        for $LønsumAngivelseHent_I in $lønsumAngivelseHent_I1
        where data($LønsumAngivelseHent_I/ns1:Kontekst) = data($LønsumAngivelseHent_I/ns1:Kontekst)
        return
            &lt;ns0:LoenSumAngivelseHent>
                {
                    let $Kontekst := $LønsumAngivelseHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENummerAngiver>{data($LønsumAngivelseHent_I/ns1:InputParametre/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer)}&lt;/ns0:SENummerAngiver>
                &lt;ns0:AngivelserValgtPeriode>
                    {
                        for $AngivelseValgtPeriodeStartDato in $LønsumAngivelseHent_I/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                        return
                            &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                    }
                    &lt;ns0:SlutDato>{ data($LønsumAngivelseHent_I/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                &lt;/ns0:AngivelserValgtPeriode>
                &lt;ns0:UnderKontoArtKode>{ data($LønsumAngivelseHent_I/ns1:InputParametre/ns1:AngivelseFrekvensForholdUnderkontoArtKode) }&lt;/ns0:UnderKontoArtKode>
                {
                    for $AngivelseKvitteringNummer in $LønsumAngivelseHent_I/ns1:InputParametre/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ xs:string( data($AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:LoenSumAngivelseHent>
};

declare variable $lønsumAngivelseHent_I1 as element(ns1:LønsumAngivelseHent_I) external;

xf:LoenSumAngivelseHent_SKAT_2_TACTICAL_Input($lønsumAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>