<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:LoenSumAngivelseOpretInterface/ns0:LoenSumAngivelseOpret" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelseOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:LoenSumAngivelseOpret_SKAT_2_TACTICAL_Input($lønsumAngivelseOpret_I1 as element(ns1:LønsumAngivelseOpret_I))
    as element() {
        let $LønsumAngivelseOpret_I := $lønsumAngivelseOpret_I1
        return
            &lt;ns0:LoenSumAngivelseOpret>
                {
                    let $Kontekst := $LønsumAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:LoenSumAngivelsesOplysninger>
                    {
                        for $LønsumAngivelseAContoBeløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseAContoBeløb
                        return
                            &lt;ns0:Aconto>{ xs:decimal( data($LønsumAngivelseAContoBeløb) ) }&lt;/ns0:Aconto>
                    }
                    {
                        for $LønsumAngivelseAvisSalgBeløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseAvisSalgBeløb
                        return
                            &lt;ns0:AvisSalg>{ xs:decimal( data($LønsumAngivelseAvisSalgBeløb) ) }&lt;/ns0:AvisSalg>
                    }
                    {
                        for $LønsumAngivelseSats1Beløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseSats1Beløb
                        return
                            &lt;ns0:Sats1>{ xs:decimal( data($LønsumAngivelseSats1Beløb) ) }&lt;/ns0:Sats1>
                    }
                    {
                        for $LønsumAngivelseSats2Beløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseSats2Beløb
                        return
                            &lt;ns0:Sats2>{ xs:decimal( data($LønsumAngivelseSats2Beløb) ) }&lt;/ns0:Sats2>
                    }
                    &lt;ns0:TilSvar>{ xs:decimal( data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseTilsvarBeløb) ) }&lt;/ns0:TilSvar>
                    {
                        for $LønsumAngivelseÅrAContoBeløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseÅrAContoBeløb
                        return
                            &lt;ns0:AarAconto>{ xs:decimal( data($LønsumAngivelseÅrAContoBeløb) ) }&lt;/ns0:AarAconto>
                    }
                    {
                        for $LønsumAngivelseÅrResultatBeløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseÅrResultatBeløb
                        return
                            &lt;ns0:AarResultat>{ xs:decimal( data($LønsumAngivelseÅrResultatBeløb) ) }&lt;/ns0:AarResultat>
                    }
                    {
                        for $LønsumAngivelseÅrLønsumBeløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:LønsumAngivelseInddata/ns1:LønsumAngivelseÅrLønsumBeløb
                        return
                            &lt;ns0:AarLoenSum>{ xs:decimal( data($LønsumAngivelseÅrLønsumBeløb) ) }&lt;/ns0:AarLoenSum>
                    }
                &lt;/ns0:LoenSumAngivelsesOplysninger>
                &lt;ns0:LoenSumBetalingsOplysningerOpret>
                    &lt;ns0:AngivelsesTidspunkt>{ data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                    {
                        for $AngivelseValgtIndberetningFormKode in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode
                        return
                            &lt;ns0:ValgtIndberetningsForm>{ padInFront( data($AngivelseValgtIndberetningFormKode) , 3,'0') }&lt;/ns0:ValgtIndberetningsForm>
                    }
                    &lt;ns0:AngivelserValgtPeriode>
                        {
                            for $AngivelseValgtPeriodeStartDato in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                            return
                                &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                        }
                        &lt;ns0:SlutDato>{ data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                    &lt;/ns0:AngivelserValgtPeriode>
                    &lt;ns0:ValutaKode>{ data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                    {
                        for $BetalingValgtBetalingFormidler in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:BetalingInddata/ns1:BetalingValgtBetalingFormidler
                        return
                        
                         if (data($BetalingValgtBetalingFormidler) = 'PBS') 
										then  &lt;ns0:ValgtBetalingsFormidler>{xs:string("PBS") }&lt;/ns0:ValgtBetalingsFormidler>
										
										else if (data($BetalingValgtBetalingFormidler)= 'JyskeBank')
										then  &lt;ns0:ValgtBetalingsFormidler>{xs:string("SKB") }&lt;/ns0:ValgtBetalingsFormidler>
										
										else if (data($BetalingValgtBetalingFormidler)= 'HomeBanking')
										then &lt;ns0:ValgtBetalingsFormidler>{xs:string("HomeBanking") }&lt;/ns0:ValgtBetalingsFormidler>
										
										else
										 &lt;ns0:ValgtBetalingsFormidler>{xs:string("AndenBetalingsform") }&lt;/ns0:ValgtBetalingsFormidler>
						                 
                    }
                    &lt;ns0:UnderKontoArtKode>{ data($LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseFrekvensForhold/ns1:AngivelseFrekvensForholdUnderkontoArtKode) }&lt;/ns0:UnderKontoArtKode>
                    {
                        for $BetalingDato in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:BetalingInddata/ns1:BetalingDato
                        return
                            &lt;ns0:BetalingsDato>{ data($BetalingDato) }&lt;/ns0:BetalingsDato>
                    }
                    {
                        for $BetalingBeløb in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:BetalingInddata/ns1:BetalingBeløb
                        return
                            &lt;ns0:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns0:BetalingsBeloeb>
                    }
                &lt;/ns0:LoenSumBetalingsOplysningerOpret>
                {
                    for $AngivelseKvitteringNummer in $LønsumAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ xs:string( data($AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:LoenSumAngivelseOpret>
};

declare variable $lønsumAngivelseOpret_I1 as element(ns1:LønsumAngivelseOpret_I) external;

xf:LoenSumAngivelseOpret_SKAT_2_TACTICAL_Input($lønsumAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>