<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/ModtagSpilleAfgiftGebyrAngivelse_2_SKAT_2_SKAT_Input/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:ModtagSpilleAfgiftGebyrAngivelse_2_SKAT_2_SKAT_Input($modtagSpilleAfgiftGebyrAngivelse_I1 as element(ns0:ModtagSpilleAfgiftGebyrAngivelse_I))
    as element(ns0:SpecifikationSpilAngivelseMultiOpret_I) {
        let $ModtagSpilleAfgiftGebyrAngivelse_I := $modtagSpilleAfgiftGebyrAngivelse_I1
        return
            &lt;ns0:SpecifikationSpilAngivelseMultiOpret_I>
                &lt;ns0:Kontekst>{ $ModtagSpilleAfgiftGebyrAngivelse_I/ns0:Kontekst/@* , $ModtagSpilleAfgiftGebyrAngivelse_I/ns0:Kontekst/node() }&lt;/ns0:Kontekst>
                {
                    let $IndberetterVirksomhedSENummer := $ModtagSpilleAfgiftGebyrAngivelse_I/ns0:InputParametre/ns0:IndberetterVirksomhedSENummer
                    return
                        &lt;ns0:IndberetterVirksomhedSENummer>
                            &lt;ns0:VirksomhedSENummer>{ data($IndberetterVirksomhedSENummer/ns0:VirksomhedSENummer) }&lt;/ns0:VirksomhedSENummer>
                        &lt;/ns0:IndberetterVirksomhedSENummer>
                }
                &lt;ns0:AngivelseValgtIndberetningFormKode>003&lt;/ns0:AngivelseValgtIndberetningFormKode>
                {
                    let $MultiOpretListe := $ModtagSpilleAfgiftGebyrAngivelse_I/ns0:InputParametre/ns0:MultiOpretListe
                    return
                        &lt;ns0:SpecifikationMultiListeInddata>
                            {
                                for $MultiOpretEnhed in $MultiOpretListe/ns0:MultiOpretEnhed
                                return
                                	if( count ($MultiOpretEnhed/ns0:ValgEmneListe/ns0:PunktAfgiftSpilListe/ns0:PunktAfgiftSpilEnhed) > 0 ) then
                                    &lt;ns0:SpecifikationMultiEnhedInddata>
                                        {
                                            let $AngiverVirksomhedSENummer := $MultiOpretEnhed/ns0:AngiverVirksomhedSENummer
                                            return
                                                &lt;ns0:AngiverVirksomhedCVRNummer>
                                                    &lt;ns0:VirksomhedCVRNummer>{ data($AngiverVirksomhedSENummer/ns0:VirksomhedSENummer) }&lt;/ns0:VirksomhedCVRNummer>
                                                &lt;/ns0:AngiverVirksomhedCVRNummer>
                                        }
                                        &lt;ns0:AngivelseAngivelseTid>{ data ( current-dateTime() ) }&lt;/ns0:AngivelseAngivelseTid>
                                        &lt;ns0:AngivelseKvitteringNummer>0&lt;/ns0:AngivelseKvitteringNummer>
                                        &lt;ns0:AngivelseValgtPeriode>{ $MultiOpretEnhed/ns0:AngivelseValgtPeriode/@* , $MultiOpretEnhed/ns0:AngivelseValgtPeriode/node() }&lt;/ns0:AngivelseValgtPeriode>
                                        &lt;ns0:AngivelseValuta>{ data($MultiOpretEnhed/ns0:AngivelseValuta) }&lt;/ns0:AngivelseValuta>
                                        {
                                            let $SpecifikationSpilAngivelseInddataListe := $MultiOpretEnhed/ns0:SpecifikationSpilAngivelseInddataListe
                                            return
                                                &lt;ns0:SpecifikationSpilAngivelseInddataListe>
                                                    {
                                                        for $SpecifikationSpilAngivelseInddata in $SpecifikationSpilAngivelseInddataListe/ns0:SpecifikationSpilAngivelseInddata
                                                        return
                                                            &lt;ns0:SpecifikationSpilAngivelseInddata>
                                                                &lt;ns0:SpillestedTilladelseId>{ data($SpecifikationSpilAngivelseInddata/ns0:SpillestedTilladelseId) }&lt;/ns0:SpillestedTilladelseId>
                                                                {
                                                                    let $SpecifikationstypeInddata := $SpecifikationSpilAngivelseInddata/ns0:SpecifikationstypeInddata
                                                                    return
                                                                        &lt;ns0:SpecifikationstypeInddata>
                                                                            {
                                                                                let $SpilTivoliSpecifikation := $SpecifikationstypeInddata/ns0:SpilTivoliSpecifikation
                                                                                return
                                                                                	if( count($SpilTivoliSpecifikation) > 0 ) then
                                                                                    &lt;ns0:SpilTivoliSpecifikation>
                                                                                        {
                                                                                            let $TivoliSpecifikation := $SpilTivoliSpecifikation/ns0:TivoliSpecifikation
                                                                                            return
                                                                                                &lt;ns0:TivoliSpecifikation>
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ data($TivoliSpecifikation/ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb) }&lt;/ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ data($TivoliSpecifikation/ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) }&lt;/ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $TivoliSpecifikation/ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) }&lt;/ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                                                                    }
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ data($TivoliSpecifikation/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) }&lt;/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseFradrag250TusindeBeløb in $TivoliSpecifikation/ns0:SpecifikationSpilAngivelseFradrag250TusindeBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseFradrag250TusindeBeløb>{ data($SpecifikationSpilAngivelseFradrag250TusindeBeløb) }&lt;/ns0:SpecifikationSpilAngivelseFradrag250TusindeBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseTillægNote1Beløb in $TivoliSpecifikation/ns0:SpecifikationSpilAngivelseTillægNote1Beløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseTillægNote1Beløb>{ data($SpecifikationSpilAngivelseTillægNote1Beløb) }&lt;/ns0:SpecifikationSpilAngivelseTillægNote1Beløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseTillægNote2Beløb in $TivoliSpecifikation/ns0:SpecifikationSpilAngivelseTillægNote2Beløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseTillægNote2Beløb>{ data($SpecifikationSpilAngivelseTillægNote2Beløb) }&lt;/ns0:SpecifikationSpilAngivelseTillægNote2Beløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $TivoliSpecifikation/ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) }&lt;/ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                                                                    }
                                                                                                &lt;/ns0:TivoliSpecifikation>
                                                                                        }
                                                                                    &lt;/ns0:SpilTivoliSpecifikation>
                                                                                    else ""
                                                                            }
                                                                            {
                                                                                let $SpilRestaurationSpecifikation := $SpecifikationstypeInddata/ns0:SpilRestaurationSpecifikation
                                                                                return
                                                                                	if( count ($SpilRestaurationSpecifikation) > 0) then
                                                                                    &lt;ns0:SpilRestaurationSpecifikation>
                                                                                        {
                                                                                            let $RestaurationSpecifikation := $SpilRestaurationSpecifikation/ns0:RestaurationSpecifikation
                                                                                            return
                                                                                                &lt;ns0:RestaurationSpecifikation>
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ data($RestaurationSpecifikation/ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb) }&lt;/ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ data($RestaurationSpecifikation/ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) }&lt;/ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $RestaurationSpecifikation/ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) }&lt;/ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                                                                    }
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ data($RestaurationSpecifikation/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) }&lt;/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseFradrag30TusindeBeløb in $RestaurationSpecifikation/ns0:SpecifikationSpilAngivelseFradrag30TusindeBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseFradrag30TusindeBeløb>{ data($SpecifikationSpilAngivelseFradrag30TusindeBeløb) }&lt;/ns0:SpecifikationSpilAngivelseFradrag30TusindeBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $RestaurationSpecifikation/ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) }&lt;/ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                                                                    }
                                                                                                &lt;/ns0:RestaurationSpecifikation>
                                                                                        }
                                                                                    &lt;/ns0:SpilRestaurationSpecifikation>
                                                                                    else ""
                                                                            }
                                                                            {
                                                                                let $SpilSpillehalSpecifikation := $SpecifikationstypeInddata/ns0:SpilSpillehalSpecifikation
                                                                                return
                                                                                	if( count ($SpilSpillehalSpecifikation) > 0 ) then
                                                                                    &lt;ns0:SpilSpillehalSpecifikation>
                                                                                        {
                                                                                            let $SpillehalSpecifikation := $SpilSpillehalSpecifikation/ns0:SpillehalSpecifikation
                                                                                            return
                                                                                                &lt;ns0:SpillehalSpecifikation>
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ data($SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb) }&lt;/ns0:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ data($SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) }&lt;/ns0:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) }&lt;/ns0:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                                                                    }
                                                                                                    &lt;ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ data($SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) }&lt;/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseFradrag250TusindeBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseFradrag250TusindeBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseFradrag250TusindeBeløb>{ data($SpecifikationSpilAngivelseFradrag250TusindeBeløb) }&lt;/ns0:SpecifikationSpilAngivelseFradrag250TusindeBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseTillægNote1Beløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseTillægNote1Beløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseTillægNote1Beløb>{ data($SpecifikationSpilAngivelseTillægNote1Beløb) }&lt;/ns0:SpecifikationSpilAngivelseTillægNote1Beløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseTillægNote2Beløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseTillægNote2Beløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseTillægNote2Beløb>{ data($SpecifikationSpilAngivelseTillægNote2Beløb) }&lt;/ns0:SpecifikationSpilAngivelseTillægNote2Beløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) }&lt;/ns0:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb>{ data($SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb) }&lt;/ns0:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseAfgift30ProcentBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseAfgift30ProcentBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseAfgift30ProcentBeløb>{ data($SpecifikationSpilAngivelseAfgift30ProcentBeløb) }&lt;/ns0:SpecifikationSpilAngivelseAfgift30ProcentBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb>{ data($SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb) }&lt;/ns0:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseMidlerUdlodningBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseMidlerUdlodningBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseMidlerUdlodningBeløb>{ data($SpecifikationSpilAngivelseMidlerUdlodningBeløb) }&lt;/ns0:SpecifikationSpilAngivelseMidlerUdlodningBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseNedslag95ProcentBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseNedslag95ProcentBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseNedslag95ProcentBeløb>{ data($SpecifikationSpilAngivelseNedslag95ProcentBeløb) }&lt;/ns0:SpecifikationSpilAngivelseNedslag95ProcentBeløb>
                                                                                                    }
                                                                                                    {
                                                                                                        for $SpecifikationSpilAngivelseAfgiftNedslagBeløb in $SpillehalSpecifikation/ns0:SpecifikationSpilAngivelseAfgiftNedslagBeløb
                                                                                                        return
                                                                                                            &lt;ns0:SpecifikationSpilAngivelseAfgiftNedslagBeløb>{ data($SpecifikationSpilAngivelseAfgiftNedslagBeløb) }&lt;/ns0:SpecifikationSpilAngivelseAfgiftNedslagBeløb>
                                                                                                    }
                                                                                                &lt;/ns0:SpillehalSpecifikation>
                                                                                        }
                                                                                    &lt;/ns0:SpilSpillehalSpecifikation>
                                                                                    else ""
                                                                            }
                                                                        &lt;/ns0:SpecifikationstypeInddata>
                                                                }
                                                            &lt;/ns0:SpecifikationSpilAngivelseInddata>
                                                    }
                                                &lt;/ns0:SpecifikationSpilAngivelseInddataListe>
                                        }
                                    &lt;/ns0:SpecifikationMultiEnhedInddata>
                                    else ""
                            }
                        &lt;/ns0:SpecifikationMultiListeInddata>
                }
            &lt;/ns0:SpecifikationSpilAngivelseMultiOpret_I>
};

declare variable $modtagSpilleAfgiftGebyrAngivelse_I1 as element(ns0:ModtagSpilleAfgiftGebyrAngivelse_I) external;

xf:ModtagSpilleAfgiftGebyrAngivelse_2_SKAT_2_SKAT_Input($modtagSpilleAfgiftGebyrAngivelse_I1)</con:xquery>
</con:xqueryEntry>