<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/MomsFilInput/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns2 = "http://toldskat.dk/xml/schemas/raplet/momsangivelsefilopret/2005/01/01/";



declare function xf:MomsFilInput($momsAngivelseFilOpret_I1 as element(ns1:MomsAngivelseFilOpret_I))
    as element(ns0:MomsAngivelseFilOpret) {
        let $MomsAngivelseFilOpret_I := $momsAngivelseFilOpret_I1
        return
            &lt;ns0:MomsAngivelseFilOpret>
                {
                    let $Kontekst := $MomsAngivelseFilOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENummerIndberetter>{ data ( $MomsAngivelseFilOpret_I/ns1:MomsAngivelseinddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer ) }&lt;/ns0:SENummerIndberetter>
                &lt;ns0:ValgtIndberetningsForm>{ xs:string( data($MomsAngivelseFilOpret_I/ns1:MomsAngivelseinddata/ns1:AngivelseValgtIndberetningFormKode) ) }&lt;/ns0:ValgtIndberetningsForm>
                &lt;ns2:MomsAngivelseFilXMLOpret>
                    &lt;ns2:Hoved>
                        &lt;ns2:Identifikation>
                        	&lt;ns2:Modtager>{data("ToldSkat")}&lt;/ns2:Modtager>
                        	&lt;ns2:Indberetningstype>{data("PROD")}&lt;/ns2:Indberetningstype>
                        	&lt;ns2:Medie>{data("Fil")}&lt;/ns2:Medie>
                        	&lt;ns2:DannetDato>{xs:date(data(current-date()))}&lt;/ns2:DannetDato>
                        	&lt;ns2:DannetKlokken>
	                        	{
									concat(padInFront(xs:string(hours-from-time(current-time())),2,'0'),
	                        		padInFront(xs:string(minutes-from-time(current-time())), 2, '0'))
		                        	
	                        		

	                        	}
                        	&lt;/ns2:DannetKlokken>
                        	&lt;ns2:GenereretAf>{data("SKAT System Mod")}&lt;/ns2:GenereretAf>
                        &lt;/ns2:Identifikation>
                        {	
                            let $IndberetterVirksomhedSENummer := $MomsAngivelseFilOpret_I/ns1:MomsAngivelseinddata/ns1:IndberetterVirksomhedSENummer
                            return
                                &lt;ns2:Indberetter>
                                	&lt;ns2:IndberetterSENummer>{ data ( $MomsAngivelseFilOpret_I/ns1:MomsAngivelseinddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer ) }&lt;/ns2:IndberetterSENummer>
                                &lt;/ns2:Indberetter>
                        }
                    &lt;/ns2:Hoved>
                    {
                        for $MomsAngivelseslinie in $MomsAngivelseFilOpret_I/ns1:MomsAngivelseinddata/ns1:MomsAngivelsesliste/ns1:MomsAngivelseslinie
                        return
                            &lt;ns2:Moms>
                                &lt;ns2:Ident>
                                	&lt;ns2:VirksomhedSENummer>{ data($MomsAngivelseslinie/ns1:AngivelseInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer )} &lt;/ns2:VirksomhedSENummer>
                                    &lt;ns2:Periode>{ data($MomsAngivelseslinie/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns2:Periode>
                                    {
                                        for $AngivelseValuta in $MomsAngivelseslinie/ns1:AngivelseInddata/ns1:AngivelseValuta
                                        return
                                            &lt;ns2:Valuta>{ data($AngivelseValuta) }&lt;/ns2:Valuta>
                                    }
                                &lt;/ns2:Ident>
                                &lt;ns2:Angivelse>
                                    &lt;ns2:Salgsmoms>{ data($MomsAngivelseslinie/ns1:MomsAngivelseSalgsMomsBeløb) }&lt;/ns2:Salgsmoms>
                                    {
                                        for $MomsAngivelseMomsEUKøbBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseMomsEUKøbBeløb
                                        return
                                            &lt;ns2:MomsAfEUVarekoeb>{ data($MomsAngivelseMomsEUKøbBeløb) }&lt;/ns2:MomsAfEUVarekoeb>
                                    }
                                    &lt;ns2:Koebsmoms>{ data($MomsAngivelseslinie/ns1:MomsAngivelseKøbsMomsBeløb) }&lt;/ns2:Koebsmoms>
                                    {
                                        for $MomsAngivelseOlieAfgiftBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseOlieAfgiftBeløb
                                        return
                                            &lt;ns2:OlieOgFlaskegasafgift>{ data($MomsAngivelseOlieAfgiftBeløb) }&lt;/ns2:OlieOgFlaskegasafgift>
                                    }
                                    {
                                        for $MomsAngivelseElAfgiftBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseElAfgiftBeløb
                                        return
                                            &lt;ns2:Elafgift>{ data($MomsAngivelseElAfgiftBeløb) }&lt;/ns2:Elafgift>
                                    }
                                    {
                                        for $MomsAngivelseGasAfgiftBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseGasAfgiftBeløb
                                        return
                                            &lt;ns2:NaturOgBygasafgift>{ data($MomsAngivelseGasAfgiftBeløb) }&lt;/ns2:NaturOgBygasafgift>
                                    }
                                    {
                                        for $MomsAngivelseKulAfgiftBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseKulAfgiftBeløb
                                        return
                                            &lt;ns2:Kulafgift>{ data($MomsAngivelseKulAfgiftBeløb) }&lt;/ns2:Kulafgift>
                                    }
                                    {
                                        for $MomsAngivelseCO2AfgiftBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseCO2AfgiftBeløb
                                        return
                                            &lt;ns2:Co2afgift>{ data($MomsAngivelseCO2AfgiftBeløb) }&lt;/ns2:Co2afgift>
                                    }
                                    {
                                        for $MomsAngivelseVandAfgiftBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseVandAfgiftBeløb
                                        return
                                            &lt;ns2:Vandafgift>{ data($MomsAngivelseVandAfgiftBeløb) }&lt;/ns2:Vandafgift>
                                    }
                                    &lt;ns2:AfgiftsbeloebIAlt>{ data($MomsAngivelseslinie/ns1:MomsAngivelseAfgiftTilsvarBeløb) }&lt;/ns2:AfgiftsbeloebIAlt>
                                    {
                                        for $MomsAngivelseEUKøbBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseEUKøbBeløb
                                        return
                                            &lt;ns2:RubrikA>{ data($MomsAngivelseEUKøbBeløb) }&lt;/ns2:RubrikA>
                                    }
                                    {
                                        for $MomsAngivelseEUSalgBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseEUSalgBeløb
                                        return
                                            &lt;ns2:RubrikB>{ data($MomsAngivelseEUSalgBeløb) }&lt;/ns2:RubrikB>
                                    }
                                    {
                                        for $MomsAngivelseEksportOmsætningBeløb in $MomsAngivelseslinie/ns1:MomsAngivelseEksportOmsætningBeløb
                                        return
                                            &lt;ns2:RubrikC>{ data($MomsAngivelseEksportOmsætningBeløb) }&lt;/ns2:RubrikC>
                                    }
                                &lt;/ns2:Angivelse>
                                {
                                    let $BetalingInddata := $MomsAngivelseslinie/ns1:AngivelseInddata/ns1:BetalingInddata
                                    return
                                        &lt;ns2:Betaling>
                                            &lt;ns2:Betalingstype>{ data($BetalingInddata/ns1:BetalingValgtBetalingFormidler) }&lt;/ns2:Betalingstype>
                                            {
                                                for $BetalingDato in $BetalingInddata/ns1:BetalingDato
                                                return
                                                    &lt;ns2:Betalingsdag>{ data($BetalingDato) }&lt;/ns2:Betalingsdag>
                                            }
                                            {
                                                for $BetalingBeløb in $BetalingInddata/ns1:BetalingBeløb
                                                return
                                                    &lt;ns2:Betalingsbeloeb>{ data($BetalingBeløb) }&lt;/ns2:Betalingsbeloeb>
                                            }
                                        &lt;/ns2:Betaling>
                                }
                            &lt;/ns2:Moms>
                    }
                &lt;/ns2:MomsAngivelseFilXMLOpret>
            &lt;/ns0:MomsAngivelseFilOpret>
};

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare variable $momsAngivelseFilOpret_I1 as element(ns1:MomsAngivelseFilOpret_I) external;

xf:MomsFilInput($momsAngivelseFilOpret_I1)</con:xquery>
</con:xqueryEntry>