<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance2/MomsANgHentINPUT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:MomsANgHentINPUT($momsAngivelseHent_I1 as element(ns1:MomsAngivelseHent_I))
    as element(ns0:MomsAngivelseHent) {
        let $MomsAngivelseHent_I := $momsAngivelseHent_I1
        return
            &lt;ns0:MomsAngivelseHent>
                {
                    let $Kontekst := $MomsAngivelseHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                for $VirksomhedSENUmmer in $MomsAngivelseHent_I/ns1:AngivelseInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                return
                	&lt;ns0:SENummerAngiver>{data($VirksomhedSENUmmer)}&lt;/ns0:SENummerAngiver>
                }
                {
                    for $AngivelseKvitteringNummer in $MomsAngivelseHent_I/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ xs:string( data($AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                }
                {
                    let $AngivelseValgtPeriode := $MomsAngivelseHent_I/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode
                    return
                        &lt;ns0:AngivelserValgtPeriode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                            }
                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                        &lt;/ns0:AngivelserValgtPeriode>
                }
            &lt;/ns0:MomsAngivelseHent>
};

declare variable $momsAngivelseHent_I1 as element(ns1:MomsAngivelseHent_I) external;

xf:MomsANgHentINPUT($momsAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>