<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/MomsAngivelseListSvar_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:MomsAngivelseListSvar_TACTICAL_2_SKAT_Output($momsAngivelseListSvar1 as element(ns0:MomsAngivelseListSvar))
    as element(ns1:MomsAngivelseList_O) {
        let $MomsAngivelseListSvar := $momsAngivelseListSvar1
        return
            &lt;ns1:MomsAngivelseList_O>
                {
                    let $Kontekst := $MomsAngivelseListSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                let $AngivelListOplysninger := $MomsAngivelseListSvar/ns0:AngivelserListOplysninger
				 let $AngivelserValgtPer := $AngivelListOplysninger/ns0:AngivelserValgtPeriode
				   return 
				   	if(count($AngivelserValgtPer) > 0) then
                &lt;ns1:MomsAngivelseListe>
                    {
                        for $AngivelserListOplysninger in $MomsAngivelseListSvar/ns0:AngivelserListOplysninger
                        return
                            &lt;ns1:MomsAngivelseUddata>
                                {
                                    let $AngivelserValgtPeriode := $AngivelserListOplysninger/ns0:AngivelserValgtPeriode
                                    return
                                        &lt;ns1:AngivelseValgtPeriode>
                                            {
                                                for $StartDato in $AngivelserValgtPeriode/ns0:StartDato
                                                return
                                                    &lt;ns1:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                            }
                                            &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($AngivelserValgtPeriode/ns0:SlutDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                        &lt;/ns1:AngivelseValgtPeriode>
                                }
                                {
                                    for $UnderKontoArtKode in $AngivelserListOplysninger/ns0:UnderKontoArtKode
                                    return
                                        &lt;ns1:AngivelseFrekvensForholdUnderkontoArtKode>{ data($UnderKontoArtKode) }&lt;/ns1:AngivelseFrekvensForholdUnderkontoArtKode>
                                }
                                &lt;ns1:AngivelseKvitteringNummer>{ xs:string( data($AngivelserListOplysninger/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                &lt;ns1:AngivelseAngivelseTid>{ data($AngivelserListOplysninger/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                &lt;ns1:AngivelseTilladtAktion>{ data($AngivelserListOplysninger/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
                                
                                {
                                	let $seNummer :=  $AngivelserListOplysninger/ns0:SENummerIndberetter
                                	return 
                                		if(count($seNummer) > 0) then (
                                     &lt;ns1:VirksomhedUddata>
                                     &lt;ns1:IndberetterVirksomhedSENummer>
                                        &lt;ns1:VirksomhedSENummer>{ xs:string( data($seNummer) ) }&lt;/ns1:VirksomhedSENummer>
                                    &lt;/ns1:IndberetterVirksomhedSENummer>
                                      &lt;/ns1:VirksomhedUddata>)
                                    else  (
                                            &lt;ns1:VirksomhedUddata/>
                                     )
                                    
                                    
                                }
                                
                            &lt;/ns1:MomsAngivelseUddata>
                    }
                &lt;/ns1:MomsAngivelseListe>
                else ""
                }
            &lt;/ns1:MomsAngivelseList_O>
};

declare variable $momsAngivelseListSvar1 as element(ns0:MomsAngivelseListSvar) external;

xf:MomsAngivelseListSvar_TACTICAL_2_SKAT_Output($momsAngivelseListSvar1)</con:xquery>
</con:xqueryEntry>