<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/deliverance2/MomsAngivelseIOpretSvar_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:MomsAngivelseIOpretSvar_TACTICAL_2_SKAT_Output($momsAngivelseOpretSvar1 as element(ns0:MomsAngivelseOpretSvar))
    as element(ns1:MomsAngivelseOpret_O) {
        let $MomsAngivelseOpretSvar := $momsAngivelseOpretSvar1
        return
            &lt;ns1:MomsAngivelseOpret_O>
                {
                    let $Kontekst := $MomsAngivelseOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    for $AngivelseOpretAendreSvar in $MomsAngivelseOpretSvar/ns0:AngivelseOpretAendreSvar
                    return
                        &lt;ns1:Angivelseskvittering>
                            {
                                for $BetalingsDato in $AngivelseOpretAendreSvar/ns0:BetalingsDato
                                return
                                    &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                            }
                            {
                                for $BetalingsBeloeb in $AngivelseOpretAendreSvar/ns0:BetalingsBeloeb
                                return
                                    &lt;ns1:BetalingBeløb>{ xs:integer( round(data($BetalingsBeloeb)) ) }&lt;/ns1:BetalingBeløb>
                            }
                            &lt;ns1:AngivelseKvitteringNummer>{ xs:string( data($AngivelseOpretAendreSvar/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                            {
                                for $ValutaKode in $AngivelseOpretAendreSvar/ns0:ValutaKode
                                return
                                    &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                            }
                            {
                                for $OCRLinie in $AngivelseOpretAendreSvar/ns0:OCRLinie
                                return
                                    &lt;ns1:OCRLinie>
                                        &lt;ns1:AngivelseOCRKortType>{ xs:integer( data($OCRLinie/ns0:KortType) ) }&lt;/ns1:AngivelseOCRKortType>
                                        &lt;ns1:AngivelseOCRNummer>{ xs:string( data($OCRLinie/ns0:OCRNummer) ) }&lt;/ns1:AngivelseOCRNummer>
                                        &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                    &lt;/ns1:OCRLinie>
                            }
                        &lt;/ns1:Angivelseskvittering>
                }
            &lt;/ns1:MomsAngivelseOpret_O>
};

declare variable $momsAngivelseOpretSvar1 as element(ns0:MomsAngivelseOpretSvar) external;

xf:MomsAngivelseIOpretSvar_TACTICAL_2_SKAT_Output($momsAngivelseOpretSvar1)</con:xquery>
</con:xqueryEntry>