<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/MomsAngivelseSystemIntegration_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns2 = "http://toldskat.dk/xml/schemas/raplet/kontekst/2005/01/01/";

declare function betalingsFormidler($betformidler) as xs:string{

		if ($betformidler = "SKB") then "JyskeBank"
		else if($betformidler = "AndenBetalingsform") then "Anden betalingsform"
		else if($betformidler = "JyskeBank") then "SKB"
		else if($betformidler = "Anden betalingsform") then "AndenBetalingsform"
		else $betformidler
};
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:MomsAngivelseSystemIntegration_SKAT_2_Tactical_Input($momsAngivelseSystemIntegration_I1 as element(ns1:MomsAngivelseSystemIntegration_I))
    as element(ns0:MomsAngivelseSystemintegration) {
        let $MomsAngivelseSystemIntegration_I := $momsAngivelseSystemIntegration_I1
        return
            &lt;ns0:MomsAngivelseSystemintegration>
                {
                    let $Kontekst := $MomsAngivelseSystemIntegration_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                    for $EnkeltAngivelse in $MomsAngivelseSystemIntegration_I/ns1:Angivelsesliste/ns1:EnkeltAngivelse
                    return
                        &lt;ns0:MomsAngivelseSystemintegrationOplysninger>
                            &lt;ns0:SENumre>
                                {
                                    let $VirksomhedSENummer := $EnkeltAngivelse/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer
                                    return
                                        &lt;ns0:SENummerIndberetter>{ data($VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                                }
                                {
                                    let $VirksomhedSENummer := $EnkeltAngivelse/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                                    return
                                        &lt;ns0:SENummerAngiver>{ data($VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                                }
                            &lt;/ns0:SENumre>
                            &lt;ns0:AngivelserBetalingsOplysningerSystemintegration>
                                {
                                    for $AngivelseValgtIndberetningFormKode in $EnkeltAngivelse/ns1:Angivelsesoplysninger/ns1:AngivelseValgtIndberetningFormKode
                                    return
                                        &lt;ns0:ValgtIndberetningsForm>{ padInFront(data($AngivelseValgtIndberetningFormKode), 3, "0") }&lt;/ns0:ValgtIndberetningsForm>
                                }
                                &lt;ns0:AngivelsesTidspunkt>{ data($EnkeltAngivelse/ns1:Angivelsesoplysninger/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                                {
                                    let $AngivelseValgtPeriode := $EnkeltAngivelse/ns1:Angivelsesoplysninger/ns1:AngivelseValgtPeriode
                                    return
                                        &lt;ns0:AngivelserValgtPeriode>
                                            {
                                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                                return
                                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                            }
                                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                                        &lt;/ns0:AngivelserValgtPeriode>
                                }
                                &lt;ns0:ValutaKode>{ data($EnkeltAngivelse/ns1:Angivelsesoplysninger/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                                {
                                    for $BetalingValgtBetalingFormidler in $EnkeltAngivelse/ns1:Betalingsoplysninger/ns1:BetalingValgtBetalingFormidler
                                    return
                                        &lt;ns0:ValgtBetalingsFormidler>{ data($BetalingValgtBetalingFormidler) }&lt;/ns0:ValgtBetalingsFormidler>
                                }
                                {
                                    for $BetalingDato in $EnkeltAngivelse/ns1:Betalingsoplysninger/ns1:BetalingDato
                                    return
                                        &lt;ns0:BetalingsDato>{ data($BetalingDato) }&lt;/ns0:BetalingsDato>
                                }
                                {
                                    for $BetalingBeløb in $EnkeltAngivelse/ns1:Betalingsoplysninger/ns1:BetalingBeløb
                                    return
                                        &lt;ns0:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns0:BetalingsBeloeb>
                                }
                            &lt;/ns0:AngivelserBetalingsOplysningerSystemintegration>
                            {
                                let $Angivelsesafgifter := $EnkeltAngivelse/ns1:Angivelsesafgifter
                                return
                                    &lt;ns0:MomsAngivelsesAfgifter>
                                        &lt;ns0:AfgiftTilsvar>{ xs:decimal( data($Angivelsesafgifter/ns1:MomsAngivelseAfgiftTilsvarBeløb) ) }&lt;/ns0:AfgiftTilsvar>
                                        {
                                            for $MomsAngivelseCO2AfgiftBeløb in $Angivelsesafgifter/ns1:MomsAngivelseCO2AfgiftBeløb
                                            return
                                                &lt;ns0:CO2Afgift>{ xs:decimal( data($MomsAngivelseCO2AfgiftBeløb) ) }&lt;/ns0:CO2Afgift>
                                        }
                                        {
                                            for $MomsAngivelseEUKøbBeløb in $Angivelsesafgifter/ns1:MomsAngivelseEUKøbBeløb
                                            return
                                                &lt;ns0:EUKoeb>{ xs:decimal( data($MomsAngivelseEUKøbBeløb) ) }&lt;/ns0:EUKoeb>
                                        }
                                        {
                                            for $MomsAngivelseEUSalgBeløb in $Angivelsesafgifter/ns1:MomsAngivelseEUSalgBeløb
                                            return
                                                &lt;ns0:EUSalg>{ xs:decimal( data($MomsAngivelseEUSalgBeløb) ) }&lt;/ns0:EUSalg>
                                        }
                                        {
                                            for $MomsAngivelseElAfgiftBeløb in $Angivelsesafgifter/ns1:MomsAngivelseElAfgiftBeløb
                                            return
                                                &lt;ns0:ElAfgift>{ xs:decimal( data($MomsAngivelseElAfgiftBeløb) ) }&lt;/ns0:ElAfgift>
                                        }
                                        {
                                            for $MomsAngivelseEksportOmsætningBeløb in $Angivelsesafgifter/ns1:MomsAngivelseEksportOmsætningBeløb
                                            return
                                                &lt;ns0:ExportOmsaetning>{ xs:decimal( data($MomsAngivelseEksportOmsætningBeløb) ) }&lt;/ns0:ExportOmsaetning>
                                        }
                                        {
                                            for $MomsAngivelseGasAfgiftBeløb in $Angivelsesafgifter/ns1:MomsAngivelseGasAfgiftBeløb
                                            return
                                                &lt;ns0:GasAfgift>{ xs:decimal( data($MomsAngivelseGasAfgiftBeløb) ) }&lt;/ns0:GasAfgift>
                                        }
                                        {
                                            for $MomsAngivelseKulAfgiftBeløb in $Angivelsesafgifter/ns1:MomsAngivelseKulAfgiftBeløb
                                            return
                                                &lt;ns0:KulAfgift>{ xs:decimal( data($MomsAngivelseKulAfgiftBeløb) ) }&lt;/ns0:KulAfgift>
                                        }
                                        {
                                            for $MomsAngivelseMomsEUKøbBeløb in $Angivelsesafgifter/ns1:MomsAngivelseMomsEUKøbBeløb
                                            return
                                                &lt;ns0:MomsEUKoeb>{ xs:decimal( data($MomsAngivelseMomsEUKøbBeløb) ) }&lt;/ns0:MomsEUKoeb>
                                        }
                                        {
                                            for $MomsAngivelseMomsEUYdelserBeløb in $Angivelsesafgifter/ns1:MomsAngivelseMomsEUYdelserBeløb
                                            return
                                                &lt;ns0:MomsEUYdelser>{ xs:decimal( data($MomsAngivelseMomsEUYdelserBeløb) ) }&lt;/ns0:MomsEUYdelser>
                                        }
                                        {
                                            for $MomsAngivelseOlieAfgiftBeløb in $Angivelsesafgifter/ns1:MomsAngivelseOlieAfgiftBeløb
                                            return
                                                &lt;ns0:OlieAfgift>{ xs:decimal( data($MomsAngivelseOlieAfgiftBeløb) ) }&lt;/ns0:OlieAfgift>
                                        }
                                        {
                                            for $MomsAngivelseSalgsMomsBeløb in $Angivelsesafgifter/ns1:MomsAngivelseSalgsMomsBeløb
                                            return
                                                &lt;ns0:SalgsMoms>{ xs:decimal( data($MomsAngivelseSalgsMomsBeløb) ) }&lt;/ns0:SalgsMoms>
                                        }
                                        {
                                            for $MomsAngivelseKøbsMomsBeløb in $Angivelsesafgifter/ns1:MomsAngivelseKøbsMomsBeløb
                                            return
                                                &lt;ns0:KoebsMoms>{ xs:decimal( data($MomsAngivelseKøbsMomsBeløb) ) }&lt;/ns0:KoebsMoms>
                                        }
                                        {
                                            for $MomsAngivelseVandAfgiftBeløb in $Angivelsesafgifter/ns1:MomsAngivelseVandAfgiftBeløb
                                            return
                                                &lt;ns0:VandAfgift>{ xs:decimal( data($MomsAngivelseVandAfgiftBeløb) ) }&lt;/ns0:VandAfgift>
                                        }
                                    &lt;/ns0:MomsAngivelsesAfgifter>
                            }
                        &lt;/ns0:MomsAngivelseSystemintegrationOplysninger>
                }
            &lt;/ns0:MomsAngivelseSystemintegration>
};

declare variable $momsAngivelseSystemIntegration_I1 as element(ns1:MomsAngivelseSystemIntegration_I) external;

xf:MomsAngivelseSystemIntegration_SKAT_2_Tactical_Input($momsAngivelseSystemIntegration_I1)</con:xquery>
</con:xqueryEntry>