<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/PAFAngivelseFilOpret_SKAT_2_TACTICAL/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:PAFAngivelseFilOpret_SKAT_2_TACTICAL($pAFAngivelseFilOpret_I1 as element(ns1:PAFAngivelseFilOpret_I))
    as element(ns0:PAFAngivelseFilOpret) {
        let $PAFAngivelseFilOpret_I := $pAFAngivelseFilOpret_I1
        return
            &lt;ns0:PAFAngivelseFilOpret>
                {
                    let $Kontekst := $PAFAngivelseFilOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:PAFAngivelsesOplysninger>
                    {
                        let $IndberetterVirksomhedSENummer := $PAFAngivelseFilOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer
                        return
                            &lt;ns0:SENummerIndberetter>{ data($IndberetterVirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    }
                    &lt;ns0:ValgtIndberetningsForm>{ data(padInFront($PAFAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode, 3, '0') ) }&lt;/ns0:ValgtIndberetningsForm>
                    &lt;ns0:AngivelsesTidspunkt>{ data($PAFAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                    &lt;ns0:PAFIndsendelsesReference>{ data($PAFAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PAFAngivelseInddata/ns1:PAFAngivelseIndsendelseReference) }&lt;/ns0:PAFIndsendelsesReference>
                    &lt;ns0:PAFAfsender>{ data($PAFAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AfsenderKode) }&lt;/ns0:PAFAfsender>
                    &lt;ns0:PAFModtager>{ data(xs:string("SKAT")) }&lt;/ns0:PAFModtager>
                    {
                        let $PAFValg := $pAFAngivelseFilOpret_I1/ns1:InputParametre/ns1:AngivelseInddata/ns1:PAFMulighedListe/ns1:PAFValg
                        return
                            &lt;ns0:PAFAngivelsesListe>	
                                {
                                    for $PAFValg in $PAFAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PAFMulighedListe/ns1:PAFValg
                                    return
                                        &lt;ns0:PAFAngivelse>
                                            {
                                                let $PAFAngivelseP30 := $PAFValg/ns1:PAFAngivelseP30
                                                return
                                                	let $PAFAngivelsePensionAfgiftType := $PAFAngivelseP30/ns1:PAFAngivelsePensionAfgiftType 
                                        			return if (count($PAFAngivelseP30)> 0) then
                                                    &lt;ns0:P30Angivelse>
                                                        &lt;ns0:PensionsAfgiftsType>{ data($PAFAngivelseP30/ns1:PAFAngivelsePensionAfgiftType) }&lt;/ns0:PensionsAfgiftsType>
                                                        &lt;ns0:ValutaKode>{ data($PAFAngivelseP30/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                                                        {
                                                            let $AngiverVirksomhedSENummer := $PAFAngivelseP30/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                                                            return
                                                                &lt;ns0:SENummerAngiver>{ data($AngiverVirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                                                        }
                                                        &lt;ns0:CPRNummer>{ data($PAFAngivelseP30/ns1:PAFAngivelseCPRNummer) }&lt;/ns0:CPRNummer>
                                                        {
                                                            for $PAFAngivelseKontoNummer in $PAFAngivelseP30/ns1:PAFAngivelseKontoNummer
                                                            return
                                                                &lt;ns0:PAFKontoNummer>{ fn:replace(data($PAFAngivelseKontoNummer),"-","") }&lt;/ns0:PAFKontoNummer>
                                                        }
                                                        &lt;ns0:PAFReference>{ data($PAFAngivelseP30/ns1:PAFAngivelseReference) }&lt;/ns0:PAFReference>
                                                        &lt;ns0:OprettelsesDato>{ data($PAFAngivelseP30/ns1:PAFAngivelseOprettetDato) }&lt;/ns0:OprettelsesDato>
                                                        &lt;ns0:PAFUdbetalingsDato>{ data($PAFAngivelseP30/ns1:PAFAngivelseUdbetalingDato) }&lt;/ns0:PAFUdbetalingsDato>
                                                        &lt;ns0:OrdningKode>{ data(fn:substring($PAFAngivelseP30/ns1:PAFAngivelseOrdningKode , 1 , 1))}&lt;/ns0:OrdningKode>
                                                        &lt;ns0:OphaevAarsagKode>{ data(fn:substring($PAFAngivelseP30/ns1:PAFAngivelseOphævelseKode , 1 , 2))}&lt;/ns0:OphaevAarsagKode>
                                                        &lt;ns0:SamletVaerdi>{ xs:decimal( data($PAFAngivelseP30/ns1:PAFAngivelseSamletVærdiBeløb) ) }&lt;/ns0:SamletVaerdi>
                                                        {
                                                            for $PAFAngivelseAfgiftpligtigVærdiBeløb in $PAFAngivelseP30/ns1:PAFAngivelseAfgiftpligtigVærdiBeløb
                                                            return
                                                                &lt;ns0:AfgiftsPligtigVaerdi>{ xs:decimal( data($PAFAngivelseAfgiftpligtigVærdiBeløb) ) }&lt;/ns0:AfgiftsPligtigVaerdi>
                                                        }
                                                        {
                                                            for $PAFAngivelseSaldo1979Beløb in $PAFAngivelseP30/ns1:PAFAngivelseSaldo1979Beløb
                                                            return
                                                                &lt;ns0:Vaerdi1979>{ xs:decimal( data($PAFAngivelseSaldo1979Beløb) ) }&lt;/ns0:Vaerdi1979>
                                                        }
                                                        {
                                                            for $PAFAngivelseSaldoFør1972Beløb in $PAFAngivelseP30/ns1:PAFAngivelseSaldoFør1972Beløb
                                                            return
                                                                &lt;ns0:BidragFoer1972>{ xs:decimal( data($PAFAngivelseSaldoFør1972Beløb) ) }&lt;/ns0:BidragFoer1972>
                                                        }
                                                        {
                                                            for $PAFAngivelseTilvækstEfter1979Beløb in $PAFAngivelseP30/ns1:PAFAngivelseTilvækstEfter1979Beløb
                                                            return
                                                                &lt;ns0:TilvaekstEfter1979>{ xs:decimal( data($PAFAngivelseTilvækstEfter1979Beløb) ) }&lt;/ns0:TilvaekstEfter1979>
                                                        }
                                                        {
                                                        for $PAFAngivelseFør1972 in $PAFAngivelseP30/ns1:PAFAngivelseFør1972
                                                        return                                                         
	                                                        &lt;ns0:BeloebFoer1972>
	                                                        	{
	                                                                let $PAFAngivelseIndbetaltFør1972Beløb := $PAFAngivelseP30/ns1:PAFAngivelseFør1972/ns1:PAFAngivelseIndbetaltFør1972Beløb
	                                                                return if(string-length($PAFAngivelseIndbetaltFør1972Beløb)>0) then
	                                                                    &lt;ns0:IndbetalingerFoer1972>{ xs:decimal( data($PAFAngivelseIndbetaltFør1972Beløb) ) }&lt;/ns0:IndbetalingerFoer1972>
	                                                                  else ""
	                                                            }
	                                                            {
	                                                                let $PAFAngivelseBidragFør1972Over350Beløb := $PAFAngivelseP30/ns1:PAFAngivelseFør1972/ns1:PAFAngivelseBidragFør1972Over350Beløb
	                                                                return if(string-length($PAFAngivelseBidragFør1972Over350Beløb)>0) then
	                                                                    &lt;ns0:BidragFoer1972Over350>{ xs:decimal( data($PAFAngivelseBidragFør1972Over350Beløb) ) }&lt;/ns0:BidragFoer1972Over350>
	                                                                 else ""
	                                                            }
	                                                           
	                                                        &lt;/ns0:BeloebFoer1972>
                                                        }
                                                        &lt;ns0:AfregningsBeloeb>{ xs:decimal( data($PAFAngivelseP30/ns1:PAFAngivelseAfregningBeløb) ) }&lt;/ns0:AfregningsBeloeb>
                                                        {
                                                           for $PAFAngivelseUdenlandskPensionOrdningNummer in $PAFAngivelseP30/ns1:PAFAngivelseUdenlandskPensionOrdningNummer
                                                           return
                                                                &lt;ns0:UdenlandskPensionOrdningNummer>{ xs:string( data($PAFAngivelseUdenlandskPensionOrdningNummer) ) }&lt;/ns0:UdenlandskPensionOrdningNummer>
                                                        }
                                                    &lt;/ns0:P30Angivelse>
                                                    else ""
                                           			} 
                                                {
                                                let $PAFAngivelseP31 := $PAFValg/ns1:PAFAngivelseP31
                                                return
                                                	let $PAFAngivelsePensionAfgiftType := $PAFAngivelseP31/ns1:PAFAngivelsePensionAfgiftType
                                           			return if (count($PAFAngivelseP31)> 0) then
                                                    &lt;ns0:P31Angivelse>
                                                        &lt;ns0:PensionsAfgiftsType>{ data($PAFAngivelseP31/ns1:PAFAngivelsePensionAfgiftType) }&lt;/ns0:PensionsAfgiftsType>
                                                        &lt;ns0:ValutaKode>{ data($PAFAngivelseP31/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                                                        {
                                                    		let $AngiverVirksomhedSENummer := $PAFValg/ns1:PAFAngivelseP31/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                                                    		return
                                                        		&lt;ns0:SENummerAngiver>{ data($AngiverVirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                                                		}
                                                		&lt;ns0:CPRNummer>{ data($PAFAngivelseP31/ns1:PAFAngivelseCPRNummer) }&lt;/ns0:CPRNummer>
                                                        {
                                                            for $PAFAngivelseKontoNummer in $PAFAngivelseP31/ns1:PAFAngivelseKontoNummer
                                                            return
                                                                &lt;ns0:PAFKontoNummer>{ data($PAFAngivelseKontoNummer) }&lt;/ns0:PAFKontoNummer>
                                                        }
                                                        &lt;ns0:PAFReference>{ data($PAFAngivelseP31/ns1:PAFAngivelseReference) }&lt;/ns0:PAFReference>
                                                        {
                                                        	let $PAFAngivelseOprettetDato := $PAFAngivelseP31/ns1:PAFAngivelseOprettetDato
                                                        	return if(string-length($PAFAngivelseOprettetDato)>0) then
		                                                        		&lt;ns0:OprettelsesDato>{ data($PAFAngivelseP31/ns1:PAFAngivelseOprettetDato) }&lt;/ns0:OprettelsesDato>
		                                                      	   else ""
		                                                 }
                                                        &lt;ns0:PAFUdbetalingsDato>{ data($PAFAngivelseP31/ns1:PAFAngivelseUdbetalingDato) }&lt;/ns0:PAFUdbetalingsDato>
                                                        {
                                                            for $PAFAngivelseOrdningKode in $PAFAngivelseP31/ns1:PAFAngivelseOrdningKode
                                                            return
                                                            	&lt;ns0:OrdningKode>{ data(fn:substring($PAFAngivelseOrdningKode , 1 , 1))}&lt;/ns0:OrdningKode>
                                                        }
                                                        &lt;ns0:P31Ordning>
                                                        	{
                                                        		let $PAFAngivelseRatepensionMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseRatepensionMarkering
                                                        		return if(string-length($PAFAngivelseRatepensionMarkering)>0) then
                                                        					if($PAFAngivelseRatepensionMarkering = "T" or $PAFAngivelseRatepensionMarkering="t") then
		                                                            			&lt;ns0:RatePension>{ xs:boolean( data("true") ) }&lt;/ns0:RatePension>
		                                                            		else if($PAFAngivelseRatepensionMarkering = "F" or $PAFAngivelseRatepensionMarkering="f") then
                                                        							&lt;ns0:RatePension>{ xs:boolean( data("false") ) }&lt;/ns0:RatePension>
                                                        					else ""
                                                        				else ""
                                                    		}
                                                            {
                                                        		let $PAFAngivelsePensionsordningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelsePensionsordningMarkering
                                                        		return if(string-length($PAFAngivelsePensionsordningMarkering)>0) then
                                                        					if($PAFAngivelsePensionsordningMarkering = "T" or $PAFAngivelsePensionsordningMarkering="t") then
			                                                            		&lt;ns0:PensionsOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:PensionsOrdning>
			                                                            	else if($PAFAngivelsePensionsordningMarkering = "F" or $PAFAngivelsePensionsordningMarkering="f") then
                                                        		 					&lt;ns0:PensionsOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:PensionsOrdning>
                                                        		 			else ""
                                                        		 		else ""
                                                    		}
                                                    		{
                                                        		let $PAFAngivelseIndexordningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseIndex/ns1:PAFAngivelseIndexordningMarkering
                                                         		return if(string-length($PAFAngivelseIndexordningMarkering)>0) then
                                                         		&lt;ns0:P31IndexOrdning>
                                                         			{
                                                         			    if($PAFAngivelseIndexordningMarkering= "T" or $PAFAngivelseIndexordningMarkering = "t") then
                                                                			&lt;ns0:IndexOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:IndexOrdning>
                                                                		else if($PAFAngivelseIndexordningMarkering= "F" or $PAFAngivelseIndexordningMarkering = "f") then
	                                                                		&lt;ns0:IndexOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:IndexOrdning>
	                                                                	else ""
	                                                               	}
	                                                               	&lt;ns0:IndexAntal>{ xs:decimal( data($PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseIndex/ns1:PAFAngivelseIndexAntal) ) }&lt;/ns0:IndexAntal>
                                                            	&lt;/ns0:P31IndexOrdning>
                                                            	else ""
                                                    		}
                                                    		{
                                                        		let $PAFAngivelseSPOrdningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseSPOrdningMarkering
                                                        		return if(string-length($PAFAngivelseSPOrdningMarkering)>0) then
                                                        			 		if($PAFAngivelseSPOrdningMarkering = "T" or $PAFAngivelseSPOrdningMarkering = "t") then
                                                            					&lt;ns0:SPOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:SPOrdning>
                                                            				else if($PAFAngivelseSPOrdningMarkering = "F" or $PAFAngivelseSPOrdningMarkering = "f") then
                                                        						 &lt;ns0:SPOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:SPOrdning>
                                                        					else ""
                                                        				else ""
                                                    		}
                                                            {
                                                        		let $PAFAngivelseLDOrdningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseLDOrdningMarkering
                                                        		return if(string-length($PAFAngivelseLDOrdningMarkering)>0 ) then
                                                        				  if($PAFAngivelseLDOrdningMarkering = "T" or $PAFAngivelseLDOrdningMarkering = "t") then
			                                                            		&lt;ns0:LDOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:LDOrdning>
			                                                              else if($PAFAngivelseLDOrdningMarkering = "F" or $PAFAngivelseLDOrdningMarkering = "f") then
			                                                              		  &lt;ns0:LDOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:LDOrdning>
			                                                              	    else ""
			                                                         else ""
                                                    		}
                                                            {
                                                        		let $PAFAngivelseATPOrdningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseATPOrdningMarkering
                                                        		return if(string-length($PAFAngivelseATPOrdningMarkering)>0) then
                                                        					if($PAFAngivelseATPOrdningMarkering = "T" or $PAFAngivelseATPOrdningMarkering = "t") then
			                                                            		&lt;ns0:ATPOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:ATPOrdning>
			                                                            	else if($PAFAngivelseATPOrdningMarkering = "F" or $PAFAngivelseATPOrdningMarkering = "f") then
                                                        							 &lt;ns0:ATPOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:ATPOrdning>
                                                        					else ""
                                                        			else ""
                                                    		}
                                                            {
                                                        		let $PAFAngivelseFleksOrdningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseFleksOrdningMarkering
                                                        		return if(string-length($PAFAngivelseFleksOrdningMarkering)>0) then
                                                        			 		if($PAFAngivelseFleksOrdningMarkering = "T" or $PAFAngivelseFleksOrdningMarkering = "t") then
			                                                            		&lt;ns0:FleksOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:FleksOrdning>
			                                                            	else if($PAFAngivelseFleksOrdningMarkering = "F" or $PAFAngivelseFleksOrdningMarkering = "f") then
			                                                            		&lt;ns0:FleksOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:FleksOrdning>
			                                                            	else ""
                                                        		else ""
                                                    		}
                                                            {
                                                        		let $PAFAngivelseEfterlønOrdningMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseEfterlønOrdningMarkering
                                                        		return if(string-length($PAFAngivelseEfterlønOrdningMarkering)>0) then
                                                        					if($PAFAngivelseEfterlønOrdningMarkering = "T" or $PAFAngivelseEfterlønOrdningMarkering = "t") then
                                                            					&lt;ns0:EfterloensOrdning>{ xs:boolean( data("true") ) }&lt;/ns0:EfterloensOrdning>
                                                        					else if($PAFAngivelseEfterlønOrdningMarkering = "F" or $PAFAngivelseEfterlønOrdningMarkering = "f") then
                                                        						&lt;ns0:EfterloensOrdning>{ xs:boolean( data("false") ) }&lt;/ns0:EfterloensOrdning>
                                                        					else ""
                                                        		else ""
                                                    		}
                                                    		{
                                                    		   let $PAFAngivelseOphørendeLivrenteMarkering := $PAFAngivelseP31/ns1:ElementValgMulighed/ns1:PAFAngivelseOphørendeLivrenteMarkering
                                                    		   return if (string-length($PAFAngivelseOphørendeLivrenteMarkering)>0) then
                                                    		               if($PAFAngivelseOphørendeLivrenteMarkering = "T" or $PAFAngivelseOphørendeLivrenteMarkering = "t") then
                                                            					&lt;ns0:OphoerendeLivrente>{ xs:boolean( data("true") ) }&lt;/ns0:OphoerendeLivrente>
                                                        					else if($PAFAngivelseOphørendeLivrenteMarkering = "F" or $PAFAngivelseOphørendeLivrenteMarkering = "f") then
                                                        						&lt;ns0:OphoerendeLivrente>{ xs:boolean( data("false") ) }&lt;/ns0:OphoerendeLivrente>
                                                        					else ""
                                                        		else ""
                                                    		}
                                                            
                                                        &lt;/ns0:P31Ordning>
                                                        {
                                                            for $PAFAngivelseOphævelseKode in $PAFAngivelseP31/ns1:PAFAngivelseOphævelseKode
                                                            return
                                                            	&lt;ns0:OphaevAarsagKode>{ data(fn:substring($PAFAngivelseOphævelseKode , 1 , 2))}&lt;/ns0:OphaevAarsagKode>
                                                                                                                        }
                                                        {
                                                            for $PAFAngivelseFritagKode in $PAFAngivelseP31/ns1:PAFAngivelseFritagKode
                                                            return
                                                                &lt;ns0:FritagelsesKode>{ data($PAFAngivelseFritagKode) }&lt;/ns0:FritagelsesKode>
                                                        }
                                                        &lt;ns0:SamletVaerdi>{ xs:decimal( data($PAFAngivelseP31/ns1:PAFAngivelseSamletVærdiBeløb) ) }&lt;/ns0:SamletVaerdi>
                                                        {
                                                            for $PAFAngivelseAfgiftpligtigVærdiBeløb in $PAFAngivelseP31/ns1:PAFAngivelseAfgiftpligtigVærdiBeløb
                                                            return
                                                                &lt;ns0:AfgiftsPligtigVaerdi>{ xs:decimal( data($PAFAngivelseAfgiftpligtigVærdiBeløb) ) }&lt;/ns0:AfgiftsPligtigVaerdi>
                                                        }
                                                        {
                                                            for $PAFAngivelseSaldoFør1972Beløb in $PAFAngivelseP31/ns1:PAFAngivelseSaldoFør1972Beløb
                                                            return
                                                                &lt;ns0:VaerdiFoer1972>{ xs:decimal( data($PAFAngivelseSaldoFør1972Beløb) ) }&lt;/ns0:VaerdiFoer1972>
                                                        }
                                                        {
                                                            for $PAFAngivelseSaldo1972-1979Beløb in $PAFAngivelseP31/ns1:PAFAngivelseSaldo1972-1979Beløb
                                                            return
                                                                &lt;ns0:VaerdiMellem1972og1979>{ xs:decimal( data($PAFAngivelseSaldo1972-1979Beløb) ) }&lt;/ns0:VaerdiMellem1972og1979>
                                                        }
                                                        {
                                                            for $PAFAngivelseUafskrevetEfter1979Beløb in $PAFAngivelseP31/ns1:PAFAngivelseUafskrevetEfter1979Beløb
                                                            return
                                                                &lt;ns0:UafskrevneEfter1979>{ xs:decimal( data($PAFAngivelseUafskrevetEfter1979Beløb) ) }&lt;/ns0:UafskrevneEfter1979>
                                                        }                                                        
                                                        &lt;ns0:AfregningsBeloeb>{ xs:decimal( data($PAFAngivelseP31/ns1:PAFAngivelseAfregningBeløb) ) }&lt;/ns0:AfregningsBeloeb>
                                                        {
                                                           for $PAFAngivelseUdenlandskPensionOrdningNummer in $PAFAngivelseP31/ns1:PAFAngivelseUdenlandskPensionOrdningNummer
                                                           return
                                                                &lt;ns0:UdenlandskPensionOrdningNummer>{ xs:string( data($PAFAngivelseUdenlandskPensionOrdningNummer) ) }&lt;/ns0:UdenlandskPensionOrdningNummer>
                                                        }
                                                    &lt;/ns0:P31Angivelse>
                                                    else " "
                                            }
                                        &lt;/ns0:PAFAngivelse>
                                }
                            &lt;/ns0:PAFAngivelsesListe>
                    }
                &lt;/ns0:PAFAngivelsesOplysninger>
            &lt;/ns0:PAFAngivelseFilOpret>
};

declare variable $pAFAngivelseFilOpret_I1 as element(ns1:PAFAngivelseFilOpret_I) external;

xf:PAFAngivelseFilOpret_SKAT_2_TACTICAL($pAFAngivelseFilOpret_I1)</con:xquery>
</con:xqueryEntry>