<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCTransforms/PEREAngivelseKvittering_SKAT_2_TACTICAL/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:PEREAngivelseKvittering_SKAT_2_TACTICAL($pEREAngivelseOpret_I1 as element(ns1:PEREAngivelseOpret_I))
    as element(ns0:PEREAngivelseOpret) {
        let $PEREAngivelseOpret_I := $pEREAngivelseOpret_I1
        return
            &lt;ns0:PEREAngivelseOpret>
                {
                    let $Kontekst := $PEREAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:AngivelsesTidspunkt>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                &lt;ns0:ValutaKode>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                &lt;ns0:ValgtIndberetningsForm>{padInFront ( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode),3,'0' ) }&lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:PEREAngivelsesOplysningerOpret>
                    &lt;ns0:AngivelsesAar>{ xs:gYear( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseAngivelseÅr) ) }&lt;/ns0:AngivelsesAar>
                    {
                        for $PEREAngivelseBankRegistreringNummer in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseBankRegistreringNummer
                        return
                            &lt;ns0:BankRegistreringsNummer>{ data($PEREAngivelseBankRegistreringNummer) }&lt;/ns0:BankRegistreringsNummer>
                    }
                    &lt;ns0:EjerStatusKode>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseEjerStatusKode) }&lt;/ns0:EjerStatusKode>
                    &lt;ns0:AngivelsesMaaned>{ padInFront( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseAngivelseMåned),2,'0') }&lt;/ns0:AngivelsesMaaned>
                    &lt;ns0:OpgoerelsesDato>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseOpgørelseDato) }&lt;/ns0:OpgoerelsesDato>
                    &lt;ns0:OpgoerelsesMetode>{ xs:string( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseOpgørelseMetode) ) }&lt;/ns0:OpgoerelsesMetode>
                    &lt;ns0:PensionRettighedBeloeb>{ xs:decimal( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePensionRettighedBeløb) ) }&lt;/ns0:PensionRettighedBeloeb>
                    &lt;ns0:PoliceKontoNummer>{ xs:string( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePoliceKontoMedlemNummer) ) }&lt;/ns0:PoliceKontoNummer>
                    {
                        for $PEREAngivelseNavn in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseNavn
                        return
                            &lt;ns0:Navn>{ data($PEREAngivelseNavn) }&lt;/ns0:Navn>
                    }
                    {
                        for $PEREAngivelseGade in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseGade
                        return
                            &lt;ns0:Gade>{ data($PEREAngivelseGade) }&lt;/ns0:Gade>
                    }
                    {
                        for $PEREAngivelsePostDistrikt in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePostDistrikt
                        return
                            &lt;ns0:PostDistrikt>{ data($PEREAngivelsePostDistrikt) }&lt;/ns0:PostDistrikt>
                    }
                    {
                        for $PEREAngivelsePostNummer in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePostNummer
                        return
                            &lt;ns0:PostNummer>{ xs:string( data($PEREAngivelsePostNummer) ) }&lt;/ns0:PostNummer>
                    }
                    {
                        for $PEREAngivelseLandeKode in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseLandeKode
                        return
                            &lt;ns0:LandeKode>{ data($PEREAngivelseLandeKode) }&lt;/ns0:LandeKode>
                    }
                    &lt;ns0:RetteKode>{ data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseRetteKode) }&lt;/ns0:RetteKode>
                    &lt;ns0:SkatteKode>{ xs:string( data($PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseSkatOrdningKode) ) }&lt;/ns0:SkatteKode>
                    {
                      for $PEREAngivelseCPRNummer in $PEREAngivelseOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddata/ns1:PEREAngivelseCPRNummer
                      return
                          &lt;ns0:CPRNummer>{ data($PEREAngivelseCPRNummer) }&lt;/ns0:CPRNummer>
                     }
                &lt;/ns0:PEREAngivelsesOplysningerOpret>
            &lt;/ns0:PEREAngivelseOpret>
};

declare variable $pEREAngivelseOpret_I1 as element(ns1:PEREAngivelseOpret_I) external;

xf:PEREAngivelseKvittering_SKAT_2_TACTICAL($pEREAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>