<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/PunktAfgiftAngivelseMultiOpret_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function betalingsFormidler($betformidler) as xs:string{

		if ($betformidler = "SKB") then "JyskeBank"
		else if($betformidler = "AndenBetalingsform") then "Anden betalingsform"
		else if($betformidler = "JyskeBank") then "SKB"
		else if($betformidler = "Anden betalingsform") then "AndenBetalingsform"
		else $betformidler
};
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:PunktAfgiftAngivelseMultiOpret_SKAT_2_Tactical_Input($punktAfgiftAngivelseMultiOpret_I1 as element(ns1:PunktAfgiftAngivelseMultiOpret_I))
    as element(ns0:PunktAfgiftAngivelseMultiOpret) {
        let $PunktAfgiftAngivelseMultiOpret_I := $punktAfgiftAngivelseMultiOpret_I1
        return
            &lt;ns0:PunktAfgiftAngivelseMultiOpret>
                {
                    let $Kontekst := $PunktAfgiftAngivelseMultiOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                
                        &lt;ns0:SENummerIndberetter>{ data ($PunktAfgiftAngivelseMultiOpret_I/ns1:InputParametre/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
       
                &lt;ns0:ValgtIndberetningsForm>{ xs:string( padInFront( data($PunktAfgiftAngivelseMultiOpret_I/ns1:InputParametre/ns1:AngivelseValgtIndberetningFormKode), 3, '0' ) ) }&lt;/ns0:ValgtIndberetningsForm>
                {
                    let $MultiOpretListe := $PunktAfgiftAngivelseMultiOpret_I/ns1:InputParametre/ns1:MultiOpretListe
                    return
                        &lt;ns0:PunktAfgiftAngivelseMultiOpretListe>
                            {
                                for $MultiOpretEnhed in $MultiOpretListe/ns1:MultiOpretEnhed
                                return
                                    &lt;ns0:PunktAfgiftAngivelsMultiOpretOplysninger>
                                        
                                                &lt;ns0:SENummerAngiver>{ data ($MultiOpretEnhed/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                                        
                                        &lt;ns0:AngivelsesTidspunkt>{ data($MultiOpretEnhed/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                                        {
                                            let $AngivelseValgtPeriode := $MultiOpretEnhed/ns1:AngivelseValgtPeriode
                                            return
                                                &lt;ns0:AngivelserValgtPeriode>
                                                    {
                                                        for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                                        return
                                                            &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                                    }
                                                    &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                                                &lt;/ns0:AngivelserValgtPeriode>
                                        }
                                        &lt;ns0:ValutaKode>{ data($MultiOpretEnhed/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                                        &lt;ns0:PligtKode>{ xs:string( padInFront( data($MultiOpretEnhed/ns1:MenuParametrePligtKode), 3, '0' ) ) }&lt;/ns0:PligtKode>
                                        {
                                            for $BlanketForretningOmrådeKode in $MultiOpretEnhed/ns1:BlanketForretningOmrådeKode
                                            return
                                                &lt;ns0:ForretningsOmraadeKode>{ xs:string( padInFront( data($BlanketForretningOmrådeKode), 3, '0') ) }&lt;/ns0:ForretningsOmraadeKode>
                                        }
                                        &lt;ns0:PunktAfgiftOplysningerMultiOpret>
                                            {
                                            if ( count ($MultiOpretEnhed/ns1:ValgEmneListe/ns1:PunktAfgiftSpilListe) > 0) then
                                                let $PunktAfgiftSpilListe := $MultiOpretEnhed/ns1:ValgEmneListe/ns1:PunktAfgiftSpilListe
                                                return
                                                    &lt;ns0:PunktAfgiftSpilListe>
                                                        {
                                                            for $PunktAfgiftSpilEnhed in $PunktAfgiftSpilListe/ns1:PunktAfgiftSpilEnhed
                                                            return
                                                                &lt;ns0:PunktAfgiftSpil>
                                                                    &lt;ns0:PligtLinieKode>{ xs:string( padInFront( data($PunktAfgiftSpilEnhed/ns1:PunktAfgiftSpil/ns1:BlanketParametrePligtLinieKode), 3, '0' ) ) }&lt;/ns0:PligtLinieKode>
                                                                    {
                                                                        for $PunktAfgiftAngivelseAfgiftBeløb in $PunktAfgiftSpilEnhed/ns1:PunktAfgiftSpil/ns1:PunktAfgiftAngivelseAfgiftBeløb
                                                                        return
                                                                            &lt;ns0:AfgiftBeloeb>{ data($PunktAfgiftAngivelseAfgiftBeløb) }&lt;/ns0:AfgiftBeloeb>
                                                                    }
                                                                    {
                                                                        for $PunktAfgiftAngivelseAfgiftGrundlagBeløb in $PunktAfgiftSpilEnhed/ns1:PunktAfgiftSpil/ns1:PunktAfgiftAngivelseAfgiftGrundlagBeløb
                                                                        return
                                                                            &lt;ns0:AfgiftGrundBeloeb>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftGrundlagBeløb) ) }&lt;/ns0:AfgiftGrundBeloeb>
                                                                    }
                                                                    {
                                                                        for $PunktAfgiftAngivelsePligtLinieSatsBeløb in $PunktAfgiftSpilEnhed/ns1:PunktAfgiftSpil/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb
                                                                        return
                                                                            &lt;ns0:AfgiftPligtigSatsBeloeb>{ data($PunktAfgiftAngivelsePligtLinieSatsBeløb) }&lt;/ns0:AfgiftPligtigSatsBeloeb>
                                                                    }
                                                                &lt;/ns0:PunktAfgiftSpil>
                                                        }
                                                    &lt;/ns0:PunktAfgiftSpilListe>
                                                    else ""
                                            }
                                            {
                                            if ( count ($MultiOpretEnhed/ns1:ValgEmneListe/ns1:PunktAfgiftSpilleautomaterGebyrEnhed) > 0 ) then
                                                let $PunktAfgiftSpilleautomaterGebyrEnhed := $MultiOpretEnhed/ns1:ValgEmneListe/ns1:PunktAfgiftSpilleautomaterGebyrEnhed
                                                return
                                                    &lt;ns0:PunktAfgiftSpilleautomatGebyrListe>
                                                        {
                                                            let $PunktAfgiftSpilleautomaterGebyr := $PunktAfgiftSpilleautomaterGebyrEnhed/ns1:PunktAfgiftSpilleautomaterGebyr
                                                            return
                                                                &lt;ns0:PunktAfgiftSpilleautomatGebyr>
                                                                    {
                                                                        for $PunktAfgiftAngivelsePligtLinieSatsBeløb in $PunktAfgiftSpilleautomaterGebyr/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb
                                                                        return
                                                                            &lt;ns0:AfgiftPligtigSatsBeloeb>{ data($PunktAfgiftAngivelsePligtLinieSatsBeløb) }&lt;/ns0:AfgiftPligtigSatsBeloeb>
                                                                    }
                                                                    {
                                                                        for $PunktAfgiftAngivelseAfgiftPligtigMængde in $PunktAfgiftSpilleautomaterGebyr/ns1:PunktAfgiftAngivelseAfgiftPligtigMængde
                                                                        return
                                                                            &lt;ns0:AfgiftPligtigMaengde>{ data($PunktAfgiftAngivelseAfgiftPligtigMængde) }&lt;/ns0:AfgiftPligtigMaengde>
                                                                    }
                                                                    {
                                                                        for $PunktAfgiftAngivelseAfgiftBeløb in $PunktAfgiftSpilleautomaterGebyr/ns1:PunktAfgiftAngivelseAfgiftBeløb
                                                                        return
                                                                            &lt;ns0:AfgiftBeloeb>{ data($PunktAfgiftAngivelseAfgiftBeløb) }&lt;/ns0:AfgiftBeloeb>
                                                                    }
                                                                &lt;/ns0:PunktAfgiftSpilleautomatGebyr>
                                                        }
                                                    &lt;/ns0:PunktAfgiftSpilleautomatGebyrListe>
                                                    else ""
                                            }
                                        &lt;/ns0:PunktAfgiftOplysningerMultiOpret>
                                        &lt;ns0:TilSvarIalt>{ xs:decimal( data($MultiOpretEnhed/ns1:PunktAfgiftAngivelseTilsvarIalt) ) }&lt;/ns0:TilSvarIalt>
                                        {
                                            for $BetalingValgtBetalingFormidler in $MultiOpretEnhed/ns1:BetalingValgtBetalingFormidler
                                            return
                                                &lt;ns0:ValgtBetalingsFormidler>{ betalingsFormidler( data($BetalingValgtBetalingFormidler) ) }&lt;/ns0:ValgtBetalingsFormidler>
                                        }
                                        {
                                            for $BetalingDato in $MultiOpretEnhed/ns1:BetalingDato
                                            return
                                                &lt;ns0:BetalingsDato>{ data($BetalingDato) }&lt;/ns0:BetalingsDato>
                                        }
                                        {
                                            for $BetalingBeløb in $MultiOpretEnhed/ns1:BetalingBeløb
                                            return
                                                &lt;ns0:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns0:BetalingsBeloeb>
                                        }
                                    &lt;/ns0:PunktAfgiftAngivelsMultiOpretOplysninger>
                            }
                        &lt;/ns0:PunktAfgiftAngivelseMultiOpretListe>
                }
            &lt;/ns0:PunktAfgiftAngivelseMultiOpret>
};

declare variable $punktAfgiftAngivelseMultiOpret_I1 as element(ns1:PunktAfgiftAngivelseMultiOpret_I) external;

xf:PunktAfgiftAngivelseMultiOpret_SKAT_2_Tactical_Input($punktAfgiftAngivelseMultiOpret_I1)</con:xquery>
</con:xqueryEntry>