<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/RegistreringForholdForretningOmraadeHent_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:RegistreringForholdForretningOmraadeHent_SKAT_2_Tactical_Input($registreringForholdForretningOmrådeHent_I1 as element(ns1:RegistreringForholdForretningOmrådeHent_I))
    as element(ns0:RegistreringsForholdForretningsOmraadeHent) {
        let $RegistreringForholdForretningOmrådeHent_I := $registreringForholdForretningOmrådeHent_I1
        return
            &lt;ns0:RegistreringsForholdForretningsOmraadeHent>
                {
                    let $Kontekst := $RegistreringForholdForretningOmrådeHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                    for $ForretningOmrådeForholdStartDato in $RegistreringForholdForretningOmrådeHent_I/ns1:InputParametre/ns1:ForretningOmrådeForhold/ns1:ForretningOmrådeForholdStartDato
                    return
                        &lt;ns0:ForretningsOmraadeForholdStartDato>{ data($ForretningOmrådeForholdStartDato) }&lt;/ns0:ForretningsOmraadeForholdStartDato>
                }
                {
                    for $VirksomhedInddataListeEnhed in $RegistreringForholdForretningOmrådeHent_I/ns1:InputParametre/ns1:VirksomhedInddataListe/ns1:VirksomhedInddataListeEnhed
                    return
                        &lt;ns0:RegistreringsForholdForretningsOmraadeOplysninger>
                            &lt;ns0:SENummer>{ data($VirksomhedInddataListeEnhed/ns1:VirksomhedSENummer) }&lt;/ns0:SENummer>
                            {
                                for $PligtKode in $VirksomhedInddataListeEnhed/ns1:PligtInddata/ns1:PligtKode
                                return
                                    &lt;ns0:PligtKode>{ data($PligtKode) }&lt;/ns0:PligtKode>
                            }
                        &lt;/ns0:RegistreringsForholdForretningsOmraadeOplysninger>
                }
            &lt;/ns0:RegistreringsForholdForretningsOmraadeHent>
};

declare variable $registreringForholdForretningOmrådeHent_I1 as element(ns1:RegistreringForholdForretningOmrådeHent_I) external;

xf:RegistreringForholdForretningOmraadeHent_SKAT_2_Tactical_Input($registreringForholdForretningOmrådeHent_I1)</con:xquery>
</con:xqueryEntry>