<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/Transforms/SpecifikationSpilAngivelseHent_I/";
declare namespace ns0 = "http://skat.dk/tse/wmdata/xml/schema/spil/2008/01701";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:SpecifikationSpilAngivelseHent_I($specifikationSpilAngivelseHent_I1 as element(ns1:SpecifikationSpilAngivelseHent_I))
    as element(ns0:SpilleSpecifikationsAngivelsesHent) {
        let $SpecifikationSpilAngivelseHent_I := $specifikationSpilAngivelseHent_I1
        return
            &lt;ns0:SpilleSpecifikationsAngivelsesHent>
                {
                    let $Kontekst := $SpecifikationSpilAngivelseHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:CVRAngiver>{ data($SpecifikationSpilAngivelseHent_I/ns1:InputParametre/ns1:VirksomhedCVRNummer) }&lt;/ns0:CVRAngiver>
                {
                    let $AngivelseValgtPeriode := $SpecifikationSpilAngivelseHent_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode
                    return
                        &lt;ns0:Periode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                            }
                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                        &lt;/ns0:Periode>
                }
                &lt;ns0:KvitteringNummer>{ data($SpecifikationSpilAngivelseHent_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer) }&lt;/ns0:KvitteringNummer>
            &lt;/ns0:SpilleSpecifikationsAngivelsesHent>
};

declare variable $specifikationSpilAngivelseHent_I1 as element(ns1:SpecifikationSpilAngivelseHent_I) external;

xf:SpecifikationSpilAngivelseHent_I($specifikationSpilAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>