<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/SpecifikationSpilAngivelseHent_O/";
declare namespace ns0 = "http://skat.dk/tse/wmdata/xml/schema/spil/2008/01701";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:SpecifikationSpilAngivelseHent_O($spilleSpecifikationsAngivelsesHentSvar1 as element(ns0:SpilleSpecifikationsAngivelsesHentSvar))
    as element(ns1:SpecifikationSpilAngivelseHent_O) {
        let $SpilleSpecifikationsAngivelsesHentSvar := $spilleSpecifikationsAngivelsesHentSvar1
        return
            &lt;ns1:SpecifikationSpilAngivelseHent_O>
                {
                    let $Kontekst := $SpilleSpecifikationsAngivelsesHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    for $Specifikationer in $SpilleSpecifikationsAngivelsesHentSvar/ns0:Specifikationer
                    where data($Specifikationer/ns0:Specifikation[1]) = data($Specifikationer/ns0:Specifikation[1])
                    return
                        &lt;ns1:SpecifikationSpilAngivelseUddataListe>
                            {
                                for $Specifikation in $Specifikationer/ns0:Specifikation
                                return
                                    &lt;ns1:SpecifikationSpilAngivelseUddata>
                                        &lt;ns1:SpillestedTilladelseId>{ data($Specifikation/ns0:Tilladelse) }&lt;/ns1:SpillestedTilladelseId>
                                        &lt;ns1:SpecifikationstypeUddata>
                                            {
                                                let $TivoliSpecifikation := $Specifikation/ns0:TivoliSpecifikation
                                                return if(count($TivoliSpecifikation)>0) then
                                                    &lt;ns1:SpilTivoliSpecifikation>
                                                        &lt;ns1:TivoliSpecifikation>
                                                            &lt;ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ floor(replaceDecimalSeperator($TivoliSpecifikation/ns0:SpilIndsatsBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                            &lt;ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ floor(replaceDecimalSeperator($TivoliSpecifikation/ns0:UdbGevinstAutomatBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                            {
                                                                for $UdbGevinstKassenBeloeb in $TivoliSpecifikation/ns0:UdbGevinstKassenBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ floor(replaceDecimalSeperator($UdbGevinstKassenBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                            }
                                                            &lt;ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ floor(replaceDecimalSeperator($TivoliSpecifikation/ns0:BruttoSpilIndtaegtBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                            {
                                                                for $Fradrag250TusindeBeloeb in $TivoliSpecifikation/ns0:Fradrag250TusindeBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb>{ floor(replaceDecimalSeperator($Fradrag250TusindeBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb>
                                                            }
                                                            {
                                                                for $TillaegNote1Beloeb in $TivoliSpecifikation/ns0:TillaegNote1Beloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseTillægNote1Beløb>{ floor(replaceDecimalSeperator($TillaegNote1Beloeb)) }&lt;/ns1:SpecifikationSpilAngivelseTillægNote1Beløb>
                                                            }
                                                            {
                                                                for $TillaegNote2Beloeb in $TivoliSpecifikation/ns0:TillaegNote2Beloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseTillægNote2Beløb>{ floor(replaceDecimalSeperator($TillaegNote2Beloeb)) }&lt;/ns1:SpecifikationSpilAngivelseTillægNote2Beløb>
                                                            }
                                                            {
                                                                for $AfgGrundlag30PctBeloeb in $TivoliSpecifikation/ns0:AfgGrundlag30PctBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ floor(replaceDecimalSeperator($AfgGrundlag30PctBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                            }
                                                        &lt;/ns1:TivoliSpecifikation>
                                                    &lt;/ns1:SpilTivoliSpecifikation>
                                            	else ""
                                            }
                                            {
                                                let $RestaurantSpecifikation := $Specifikation/ns0:RestaurantSpecifikation
                                                return if(count($RestaurantSpecifikation)>0) then
                                                    &lt;ns1:SpilRestaurationSpecifikation>
                                                        &lt;ns1:RestaurationSpecifikation>
                                                            &lt;ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ floor(replaceDecimalSeperator($RestaurantSpecifikation/ns0:SpilIndsatsBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                            &lt;ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ floor(replaceDecimalSeperator($RestaurantSpecifikation/ns0:UdbGevinstAutomatBeloeb) ) }&lt;/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                            {
                                                                for $UdbGevinstKassenBeloeb in $RestaurantSpecifikation/ns0:UdbGevinstKassenBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ floor(replaceDecimalSeperator($UdbGevinstKassenBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                            }
                                                            &lt;ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ floor(replaceDecimalSeperator($RestaurantSpecifikation/ns0:BruttoSpilIndtaegtBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                            {
                                                                for $Fradrag30TusindeBeloeb in $RestaurantSpecifikation/ns0:Fradrag30TusindeBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseFradrag30TusindeBeløb>{ floor(replaceDecimalSeperator($Fradrag30TusindeBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseFradrag30TusindeBeløb>
                                                            }
                                                            {
                                                                for $AfgGrundlag30PctBeloeb in $RestaurantSpecifikation/ns0:AfgGrundlag30PctBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ floor(replaceDecimalSeperator($AfgGrundlag30PctBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                            }
                                                        &lt;/ns1:RestaurationSpecifikation>
                                                    &lt;/ns1:SpilRestaurationSpecifikation>
                                                    else "" 
                                            }
                                            {
                                                let $SpillehalSpecifikation := $Specifikation/ns0:SpillehalSpecifikation
                                                return if(count($SpillehalSpecifikation)>0) then
                                                    &lt;ns1:SpilSpillehalSpecifikation>
                                                        &lt;ns1:SpillehalSpecifikation>
                                                            &lt;ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ floor(replaceDecimalSeperator($SpillehalSpecifikation/ns0:SpilIndsatsBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                            &lt;ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ floor(replaceDecimalSeperator($SpillehalSpecifikation/ns0:UdbGevinstAutomatBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                            {
                                                                for $UdbGevinstKassenBeloeb in $SpillehalSpecifikation/ns0:UdbGevinstKassenBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ floor(replaceDecimalSeperator($UdbGevinstKassenBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                            }
                                                            &lt;ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ floor(replaceDecimalSeperator($SpillehalSpecifikation/ns0:BruttoSpilIndtaegtBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                            {
                                                                for $Fradrag250TusindeBeloeb in $SpillehalSpecifikation/ns0:Fradrag250TusindeBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb>{ floor(replaceDecimalSeperator($Fradrag250TusindeBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb>
                                                            }
                                                            {
                                                                for $TillaegNote1Beloeb in $SpillehalSpecifikation/ns0:TillaegNote1Beloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseTillægNote1Beløb>{ floor(replaceDecimalSeperator($TillaegNote1Beloeb)) }&lt;/ns1:SpecifikationSpilAngivelseTillægNote1Beløb>
                                                            }
                                                            {
                                                                for $TillaegNote2Beloeb in $SpillehalSpecifikation/ns0:TillaegNote2Beloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseTillægNote2Beløb>{ floor(replaceDecimalSeperator($TillaegNote2Beloeb)) }&lt;/ns1:SpecifikationSpilAngivelseTillægNote2Beløb>
                                                            }
                                                            {
                                                                for $AfgGrundlag30PctBeloeb in $SpillehalSpecifikation/ns0:AfgGrundlag30PctBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ floor(replaceDecimalSeperator($AfgGrundlag30PctBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                            }
                                                            {
                                                                for $BruttoSpilIndtaegt40PctBeloeb in $SpillehalSpecifikation/ns0:BruttoSpilIndtaegt40PctBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb>{ floor(replaceDecimalSeperator($BruttoSpilIndtaegt40PctBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb>
                                                            }
                                                            {
                                                                for $Afgift30PctBeloeb in $SpillehalSpecifikation/ns0:Afgift30PctBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseAfgift30ProcentBeløb>{ floor(replaceDecimalSeperator($Afgift30PctBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseAfgift30ProcentBeløb>
                                                            }
                                                            {
                                                                for $NedslagBerettigetAfgiftBeloeb in $SpillehalSpecifikation/ns0:NedslagBerettigetAfgiftBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb>{ floor(replaceDecimalSeperator($NedslagBerettigetAfgiftBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb>
                                                            }
                                                            {
                                                                for $MidlerUdlodningBeloeb in $SpillehalSpecifikation/ns0:MidlerUdlodningBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseMidlerUdlodningBeløb>{ floor(replaceDecimalSeperator($MidlerUdlodningBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseMidlerUdlodningBeløb>
                                                            }
                                                            {
                                                                for $Nedslag95PctBeloeb in $SpillehalSpecifikation/ns0:Nedslag95PctBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseNedslag95ProcentBeløb>{ floor(replaceDecimalSeperator($Nedslag95PctBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseNedslag95ProcentBeløb>
                                                            }
                                                            {
                                                                for $AfgiftNedslagBeloeb in $SpillehalSpecifikation/ns0:AfgiftNedslagBeloeb
                                                                return
                                                                    &lt;ns1:SpecifikationSpilAngivelseAfgiftNedslagBeløb>{ floor(replaceDecimalSeperator($AfgiftNedslagBeloeb)) }&lt;/ns1:SpecifikationSpilAngivelseAfgiftNedslagBeløb>
                                                            }
                                                        &lt;/ns1:SpillehalSpecifikation>
                                                    &lt;/ns1:SpilSpillehalSpecifikation>
                                                    else ""
                                            }
                                        &lt;/ns1:SpecifikationstypeUddata>
                                    &lt;/ns1:SpecifikationSpilAngivelseUddata>
                            }
                        &lt;/ns1:SpecifikationSpilAngivelseUddataListe>
                }
            &lt;/ns1:SpecifikationSpilAngivelseHent_O>
};

declare function replaceDecimalSeperator($value as xs:string){

	xs:integer(number(replace(data($value),",",".")))

};

declare variable $spilleSpecifikationsAngivelsesHentSvar1 as element(ns0:SpilleSpecifikationsAngivelsesHentSvar) external;

xf:SpecifikationSpilAngivelseHent_O($spilleSpecifikationsAngivelsesHentSvar1)</con:xquery>
</con:xqueryEntry>