<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/SpecifikationSpilAngivelseMultiOpret_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://skat.dk/tse/wmdata/xml/schema/spil/2008/01701";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:SpecifikationSpilAngivelseMultiOpret_SKAT_2_Tactical_Input($specifikationSpilAngivelseMultiOpret_I1 as element(ns1:SpecifikationSpilAngivelseMultiOpret_I))
    as element(ns0:SpilleSpecifikationsAngivelsesMultiOpret) {
        let $SpecifikationSpilAngivelseMultiOpret_I := $specifikationSpilAngivelseMultiOpret_I1
        return
            &lt;ns0:SpilleSpecifikationsAngivelsesMultiOpret>
                {
                    let $Kontekst := $SpecifikationSpilAngivelseMultiOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:CVRIndberetter>{ data($SpecifikationSpilAngivelseMultiOpret_I/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:CVRIndberetter>
                &lt;ns0:IndberetningsFormKode>{ xs:string( padInFront( data($SpecifikationSpilAngivelseMultiOpret_I/ns1:AngivelseValgtIndberetningFormKode), 3, '0' ) ) }&lt;/ns0:IndberetningsFormKode>
                {
                    let $SpecifikationMultiListeInddata := $SpecifikationSpilAngivelseMultiOpret_I/ns1:SpecifikationMultiListeInddata
                    return
                        &lt;ns0:Angivelser>
                            {
                                for $SpecifikationMultiEnhedInddata in $SpecifikationMultiListeInddata/ns1:SpecifikationMultiEnhedInddata
                                return
                                    &lt;ns0:Angivelse>
                                        &lt;ns0:CVRAngiver>{ data($SpecifikationMultiEnhedInddata/ns1:AngiverVirksomhedCVRNummer/ns1:VirksomhedCVRNummer) }&lt;/ns0:CVRAngiver>
                                        &lt;ns0:KvitteringNummer>{ xs:string( data($SpecifikationMultiEnhedInddata/ns1:AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringNummer>
                                        {
                                            let $AngivelseValgtPeriode := $SpecifikationMultiEnhedInddata/ns1:AngivelseValgtPeriode
                                            return
                                                &lt;ns0:Periode>
                                                    {
                                                        for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                                        return
                                                            &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                                    }
                                                    &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                                                &lt;/ns0:Periode>
                                        }
                                        &lt;ns0:Valuta>{ data($SpecifikationMultiEnhedInddata/ns1:AngivelseValuta) }&lt;/ns0:Valuta>
                                        {
                                            let $SpecifikationSpilAngivelseInddataListe := $SpecifikationMultiEnhedInddata/ns1:SpecifikationSpilAngivelseInddataListe
                                            return
                                                &lt;ns0:Specifikationer>
                                                    {
                                                        for $SpecifikationSpilAngivelseInddata in $SpecifikationSpilAngivelseInddataListe/ns1:SpecifikationSpilAngivelseInddata
                                                        return
                                                            &lt;ns0:Specifikation>
                                                                &lt;ns0:Tilladelse>{ xs:long( data($SpecifikationSpilAngivelseInddata/ns1:SpillestedTilladelseId) ) }&lt;/ns0:Tilladelse>
                                                                {
                                                                    let $TivoliSpecifikation := $SpecifikationSpilAngivelseInddata/ns1:SpecifikationstypeInddata/ns1:SpilTivoliSpecifikation/ns1:TivoliSpecifikation
                                                                    return if (count ($TivoliSpecifikation) > 0 ) then
                                                                        &lt;ns0:TivoliSpecifikation>
                                                                            &lt;ns0:SpilIndsatsBeloeb>{ xs:string( data($TivoliSpecifikation/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb) ) }&lt;/ns0:SpilIndsatsBeloeb>
                                                                            &lt;ns0:UdbGevinstAutomatBeloeb>{ xs:string( data($TivoliSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) ) }&lt;/ns0:UdbGevinstAutomatBeloeb>
                                                                            {
                                                                                for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $TivoliSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                                                return
                                                                                    &lt;ns0:UdbGevinstKassenBeloeb>{ xs:string( data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) ) }&lt;/ns0:UdbGevinstKassenBeloeb>
                                                                            }
                                                                            &lt;ns0:BruttoSpilIndtaegtBeloeb>{ xs:string( data($TivoliSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) ) }&lt;/ns0:BruttoSpilIndtaegtBeloeb>
                                                                            {
                                                                                for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $TivoliSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                                                return
                                                                                    &lt;ns0:AfgGrundlag30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) ) }&lt;/ns0:AfgGrundlag30PctBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseFradrag250TusindeBeløb in $TivoliSpecifikation/ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb
                                                                                return
                                                                                    &lt;ns0:Fradrag250TusindeBeloeb>{ xs:string( data($SpecifikationSpilAngivelseFradrag250TusindeBeløb) ) }&lt;/ns0:Fradrag250TusindeBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseTillægNote1Beløb in $TivoliSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote1Beløb
                                                                                return
                                                                                    &lt;ns0:TillaegNote1Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote1Beløb) ) }&lt;/ns0:TillaegNote1Beloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseTillægNote2Beløb in $TivoliSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote2Beløb
                                                                                return
                                                                                    &lt;ns0:TillaegNote2Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote2Beløb) ) }&lt;/ns0:TillaegNote2Beloeb>
                                                                            }
                                                                        &lt;/ns0:TivoliSpecifikation>
                                                                        else ""
                                                                }
                                                                {
                                                                    let $RestaurationSpecifikation := $SpecifikationSpilAngivelseInddata/ns1:SpecifikationstypeInddata/ns1:SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation
                                                                    return if (count ($RestaurationSpecifikation) > 0 ) then
                                                                        &lt;ns0:RestaurantSpecifikation>
                                                                            &lt;ns0:SpilIndsatsBeloeb>{ xs:string( data($RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb) ) }&lt;/ns0:SpilIndsatsBeloeb>
                                                                            &lt;ns0:UdbGevinstAutomatBeloeb>{ xs:string( data($RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) ) }&lt;/ns0:UdbGevinstAutomatBeloeb>
                                                                            {
                                                                                for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                                                return
                                                                                    &lt;ns0:UdbGevinstKassenBeloeb>{ xs:string( data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) ) }&lt;/ns0:UdbGevinstKassenBeloeb>
                                                                            }
                                                                            &lt;ns0:BruttoSpilIndtaegtBeloeb>{ xs:string( data($RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) ) }&lt;/ns0:BruttoSpilIndtaegtBeloeb>
                                                                            {
                                                                                for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                                                return
                                                                                    &lt;ns0:AfgGrundlag30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) ) }&lt;/ns0:AfgGrundlag30PctBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseFradrag30TusindeBeløb in $RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseFradrag30TusindeBeløb
                                                                                return
                                                                                    &lt;ns0:Fradrag30TusindeBeloeb>{ xs:string( data($SpecifikationSpilAngivelseFradrag30TusindeBeløb) ) }&lt;/ns0:Fradrag30TusindeBeloeb>
                                                                            }
                                                                        &lt;/ns0:RestaurantSpecifikation>
                                                                        else ""
                                                                }
                                                                {
                                                                    let $SpillehalSpecifikation := $SpecifikationSpilAngivelseInddata/ns1:SpecifikationstypeInddata/ns1:SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation
                                                                    return if (count ($SpillehalSpecifikation) > 0 ) then
                                                                        &lt;ns0:SpillehalSpecifikation>
                                                                            &lt;ns0:SpilIndsatsBeloeb>{ xs:string( data($SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb) ) }&lt;/ns0:SpilIndsatsBeloeb>
                                                                            &lt;ns0:UdbGevinstAutomatBeloeb>{ xs:string( data($SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) ) }&lt;/ns0:UdbGevinstAutomatBeloeb>
                                                                            {
                                                                                for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                                                return
                                                                                    &lt;ns0:UdbGevinstKassenBeloeb>{ xs:string( data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) ) }&lt;/ns0:UdbGevinstKassenBeloeb>
                                                                            }
                                                                            &lt;ns0:BruttoSpilIndtaegtBeloeb>{ xs:string( data($SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) ) }&lt;/ns0:BruttoSpilIndtaegtBeloeb>
                                                                            {
                                                                                for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                                                return
                                                                                    &lt;ns0:AfgGrundlag30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) ) }&lt;/ns0:AfgGrundlag30PctBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseFradrag250TusindeBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb
                                                                                return
                                                                                    &lt;ns0:Fradrag250TusindeBeloeb>{ xs:string( data($SpecifikationSpilAngivelseFradrag250TusindeBeløb) ) }&lt;/ns0:Fradrag250TusindeBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseTillægNote1Beløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote1Beløb
                                                                                return
                                                                                    &lt;ns0:TillaegNote1Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote1Beløb) ) }&lt;/ns0:TillaegNote1Beloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseTillægNote2Beløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote2Beløb
                                                                                return
                                                                                    &lt;ns0:TillaegNote2Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote2Beløb) ) }&lt;/ns0:TillaegNote2Beloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb
                                                                                return
                                                                                    &lt;ns0:BruttoSpilIndtaegt40PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb) ) }&lt;/ns0:BruttoSpilIndtaegt40PctBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseAfgift30ProcentBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseAfgift30ProcentBeløb
                                                                                return
                                                                                    &lt;ns0:Afgift30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgift30ProcentBeløb) ) }&lt;/ns0:Afgift30PctBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb
                                                                                return
                                                                                    &lt;ns0:NedslagBerettigetAfgiftBeloeb>{ xs:string( data($SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb) ) }&lt;/ns0:NedslagBerettigetAfgiftBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseMidlerUdlodningBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseMidlerUdlodningBeløb
                                                                                return
                                                                                    &lt;ns0:MidlerUdlodningBeloeb>{ xs:string( data($SpecifikationSpilAngivelseMidlerUdlodningBeløb) ) }&lt;/ns0:MidlerUdlodningBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseNedslag95ProcentBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseNedslag95ProcentBeløb
                                                                                return
                                                                                    &lt;ns0:Nedslag95PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseNedslag95ProcentBeløb) ) }&lt;/ns0:Nedslag95PctBeloeb>
                                                                            }
                                                                            {
                                                                                for $SpecifikationSpilAngivelseAfgiftNedslagBeløb in $SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftNedslagBeløb
                                                                                return
                                                                                    &lt;ns0:AfgiftNedslagBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftNedslagBeløb) ) }&lt;/ns0:AfgiftNedslagBeloeb>
                                                                            }
                                                                        &lt;/ns0:SpillehalSpecifikation>
                                                                        else ""
                                                                }
                                                            &lt;/ns0:Specifikation>
                                                    }
                                                &lt;/ns0:Specifikationer>
                                        }
                                        &lt;ns0:Tid>{ xs:string( data($SpecifikationMultiEnhedInddata/ns1:AngivelseAngivelseTid) ) }&lt;/ns0:Tid>
                                    &lt;/ns0:Angivelse>
                            }
                        &lt;/ns0:Angivelser>
                }
            &lt;/ns0:SpilleSpecifikationsAngivelsesMultiOpret>
};

declare variable $specifikationSpilAngivelseMultiOpret_I1 as element(ns1:SpecifikationSpilAngivelseMultiOpret_I) external;

xf:SpecifikationSpilAngivelseMultiOpret_SKAT_2_Tactical_Input($specifikationSpilAngivelseMultiOpret_I1)</con:xquery>
</con:xqueryEntry>