<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UdbytteModtagerAngivelsePersonOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:UdbytteModtagerAngivelsePersonOpret_SKAT_2_TACTICAL_Input($udbytteModtagerAngivelsePersonOpret_I1 as element(ns1:UdbytteModtagerAngivelsePersonOpret_I))
    as element(ns0:UdbytteModtagerAngivelsePersonOpret) {
        let $UdbytteModtagerAngivelsePersonOpret_I := $udbytteModtagerAngivelsePersonOpret_I1
        return
            &lt;ns0:UdbytteModtagerAngivelsePersonOpret>
                {
                    let $Kontekst := $UdbytteModtagerAngivelsePersonOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:IndkomstAar>{ xs:gYear( data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:UdbytteModtagerAngivelseIndkomstÅr) ) }&lt;/ns0:IndkomstAar>
                &lt;ns0:VedtagelsesModtagerDato>{ substring(data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:UdbytteModtagerAngivelseVedtagelseDato) ,0,11)}&lt;/ns0:VedtagelsesModtagerDato>
                {
                    for $UdbytteModtagerAngivelseInddataListeEnhed in $UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddataListe/ns1:UdbytteModtagerAngivelseInddataListeEnhed
                    return
                        &lt;ns0:UdbytteModtagerOplysningerPerson>                            
                            {
                                let $UdbytteModtagerAngivelseEjerAktieKode := $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseEjerAktieKode
                                return if(fn:compare($UdbytteModtagerAngivelseEjerAktieKode, '0') = 0) then
                                    &lt;ns0:EjerforholdAktieKode>{ xs:string("1") }&lt;/ns0:EjerforholdAktieKode>
                                else if(fn:compare($UdbytteModtagerAngivelseEjerAktieKode, '1') = 0) then
                                	&lt;ns0:EjerforholdAktieKode>{ xs:string("0") }&lt;/ns0:EjerforholdAktieKode>
                            	else if(fn:compare($UdbytteModtagerAngivelseEjerAktieKode, '2') = 0) then
                                	&lt;ns0:EjerforholdAktieKode>{ xs:string("2") }&lt;/ns0:EjerforholdAktieKode>
                                else ""
                            }
                            &lt;ns0:UdbytteBeloeb>{ xs:decimal( data($UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseUdbytteBeløb) ) }&lt;/ns0:UdbytteBeloeb>
                            &lt;ns0:UdbytteModtagerNummer>{ data($UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseUdbytteModtagerNummer)  }&lt;/ns0:UdbytteModtagerNummer>
                            &lt;ns0:UdbytteProcent>{ xs:decimal( data($UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseUdbytteProcent) ) }&lt;/ns0:UdbytteProcent>
                            {
                                for $UdbytteModtagerAngivelseFrikortKode in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseFrikortKode
                                return
                                	if($UdbytteModtagerAngivelseFrikortKode = '02') then
                                       	 &lt;ns0:FrikortKode>1&lt;/ns0:FrikortKode>
                                   		 else if($UdbytteModtagerAngivelseFrikortKode = '00') then
                                      	  &lt;ns0:FrikortKode>0&lt;/ns0:FrikortKode>                                  		
                                   		 else ""                                  
                            }
                        &lt;/ns0:UdbytteModtagerOplysningerPerson>
                }
                &lt;ns0:ValgtIndberetningsForm>{ padInFront( data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode),3,'0' ) }&lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:AngivelsesTidspunkt>{ data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                &lt;ns0:ValutaKode>{ data($UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                {
                    for $AngivelseKvitteringNummer in $UdbytteModtagerAngivelsePersonOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ xs:string( data($AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:UdbytteModtagerAngivelsePersonOpret>
};

declare variable $udbytteModtagerAngivelsePersonOpret_I1 as element(ns1:UdbytteModtagerAngivelsePersonOpret_I) external;

xf:UdbytteModtagerAngivelsePersonOpret_SKAT_2_TACTICAL_Input($udbytteModtagerAngivelsePersonOpret_I1)</con:xquery>
</con:xqueryEntry>