<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UdbytteModtagerAngivelseSelskabOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:UdbytteModtagerAngivelseSelskabOpret_SKAT_2_TACTICAL_Input($udbytteModtagerAngivelseSelskabOpret_I1 as element(ns1:UdbytteModtagerAngivelseSelskabOpret_I))
    as element(ns0:UdbytteModtagerAngivelseSelskabOpret) {
        let $UdbytteModtagerAngivelseSelskabOpret_I := $udbytteModtagerAngivelseSelskabOpret_I1
        return
            &lt;ns0:UdbytteModtagerAngivelseSelskabOpret>
                {
                    let $Kontekst := $UdbytteModtagerAngivelseSelskabOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:IndkomstAar>{ xs:gYear( data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:UdbytteModtagerAngivelseIndkomstÅr) ) }&lt;/ns0:IndkomstAar>
                &lt;ns0:VedtagelsesModtagerDato>{ substring(data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:UdbytteModtagerAngivelseVedtagelseDato),0,11) }&lt;/ns0:VedtagelsesModtagerDato>
                {
                    for $UdbytteModtagerAngivelseInddataListeEnhed in $UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddataListe/ns1:UdbytteModtagerAngivelseInddataListeEnhed
                    return
                        &lt;ns0:UdbytteModtagerOplysningerSelskab>                            
                             {
                                let $UdbytteModtagerAngivelseEjerAktieKode := $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseEjerAktieKode
                                return if(fn:compare($UdbytteModtagerAngivelseEjerAktieKode, '0') = 0) then
                                    &lt;ns0:EjerforholdAktieKode>{ xs:string("1") }&lt;/ns0:EjerforholdAktieKode>
                                else if(fn:compare($UdbytteModtagerAngivelseEjerAktieKode, '1') = 0) then
                                	&lt;ns0:EjerforholdAktieKode>{ xs:string("0") }&lt;/ns0:EjerforholdAktieKode>
                            	else if(fn:compare($UdbytteModtagerAngivelseEjerAktieKode, '2') = 0) then
                                	&lt;ns0:EjerforholdAktieKode>{ xs:string("2") }&lt;/ns0:EjerforholdAktieKode>
                                else ""
                            }
                            &lt;ns0:UdbytteBeloeb>{ xs:decimal( data($UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseUdbytteBeløb) ) }&lt;/ns0:UdbytteBeloeb>
                            {
                                for $UdbytteModtagerNummer in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseUdbytteModtagerNummer
                                return
                                    &lt;ns0:UdbytteModtagerNummer>{ data($UdbytteModtagerNummer ) }&lt;/ns0:UdbytteModtagerNummer>
                            }
                            &lt;ns0:UdbytteProcent>{ xs:decimal( data($UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseUdbytteProcent) ) }&lt;/ns0:UdbytteProcent>
                            {
                                for $UdbytteModtagerAngivelseForNavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseForNavn
                                return
                                    &lt;ns0:ForNavn>{ data($UdbytteModtagerAngivelseForNavn) }&lt;/ns0:ForNavn>
                            }
                            {
                                for $UdbytteModtagerAngivelseEfterNavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseEfterNavn
                                return
                                    &lt;ns0:EfterNavn>{ data($UdbytteModtagerAngivelseEfterNavn) }&lt;/ns0:EfterNavn>
                            }
                            &lt;ns0:EUAdresseOplysninger>
                                {
                                    for $UdbyttemodtagerAngivelseVejNavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbyttemodtagerAngivelseVejNavn
                                    return
                                        &lt;ns0:VejNavn>{ data($UdbyttemodtagerAngivelseVejNavn) }&lt;/ns0:VejNavn>
                                }
                                {
                                    for $UdbytteModtagerAngivelseHusNummer in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseHusNummer
                                    return
                                        &lt;ns0:HusNummer>{ data($UdbytteModtagerAngivelseHusNummer) }&lt;/ns0:HusNummer>
                                }
                                {
                                    for $UdbytteModtagerAngivelseEtageTekst in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseEtageTekst
                                    return
                                        &lt;ns0:EtageNummer>{ data($UdbytteModtagerAngivelseEtageTekst) }&lt;/ns0:EtageNummer>
                                }
                                {
                                    for $UdbytteModtagerAngivelseSideTekst in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseSideTekst
                                    return
                                        &lt;ns0:SideDoerNummer>{ data($UdbytteModtagerAngivelseSideTekst) }&lt;/ns0:SideDoerNummer>
                                }
                                {
                                    for $UdbytteModtagerAngivelseCONavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseCONavn
                                    return
                                        &lt;ns0:CONavn>{ data($UdbytteModtagerAngivelseCONavn) }&lt;/ns0:CONavn>
                                }
                                {
                                    for $UdbytteModtagerAngivelsePostBoksNummer in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelsePostBoksNummer
                                    return
                                        &lt;ns0:PostBox>{ data($UdbytteModtagerAngivelsePostBoksNummer) }&lt;/ns0:PostBox>
                                }
                                {
                                    for $UdbytteModtagerAngivelseByNavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseByNavn
                                    return
                                        &lt;ns0:Landsby>{ data($UdbytteModtagerAngivelseByNavn) }&lt;/ns0:Landsby>
                                }
                                {
                                    for $UdbytteModtagerAngivelsePostNummer in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelsePostNummer
                                    return
                                        &lt;ns0:PostNummer>{ data($UdbytteModtagerAngivelsePostNummer) }&lt;/ns0:PostNummer>
                                }
                                {
                                    for $UdbytteModtagerAngivelsePostdistriktNavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelsePostdistriktNavn
                                    return
                                        &lt;ns0:PostDistrikt>{ data($UdbytteModtagerAngivelsePostdistriktNavn) }&lt;/ns0:PostDistrikt>
                                }
                                {
                                    for $UdbytteModtagerAngivelseHusNavn in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseHusNavn
                                    return
                                        &lt;ns0:HusNavn>{ data($UdbytteModtagerAngivelseHusNavn) }&lt;/ns0:HusNavn>
                                }
                                {
                                    for $UdbytteModtagerAngivelseLejlighedVærelseNummer in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseLejlighedVærelseNummer
                                    return
                                        &lt;ns0:LejlighedVaerelseNummer>{ data($UdbytteModtagerAngivelseLejlighedVærelseNummer) }&lt;/ns0:LejlighedVaerelseNummer>
                                }
                                {
                                    for $UdbytteModtagerAngivelseEgnLandsdelStat in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseEgnLandsdelStat
                                    return
                                        &lt;ns0:EgnLandsdelStat>{ data($UdbytteModtagerAngivelseEgnLandsdelStat) }&lt;/ns0:EgnLandsdelStat>
                                }
                                {
                                    for $UdbytteModtagerAngivelseLandeKode in $UdbytteModtagerAngivelseInddataListeEnhed/ns1:UdbytteModtagerAngivelseLandeKode
                                    return
                                        &lt;ns0:LandeKode>{ data($UdbytteModtagerAngivelseLandeKode) }&lt;/ns0:LandeKode>
                                }
                            &lt;/ns0:EUAdresseOplysninger>
                        &lt;/ns0:UdbytteModtagerOplysningerSelskab>
                }
                &lt;ns0:ValgtIndberetningsForm>{ padInFront( data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode) ,3,'0') }&lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:AngivelsesTidspunkt>{ data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                &lt;ns0:ValutaKode>{ data($UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                {
                    for $AngivelseKvitteringNummer in $UdbytteModtagerAngivelseSelskabOpret_I/ns1:InputParametre/ns1:UdbytteModtagerAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ xs:string( data($AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:UdbytteModtagerAngivelseSelskabOpret>
};

declare variable $udbytteModtagerAngivelseSelskabOpret_I1 as element(ns1:UdbytteModtagerAngivelseSelskabOpret_I) external;

xf:UdbytteModtagerAngivelseSelskabOpret_SKAT_2_TACTICAL_Input($udbytteModtagerAngivelseSelskabOpret_I1)</con:xquery>
</con:xqueryEntry>