<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UdbytteSamletAngivelseOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:UdbytteSamletAngivelseOpret_SKAT_2_TACTICAL_Input($udbytteSamletAngivelseOpret_I1 as element(ns1:UdbytteSamletAngivelseOpret_I))
    as element(ns0:UdbytteSamletAngivelseOpret) {
        let $UdbytteSamletAngivelseOpret_I := $udbytteSamletAngivelseOpret_I1
        return
            &lt;ns0:UdbytteSamletAngivelseOpret>
                {
                    let $Kontekst := $UdbytteSamletAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:VirksomhedInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:UdbytteSamletAngivelseOplysninger>
                    {
                        for $UdbytteSamletAngivelseDispensationEjSkatBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseDispensationEjSkatBeløb
                        return
                            &lt;ns0:EjSkatDispensationsBeloeb>{ xs:decimal( data($UdbytteSamletAngivelseDispensationEjSkatBeløb) ) }&lt;/ns0:EjSkatDispensationsBeloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseAndetUdbytteEjSkatBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseAndetUdbytteEjSkatBeløb
                        return
                            &lt;ns0:EjSkatIndeholdelseBeloeb>{ xs:decimal( data($UdbytteSamletAngivelseAndetUdbytteEjSkatBeløb) ) }&lt;/ns0:EjSkatIndeholdelseBeloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseIndbetaltUdbytteSkatBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseIndbetaltUdbytteSkatBeløb
                        return
                            &lt;ns0:IndeholdelseBeloeb>{ xs:decimal( data($UdbytteSamletAngivelseIndbetaltUdbytteSkatBeløb) ) }&lt;/ns0:IndeholdelseBeloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteEgenAktierEjSkatBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteEgenAktierEjSkatBeløb
                        return
                            &lt;ns0:UdbetaltEgneBeloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteEgenAktierEjSkatBeløb) ) }&lt;/ns0:UdbetaltEgneBeloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteSkatDobbeltBeskatningOverenskomstBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteSkatDobbeltBeskatningOverenskomstBeløb
                        return
                            &lt;ns0:UdbetaltSkatDobbeltBeskatningsOverenskomstBeloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteSkatDobbeltBeskatningOverenskomstBeløb) ) }&lt;/ns0:UdbetaltSkatDobbeltBeskatningsOverenskomstBeloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteDobbeltBeskatningOverenskomstBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteDobbeltBeskatningOverenskomstBeløb
                        return
                            &lt;ns0:UdbetaltDobbeltBeskatningsOverenskomstBeloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteDobbeltBeskatningOverenskomstBeløb) ) }&lt;/ns0:UdbetaltDobbeltBeskatningsOverenskomstBeloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteSkatXXBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteSkatXXBeløb
                        return
                            &lt;ns0:UdbetaltSkatSats1Beloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteSkatXXBeløb) ) }&lt;/ns0:UdbetaltSkatSats1Beloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteSkatYYBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteSkatYYBeløb
                        return
                            &lt;ns0:UdbetaltSkatSats2Beloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteSkatYYBeløb) ) }&lt;/ns0:UdbetaltSkatSats2Beloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteXXProcent in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteXXProcent
                        return
                            &lt;ns0:UdbetaltSats1Procent>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteXXProcent) ) }&lt;/ns0:UdbetaltSats1Procent>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteXXBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteXXBeløb
                        return
                            &lt;ns0:UdbetaltSats1Beloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteXXBeløb) ) }&lt;/ns0:UdbetaltSats1Beloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteYYProcent in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteYYProcent
                        return
                            &lt;ns0:UdbetaltSats2Procent>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteYYProcent) ) }&lt;/ns0:UdbetaltSats2Procent>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteYYBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteYYBeløb
                        return
                            &lt;ns0:UdbetaltSats2Beloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteYYBeløb) ) }&lt;/ns0:UdbetaltSats2Beloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteSkatZZBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteSkatZZBeløb
                        return
                            &lt;ns0:UdbetaltSkatSats3Beloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteSkatZZBeløb) ) }&lt;/ns0:UdbetaltSkatSats3Beloeb>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteZZProcent in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteZZProcent
                        return
                            &lt;ns0:UdbetaltSats3Procent>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteZZProcent) ) }&lt;/ns0:UdbetaltSats3Procent>
                    }
                    {
                        for $UdbytteSamletAngivelseUdbytteZZBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseUdbytteZZBeløb
                        return
                            &lt;ns0:UdbetaltSats3Beloeb>{ xs:decimal( data($UdbytteSamletAngivelseUdbytteZZBeløb) ) }&lt;/ns0:UdbetaltSats3Beloeb>
                    }
                    &lt;ns0:IndkomstAar>{ xs:gYear( data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseIndkomstÅr) ) }&lt;/ns0:IndkomstAar>
                &lt;/ns0:UdbytteSamletAngivelseOplysninger>
                &lt;ns0:VedtagelseSamletDato>{ substring(data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:UdbytteSamletAngivelseVedtagelseDato),0,11) }&lt;/ns0:VedtagelseSamletDato>
                &lt;ns0:ValgtIndberetningsForm>{ padInFront( data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode),3,'0' ) }&lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:AngivelsesTidspunkt>{ data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                &lt;ns0:ValutaKode>{ data($UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>

                    {
                 for $BetalingValgtBetalingFormidler in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:BetalingInddata/ns1:BetalingValgtBetalingFormidler
                      return          
                           
                          if (data($BetalingValgtBetalingFormidler) = 'PBS') 
				 then &lt;ns0:ValgtBetalingsFormidler> {xs:string("PBS") }&lt;/ns0:ValgtBetalingsFormidler>
	        	 else if (data($BetalingValgtBetalingFormidler)= 'JyskeBank')
				then &lt;ns0:ValgtBetalingsFormidler>{xs:string("SKB") }&lt;/ns0:ValgtBetalingsFormidler>
	        	 else if (data($BetalingValgtBetalingFormidler)= 'HomeBanking')	
				then &lt;ns0:ValgtBetalingsFormidler>{xs:string("HomeBanking") }&lt;/ns0:ValgtBetalingsFormidler>
		         else &lt;ns0:ValgtBetalingsFormidler>{xs:string("Anden Betalingsform") }&lt;/ns0:ValgtBetalingsFormidler>
               
                  }

                {
                    for $BetalingDato in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:BetalingInddata/ns1:BetalingDato
                    return
                        &lt;ns0:BetalingsDato>{ substring(data($BetalingDato),0,11) }&lt;/ns0:BetalingsDato>
                }
                {
                    for $BetalingBeløb in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:BetalingInddata/ns1:BetalingBeløb
                    return
                        &lt;ns0:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns0:BetalingsBeloeb>
                }
                {
                    for $AngivelseKvitteringNummer in $UdbytteSamletAngivelseOpret_I/ns1:InputParametre/ns1:UdbytteSamletAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ xs:string( data($AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:UdbytteSamletAngivelseOpret>
};

declare variable $udbytteSamletAngivelseOpret_I1 as element(ns1:UdbytteSamletAngivelseOpret_I) external;

xf:UdbytteSamletAngivelseOpret_SKAT_2_TACTICAL_Input($udbytteSamletAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>