<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningGaveAngivelseHentSvar1" type="ns0:UnderretningGaveAngivelseHentInterface/ns0:UnderretningGaveAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningGAVEAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningGAVEAngivelseHent_TACTICAL_2_SKAT_Output($underretningGaveAngivelseHentSvar1 as element())
    as element(ns1:UnderretningGaveDonationAngivelseHent_O) {
        let $UnderretningGaveAngivelseHentSvar := $underretningGaveAngivelseHentSvar1
        return
            &lt;ns1:UnderretningGaveDonationAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningGaveAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                } 
                {
               let $uddatalist :=  $UnderretningGaveAngivelseHentSvar/ns0:UnderretningGaveAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $UnderretningGaveAngivelsesOplysninger in $UnderretningGaveAngivelseHentSvar/ns0:UnderretningGaveAngivelsesOplysninger
                        return
                            &lt;ns1:UddataLinie>
                                &lt;ns1:GaveDonationAngivelseUddata>
                                    {
                                        for $GaveBeloeb in $UnderretningGaveAngivelsesOplysninger/ns0:GaveBeloeb
                                        return if(contains($GaveBeloeb,'.')) then
                                        &lt;ns1:GaveDonationAngivelseGaveBeløb>{ xs:integer(substring-before($GaveBeloeb,'.' )) }&lt;/ns1:GaveDonationAngivelseGaveBeløb>
                                    	else 
                                     	&lt;ns1:GaveDonationAngivelseGaveBeløb>{ xs:integer(data($GaveBeloeb)) }&lt;/ns1:GaveDonationAngivelseGaveBeløb>                                        
                                    }
                                    &lt;ns1:GaveDonationAngivelseGaveArt>{ if(xs:string( data($UnderretningGaveAngivelsesOplysninger/ns0:GaveArtKode)) = 'p') then
                                				"P"	
                                			         elseif	(xs:string( data($UnderretningGaveAngivelsesOplysninger/ns0:GaveArtKode)) = 'P') then
                                				"P"
                                			         elseif(xs:string( data($UnderretningGaveAngivelsesOplysninger/ns0:GaveArtKode)) = 't') then	
                                				"T"
                                			         else 
                                				"T" }&lt;/ns1:GaveDonationAngivelseGaveArt>
                                    &lt;ns1:GaveDonationAngivelseGaverDonationRetteKode>{ data($UnderretningGaveAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:GaveDonationAngivelseGaverDonationRetteKode>
                                    &lt;ns1:RegistreringDato>{ xs:date(substring( data($UnderretningGaveAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>
                                    &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($UnderretningGaveAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                    {
                                        for $IndberettetSENummer in $UnderretningGaveAngivelsesOplysninger/ns0:IndberettetSENummer
                                        return
                                            &lt;ns1:IndberettetVirksomhedSENummer>
                                                &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                            &lt;/ns1:IndberettetVirksomhedSENummer>
                                    }
                                    &lt;ns1:AngivelseUddata>
                                        {
                                            for $ValutaKode in $UnderretningGaveAngivelsesOplysninger/ns0:ValutaKode
                                            return
                                                &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                                        }
                                    &lt;/ns1:AngivelseUddata>
                                &lt;/ns1:GaveDonationAngivelseUddata>
                                &lt;ns1:VirksomhedUddata>
                                    &lt;ns1:AngiverVirksomhedSENummer>
                                        &lt;ns1:VirksomhedSENummer>{ xs:string( data($UnderretningGaveAngivelsesOplysninger/ns0:OplysningPligtigeSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                    &lt;/ns1:AngiverVirksomhedSENummer>
                                &lt;/ns1:VirksomhedUddata>
                            &lt;/ns1:UddataLinie>
                    }
                &lt;/ns1:UddataListe>
                 else ""
                }
            &lt;/ns1:UnderretningGaveDonationAngivelseHent_O>
};

declare variable $underretningGaveAngivelseHentSvar1 as element() external;

xf:UnderretningGAVEAngivelseHent_TACTICAL_2_SKAT_Output($underretningGaveAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>