<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningIFPAAngivelseHentSvar1" type="ns0:UnderretningIFPAAngivelseHentInterface/ns0:UnderretningIFPAAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningIFPAAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningIFPAAngivelseHent_TACTICAL_2_SKAT_Output($underretningIFPAAngivelseHentSvar1 as element())
    as element(ns1:UnderretningIFPAAngivelseHent_O) {
        let $UnderretningIFPAAngivelseHentSvar := $underretningIFPAAngivelseHentSvar1
        return
            &lt;ns1:UnderretningIFPAAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningIFPAAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    let $uddatalist :=  $UnderretningIFPAAngivelseHentSvar/ns0:IFPAAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $IFPAAngivelsesOplysninger in $UnderretningIFPAAngivelseHentSvar/ns0:IFPAAngivelsesOplysninger
                        return
                            &lt;ns1:IFPAAngivelseUddata>
                                &lt;ns1:IFPAAngivelseIndberetningPligtigSENummer>{ xs:string( data($IFPAAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:IFPAAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:IFPAAngivelseFondInvesteringsforeningKode>{ data($IFPAAngivelsesOplysninger/ns0:InvestForeningFondsKode) }&lt;/ns1:IFPAAngivelseFondInvesteringsforeningKode>
                                &lt;ns1:IFPAAngivelseInvesteringTypeKode>{ data($IFPAAngivelsesOplysninger/ns0:InvestForeningTypeKode) }&lt;/ns1:IFPAAngivelseInvesteringTypeKode>
                                &lt;ns1:IFPAAngivelseInvesteringSpecifikationTypeKode>{ data($IFPAAngivelsesOplysninger/ns0:InvestForeningSpecTypeKod) }&lt;/ns1:IFPAAngivelseInvesteringSpecifikationTypeKode>
                                {
                                    for $InvestVirkeTypeKode in $IFPAAngivelsesOplysninger/ns0:InvestVirkeTypeKode
                                    return
                                        &lt;ns1:IFPAAngivelseInvesteringVirksomhedTypeKode>{ data($InvestVirkeTypeKode) }&lt;/ns1:IFPAAngivelseInvesteringVirksomhedTypeKode>
                                }
                                &lt;ns1:IFPAAngivelseBørsnoteretKode>{ xs:integer( data($IFPAAngivelsesOplysninger/ns0:BoersnoteretPapirKode) ) }&lt;/ns1:IFPAAngivelseBørsnoteretKode>
                                {
                                    for $LandeKode in $IFPAAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:IFPAAngivelseInvesteringLand>{ data($LandeKode) }&lt;/ns1:IFPAAngivelseInvesteringLand>
                                }
                                {
                                    for $InvesteringsPapirIdent in $IFPAAngivelsesOplysninger/ns0:InvesteringsPapirIdent
                                    return
                                        &lt;ns1:IFPAAngivelseInvesteringPapirId>{ data($InvesteringsPapirIdent) }&lt;/ns1:IFPAAngivelseInvesteringPapirId>
                                }
                                &lt;ns1:IFPAAngivelseEjerStatusKode>{ data($IFPAAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:IFPAAngivelseEjerStatusKode>
                                &lt;ns1:IFPAAngivelseRetteKode>{ data($IFPAAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:IFPAAngivelseRetteKode>
                                {
                                    for $OevrigUdlodning in $IFPAAngivelsesOplysninger/ns0:OevrigUdlodning
                                     return if(contains($OevrigUdlodning,'.')) then
                                        &lt;ns1:IFPAAngivelseØvrigUdlodningBeløb>{ xs:integer(substring-before($OevrigUdlodning,'.' )) }&lt;/ns1:IFPAAngivelseØvrigUdlodningBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseØvrigUdlodningBeløb>{ xs:integer(data($OevrigUdlodning)) }&lt;/ns1:IFPAAngivelseØvrigUdlodningBeløb>                                                                       
                                }
                                {
                                    for $Kursvaerdi in $IFPAAngivelsesOplysninger/ns0:Kursvaerdi
                                     return if(contains($Kursvaerdi,'.')) then
                                        &lt;ns1:IFPAAngivelseKursværdi>{ xs:integer(substring-before($Kursvaerdi,'.' )) }&lt;/ns1:IFPAAngivelseKursværdi>
                                    else 
                                     &lt;ns1:IFPAAngivelseKursværdi>{ xs:integer(data($Kursvaerdi)) }&lt;/ns1:IFPAAngivelseKursværdi>                                                                                                         
                                }
                                {
                                    for $Indestaaende in $IFPAAngivelsesOplysninger/ns0:Indestaaende
                                     return if(contains($Indestaaende,'.')) then
                                        &lt;ns1:IFPAAngivelseIndeståendeBeløb>{ xs:integer(substring-before($Indestaaende,'.' )) }&lt;/ns1:IFPAAngivelseIndeståendeBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseIndeståendeBeløb>{ xs:integer(data($Indestaaende)) }&lt;/ns1:IFPAAngivelseIndeståendeBeløb>                                                                                                                                            
                                }
                                {
                                    for $SkattefriUdlodningTilskrivning in $IFPAAngivelsesOplysninger/ns0:SkattefriUdlodningTilskrivning
                                    return if(contains($SkattefriUdlodningTilskrivning,'.')) then
                                        &lt;ns1:IFPAAngivelseUdlodningTilskrivningSkattefriBeløb>{ xs:integer(substring-before($SkattefriUdlodningTilskrivning,'.' )) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningSkattefriBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseUdlodningTilskrivningSkattefriBeløb>{ xs:integer(data($SkattefriUdlodningTilskrivning)) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningSkattefriBeløb>                                                                                                                                                                              
                                }
                                {
                                    for $KapitalIndkomstUdlodningTilskrivning in $IFPAAngivelsesOplysninger/ns0:KapitalIndkomstUdlodningTilskrivning
                                    return if(contains($KapitalIndkomstUdlodningTilskrivning,'.')) then
                                        &lt;ns1:IFPAAngivelseUdlodningTilskrivningKapitalIndkomstBeløb>{ xs:integer(substring-before($KapitalIndkomstUdlodningTilskrivning,'.' )) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningKapitalIndkomstBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseUdlodningTilskrivningKapitalIndkomstBeløb>{ xs:integer(data($KapitalIndkomstUdlodningTilskrivning)) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningKapitalIndkomstBeløb>                                    
                                }
                                {
                                    for $UdlodningTilskrivning in $IFPAAngivelsesOplysninger/ns0:UdlodningTilskrivning
                                     return if(contains($UdlodningTilskrivning,'.')) then
                                        &lt;ns1:IFPAAngivelseUdlodningTilskrivningAndelBeløb>{ xs:integer(substring-before($UdlodningTilskrivning,'.' )) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningAndelBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseUdlodningTilskrivningAndelBeløb>{ xs:integer(data($UdlodningTilskrivning)) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningAndelBeløb>                                                                        
                                }
                                {
                                    for $AaretsUdbytte in $IFPAAngivelsesOplysninger/ns0:AaretsUdbytte
                                    return if(contains($AaretsUdbytte,'.')) then
                                        &lt;ns1:IFPAAngivelseUdlodningTilskrivningSumBeløb>{ xs:integer(substring-before($AaretsUdbytte,'.' )) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningSumBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseUdlodningTilskrivningSumBeløb>{ xs:integer(data($AaretsUdbytte)) }&lt;/ns1:IFPAAngivelseUdlodningTilskrivningSumBeløb>                                
                                }
                                {
                                    for $AktieIndkomstFrivilligUdlodning in $IFPAAngivelsesOplysninger/ns0:AktieIndkomstFrivilligUdlodning
                                     return if(contains($AktieIndkomstFrivilligUdlodning,'.')) then
                                        &lt;ns1:IFPAAngivelseFrivilligUdlodningAndelAktieIndkomstBeløb>{ xs:integer(substring-before($AktieIndkomstFrivilligUdlodning,'.' )) }&lt;/ns1:IFPAAngivelseFrivilligUdlodningAndelAktieIndkomstBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseFrivilligUdlodningAndelAktieIndkomstBeløb>{ xs:integer(data($AktieIndkomstFrivilligUdlodning)) }&lt;/ns1:IFPAAngivelseFrivilligUdlodningAndelAktieIndkomstBeløb>                                                                    
                                }
                                {
                                    for $KapitalIndkomstFrivilligUdlodning in $IFPAAngivelsesOplysninger/ns0:KapitalIndkomstFrivilligUdlodning
                                    return if(contains($KapitalIndkomstFrivilligUdlodning,'.')) then
                                        &lt;ns1:IFPAAngivelseFrivilligUdlodningAndelKapitalIndkomstBeløb>{ xs:integer(substring-before($KapitalIndkomstFrivilligUdlodning,'.' )) }&lt;/ns1:IFPAAngivelseFrivilligUdlodningAndelKapitalIndkomstBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseFrivilligUdlodningAndelKapitalIndkomstBeløb>{ xs:integer(data($KapitalIndkomstFrivilligUdlodning)) }&lt;/ns1:IFPAAngivelseFrivilligUdlodningAndelKapitalIndkomstBeløb>                                                                                                        
                                }
                                {
                                    for $PersonSelskabKode in $IFPAAngivelsesOplysninger/ns0:PersonSelskabKode
                                   return 
                                   		if($PersonSelskabKode = 1) then
                                       	 &lt;ns1:IFPAAngivelsePersonSelskabKode>PersonligRealisation&lt;/ns1:IFPAAngivelsePersonSelskabKode>
                                   		 else if($PersonSelskabKode = 2) then
                                      	  &lt;ns1:IFPAAngivelsePersonSelskabKode>PersonligNæringLagerprincip&lt;/ns1:IFPAAngivelsePersonSelskabKode>
                                  		  else if($PersonSelskabKode = 5) then
                                     	   &lt;ns1:IFPAAngivelsePersonSelskabKode>SelskabRealisation&lt;/ns1:IFPAAngivelsePersonSelskabKode>
                                   		 else if($PersonSelskabKode = 6) then
                                       	 &lt;ns1:IFPAAngivelsePersonSelskabKode>SelskabLagerprincip&lt;/ns1:IFPAAngivelsePersonSelskabKode>
                                   		 else ""
                                }
                                {
                                    for $ForskudtRegnskabsaarStartDato in $IFPAAngivelsesOplysninger/ns0:ForskudtRegnskabsaarStartDato
                                    return
                                        &lt;ns1:IFPAAngivelseForskudtÅrStartDato>{ data($ForskudtRegnskabsaarStartDato) }&lt;/ns1:IFPAAngivelseForskudtÅrStartDato>
                                }
                                {
                                    for $ForskudtRegnskabsaarSlutDato in $IFPAAngivelsesOplysninger/ns0:ForskudtRegnskabsaarSlutDato
                                    return
                                        &lt;ns1:IFPAAngivelseForskudtÅrSlutDato>{ data($ForskudtRegnskabsaarSlutDato) }&lt;/ns1:IFPAAngivelseForskudtÅrSlutDato>
                                }
                                {
                                    for $NaeringsPligtigKode in $IFPAAngivelsesOplysninger/ns0:NaeringsPligtigKode
                                  	 return 
                                   		if(fn:compare($NaeringsPligtigKode , 'false') = 0) then
	                                		&lt;ns1:IFPAAngivelseNæringKode>0&lt;/ns1:IFPAAngivelseNæringKode>
	                               		 else 
	                                		&lt;ns1:IFPAAngivelseNæringKode>1&lt;/ns1:IFPAAngivelseNæringKode>
                                }
                                {
                                    for $RenteindtaegtUdlandKode in $IFPAAngivelsesOplysninger/ns0:RenteindtaegtUdlandKode
                                  	 return 
                                  		 if(fn:compare($RenteindtaegtUdlandKode,'true') = 0) then
                                      	  &lt;ns1:IFPAAngivelseRenteindtægterUdlandetKode>Ja&lt;/ns1:IFPAAngivelseRenteindtægterUdlandetKode>
                                    	else 
                                       	  &lt;ns1:IFPAAngivelseRenteindtægterUdlandetKode>Nej&lt;/ns1:IFPAAngivelseRenteindtægterUdlandetKode>                                    

                                }
                                {
                                    for $YderligereTabUdlandKode in $IFPAAngivelsesOplysninger/ns0:YderligereTabUdlandKode
                                   	return 
                               			if(fn:compare($YderligereTabUdlandKode,'true') = 0) then
                                   			 &lt;ns1:IFPAAngivelseYderligereTabKode>Ja&lt;/ns1:IFPAAngivelseYderligereTabKode>
                               			 else
                                   			 &lt;ns1:IFPAAngivelseYderligereTabKode>Nej&lt;/ns1:IFPAAngivelseYderligereTabKode>
                                }
                                {
                                    for $GevinstTabPGF29Kode in $IFPAAngivelsesOplysninger/ns0:GevinstTabPGF29Kode
                                     return 
                                     	if(fn:compare($GevinstTabPGF29Kode,'true') = 0) then
                                       	 &lt;ns1:IFPAAngivelseGevinstTabPGF29Kode>Ja&lt;/ns1:IFPAAngivelseGevinstTabPGF29Kode>
                                   	 else
                                         &lt;ns1:IFPAAngivelseGevinstTabPGF29Kode>Nej&lt;/ns1:IFPAAngivelseGevinstTabPGF29Kode>
                                }
                                {
		for $IFPAAngivelseGevinstTabPGF29AktiebaseredeKode in $IFPAAngivelsesOplysninger/ns0:GevinstTabAktiebasKode
                                	return if(fn:compare($IFPAAngivelseGevinstTabPGF29AktiebaseredeKode , 'false') = 0) then
			&lt;ns1:IFPAAngivelseGevinstTabPGF29AktiebaseredeKode>F&lt;/ns1:IFPAAngivelseGevinstTabPGF29AktiebaseredeKode>
		else 
		&lt;ns1:IFPAAngivelseGevinstTabPGF29AktiebaseredeKode>T&lt;/ns1:IFPAAngivelseGevinstTabPGF29AktiebaseredeKode>
		}       
		{
		for $IFPAAngivelseGevinstTabVærdiKode in $IFPAAngivelsesOplysninger/ns0:GevinstTabVaerdiansatKode
                                	return if(fn:compare($IFPAAngivelseGevinstTabVærdiKode , 'false') = 0) then
		&lt;ns1:IFPAAngivelseGevinstTabVærdiKode>0&lt;/ns1:IFPAAngivelseGevinstTabVærdiKode>
		else 
		&lt;ns1:IFPAAngivelseGevinstTabVærdiKode>1&lt;/ns1:IFPAAngivelseGevinstTabVærdiKode>
		} 
                                {
                                    for $UdbytteLavskatteLandeKode in $IFPAAngivelsesOplysninger/ns0:UdbytteLavskatteLandeKode
                                    return if(fn:compare($UdbytteLavskatteLandeKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseUdbytteLavskatteLandeKode>Ja&lt;/ns1:IFPAAngivelseUdbytteLavskatteLandeKode>
                                    else
                                        &lt;ns1:IFPAAngivelseUdbytteLavskatteLandeKode>Nej&lt;/ns1:IFPAAngivelseUdbytteLavskatteLandeKode>
                                }
                                {
                                    for $TabUnder3aarKode in $IFPAAngivelsesOplysninger/ns0:TabUnder3aarKode
                                    return if(fn:compare($TabUnder3aarKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseTabEjetUnder3ÅrKode>Ja&lt;/ns1:IFPAAngivelseTabEjetUnder3ÅrKode>
                                    else
                                        &lt;ns1:IFPAAngivelseTabEjetUnder3ÅrKode>Nej&lt;/ns1:IFPAAngivelseTabEjetUnder3ÅrKode>
                                }
                                {
                                    for $AvanceUnder3aarKode in $IFPAAngivelsesOplysninger/ns0:AvanceUnder3aarKode
                                    return if(fn:compare($AvanceUnder3aarKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseAvanceEjetUnder3ÅrKode>Ja&lt;/ns1:IFPAAngivelseAvanceEjetUnder3ÅrKode>
                                    else
                                        &lt;ns1:IFPAAngivelseAvanceEjetUnder3ÅrKode>Nej&lt;/ns1:IFPAAngivelseAvanceEjetUnder3ÅrKode>
                                }
                                {
                                    for $UdbytteUdlandKode in $IFPAAngivelsesOplysninger/ns0:UdbytteUdlandKode
                                    return if(fn:compare($UdbytteUdlandKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseUdbytteUdlandKode>Ja&lt;/ns1:IFPAAngivelseUdbytteUdlandKode>
                                    else
                                        &lt;ns1:IFPAAngivelseUdbytteUdlandKode>Nej&lt;/ns1:IFPAAngivelseUdbytteUdlandKode>
                                }
                                {
                                    for $TabUnotKode in $IFPAAngivelsesOplysninger/ns0:TabUnotKode
                                    return if(fn:compare($TabUnotKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseTabUnoteretAktieKode>Ja&lt;/ns1:IFPAAngivelseTabUnoteretAktieKode>
                                    else
                                        &lt;ns1:IFPAAngivelseTabUnoteretAktieKode>Nej&lt;/ns1:IFPAAngivelseTabUnoteretAktieKode>
                                }
                                {
                                    for $TabBoersnotKode in $IFPAAngivelsesOplysninger/ns0:TabBoersnotKode
                                    return if(fn:compare($TabBoersnotKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseTabBørsAktieKode>Ja&lt;/ns1:IFPAAngivelseTabBørsAktieKode>
                                    else
                                        &lt;ns1:IFPAAngivelseTabBørsAktieKode>Nej&lt;/ns1:IFPAAngivelseTabBørsAktieKode>
                                }
                                
                                {
                                    for $SalgAaret in $IFPAAngivelsesOplysninger/ns0:SalgAaret
                                    return if(contains($SalgAaret,'.')) then
                                        &lt;ns1:IFPAAngivelseSalgÅretBeløb>{ xs:integer(substring-before($SalgAaret,'.' )) }&lt;/ns1:IFPAAngivelseSalgÅretBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseSalgÅretBeløb>{ xs:integer(data($SalgAaret)) }&lt;/ns1:IFPAAngivelseSalgÅretBeløb>                                   
                                }
                                {
                                    for $BankRegistreringsNummer in $IFPAAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:IFPAAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:IFPAAngivelseBankRegistreringNummer>
                                }
                                &lt;ns1:IFPAAngivelseInvesteringsforeningIndberetningKode>{ data($IFPAAngivelsesOplysninger/ns0:InvestForeningIndbTypeKode) }&lt;/ns1:IFPAAngivelseInvesteringsforeningIndberetningKode>
                                {
                                    for $ValutaKode in $IFPAAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:IFPAAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:IFPAAngivelseValuta>
                                }
                                {
                                    for $TINNummer in $IFPAAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:IFPAAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:IFPAAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $IFPAAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:IFPAAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:IFPAAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeSted in $IFPAAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:IFPAAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:IFPAAngivelseFødeSted>
                                }
                                {
                                    for $FoedeLandKode in $IFPAAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:IFPAAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:IFPAAngivelseFødeLand>
                                }
                                {
                                    for $CONavn in $IFPAAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:IFPAAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:IFPAAngivelseCONavnTIN>
                                }
                                {
                                    for $InvestForeningLandeKode in $IFPAAngivelsesOplysninger/ns0:InvestForeningLandeKode
                                    return
                                        &lt;ns1:IFPAAngivelseInvestorLand>{ data($InvestForeningLandeKode) }&lt;/ns1:IFPAAngivelseInvestorLand>
                                }
                                {
                                    for $BruttoAfregningsAfstaaelse in $IFPAAngivelsesOplysninger/ns0:BruttoAfregningsAfstaaelse
                                    return if(contains($BruttoAfregningsAfstaaelse,'.')) then
                                        &lt;ns1:IFPAAngivelseBruttoAfregningAfståelseBeløb>{ xs:integer(substring-before($BruttoAfregningsAfstaaelse,'.' )) }&lt;/ns1:IFPAAngivelseBruttoAfregningAfståelseBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseBruttoAfregningAfståelseBeløb>{ xs:integer(data($BruttoAfregningsAfstaaelse)) }&lt;/ns1:IFPAAngivelseBruttoAfregningAfståelseBeløb>                                                                        
                                }
                                {
                                    for $OmkostningAfstaaelse in $IFPAAngivelsesOplysninger/ns0:OmkostningAfstaaelse
                                    return if(contains($OmkostningAfstaaelse,'.')) then
                                        &lt;ns1:IFPAAngivelseOmkostningAfståelseBeløb>{ xs:integer(substring-before($OmkostningAfstaaelse,'.' )) }&lt;/ns1:IFPAAngivelseOmkostningAfståelseBeløb>
                                    else 
                                     &lt;ns1:IFPAAngivelseOmkostningAfståelseBeløb>{ xs:integer(data($OmkostningAfstaaelse)) }&lt;/ns1:IFPAAngivelseOmkostningAfståelseBeløb>                                    
                                }
                                {
                                    for $HandelsDato in $IFPAAngivelsesOplysninger/ns0:HandelsDato
                                    return
                                        &lt;ns1:IFPAAngivelseHandelDato>{ data($HandelsDato) }&lt;/ns1:IFPAAngivelseHandelDato>
                                }
                                {
                                    for $SkatteBegunstigetOrdning in $IFPAAngivelsesOplysninger/ns0:SkatteBegunstigetOrdning
                                    return
                                        &lt;ns1:IFPAAngivelseSkatteBegunstigetKode>{ if(xs:string( data($SkatteBegunstigetOrdning)) = '1') then
                                					"T"	
                                				else 
                                					"F" }&lt;/ns1:IFPAAngivelseSkatteBegunstigetKode>
                                } 
                                {
                                    for $AvanceOver3aarKode in $IFPAAngivelsesOplysninger/ns0:AvanceOver3aarKode
                                    return if(fn:compare($AvanceOver3aarKode,'true') = 0) then
                                        &lt;ns1:IFPAAngivelseAvanceEjetOver3ÅrKode>Ja&lt;/ns1:IFPAAngivelseAvanceEjetOver3ÅrKode>
                                    else
                                        &lt;ns1:IFPAAngivelseAvanceEjetOver3ÅrKode>Nej&lt;/ns1:IFPAAngivelseAvanceEjetOver3ÅrKode>
                                }
                                {
                                    for $RegistreringsDato in $IFPAAngivelsesOplysninger/ns0:RegistreringsDato
                                    return
                                    	&lt;ns1:RegistreringDato>{ xs:date(substring( data($IFPAAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                }
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($IFPAAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($IFPAAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $IFPAAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                        {
                                            for $ASIdent in $IFPAAngivelsesOplysninger/ns0:ASIdent
                                            return
                                                &lt;ns1:IFPAAngivelseASIdent>{ data($ASIdent) }&lt;/ns1:IFPAAngivelseASIdent>
                                        }
                                        {
                                            for $StykAntal in $IFPAAngivelsesOplysninger/ns0:StykAntal
                                            return
                                                &lt;ns1:IFPAAngivelseInvesteringsforeningBevisAntal>{ xs:integer( round(data($StykAntal)) ) }&lt;/ns1:IFPAAngivelseInvesteringsforeningBevisAntal>
                                        }
                                        {
                                            for $PapirNavn in $IFPAAngivelsesOplysninger/ns0:PapirNavn
                                            return
                                                &lt;ns1:IFPAAngivelseInvesteringsforeningNavn>{ data($PapirNavn) }&lt;/ns1:IFPAAngivelseInvesteringsforeningNavn>
                                        }
                                        {
                                            for $SelskabsindkomstBeloeb in $IFPAAngivelsesOplysninger/ns0:SelskabsindkomstBeloeb                                                                                           
                                             return
                                            if(contains($SelskabsindkomstBeloeb,'.')) then
			&lt;ns1:IFPAAngivelseSelskabsindkomstBeløb>{ xs:integer(substring-before($SelskabsindkomstBeloeb,'.' )) }&lt;/ns1:IFPAAngivelseSelskabsindkomstBeløb>
			else 
			&lt;ns1:IFPAAngivelseSelskabsindkomstBeløb>{ xs:integer(data($SelskabsindkomstBeloeb)) }&lt;/ns1:IFPAAngivelseSelskabsindkomstBeløb>
                                        }
                                        {
                                            for $SkattefriIndkomstBeloeb in $IFPAAngivelsesOplysninger/ns0:SkattefriIndkomstBeloeb
                                            return 
                                            if(contains($SkattefriIndkomstBeloeb,'.')) then
			&lt;ns1:IFPAAngivelseSkattefriIndkomstBeløb>{ xs:integer(substring-before($SkattefriIndkomstBeloeb,'.' )) }&lt;/ns1:IFPAAngivelseSkattefriIndkomstBeløb>
			else 
			 &lt;ns1:IFPAAngivelseSkattefriIndkomstBeløb>{ xs:integer(data($SkattefriIndkomstBeloeb)) }&lt;/ns1:IFPAAngivelseSkattefriIndkomstBeløb>
                                        }
                                        {
                                            for $UdbytteindkomstBeloeb in $IFPAAngivelsesOplysninger/ns0:UdbytteindkomstBeloeb
                                            return
                                                 if(contains($UdbytteindkomstBeloeb,'.')) then
			   &lt;ns1:IFPAAngivelseUdbytteindkomstBeløb>{ xs:integer(substring-before($UdbytteindkomstBeloeb,'.' )) }&lt;/ns1:IFPAAngivelseUdbytteindkomstBeløb>
			else 
			  &lt;ns1:IFPAAngivelseUdbytteindkomstBeløb>{ xs:integer(data($UdbytteindkomstBeloeb)) }&lt;/ns1:IFPAAngivelseUdbytteindkomstBeløb>
                                        }
                                        {
                                            for $UdlodderIDNummer in $IFPAAngivelsesOplysninger/ns0:UdlodderIDNummer
                                            return
                                                &lt;ns1:IFPAAngivelseUdlodderCVRSENummer>{ data($UdlodderIDNummer) }&lt;/ns1:IFPAAngivelseUdlodderCVRSENummer>
                                        }
                                    &lt;/ns1:IFPAAngivelseUddata>
                            }
                        &lt;/ns1:UddataListe>
                        else ""
                }
            &lt;/ns1:UnderretningIFPAAngivelseHent_O>
};

declare variable $underretningIFPAAngivelseHentSvar1 as element() external;

xf:UnderretningIFPAAngivelseHent_TACTICAL_2_SKAT_Output($underretningIFPAAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>