<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningIRTEAngivelseHentSvar1" type="ns0:UnderretningIRTEAngivelseHentInterface/ns0:UnderretningIRTEAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningIRTEAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningIRTEAngivelseHent_TACTICAL_2_SKAT_Output($underretningIRTEAngivelseHentSvar1 as element())
    as element(ns1:UnderretningIRTEAngivelseHent_O) {
        let $UnderretningIRTEAngivelseHentSvar := $underretningIRTEAngivelseHentSvar1
        return
            &lt;ns1:UnderretningIRTEAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningIRTEAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningIRTEAngivelseHentSvar/ns0:IRTEAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $IRTEAngivelsesOplysninger in $UnderretningIRTEAngivelseHentSvar/ns0:IRTEAngivelsesOplysninger
                        return
                            &lt;ns1:IRTEAngivelseUddata>
                                &lt;ns1:IRTEAngivelseIndberetningPligtigSENummer>{ xs:string( data($IRTEAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:IRTEAngivelseIndberetningPligtigSENummer>
                                {
                                    for $KontoIDNummer in $IRTEAngivelsesOplysninger/ns0:KontoIDNummer
                                    return
                                        &lt;ns1:IRTEAngivelseKontoNummer>{ data($KontoIDNummer) }&lt;/ns1:IRTEAngivelseKontoNummer>
                                }
                                {
                                    for $RenteBeloeb in $IRTEAngivelsesOplysninger/ns0:RenteBeloeb
                                    return
                                        &lt;ns1:IRTEAngivelseRenteBeløb>{ data($RenteBeloeb) }&lt;/ns1:IRTEAngivelseRenteBeløb>
                                }
                                &lt;ns1:IRTEAngivelseEjerStatusKode>{ data($IRTEAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:IRTEAngivelseEjerStatusKode>
                                &lt;ns1:IRTEAngivelseRetteKode>{ data($IRTEAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:IRTEAngivelseRetteKode>
                                {
                                    for $LandeKode in $IRTEAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:IRTEAngivelseRentemodtagerLand>{ data($LandeKode) }&lt;/ns1:IRTEAngivelseRentemodtagerLand>
                                }
                                &lt;ns1:IRTEAngivelseKontoType>{ data($IRTEAngivelsesOplysninger/ns0:KontoType) }&lt;/ns1:IRTEAngivelseKontoType>
                                {
                                    for $Indestaaende in $IRTEAngivelsesOplysninger/ns0:Indestaaende
                                    return
                                        &lt;ns1:IRTEAngivelseIndeståendeBeløb>{ data($Indestaaende) }&lt;/ns1:IRTEAngivelseIndeståendeBeløb>
                                }
                                {
                                    for $OprettelsesDato in $IRTEAngivelsesOplysninger/ns0:OprettelsesDato
                                    return
                                        &lt;ns1:IRTEAngivelseOprettetDato>{ data($OprettelsesDato) }&lt;/ns1:IRTEAngivelseOprettetDato>
                                }
                                {
                                    for $KalkuleretPraemie in $IRTEAngivelsesOplysninger/ns0:KalkuleretPraemie
                                    return
                                        &lt;ns1:IRTEAngivelseKalkuleretPræmieBeløb>{ data($KalkuleretPraemie) }&lt;/ns1:IRTEAngivelseKalkuleretPræmieBeløb>
                                }
                                {
                                    for $BankRegistreringsNummer in $IRTEAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:IRTEAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:IRTEAngivelseBankRegistreringNummer>
                                }
                                {
                                    for $ValutaKode in $IRTEAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:IRTEAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:IRTEAngivelseValuta>
                                }
                                {
                                    for $TINNummer in $IRTEAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:IRTEAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:IRTEAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $IRTEAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:IRTEAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:IRTEAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeSted in $IRTEAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:IRTEAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:IRTEAngivelseFødeSted>
                                }
                                {
                                    for $FoedeLandKode in $IRTEAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:IRTEAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:IRTEAngivelseFødeLand>
                                }
                                {
                                    for $CONavn in $IRTEAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:IRTEAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:IRTEAngivelseCONavnTIN>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($IRTEAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>

                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($IRTEAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($IRTEAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $IRTEAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                            &lt;/ns1:IRTEAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                    else ""
                }
            &lt;/ns1:UnderretningIRTEAngivelseHent_O>
};

declare variable $underretningIRTEAngivelseHentSvar1 as element() external;

xf:UnderretningIRTEAngivelseHent_TACTICAL_2_SKAT_Output($underretningIRTEAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>