<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:UnderretningOBLGAngivelseHentInterface/ns0:UnderretningOBLGAngivelseHent" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningOBLGAngivelseHent_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningOBLGAngivelseHent_SKAT_2_TACTICAL_Input($underretningOBLGAngivelseHent_I1 as element(ns1:UnderretningOBLGAngivelseHent_I))
    as element() {
        let $UnderretningOBLGAngivelseHent_I := $underretningOBLGAngivelseHent_I1
        return
            &lt;ns0:UnderretningOBLGAngivelseHent>
                {
                    for $Kontekst in $UnderretningOBLGAngivelseHent_I/ns1:Kontekst
                    where data($Kontekst/*) = data($Kontekst/*)
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:IndkomstAar>{ xs:gYear( data($UnderretningOBLGAngivelseHent_I/ns1:InputParametre/ns1:UnderretningTypeIndkomstÅr) ) }&lt;/ns0:IndkomstAar>
                &lt;ns0:CPRSENummer>
	                {
						let $CPRSENummer := $UnderretningOBLGAngivelseHent_I/ns1:InputParametre/ns1:OBLGAngivelseRentemodtagerCPRSENummer
						return if (fn:string-length($CPRSENummer) = 10 and fn:not(fn:starts-with($CPRSENummer , '00'))) then
						    &lt;ns0:CPRNummer>
								{data($CPRSENummer)}
		    	            &lt;/ns0:CPRNummer>
		    	        else 
			    	        &lt;ns0:SENummer>
								{data($CPRSENummer)}
		    	            &lt;/ns0:SENummer>
					}
                &lt;/ns0:CPRSENummer>
            &lt;/ns0:UnderretningOBLGAngivelseHent>
};

declare variable $underretningOBLGAngivelseHent_I1 as element(ns1:UnderretningOBLGAngivelseHent_I) external;

xf:UnderretningOBLGAngivelseHent_SKAT_2_TACTICAL_Input($underretningOBLGAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>