<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningOBLGAngivelseHentSvar1" type="ns0:UnderretningOBLGAngivelseHentInterface/ns0:UnderretningOBLGAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningOBLGAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningOBLGAngivelseHent_TACTICAL_2_SKAT_Output($underretningOBLGAngivelseHentSvar1 as element())
    as element(ns1:UnderretningOBLGAngivelseHent_O) {
        let $UnderretningOBLGAngivelseHentSvar := $underretningOBLGAngivelseHentSvar1
        return
            &lt;ns1:UnderretningOBLGAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningOBLGAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningOBLGAngivelseHentSvar/ns0:OBLGAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $OBLGAngivelsesOplysninger in $UnderretningOBLGAngivelseHentSvar/ns0:OBLGAngivelsesOplysninger
                        return
                            &lt;ns1:OBLGAngivelseUddata>
                                &lt;ns1:OBLGAngivelseIndberetningPligtigSENummer>{ xs:string( data($OBLGAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:OBLGAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:OBLGAngivelseTransIdNummer>{ data($OBLGAngivelsesOplysninger/ns0:TransaktionsIdent) }&lt;/ns1:OBLGAngivelseTransIdNummer>
                                {
                                    for $RenteBeloeb in $OBLGAngivelsesOplysninger/ns0:RenteBeloeb
                                    return
                                        &lt;ns1:OBLGAngivelseRenteBeløb>{ data($RenteBeloeb) }&lt;/ns1:OBLGAngivelseRenteBeløb>
                                }
                                &lt;ns1:OBLGAngivelseEjerStatusKode>{ data($OBLGAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:OBLGAngivelseEjerStatusKode>
                                {
                                    for $DepotTypeKode in $OBLGAngivelsesOplysninger/ns0:DepotTypeKode
                                    return
                                        &lt;ns1:OBLGAngivelseDepotTypeKode>{ data($DepotTypeKode) }&lt;/ns1:OBLGAngivelseDepotTypeKode>
                                }
                                {
                                    for $Kursvaerdi in $OBLGAngivelsesOplysninger/ns0:Kursvaerdi
                                    return
                                        &lt;ns1:OBLGAngivelseKursværdi>{ data($Kursvaerdi) }&lt;/ns1:OBLGAngivelseKursværdi>
                                }
                                &lt;ns1:OBLGAngivelseRetteKode>{ data($OBLGAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:OBLGAngivelseRetteKode>
                                &lt;ns1:OBLGAngivelseRenteKode>{ data($OBLGAngivelsesOplysninger/ns0:RenteKode) }&lt;/ns1:OBLGAngivelseRenteKode>
                                {
                                    for $ValutaKode in $OBLGAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:OBLGAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:OBLGAngivelseValuta>
                                }
                                {
                                    for $LandeKode in $OBLGAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:OBLGAngivelseRentemodtagerLand>{ data($LandeKode) }&lt;/ns1:OBLGAngivelseRentemodtagerLand>
                                }
                                  {
                                    for $ValutaStatusKode in $OBLGAngivelsesOplysninger/ns0:ValutaStatusKode
                                    return if($ValutaStatusKode = 0) then
                                    	&lt;ns1:OBLGAngivelseValutaStatusKode>DanskObligation&lt;/ns1:OBLGAngivelseValutaStatusKode>
                                    else 
                                    	&lt;ns1:OBLGAngivelseValutaStatusKode>UdenlandskObligation&lt;/ns1:OBLGAngivelseValutaStatusKode>
                                }
                                {
                                    for $IndfrielsesKode in $OBLGAngivelsesOplysninger/ns0:IndfrielsesKode
                                    return
                                        &lt;ns1:OBLGAngivelseIndfriKode>{ data($IndfrielsesKode) }&lt;/ns1:OBLGAngivelseIndfriKode>
                                }
                                {
                                    for $IndfrielsesUdtraeksBeloeb in $OBLGAngivelsesOplysninger/ns0:IndfrielsesUdtraeksBeloeb
                                    return
                                        &lt;ns1:OBLGAngivelseIndfriUdtrækBeløb>{ data($IndfrielsesUdtraeksBeloeb) }&lt;/ns1:OBLGAngivelseIndfriUdtrækBeløb>
                                }
                                {
                                    for $KuponKode in $OBLGAngivelsesOplysninger/ns0:KuponKode
                                    return
                                        &lt;ns1:OBLGAngivelseKuponKode>{ xs:integer( data($KuponKode) ) }&lt;/ns1:OBLGAngivelseKuponKode>
                                }
                                {
                                    for $FondsKode in $OBLGAngivelsesOplysninger/ns0:FondsKode
                                    return
                                        &lt;ns1:OBLGAngivelseFondKode>{ data($FondsKode) }&lt;/ns1:OBLGAngivelseFondKode>
                                }
                                {
                                    for $KoebSalgsKode in $OBLGAngivelsesOplysninger/ns0:KoebSalgsKode
                                    return
                                        &lt;ns1:OBLGAngivelseKøbSalgKode>{ data($KoebSalgsKode) }&lt;/ns1:OBLGAngivelseKøbSalgKode>
                                }
                                {
                                    for $IndfrielsesDato in $OBLGAngivelsesOplysninger/ns0:IndfrielsesDato
                                    return
                                        &lt;ns1:OBLGAngivelseTidspunkt>{ xs:dateTime( fn-bea:add-timezone-to-date($IndfrielsesDato) ) }&lt;/ns1:OBLGAngivelseTidspunkt>
                                }
                                {
                                    for $BankRegistreringsNummer in $OBLGAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:OBLGAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:OBLGAngivelseBankRegistreringNummer>
                                }
                                &lt;ns1:OBLGAngivelseObligationType>{ data($OBLGAngivelsesOplysninger/ns0:ObligationsTypeKode) }&lt;/ns1:OBLGAngivelseObligationType>
                                {
                                    for $TINNummer in $OBLGAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:OBLGAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:OBLGAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $OBLGAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:OBLGAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:OBLGAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeLandKode in $OBLGAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:OBLGAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:OBLGAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $OBLGAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:OBLGAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:OBLGAngivelseFødeSted>
                                }
                                {
                                    for $CONavn in $OBLGAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:OBLGAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:OBLGAngivelseCONavnTIN>
                                }
                                {
                                    for $BruttoAfregningsAfstaaelse in $OBLGAngivelsesOplysninger/ns0:BruttoAfregningsAfstaaelse
                                    return
                                        &lt;ns1:OBLGAngivelseBruttoAfregningAfståelseBeløb>{ data($BruttoAfregningsAfstaaelse) }&lt;/ns1:OBLGAngivelseBruttoAfregningAfståelseBeløb>
                                }
                                {
                                    for $NettoAfregningsAfstaaelse in $OBLGAngivelsesOplysninger/ns0:NettoAfregningsAfstaaelse
                                    return
                                        &lt;ns1:OBLGAngivelseNettoAfregningAfståelseBeløb>{ data($NettoAfregningsAfstaaelse) }&lt;/ns1:OBLGAngivelseNettoAfregningAfståelseBeløb>
                                }
                                {
                                    for $OmkostningAfstaaelse in $OBLGAngivelsesOplysninger/ns0:OmkostningAfstaaelse
                                    return
                                        &lt;ns1:OBLGAngivelseOmkostningAfståelseBeløb>{ data($OmkostningAfstaaelse) }&lt;/ns1:OBLGAngivelseOmkostningAfståelseBeløb>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($OBLGAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($OBLGAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                {
                                    for $IndberettetSENummer in $OBLGAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                            &lt;/ns1:OBLGAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                 else ""
                }
            &lt;/ns1:UnderretningOBLGAngivelseHent_O>
};

declare variable $underretningOBLGAngivelseHentSvar1 as element() external;

xf:UnderretningOBLGAngivelseHent_TACTICAL_2_SKAT_Output($underretningOBLGAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>