<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningPADEAngivelseHentSvar1" type="ns0:UnderretningPADEAngivelseHentInterface/ns0:UnderretningPADEAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningPADEAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningPADEAngivelseHent_TACTICAL_2_SKAT_Output($underretningPADEAngivelseHentSvar1 as element())
    as element(ns1:UnderretningPADEAngivelseHent_O) {
        let $UnderretningPADEAngivelseHentSvar := $underretningPADEAngivelseHentSvar1
        return
            &lt;ns1:UnderretningPADEAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningPADEAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningPADEAngivelseHentSvar/ns0:PADEAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $PADEAngivelsesOplysninger in $UnderretningPADEAngivelseHentSvar/ns0:PADEAngivelsesOplysninger
                        return
                            &lt;ns1:PADEAngivelseUddata>
                                &lt;ns1:PADEAngivelseIndberetningPligtigSENummer>{ xs:string( data($PADEAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:PADEAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:PADEAngivelseDepotNummer>{ data($PADEAngivelsesOplysninger/ns0:DepotNummer) }&lt;/ns1:PADEAngivelseDepotNummer>
                                &lt;ns1:PADEAngivelseKontoType>{ data($PADEAngivelsesOplysninger/ns0:KontoType) }&lt;/ns1:PADEAngivelseKontoType>
                                &lt;ns1:PADEAngivelseEjerStatusKode>{ data($PADEAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:PADEAngivelseEjerStatusKode>
                                &lt;ns1:PADEAngivelseRetteKode>{ data($PADEAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:PADEAngivelseRetteKode>
                                {
                                    for $Kursvaerdi in $PADEAngivelsesOplysninger/ns0:Kursvaerdi
                                    return
                                        &lt;ns1:PADEAngivelseKursværdi>{ data($Kursvaerdi) }&lt;/ns1:PADEAngivelseKursværdi>
                                }
                                {
                                    for $RenteBeloeb in $PADEAngivelsesOplysninger/ns0:RenteBeloeb
                                    return
                                        &lt;ns1:PADEAngivelseRenteBeløb>{ data($RenteBeloeb) }&lt;/ns1:PADEAngivelseRenteBeløb>
                                }
                               {
                                	for $BeregningsKode in $PADEAngivelsesOplysninger/ns0:KursvaerdiBeregningsKode
                                	return 
                                		if(fn:compare($BeregningsKode , 'false') = 0) then
                                			&lt;ns1:PADEAngivelseBeregnetKursværdiKode>0&lt;/ns1:PADEAngivelseBeregnetKursværdiKode>
                                		else if(fn:compare($BeregningsKode , 'true') = 0) then
                                			&lt;ns1:PADEAngivelseBeregnetKursværdiKode>1&lt;/ns1:PADEAngivelseBeregnetKursværdiKode>	
                                		else
                                		   ""	
                                }                                {
                                    for $Restgaeld in $PADEAngivelsesOplysninger/ns0:Restgaeld
                                    return
                                        &lt;ns1:PADEAngivelseRestgældBeløb>{ data($Restgaeld) }&lt;/ns1:PADEAngivelseRestgældBeløb>
                                }
                                {
                                    for $RestLoebeTid in $PADEAngivelsesOplysninger/ns0:RestLoebeTid
                                    return
                                        &lt;ns1:PADEAngivelseRestløbetid>{ xs:integer( data($RestLoebeTid) ) }&lt;/ns1:PADEAngivelseRestløbetid>
                                }
                                {
                                    for $RenteFod in $PADEAngivelsesOplysninger/ns0:RenteFod
                                    return
                                        &lt;ns1:PADEAngivelseRenteFod>{ xs:integer( data($RenteFod) ) }&lt;/ns1:PADEAngivelseRenteFod>
                                }
                                 {
	                                for $AendringsKode in $PADEAngivelsesOplysninger/ns0:AendringsKode
	                                return if(fn:compare($AendringsKode , '00') = 0) then
		                                &lt;ns1:PADEAngivelseÆndringKode>DepotHeleÅret&lt;/ns1:PADEAngivelseÆndringKode>
		                            else if(fn:compare($AendringsKode , '01') = 0) then
		                                &lt;ns1:PADEAngivelseÆndringKode>KreditorskiftIÅret&lt;/ns1:PADEAngivelseÆndringKode>
		                            else if(fn:compare($AendringsKode , '02') = 0) then
		                                &lt;ns1:PADEAngivelseÆndringKode>DebitorskiftIÅret&lt;/ns1:PADEAngivelseÆndringKode>
		                            else
		                                &lt;ns1:PADEAngivelseÆndringKode>KreditorOgDebitorskiftIÅret&lt;/ns1:PADEAngivelseÆndringKode>
                                }
                                &lt;ns1:PADEAngivelseRestanceMarkering>{ data($PADEAngivelsesOplysninger/ns0:RestanceMarkering) }&lt;/ns1:PADEAngivelseRestanceMarkering>
                                {
                                    for $BankRegistreringsNummer in $PADEAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:PADEAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:PADEAngivelseBankRegistreringNummer>
                                }
                                {
                                    for $ValutaKode in $PADEAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:PADEAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:PADEAngivelseValuta>
                                }
                                {
                                    for $TINNummer in $PADEAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:PADEAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:PADEAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $PADEAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:PADEAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:PADEAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeSted in $PADEAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:PADEAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:PADEAngivelseFødeSted>
                                }
                                {
                                    for $FoedeLandKode in $PADEAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:PADEAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:PADEAngivelseFødeLand>
                                }
                                {
                                    for $CONavn in $PADEAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:PADEAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:PADEAngivelseCONavnTIN>
                                }
                                {
                                    for $LandeKode in $PADEAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:PADEAngivelseKreditorDebitorLand>{ data($LandeKode) }&lt;/ns1:PADEAngivelseKreditorDebitorLand>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($PADEAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($PADEAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($PADEAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $PADEAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                            &lt;/ns1:PADEAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                    else ""
                }
            &lt;/ns1:UnderretningPADEAngivelseHent_O>
};

declare variable $underretningPADEAngivelseHentSvar1 as element() external;

xf:UnderretningPADEAngivelseHent_TACTICAL_2_SKAT_Output($underretningPADEAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>