<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningPANTAngivelseHentSvar1" type="ns0:UnderretningPANTAngivelseHentInterface/ns0:UnderretningPANTAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningPANTAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningPANTAngivelseHent_TACTICAL_2_SKAT_Output($underretningPANTAngivelseHentSvar1 as element())
    as element(ns1:UnderretningPANTAngivelseHent_O) {
        let $UnderretningPANTAngivelseHentSvar := $underretningPANTAngivelseHentSvar1
        return
            &lt;ns1:UnderretningPANTAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningPANTAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningPANTAngivelseHentSvar/ns0:PANTAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $PANTAngivelsesOplysninger in $UnderretningPANTAngivelseHentSvar/ns0:PANTAngivelsesOplysninger
                        return
                            &lt;ns1:PANTAngivelseUddata>
                                &lt;ns1:PANTAngivelseIndberetningPligtigSENummer>{ xs:string( data($PANTAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:PANTAngivelseIndberetningPligtigSENummer>
                                {
                                    for $MyndighedsNummer in $PANTAngivelsesOplysninger/ns0:MyndighedsNummer
                                    return
                                        &lt;ns1:PANTAngivelseKommuneNummer>{ xs:integer( data($MyndighedsNummer) ) }&lt;/ns1:PANTAngivelseKommuneNummer>
                                }
                                {
                                    for $EjendomsNummer in $PANTAngivelsesOplysninger/ns0:EjendomsNummer
                                    return
                                        &lt;ns1:PANTAngivelseEjendomNummer>{ xs:integer( data($EjendomsNummer) ) }&lt;/ns1:PANTAngivelseEjendomNummer>
                                }
                                &lt;ns1:PANTAngivelseEjerStatusKode>{ data($PANTAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:PANTAngivelseEjerStatusKode>
                                &lt;ns1:PANTAngivelseRetteKode>{ data($PANTAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:PANTAngivelseRetteKode>
                                {
                                    for $EjerandelProcent in $PANTAngivelsesOplysninger/ns0:EjerandelProcent
                                     return
                                     	&lt;ns1:PANTAngivelseEjerandelProcent>{ data($EjerandelProcent) }&lt;/ns1:PANTAngivelseEjerandelProcent>                                   
                                }
                                &lt;ns1:PANTAngivelseLånePantNummer>{ data($PANTAngivelsesOplysninger/ns0:LaanePantNummer) }&lt;/ns1:PANTAngivelseLånePantNummer>
                                {
                                    for $Restgaeld in $PANTAngivelsesOplysninger/ns0:Restgaeld
                                    return
                                        &lt;ns1:PANTAngivelseRestgæld3112Beløb>{ data($Restgaeld) }&lt;/ns1:PANTAngivelseRestgæld3112Beløb>
                                }
                                {
                                    for $Kursvaerdi in $PANTAngivelsesOplysninger/ns0:Kursvaerdi
                                    return
                                        &lt;ns1:PANTAngivelseKursværdi>{ data($Kursvaerdi) }&lt;/ns1:PANTAngivelseKursværdi>
                                }
                                &lt;ns1:PANTAngivelseBeregnetKursværdiKode>{ if (xs:string(data($PANTAngivelsesOplysninger/ns0:KursvaerdiBeregningsKode)) = 'true') then
                                                                              "1"
                                                                          else 
                                                                              "0" }&lt;/ns1:PANTAngivelseBeregnetKursværdiKode>
                                {
                                    for $RenteBeloeb in $PANTAngivelsesOplysninger/ns0:RenteBeloeb
                                    return
                                        &lt;ns1:PANTAngivelseRenteBeløb>{ data($RenteBeloeb) }&lt;/ns1:PANTAngivelseRenteBeløb>
                                }
                                &lt;ns1:PANTAngivelseKontoType>{ data($PANTAngivelsesOplysninger/ns0:KontoType) }&lt;/ns1:PANTAngivelseKontoType>
                                {
                                    for $OpgoerelsesDato in $PANTAngivelsesOplysninger/ns0:OpgoerelsesDato
                                    return
                                        &lt;ns1:PANTAngivelseOpgørelseDato>{ data($OpgoerelsesDato) }&lt;/ns1:PANTAngivelseOpgørelseDato>
                                }
                                {
                                    for $StartDato in $PANTAngivelsesOplysninger/ns0:StartDato
                                    return
                                        &lt;ns1:PANTAngivelseStartDato>{ data($StartDato) }&lt;/ns1:PANTAngivelseStartDato>
                                }
                                {
                                    for $RestLoebeTid in $PANTAngivelsesOplysninger/ns0:RestLoebeTid
                                    return
                                        &lt;ns1:PANTAngivelseRestløbetid>{ xs:integer( data($RestLoebeTid) ) }&lt;/ns1:PANTAngivelseRestløbetid>
                                }
                                {
                                    for $RenteFod in $PANTAngivelsesOplysninger/ns0:RenteFod
                                    return
                                        &lt;ns1:PANTAngivelseRenteFod>{ xs:integer( data($RenteFod) ) }&lt;/ns1:PANTAngivelseRenteFod>
                                }
                                {
                                    for $KursTab in $PANTAngivelsesOplysninger/ns0:KursTab
                                    return
                                        &lt;ns1:PANTAngivelseKurstabBeløb>{ data($KursTab) }&lt;/ns1:PANTAngivelseKurstabBeløb>
                                }
                                {
                                    for $EjendomsLandeKode in $PANTAngivelsesOplysninger/ns0:EjendomsLandeKode
                                    return
                                        &lt;ns1:PANTAngivelseEjendomLand>{ data($EjendomsLandeKode) }&lt;/ns1:PANTAngivelseEjendomLand>
                                }
                                &lt;ns1:PANTAngivelseEjerskifteKode>{ data($PANTAngivelsesOplysninger/ns0:EjerskifteKode) }&lt;/ns1:PANTAngivelseEjerskifteKode>
                                &lt;ns1:PANTAngivelseRestanceMarkering>{ data($PANTAngivelsesOplysninger/ns0:RestanceMarkering) }&lt;/ns1:PANTAngivelseRestanceMarkering>
                                &lt;ns1:PANTAngivelseKontantlånIndfrielseKode>{ xs:integer( data($PANTAngivelsesOplysninger/ns0:KontantLaansIndfrielse) ) }&lt;/ns1:PANTAngivelseKontantlånIndfrielseKode>
                                {
                                    for $ValutaKode in $PANTAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:PANTAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:PANTAngivelseValuta>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($PANTAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($PANTAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($PANTAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $PANTAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                {
                                    for $CONavn in $PANTAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:PANTAngivelseCONavn>{ data($CONavn) }&lt;/ns1:PANTAngivelseCONavn>
                                }
                                {
                                    for $FoedeLandKode in $PANTAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:PANTAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:PANTAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $PANTAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:PANTAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:PANTAngivelseFødeSted>
                                }
                                {
                                    for $LandeKode in $PANTAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:PANTAngivelseKreditorDebitorLand>{ data($LandeKode) }&lt;/ns1:PANTAngivelseKreditorDebitorLand>
                                }
                                {
                                    for $TINNummer in $PANTAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:PANTAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:PANTAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $PANTAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:PANTAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:PANTAngivelseTINNummerType>
                                }
                            &lt;/ns1:PANTAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                     else ""
                }
            &lt;/ns1:UnderretningPANTAngivelseHent_O>
};

declare variable $underretningPANTAngivelseHentSvar1 as element() external;

xf:UnderretningPANTAngivelseHent_TACTICAL_2_SKAT_Output($underretningPANTAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>