<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningUDBYAngivelseHentSvar1" type="ns0:UnderretningUDBYAngivelseHentInterface/ns0:UnderretningUDBYAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningUDBYAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningUDBYAngivelseHent_TACTICAL_2_SKAT_Output($underretningUDBYAngivelseHentSvar1 as element())
    as element(ns1:UnderretningUDBYAngivelseHent_O) {
        let $UnderretningUDBYAngivelseHentSvar := $underretningUDBYAngivelseHentSvar1
        return
            &lt;ns1:UnderretningUDBYAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningUDBYAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningUDBYAngivelseHentSvar/ns0:UDBYAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $UDBYAngivelsesOplysninger in $UnderretningUDBYAngivelseHentSvar/ns0:UDBYAngivelsesOplysninger
                        return
                            &lt;ns1:UDBYAngivelseUddata>
                                &lt;ns1:UDBYAngivelseIndberetningPligtigSENummer>{ xs:string( data($UDBYAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:UDBYAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:UDBYAngivelseEjerStatusKode>{ data($UDBYAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:UDBYAngivelseEjerStatusKode>
                                &lt;ns1:UDBYAngivelseDepotNummer>{ data($UDBYAngivelsesOplysninger/ns0:DepotNummer) }&lt;/ns1:UDBYAngivelseDepotNummer>
                                {
                                    for $BankRegistreringsNummer in $UDBYAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:UDBYAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:UDBYAngivelseBankRegistreringNummer>
                                }
                                &lt;ns1:UDBYAngivelseNomineeMedarbejderAktierMarkering>{ data($UDBYAngivelsesOplysninger/ns0:NomineeKode) }&lt;/ns1:UDBYAngivelseNomineeMedarbejderAktierMarkering>
                                &lt;ns1:UDBYAngivelseRetteKode>{ data($UDBYAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:UDBYAngivelseRetteKode>
                                {
                                    for $LandeKode in $UDBYAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:UDBYAngivelseLandeKode>{ data($LandeKode) }&lt;/ns1:UDBYAngivelseLandeKode>
                                }
                                {
                                    for $IsinKode in $UDBYAngivelsesOplysninger/ns0:IsinKode
                                    return
                                        &lt;ns1:UDBYAngivelseAktieISINKode>{ data($IsinKode) }&lt;/ns1:UDBYAngivelseAktieISINKode>
                                }
                                {
                                    for $CusipKode in $UDBYAngivelsesOplysninger/ns0:CusipKode
                                    return
                                        &lt;ns1:UDBYAngivelseCUSIPKode>{ data($CusipKode) }&lt;/ns1:UDBYAngivelseCUSIPKode>
                                }
                                &lt;ns1:UDBYAngivelsePapirLand>{ data($UDBYAngivelsesOplysninger/ns0:PapirLandeKode) }&lt;/ns1:UDBYAngivelsePapirLand>
                                {
                                    for $PapirNavn in $UDBYAngivelsesOplysninger/ns0:PapirNavn
                                    return
                                    if(string-length($PapirNavn)>35)  then 
                                    	 &lt;ns1:UDBYAngivelsePapirNavn>{ substring($PapirNavn,0,35) }&lt;/ns1:UDBYAngivelsePapirNavn>
                                    else
                                        &lt;ns1:UDBYAngivelsePapirNavn>{ data($PapirNavn) }&lt;/ns1:UDBYAngivelsePapirNavn>
                                }
                                {
                                    for $UdbytteBeloeb in $UDBYAngivelsesOplysninger/ns0:UdbytteBeloeb
                                    return
                                        &lt;ns1:UDBYAngivelseBruttoUdbytteBeløb>{ data($UdbytteBeloeb) }&lt;/ns1:UDBYAngivelseBruttoUdbytteBeløb>
                                }
                                {
                                    for $NettoUdbytte in $UDBYAngivelsesOplysninger/ns0:NettoUdbytte
                                    return
                                        &lt;ns1:UDBYAngivelseNettoUdbytteBeløb>{ data($NettoUdbytte) }&lt;/ns1:UDBYAngivelseNettoUdbytteBeløb>
                                }
                                &lt;ns1:UDBYAngivelseFrikortKode>{ data($UDBYAngivelsesOplysninger/ns0:FrikortKode) }&lt;/ns1:UDBYAngivelseFrikortKode>
                                {
                                    for $ValutaKode in $UDBYAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:UDBYAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:UDBYAngivelseValuta>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($UDBYAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($UDBYAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode> { if(xs:string( data($UDBYAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $UDBYAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                {
                                    for $CONavn in $UDBYAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:UDBYAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:UDBYAngivelseCONavnTIN>
                                }
                                {
                                    for $FoedeLandKode in $UDBYAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:UDBYAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:UDBYAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $UDBYAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:UDBYAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:UDBYAngivelseFødeSted>
                                }
                                {
                                    for $TINNummer in $UDBYAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:UDBYAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:UDBYAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $UDBYAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:UDBYAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:UDBYAngivelseTINNummerType>
                                }
                                {
                                    for $UdlodderIDNummer in $UDBYAngivelsesOplysninger/ns0:UdlodderIDNummer
                                    return
                                        &lt;ns1:UDBYAngivelseUdlodderSENummer>{ data($UdlodderIDNummer) }&lt;/ns1:UDBYAngivelseUdlodderSENummer>
                                }
                            &lt;/ns1:UDBYAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                  else ""
                }
            &lt;/ns1:UnderretningUDBYAngivelseHent_O>
};

declare variable $underretningUDBYAngivelseHentSvar1 as element() external;

xf:UnderretningUDBYAngivelseHent_TACTICAL_2_SKAT_Output($underretningUDBYAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>