<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningUdbytteModtagerAngivelseHentSvar1" type="ns0:UnderretningUdbytteModtagerAngivelseHentInterface/ns0:UnderretningUdbytteModtagerAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningUdbytteModtagerAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInRemoveZero($UdbytteProcentKode as xs:integer){

	if(string-length(xs:string($UdbytteProcentKode)) >2) then 	concat(substring(xs:string($UdbytteProcentKode),1,2),".",substring(xs:string($UdbytteProcentKode),3))
	else $UdbytteProcentKode
};

declare function xf:UnderretningUdbytteModtagerAngivelseHent_TACTICAL_2_SKAT_Output($underretningUdbytteModtagerAngivelseHentSvar1 as element())
    as element(ns1:UnderretningUdbytteModtagerAngivelseHent_O) {
        let $UnderretningUdbytteModtagerAngivelseHentSvar := $underretningUdbytteModtagerAngivelseHentSvar1
        return
            &lt;ns1:UnderretningUdbytteModtagerAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningUdbytteModtagerAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningUdbytteModtagerAngivelseHentSvar/ns0:UnderretningUdbytteModtagerAngivelsesOplysningerHent
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $UnderretningUdbytteModtagerAngivelsesOplysningerHent in $UnderretningUdbytteModtagerAngivelseHentSvar/ns0:UnderretningUdbytteModtagerAngivelsesOplysningerHent
                        return
                            &lt;ns1:UdbytteModtagerAngivelseUddata>
                                &lt;ns1:AngiverVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ xs:string( data($UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:SENummerAngiver) ) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:AngiverVirksomhedSENummer>
                                &lt;ns1:UdbytteModtagerAngivelseEjerStatusKode>{ data($UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:EjerStatusKode) }&lt;/ns1:UdbytteModtagerAngivelseEjerStatusKode>
                                {
                                    for $LandeKode in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:LandeKode
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseLandeKode>{ data($LandeKode) }&lt;/ns1:UdbytteModtagerAngivelseLandeKode>
                                }
                                {
                                    for $UdbytteBeloeb in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:UdbytteBeloeb
                                    return if(contains($UdbytteBeloeb,'.')) then
                                        &lt;ns1:UdbytteModtagerAngivelseUdbytteBeløb>{ xs:integer(substring-before($UdbytteBeloeb,'.' )) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteBeløb>
                                    	else 
                                     	&lt;ns1:UdbytteModtagerAngivelseUdbytteBeløb>{ xs:integer(data($UdbytteBeloeb)) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteBeløb>                                                                      
                                }
                                {
                                    for $UdbytteProcentKode in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:UdbytteProcentKode
                                   return if(fn:compare($UdbytteProcentKode,'100')=0) then
                                        &lt;ns1:UdbytteModtagerAngivelseUdbytteProcent>{ xs:integer($UdbytteProcentKode)}&lt;/ns1:UdbytteModtagerAngivelseUdbytteProcent>
                                        else if(fn:compare($UdbytteProcentKode,'10000')=0) then
                                        &lt;ns1:UdbytteModtagerAngivelseUdbytteProcent>{ concat(substring($UdbytteProcentKode,1,3),".",substring($UdbytteProcentKode,4))}&lt;/ns1:UdbytteModtagerAngivelseUdbytteProcent>
                                       else if(string-length($UdbytteProcentKode)>2) then
                                        &lt;ns1:UdbytteModtagerAngivelseUdbytteProcent>{ padInRemoveZero(data($UdbytteProcentKode)) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteProcent>                                       
                                        else
                                        &lt;ns1:UdbytteModtagerAngivelseUdbytteProcent>{ xs:integer( data($UdbytteProcentKode) ) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteProcent>
                                }
                               {
	                     let $FrikortKode := $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:FrikortKode
	                              return if(fn:compare($FrikortKode, '1') = 0) then
	                     &lt;ns1:UdbytteModtagerAngivelseFrikortKode>{ xs:string("02") }&lt;/ns1:UdbytteModtagerAngivelseFrikortKode>
	                      else if(fn:compare($FrikortKode, '0') = 0) then
	                     &lt;ns1:UdbytteModtagerAngivelseFrikortKode>{ xs:string("00") }&lt;/ns1:UdbytteModtagerAngivelseFrikortKode>
	                     else ""
	                }
                               
                                {
                                    for $VedtagelsesDato in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:VedtagelsesDato
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseVedtagelseDato>{ data($VedtagelsesDato) }&lt;/ns1:UdbytteModtagerAngivelseVedtagelseDato>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                {
                                    for $ValutaKode in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:ValutaKode
                                    return
                                        &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                                }
                                {
                                    for $TINNummer in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:TINNummer
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:UdbytteModtagerAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:TINNummerKode
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:UdbytteModtagerAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeLandKode in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:UdbytteModtagerAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:FoedeSted
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:UdbytteModtagerAngivelseFødeSted>
                                }
                                {
                                    for $CONavn in $UnderretningUdbytteModtagerAngivelsesOplysningerHent/ns0:CONavn
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseCONavn>{ data($CONavn) }&lt;/ns1:UdbytteModtagerAngivelseCONavn>
                                }
                            &lt;/ns1:UdbytteModtagerAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                     else ""
                }
            &lt;/ns1:UnderretningUdbytteModtagerAngivelseHent_O>
};

declare variable $underretningUdbytteModtagerAngivelseHentSvar1 as element() external;

xf:UnderretningUdbytteModtagerAngivelseHent_TACTICAL_2_SKAT_Output($underretningUdbytteModtagerAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>