<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/VirksomhedBrancheForholdHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedBrancheForholdHent_TACTICAL_2_SKAT_Output($virksomhedBrancheForholdHentSvar1 as element(ns0:VirksomhedBrancheForholdHentSvar))
    as element(ns1:VirksomhedBrancheForholdHent_O) {
        &lt;ns1:VirksomhedBrancheForholdHent_O>
            &lt;ns1:Kontekst>
                { $virksomhedBrancheForholdHentSvar1/ns0:Kontekst/* }
            &lt;/ns1:Kontekst>
            {
            	let $VirksomhedBrancheOplysninger := $virksomhedBrancheForholdHentSvar1/ns0:VirksomhedBrancheOplysninger
            	return if(count($VirksomhedBrancheOplysninger) > 0) then
		            &lt;ns1:BrancheForholdListe>
		                {
		                    for $VirksomhedBrancheOplysninger in $virksomhedBrancheForholdHentSvar1/ns0:VirksomhedBrancheOplysninger
		                    return
		                        &lt;ns1:BrancheForholdUddata>
		                            &lt;ns1:BrancheForholdBrancheKode>{ xs:integer( data($VirksomhedBrancheOplysninger/ns0:BrancheKode) ) }&lt;/ns1:BrancheForholdBrancheKode>
		                            &lt;ns1:BrancheForholdStartDato>{ data($VirksomhedBrancheOplysninger/ns0:BrancheForholdStartDato) }&lt;/ns1:BrancheForholdStartDato>
		                            {
		                                for $BrancheForholdSlutDato in $VirksomhedBrancheOplysninger/ns0:BrancheForholdSlutDato
		                                return
		                                    &lt;ns1:BrancheForholdSlutDato>{ data($BrancheForholdSlutDato) }&lt;/ns1:BrancheForholdSlutDato>
		                            }
		                            {
		                                for $BrancheNummer in $VirksomhedBrancheOplysninger/ns0:BrancheNummer
		                                return
		                                    &lt;ns1:BrancheForholdBrancheNummer>{ xs:integer( data($BrancheNummer) ) }&lt;/ns1:BrancheForholdBrancheNummer>
		                            }
		                            &lt;ns1:BrancheUddata>
		                                {
		                                    for $BrancheNavn in $VirksomhedBrancheOplysninger/ns0:BrancheNavn
		                                    return
		                                        &lt;ns1:BrancheNavn>{ data($BrancheNavn) }&lt;/ns1:BrancheNavn>
		                                }
		                            &lt;/ns1:BrancheUddata>
		                        &lt;/ns1:BrancheForholdUddata>
		                }
		            &lt;/ns1:BrancheForholdListe>
            	else ""
            }
        &lt;/ns1:VirksomhedBrancheForholdHent_O>
};

declare variable $virksomhedBrancheForholdHentSvar1 as element(ns0:VirksomhedBrancheForholdHentSvar) external;

xf:VirksomhedBrancheForholdHent_TACTICAL_2_SKAT_Output($virksomhedBrancheForholdHentSvar1)</con:xquery>
</con:xqueryEntry>