<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/VirksomhedHovedAktionærÆndr_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:VirksomhedHovedAktionærÆndr_SKAT_2_TACTICAL_Input($virksomhedHovedaktionærÆndre_I1 as element(ns1:VirksomhedHovedaktionærÆndre_I))
    as element(ns0:VirksomhedHovedAktionaererAendre) {
        let $VirksomhedHovedaktionærÆndre_I := $virksomhedHovedaktionærÆndre_I1
        return
            &lt;ns0:VirksomhedHovedAktionaererAendre>
                {
                    let $Kontekst := $VirksomhedHovedaktionærÆndre_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENummer>{ data($VirksomhedHovedaktionærÆndre_I/ns1:InputParametre/ns1:VirksomhedSENummer) }&lt;/ns0:SENummer>
                {
	                for $AngivelseValgtPeriodeSlutDato in $VirksomhedHovedaktionærÆndre_I/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato
	                return 
		                &lt;ns0:IndkomstAar>{ xs:gYear( year-from-date($VirksomhedHovedaktionærÆndre_I/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) ) }&lt;/ns0:IndkomstAar>
				}
                {
                    for $HovedaktionærForholdIndata in $VirksomhedHovedaktionærÆndre_I/ns1:InputParametre/ns1:HovedaktionærForholdIndataListe/ns1:HovedaktionærForholdIndata
                    return
                        &lt;ns0:VirksomhedHovedAktionaerOplysningerAendre>
                            &lt;ns0:HovedAktionaerForholdStartDato>
                            { 
                            fn:concat((xs:string(year-from-date(data($HovedaktionærForholdIndata/ns1:HovedaktionærForholdStartDato)))) , "-" , 
        			         padInFront(xs:string((month-from-date(data($HovedaktionærForholdIndata/ns1:HovedaktionærForholdStartDato)))), 2, '0'), "-" ,
        			         padInFront(xs:string(day-from-date(data($HovedaktionærForholdIndata/ns1:HovedaktionærForholdStartDato))), 2, '0')) 

                            }
                            &lt;/ns0:HovedAktionaerForholdStartDato>
                            {
                                for $HovedaktionærForholdSlutDato in $HovedaktionærForholdIndata/ns1:HovedaktionærForholdSlutDato
                                return
                                    &lt;ns0:HovedAktionaerForholdSlutDato>{ 
										fn:concat((xs:string(year-from-date(data($HovedaktionærForholdSlutDato)))) , "-" , 
				        			         padInFront(xs:string((month-from-date(data($HovedaktionærForholdSlutDato)))), 2, '0'), "-" ,
				        			         padInFront(xs:string(day-from-date(data($HovedaktionærForholdSlutDato))), 2, '0')) 
									
									 }&lt;/ns0:HovedAktionaerForholdSlutDato>
                            }
                            &lt;ns0:HovedAktionaer>
                            {
							let $HovedAktionærType := $HovedaktionærForholdIndata/ns1:HovedAktionærType
            				return if(count($HovedAktionærType/ns1:PersonCPRNummer) > 0) then
                				&lt;ns0:CPRNummer>{data($HovedaktionærForholdIndata/ns1:HovedAktionærType/ns1:PersonCPRNummer)}&lt;/ns0:CPRNummer>
                			else if(count($HovedAktionærType/ns1:VirksomhedSENummer) > 0) then                           	
                                &lt;ns0:SENummer>{ data($HovedaktionærForholdIndata/ns1:HovedAktionærType/ns1:VirksomhedSENummer) }&lt;/ns0:SENummer>
                            else if(count($HovedAktionærType/ns1:UdenlandskPersonNummer) > 0) then
                                &lt;ns0:UdenlandskPersonNummer>{ data($HovedaktionærForholdIndata/ns1:HovedAktionærType/ns1:UdenlandskPersonNummer) }&lt;/ns0:UdenlandskPersonNummer>
                            else
                                &lt;ns0:UdenlandskJuridiskEjerNummer>{ xs:string( data($HovedaktionærForholdIndata/ns1:HovedAktionærType/ns1:UdenlandskJuridiskEjerNummer) ) }&lt;/ns0:UdenlandskJuridiskEjerNummer>
                            }
                            &lt;/ns0:HovedAktionaer>
                            {
                                for $UdenlandskPersonNavn in $HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonNavn
                                return
                                    &lt;ns0:UdenlandskPersonNavn>{ data($UdenlandskPersonNavn) }&lt;/ns0:UdenlandskPersonNavn>
                            }
                            {
                                for $UdenlandskJuridiskEjerNavn in $HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerNavn
                                return
                                    &lt;ns0:UdenlandskJuridiskEjerNavn>{ data($UdenlandskJuridiskEjerNavn) }&lt;/ns0:UdenlandskJuridiskEjerNavn>
                            }
                            &lt;ns0:BehandlingsKode>{ if ((count($HovedaktionærForholdIndata/ns1:AktieAndel/ns1:AktieAndelAktieKlasseKode) > 0 and count($HovedaktionærForholdIndata/ns1:AktieAndel/ns1:AktieAndelBeløb) > 0)) then
                                                       'O'
                                                   else 
                                                       'E' }&lt;/ns0:BehandlingsKode>
                            {
                                let $HovedAktionærType := $HovedaktionærForholdIndata/ns1:HovedAktionærType
                                return if((count($HovedAktionærType/ns1:PersonCPRNummer) > 0
                                	or count($HovedAktionærType/ns1:VirksomhedSENummer) > 0
                                	or count($HovedAktionærType/ns1:UdenlandskPersonNummer) > 0) and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonCONavn) > 0) then
                                    &lt;ns0:CONavn>{ data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonCONavn) }&lt;/ns0:CONavn>
                                else if(count($HovedAktionærType/ns1:UdenlandskJuridiskEjerNummer) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerCONavn) > 0) then
                                    &lt;ns0:CONavn>{ data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerCONavn) }&lt;/ns0:CONavn>
                                else ""
                            }
                            {
	                            for $UdenlanskPerson in $HovedaktionærForholdIndata/ns1:UdenlanskPerson
	                            return if(count($UdenlanskPerson) > 0 and (count($UdenlanskPerson/ns1:UdenlandskPersonUdenlandskAdresseLinie1) > 0
	                             or count($UdenlanskPerson/ns1:UdenlandskJuridiskEjerUdenlandskAdresseLinie1) > 0 or count($UdenlanskPerson/ns1:UdenlandskPersonUdenlandskAdresseLinie2) > 0
	                             or count($UdenlanskPerson/ns1:UdenlandskJuridiskEjerUdenlandskAdresseLinie2) > 0 or count($UdenlanskPerson/ns1:UdenlandskPersonLandeNummerKode) > 0
	                             or count($UdenlanskPerson/ns1:UdenlandskJuridiskEjerLandeNummerKode) > 0)) then
                                &lt;ns0:UdenlandskAktionaerAdresse> 
                                {
	                                let $HovedAktionærType := $HovedaktionærForholdIndata/ns1:HovedAktionærType 
	                                return if(count($HovedAktionærType/ns1:UdenlandskPersonNummer
	                                or count($HovedAktionærType/ns1:PersonCPRNummer) > 0
                                	or count($HovedAktionærType/ns1:VirksomhedSENummer) > 0) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonUdenlandskAdresseLinie1) > 0) then
	                                	&lt;ns0:UdenlandskAdresseLinie1>{ data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonUdenlandskAdresseLinie1) }&lt;/ns0:UdenlandskAdresseLinie1>
	                                else if(count($HovedAktionærType/ns1:UdenlandskJuridiskEjerNummer) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerUdenlandskAdresseLinie1) > 0) then                                 
	                                	&lt;ns0:UdenlandskAdresseLinie1>{ data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerUdenlandskAdresseLinie1) }&lt;/ns0:UdenlandskAdresseLinie1>
	                                else ""
                                }
                                {
	                                let $HovedAktionærType := $HovedaktionærForholdIndata/ns1:HovedAktionærType 
	                                return if(count($HovedAktionærType/ns1:UdenlandskPersonNummer
	                                or count($HovedAktionærType/ns1:PersonCPRNummer) > 0
                                	or count($HovedAktionærType/ns1:VirksomhedSENummer) > 0) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonUdenlandskAdresseLinie2) > 0) then
	                                	&lt;ns0:UdenlandskAdresseLinie2>{ data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonUdenlandskAdresseLinie2) }&lt;/ns0:UdenlandskAdresseLinie2>
	                                else if(count($HovedAktionærType/ns1:UdenlandskJuridiskEjerNummer) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerUdenlandskAdresseLinie2) > 0) then                               
	                                	&lt;ns0:UdenlandskAdresseLinie2>{ data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerUdenlandskAdresseLinie2) }&lt;/ns0:UdenlandskAdresseLinie2>
	                                else 
	                                	""
                                }                        
                                {
	                                let $HovedAktionærType := $HovedaktionærForholdIndata/ns1:HovedAktionærType 
	                                return if(count($HovedAktionærType/ns1:UdenlandskPersonNummer
	                                or count($HovedAktionærType/ns1:PersonCPRNummer) > 0
                                	or count($HovedAktionærType/ns1:VirksomhedSENummer) > 0) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonLandeNummerKode) > 0) then
	                                	&lt;ns0:LandeNummerKode>{ padInFront(xs:string( data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskPersonLandeNummerKode) ),4,'0') }&lt;/ns0:LandeNummerKode>
	                                else if(count($HovedAktionærType/ns1:UdenlandskJuridiskEjerNummer) > 0 and count($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerLandeNummerKode) > 0) then                                  
	                                	&lt;ns0:LandeNummerKode>{ padInFront(xs:string( data($HovedaktionærForholdIndata/ns1:UdenlanskPerson/ns1:UdenlandskJuridiskEjerLandeNummerKode) ),4,'0') }&lt;/ns0:LandeNummerKode>
	                                else ""
                                }
                               &lt;/ns0:UdenlandskAktionaerAdresse>
                               else ""
                            }
                            {
                                for $AktieAndelAktieKlasseKode in $HovedaktionærForholdIndata/ns1:AktieAndel/ns1:AktieAndelAktieKlasseKode
                                return
                                    &lt;ns0:AktieKapitalKlasse>{ padInFront(  xs:string( data($AktieAndelAktieKlasseKode) ) , 4, '0' )}&lt;/ns0:AktieKapitalKlasse>
                            }
                            {
                                for $AktieAndelBeløb in $HovedaktionærForholdIndata/ns1:AktieAndel/ns1:AktieAndelBeløb
                                return
                                    &lt;ns0:AktieAndelBeloeb>{ xs:decimal( data($AktieAndelBeløb) ) }&lt;/ns0:AktieAndelBeloeb>
                            }
                        &lt;/ns0:VirksomhedHovedAktionaerOplysningerAendre>
                }
            &lt;/ns0:VirksomhedHovedAktionaererAendre>
};

declare variable $virksomhedHovedaktionærÆndre_I1 as element(ns1:VirksomhedHovedaktionærÆndre_I) external;

xf:VirksomhedHovedAktionærÆndr_SKAT_2_TACTICAL_Input($virksomhedHovedaktionærÆndre_I1)</con:xquery>
</con:xqueryEntry>