<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/VirksomhedHovedAktionærÆndr_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedHovedAktionærÆndr_TACTICAL_2_SKAT_Output($virksomhedHovedAktionaererAendreSvar1 as element(ns0:VirksomhedHovedAktionaererAendreSvar))
    as element(ns1:VirksomhedHovedaktionærÆndre_O) {
        let $VirksomhedHovedAktionaererAendreSvar := $virksomhedHovedAktionaererAendreSvar1
        return
            &lt;ns1:VirksomhedHovedaktionærÆndre_O>
                {
                    let $Kontekst := $VirksomhedHovedAktionaererAendreSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                	let $KvitteringsNummer := $VirksomhedHovedAktionaererAendreSvar/ns0:KvitteringsNummer
                	return if(count($KvitteringsNummer) > 0 
                		or count($VirksomhedHovedAktionaererAendreSvar/ns0:PDFFil) >0) then
		                &lt;ns1:TekniskKvittering>
		                    {
		                        for $KvitteringsNummer in $VirksomhedHovedAktionaererAendreSvar/ns0:KvitteringsNummer
		                        return
		                            &lt;ns1:KvitteringNummer>{ data($KvitteringsNummer) }&lt;/ns1:KvitteringNummer>
		                    }
		                    {
		                        for $PDFFil in $VirksomhedHovedAktionaererAendreSvar/ns0:PDFFil
		                        return
		                            &lt;ns1:PDFKvittering>{ data($PDFFil) }&lt;/ns1:PDFKvittering>
		                    }
		                &lt;/ns1:TekniskKvittering>
		             else ""
                }
            &lt;/ns1:VirksomhedHovedaktionærÆndre_O>
};

declare variable $virksomhedHovedAktionaererAendreSvar1 as element(ns0:VirksomhedHovedAktionaererAendreSvar) external;

xf:VirksomhedHovedAktionærÆndr_TACTICAL_2_SKAT_Output($virksomhedHovedAktionaererAendreSvar1)</con:xquery>
</con:xqueryEntry>