<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/VirksomhedHovedaktionaerHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedHovedaktionaerHent_TACTICAL_2_SKAT_Output($virksomhedHovedAktionaererHentSvar1 as element(ns0:VirksomhedHovedAktionaererHentSvar))
    as element(ns1:VirksomhedHovedaktionærHent_O) {
        &lt;ns1:VirksomhedHovedaktionærHent_O>
            &lt;ns1:Kontekst>
                { $virksomhedHovedAktionaererHentSvar1/ns0:Kontekst/* }
            &lt;/ns1:Kontekst>
            {
            	let $VirksomhedHovedAktionaerOplysningerHent := $virksomhedHovedAktionaererHentSvar1/ns0:VirksomhedHovedAktionaerOplysningerHent
            	return if(count($VirksomhedHovedAktionaerOplysningerHent) > 0) then
		            &lt;ns1:Uddata>
		                &lt;ns1:HovedaktionærForholdListe>
		                    {
		                        for $VirksomhedHovedAktionaerOplysningerHent in $virksomhedHovedAktionaererHentSvar1/ns0:VirksomhedHovedAktionaerOplysningerHent
		                        return
		                            &lt;ns1:HovedaktionærForholdEnhed>
		                                &lt;ns1:HovedaktionærForholdStartDato>{ data($VirksomhedHovedAktionaerOplysningerHent/ns0:HovedAktionaerForholdStartDato) }&lt;/ns1:HovedaktionærForholdStartDato>
		                                {
		                                    for $HovedAktionaerForholdSlutDato in $VirksomhedHovedAktionaerOplysningerHent/ns0:HovedAktionaerForholdSlutDato
		                                    return
		                                        &lt;ns1:HovedaktionærForholdSlutDato>{ data($HovedAktionaerForholdSlutDato) }&lt;/ns1:HovedaktionærForholdSlutDato>
		                                }
		                                  {
		                                    for $UdenlandskPersonNavn in $VirksomhedHovedAktionaerOplysningerHent/ns0:UdenlandskPersonNavn
		                                    return
		                               			 &lt;ns1:UdenlandskPersonNavn>{data($UdenlandskPersonNavn)}&lt;/ns1:UdenlandskPersonNavn>
		                                  }
		                                  
		                                  {
		                                   for $UdenlandskJuridiskEjerNavn in $VirksomhedHovedAktionaerOplysningerHent/ns0:UdenlandskJuridiskEjerNavn
		                                    return
		                               		 &lt;ns1:UdenlandskJuridiskEjerNavn>{data($UdenlandskJuridiskEjerNavn)}&lt;/ns1:UdenlandskJuridiskEjerNavn>
		                                  }
		                                {
		                                    for $PersonNavn in $VirksomhedHovedAktionaerOplysningerHent/ns0:PersonNavn
		                                    return
		                                        &lt;ns1:PersonPersonnavn>{ data($PersonNavn) }&lt;/ns1:PersonPersonnavn>
		                                }
		                                {
		                                    for $FirmaNavnKort in $VirksomhedHovedAktionaerOplysningerHent/ns0:FirmaNavnKort
		                                    return
		                                        &lt;ns1:VirksomhedNavnFirmaNavnKort>{ data($FirmaNavnKort) }&lt;/ns1:VirksomhedNavnFirmaNavnKort>
		                                }
		                                {
		                                    let $HovedAktionaer := $VirksomhedHovedAktionaerOplysningerHent/ns0:HovedAktionaer
		                                    return
		                                        &lt;ns1:HovedAktionærType>
		                                            {
		                                                let $SENummer := $HovedAktionaer/ns0:SENummer
		                                                return if( count($SENummer) >0) then
		                                                    &lt;ns1:VirksomhedSENummer>{ xs:string( data($SENummer) ) }&lt;/ns1:VirksomhedSENummer>
		                                                else ""
		                                            }
		                                            {
		                                            	let $UdenlandskPersonNummer := $HovedAktionaer/ns0:UdenlandskPersonNummer
		                                            	return if( count($UdenlandskPersonNummer) > 0) then 
			                                            &lt;ns1:UdenlandskPersonNummer>{ data($HovedAktionaer/ns0:UdenlandskPersonNummer) }&lt;/ns1:UdenlandskPersonNummer>
			                                            else ""
		                                            }
													{
														let $UdenlandskJuridiskEjerNummer := $HovedAktionaer/ns0:UdenlandskJuridiskEjerNummer
														return if(count($UdenlandskJuridiskEjerNummer) > 0) then
			                                            &lt;ns1:UdenlandskJuridiskEjerNummer>{ data($HovedAktionaer/ns0:UdenlandskJuridiskEjerNummer) }&lt;/ns1:UdenlandskJuridiskEjerNummer>
			                                            else ""
													}
													{
														let $CPRNummer := $HovedAktionaer/ns0:CPRNummer
														return if( count($CPRNummer) > 0) then
			                                            &lt;ns1:PersonCPRNummer>{ xs:string( data($HovedAktionaer/ns0:CPRNummer) ) }&lt;/ns1:PersonCPRNummer>
			                                            else ""
													}
		                                        &lt;/ns1:HovedAktionærType>
		                                }
		                            &lt;/ns1:HovedaktionærForholdEnhed>
		                    }
		                &lt;/ns1:HovedaktionærForholdListe>
		            &lt;/ns1:Uddata>
            	else ""
            }
        &lt;/ns1:VirksomhedHovedaktionærHent_O>
};

declare variable $virksomhedHovedAktionaererHentSvar1 as element(ns0:VirksomhedHovedAktionaererHentSvar) external;

xf:VirksomhedHovedaktionaerHent_TACTICAL_2_SKAT_Output($virksomhedHovedAktionaererHentSvar1)</con:xquery>
</con:xqueryEntry>