<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/VirksomhedPligterHent_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedPligterHent_SKAT_2_Tactical_Input($virksomhedPligterHent_I1 as element(ns1:VirksomhedPligterHent_I))
    as element(ns0:VirksomhedPligterHent_v2) {
        let $VirksomhedPligterHent_I := $virksomhedPligterHent_I1
        return
            &lt;ns0:VirksomhedPligterHent_v2>
                {
                    let $Kontekst := $VirksomhedPligterHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                    for $RegistreringForholdStartDato in $VirksomhedPligterHent_I/ns1:VirksomhedInddata/ns1:RegistreringForholdStartDato
                    return
                        &lt;ns0:StartDato>{ data($RegistreringForholdStartDato) }&lt;/ns0:StartDato>
                }
                {
                    for $RegistreringForholdSlutDato in $VirksomhedPligterHent_I/ns1:VirksomhedInddata/ns1:RegistreringForholdSlutDato
                    return
                        &lt;ns0:SlutDato>{ data($RegistreringForholdSlutDato) }&lt;/ns0:SlutDato>
                }
                {
                    for $PligtKode in $VirksomhedPligterHent_I/ns1:VirksomhedInddata/ns1:PligtKode
                    return
                        &lt;ns0:PligtKode>{ data($PligtKode) }&lt;/ns0:PligtKode>
                }
                {
                    for $VirksomhedListeInddataEnhed in $VirksomhedPligterHent_I/ns1:VirksomhedInddata/ns1:VirksomhedListeInddata/ns1:VirksomhedListeInddataEnhed
                    return
                        &lt;ns0:SENummer>{data($VirksomhedListeInddataEnhed/ns1:VirksomhedSENummer)}&lt;/ns0:SENummer>
                }
            &lt;/ns0:VirksomhedPligterHent_v2>
};

declare variable $virksomhedPligterHent_I1 as element(ns1:VirksomhedPligterHent_I) external;

xf:VirksomhedPligterHent_SKAT_2_Tactical_Input($virksomhedPligterHent_I1)</con:xquery>
</con:xqueryEntry>