<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/VirksomhedSoeg_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedSoeg_TACTICAL_2_SKAT_Output($virksomhedSoegSvar1 as element(ns0:VirksomhedSoegSvar))
    as element(ns1:VirksomhedSøg_O) {
        &lt;ns1:VirksomhedSøg_O>
            {
                let $Kontekst := $virksomhedSoegSvar1/ns0:Kontekst
                return
                    &lt;ns1:Kontekst>
                        { $Kontekst/* }
                    &lt;/ns1:Kontekst>
            }
            {
               let $virksomhedOplysningerUd:=  $virksomhedSoegSvar1/ns0:VirksomhedSoegSvarOplysninger
               return if(count($virksomhedOplysningerUd)>0)then
 
            &lt;ns1:VirksomhedOplysningerUd>
                {
                    for $VirksomhedSoegSvarOplysninger in $virksomhedSoegSvar1/ns0:VirksomhedSoegSvarOplysninger
                    return
                        &lt;ns1:EnkeltVirksomhed>
                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($VirksomhedSoegSvarOplysninger/ns0:SENummer) ) }&lt;/ns1:VirksomhedSENummer>
                            {
                                for $CVRNummer in $VirksomhedSoegSvarOplysninger/ns0:CVRNummer
                                return
                                    &lt;ns1:VirksomhedCVRNummer>{ xs:string( data($CVRNummer) ) }&lt;/ns1:VirksomhedCVRNummer>
                            }
                            &lt;ns1:VirksomhedNavnFirmaNavn>{ concat($VirksomhedSoegSvarOplysninger/ns0:FirmaNavn/ns0:FirmaNavn1 , $VirksomhedSoegSvarOplysninger/ns0:FirmaNavn/ns0:FirmaNavn2 , $VirksomhedSoegSvarOplysninger/ns0:FirmaNavn/ns0:FirmaNavn3 , $VirksomhedSoegSvarOplysninger/ns0:FirmaNavn/ns0:FirmaNavn4) }&lt;/ns1:VirksomhedNavnFirmaNavn>
                        &lt;/ns1:EnkeltVirksomhed>
                }
            &lt;/ns1:VirksomhedOplysningerUd>
                    else ""
            }
        &lt;/ns1:VirksomhedSøg_O>
};

declare variable $virksomhedSoegSvar1 as element(ns0:VirksomhedSoegSvar) external;

xf:VirksomhedSoeg_TACTICAL_2_SKAT_Output($virksomhedSoegSvar1)</con:xquery>
</con:xqueryEntry>