<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/VirksomhedStamoplysninger_Tactical_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:VirksomhedStamoplysninger_Tactical_2_SKAT_Output($virksomhedStamOplysningerHentSvar1 as element(ns0:VirksomhedStamOplysningerHentSvar))
    as element(ns1:VirksomhedStamoplysningHent_O) {
        for $VirksomhedStamOplysningerHentSvar in $virksomhedStamOplysningerHentSvar1
        where data($VirksomhedStamOplysningerHentSvar) = data($VirksomhedStamOplysningerHentSvar)
        return
            &lt;ns1:VirksomhedStamoplysningHent_O>
                {
                    let $Kontekst := $VirksomhedStamOplysningerHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    let $VirksomhedStamOplysningerHentSvar0 := $VirksomhedStamOplysningerHentSvar
                    return if(count($VirksomhedStamOplysningerHentSvar0/ns0:VirksomhedStartDato) > 0) then
                        &lt;ns1:VirksomhedUddata>
                            {
                                for $CVRNummer in $VirksomhedStamOplysningerHentSvar0/ns0:CVRNummer
                                return
                                    &lt;ns1:VirksomhedCVRNummer>{ data($CVRNummer) }&lt;/ns1:VirksomhedCVRNummer>
                            }
                            {
                                for $VirksomhedSlutDato in $VirksomhedStamOplysningerHentSvar0/ns0:VirksomhedSlutDato
                                return
                                    &lt;ns1:VirksomhedOphørsDato>{ data($VirksomhedSlutDato) }&lt;/ns1:VirksomhedOphørsDato>
                            }
                            &lt;ns1:VirksomhedStartDato>{ data($VirksomhedStamOplysningerHentSvar0/ns0:VirksomhedStartDato) }&lt;/ns1:VirksomhedStartDato>
                            {
                                let $FirmaNavn := $VirksomhedStamOplysningerHentSvar0/ns0:FirmaNavn
                                return
                                    &lt;ns1:VirksomhedNavnUddata>
                                        &lt;ns1:VirksomhedNavnFirmaNavn>{ concat($FirmaNavn/ns0:FirmaNavn1 , if(string-length($FirmaNavn/ns0:FirmaNavn2) > 0) then $FirmaNavn/ns0:FirmaNavn2 else "", if(string-length($FirmaNavn/ns0:FirmaNavn3) > 0) then $FirmaNavn/ns0:FirmaNavn3 else "" , if(string-length($FirmaNavn/ns0:FirmaNavn4) > 0) then $FirmaNavn/ns0:FirmaNavn4 else "") }&lt;/ns1:VirksomhedNavnFirmaNavn>
                                        &lt;ns1:VirksomhedNavnFirmaNavnKort>{ data($VirksomhedStamOplysningerHentSvar0/ns0:FirmaNavnKort) }&lt;/ns1:VirksomhedNavnFirmaNavnKort>
                                    &lt;/ns1:VirksomhedNavnUddata>
                            }
                            {
                                let $AdresseOplysninger := $VirksomhedStamOplysningerHentSvar0/ns0:AdresseOplysninger
                                return
                                    &lt;ns1:VirksomhedAdresseUddata>
                                        &lt;ns1:VirksomhedAdresseVejNavn>{ data($AdresseOplysninger/ns0:VejNavn) }&lt;/ns1:VirksomhedAdresseVejNavn>
                                        &lt;ns1:VirksomhedAdresseFraHusNummer>{ xs:integer( data($AdresseOplysninger/ns0:FraHusNummer) ) }&lt;/ns1:VirksomhedAdresseFraHusNummer>
                                        {
                                            for $FraHusBogstav in $AdresseOplysninger/ns0:FraHusBogstav
                                            return
                                                &lt;ns1:VirksomhedAdresseFraHusBogstav>{ data($FraHusBogstav) }&lt;/ns1:VirksomhedAdresseFraHusBogstav>
                                        }
                                        {
                                            for $TilHusNummer in $AdresseOplysninger/ns0:TilHusNummer
                                            return
                                                &lt;ns1:VirksomhedAdresseTilHusNummer>{ xs:integer( data($TilHusNummer) ) }&lt;/ns1:VirksomhedAdresseTilHusNummer>
                                        }
                                        {
                                            for $TilHusBogstav in $AdresseOplysninger/ns0:TilHusBogstav
                                            return
                                                &lt;ns1:VirksomhedAdresseTilHusBogstav>{ data($TilHusBogstav) }&lt;/ns1:VirksomhedAdresseTilHusBogstav>
                                        }
                                        {
                                            for $EtageTekst in $AdresseOplysninger/ns0:EtageTekst
                                            return
                                                &lt;ns1:VirksomhedAdresseEtageTekst>{ data($EtageTekst) }&lt;/ns1:VirksomhedAdresseEtageTekst>
                                        }
                                        {
                                            for $SideDoerTekst in $AdresseOplysninger/ns0:SideDoerTekst
                                            return
                                                &lt;ns1:VirksomhedAdresseSideDørTekst>{ data($SideDoerTekst) }&lt;/ns1:VirksomhedAdresseSideDørTekst>
                                        }
                                        {
                                            for $CONavn in $AdresseOplysninger/ns0:CONavn
                                            return
                                                &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
                                        }
                                        {
                                            for $ByNavn in $AdresseOplysninger/ns0:ByNavn
                                            return
                                                &lt;ns1:VirksomhedAdresseByNavn>{ data($ByNavn) }&lt;/ns1:VirksomhedAdresseByNavn>
                                        }
                                        &lt;ns1:VirksomhedAdressePostNummer>{ xs:integer( data($AdresseOplysninger/ns0:PostNummer) )}&lt;/ns1:VirksomhedAdressePostNummer>
                                        &lt;ns1:VirksomhedAdressePostdistriktNavn>{ data($AdresseOplysninger/ns0:PostDistriktNavn) }&lt;/ns1:VirksomhedAdressePostdistriktNavn>
                                        &lt;ns1:VirksomhedAdresseVejKode>{ padInFront( data($AdresseOplysninger/ns0:VejKode), 4, "0" ) }&lt;/ns1:VirksomhedAdresseVejKode>
                                        &lt;ns1:VirksomhedAdresseMyndighedNummer>{ xs:integer( data($AdresseOplysninger/ns0:MyndighedsNummer) ) }&lt;/ns1:VirksomhedAdresseMyndighedNummer>
                                    &lt;/ns1:VirksomhedAdresseUddata>
                            }
                            &lt;ns1:DriftFormForholdUddata>
                                &lt;ns1:DriftformForholdKode>{ data($VirksomhedStamOplysningerHentSvar0/ns0:DriftFormKode) }&lt;/ns1:DriftformForholdKode>
                            &lt;/ns1:DriftFormForholdUddata>
                            {
                                let $VirksomhedStamOplysningerHentSvar := $VirksomhedStamOplysningerHentSvar0
                                return if(count($VirksomhedStamOplysningerHentSvar/ns0:RegnskabsPeriodeStartDato) > 0 and 
                                count($VirksomhedStamOplysningerHentSvar/ns0:RegnskabsPeriodeSlutDato) > 0) then
                                    &lt;ns1:RegnskabPeriodeUddata>
                                        {
                                            for $RegnskabsPeriodeStartDato in $VirksomhedStamOplysningerHentSvar/ns0:RegnskabsPeriodeStartDato
                                            return
                                                &lt;ns1:RegnskabPeriodeStartDato>{ data($RegnskabsPeriodeStartDato) }&lt;/ns1:RegnskabPeriodeStartDato>
                                        }
                                        {
                                            for $RegnskabsPeriodeSlutDato in $VirksomhedStamOplysningerHentSvar/ns0:RegnskabsPeriodeSlutDato
                                            return
                                                &lt;ns1:RegnskabPeriodeSlutDato>{ data($RegnskabsPeriodeSlutDato) }&lt;/ns1:RegnskabPeriodeSlutDato>
                                        }
                                    &lt;/ns1:RegnskabPeriodeUddata>
                                else ""
                            }
                            &lt;ns1:BeskatningParagrafForholdUddata>
                                {
                                    for $BeskatningsParagrafKode in $VirksomhedStamOplysningerHentSvar0/ns0:BeskatningsParagrafKode
                                    return
                                        &lt;ns1:BeskatningParagrafForholdBeskatningParagrafKode>{ data($BeskatningsParagrafKode) }&lt;/ns1:BeskatningParagrafForholdBeskatningParagrafKode>
                                }
                            &lt;/ns1:BeskatningParagrafForholdUddata>
                            &lt;ns1:VirksomhedHjemRegion>{ xs:integer( data($VirksomhedStamOplysningerHentSvar0/ns0:RegionsNummer) ) }&lt;/ns1:VirksomhedHjemRegion>
                        &lt;/ns1:VirksomhedUddata>
                    else ""
                }
            &lt;/ns1:VirksomhedStamoplysningHent_O>
};

declare variable $virksomhedStamOplysningerHentSvar1 as element(ns0:VirksomhedStamOplysningerHentSvar) external;

xf:VirksomhedStamoplysninger_Tactical_2_SKAT_Output($virksomhedStamOplysningerHentSvar1)</con:xquery>
</con:xqueryEntry>