<?xml version="1.0" encoding="UTF-8"?>
<con:xsltEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xslt>&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	&lt;xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	&lt;xsl:param name="operation"/>
	&lt;xsl:template match="/">
		&lt;xsl:element name="{fn:concat($operation, 'Response')}" namespace="http://schemas.autonomy.com/aci/">
                        &lt;xsl:choose>
                                &lt;xsl:when test="./autnresponse/responsedata/error">
                                       &lt;xsl:element name="autn_return_codes" namespace="http://schemas.autonomy.com/aci/">
                                                &lt;xsl:element name="errordescription" namespace="http://schemas.autonomy.com/aci/">
                                                        &lt;xsl:value-of select="./autnresponse/responsedata/error/errordescription/text()"/>
                                                &lt;/xsl:element>
                                                &lt;xsl:element name="errorstring" namespace="http://schemas.autonomy.com/aci/">
                                                        &lt;xsl:value-of select="./autnresponse/responsedata/error/errorstring/text()"/>
                                                &lt;/xsl:element>                                               
                                                &lt;xsl:element name="errorid" namespace="http://schemas.autonomy.com/aci/">
                                                        &lt;xsl:value-of select="./autnresponse/responsedata/error/errorid/text()"/>
                                                &lt;/xsl:element>
                                                &lt;xsl:element name="errorcode" namespace="http://schemas.autonomy.com/aci/">
                                                        &lt;xsl:value-of select="./autnresponse/responsedata/error/errorcode/text()"/>
                                                &lt;/xsl:element>
                                                &lt;xsl:element name="errortime" namespace="http://schemas.autonomy.com/aci/">
                                                        &lt;xsl:value-of select="./autnresponse/responsedata/error/errortime/text()"/>
                                                &lt;/xsl:element>
                                       &lt;/xsl:element>
                                &lt;/xsl:when>
                                &lt;xsl:otherwise>
                     			&lt;xsl:for-each select="./autnresponse/responsedata/*">
                                               &lt;xsl:copy-of select="." />
                                        &lt;/xsl:for-each>
                                &lt;/xsl:otherwise>
                        &lt;/xsl:choose>
		&lt;/xsl:element>
	&lt;/xsl:template>
&lt;/xsl:stylesheet></con:xslt>
</con:xsltEntry>