<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/AKFAAngivelseFilOpret_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace nsfil = "http://toldskat.dk/xml/schemas/raplet/akfaangivelsefilopret/2005/01/01/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:AKFAAngivelseFilOpret_SKAT_2_TACTICAL_Input($aKFAAngivelseFilOpret_I1 as element(ns1:AKFAAngivelseFilOpret_I))
    as element(ns0:AKFAAngivelseFilOpret) {
        let $AKFAAngivelseFilOpret_I := $aKFAAngivelseFilOpret_I1
        return
            &lt;ns0:AKFAAngivelseFilOpret>
                {
                    let $Kontekst := $AKFAAngivelseFilOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:VirksomhedIndsender/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:AfgiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:AngivelsesTidspunkt>{data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid)}&lt;/ns0:AngivelsesTidspunkt>
                &lt;ns0:ValgtIndberetningsForm>
	                { padInFront( data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode), 3, '0' ) }
                &lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:ValutaKode>{ data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                &lt;nsfil:AKFAAngivelseFilXMLOpret>
					{
					let $YderligereIndsenderOplysninger := $AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:YderligereIndsenderOplysninger
					return if(count($YderligereIndsenderOplysninger/ns1:IndsenderPostNummer) > 0 and count($YderligereIndsenderOplysninger/ns1:IndsenderTelefonNummer) > 0 and count($YderligereIndsenderOplysninger/ns1:IndsendelseÅr) > 0) then
						&lt;nsfil:StartIndivid>
							&lt;nsfil:IndividNummer>{xs:string(data("0001"))}&lt;/nsfil:IndividNummer>
	                       	&lt;nsfil:OplysningPligtigeSENummer>{data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:YderligereIndsenderOplysninger/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer)}&lt;/nsfil:OplysningPligtigeSENummer>
	                       	&lt;nsfil:PCProgramIdent>{data(xs:string(9999990000000))}&lt;/nsfil:PCProgramIdent>
	                    	&lt;nsfil:IndsenderNavn>{data(fn:substring($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:IndsenderNavn , 1 , 27))}&lt;/nsfil:IndsenderNavn>
	                    	&lt;nsfil:Filler8>&lt;/nsfil:Filler8>
	                    	&lt;nsfil:IndsenderGadeAdresse>
	                    	{
	                    		xs:string(fn:substring(
	                    		$AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:IndsenderGadeAdresse , 1, 35))
	                    	}
	                    	&lt;/nsfil:IndsenderGadeAdresse>
	                    	&lt;nsfil:IndsenderPostNummer>{data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:YderligereIndsenderOplysninger/ns1:IndsenderPostNummer)}&lt;/nsfil:IndsenderPostNummer>
	                    	&lt;nsfil:Filler34>&lt;/nsfil:Filler34>
							&lt;nsfil:Aar>
							{
								data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:YderligereIndsenderOplysninger/ns1:IndsendelseÅr) 
								
							}
							&lt;/nsfil:Aar>
							&lt;nsfil:IndsenderTelefonNummer>{data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:YderligereIndsenderOplysninger/ns1:IndsenderTelefonNummer)}&lt;/nsfil:IndsenderTelefonNummer>                    	
							&lt;nsfil:Filler86>&lt;/nsfil:Filler86>
	                    &lt;/nsfil:StartIndivid>	                 	
	                 	
	             	else 
	             		&lt;nsfil:StartIndivid>
	             			&lt;nsfil:IndividNummer>{xs:string(data("0001"))}&lt;/nsfil:IndividNummer>
							&lt;nsfil:IndsenderBrugerNummer>
	                    		{ padInFront( data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:BrugerNummer), 4, '0' ) }
	                    	&lt;/nsfil:IndsenderBrugerNummer>
	                    	&lt;nsfil:FilNummer>{data(xs:string(285))}&lt;/nsfil:FilNummer>
	                    	&lt;nsfil:IndsenderNavn>{fn:substring($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:IndsenderNavn , 1 , 27)}&lt;/nsfil:IndsenderNavn>
	                    	&lt;nsfil:IndsenderGadeAdresse>
	                    	{
	                    		xs:string(fn:substring(
	                    		$AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:IndsenderGadeAdresse , 1, 35))
							}
							&lt;/nsfil:IndsenderGadeAdresse>
	                    	&lt;nsfil:Filler150>&lt;/nsfil:Filler150>                    	
	                    &lt;/nsfil:StartIndivid>
	             	}
                 	{
                 
                        for $IndberetningEnhed in $AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndberetningListe/ns1:IndberetningEnhed
                        return
                            &lt;nsfil:DetailIndivid>
	                            &lt;nsfil:IndividNummer>{xs:string(data("2260"))}&lt;/nsfil:IndividNummer>
                            	&lt;nsfil:OplysningPligtigeSENummer>{data($IndberetningEnhed/ns1:VirksomhedAngivelseDetail/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer)}&lt;/nsfil:OplysningPligtigeSENummer>
                            	&lt;nsfil:PersonSENummer>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemCPRSENummer)}&lt;/nsfil:PersonSENummer>
                            	&lt;nsfil:MedlemNummer>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemNummer)}&lt;/nsfil:MedlemNummer>
                            	&lt;nsfil:IndkomstAar>
                            		{
                            			fn:substring(xs:string(fn:year-from-date($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato)) , 3,2)
                            		}
                            	&lt;/nsfil:IndkomstAar>
							    &lt;nsfil:FradragIndberettigetIndbetalingsBeloeb>  
	                            	{
	                            		let $AKFAAngivelseFradragsberettigetIndbetalingBeløb := $IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb
	                            		return if(fn:compare(fn:substring($AKFAAngivelseFradragsberettigetIndbetalingBeløb , 1 , 1) , '-') = 0) then
		                            		&lt;nsfil:Fortegn>{xs:string(data("-"))}&lt;/nsfil:Fortegn>
		                            	else 
			                            	&lt;nsfil:Fortegn>{xs:string(data(""))}&lt;/nsfil:Fortegn>
	                            	}
									{
										let $FradragsberettigetIndbetalingBelob := $IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb									
										return if(string-length($FradragsberettigetIndbetalingBelob) > 5) then
			                            &lt;nsfil:FradragsberettigetIndbetaling>{
			                            	xs:string(fn:substring($FradragsberettigetIndbetalingBelob, string-length($FradragsberettigetIndbetalingBelob) - 4,
												string-length($FradragsberettigetIndbetalingBelob)))}		 
		                    			&lt;/nsfil:FradragsberettigetIndbetaling>
	                    			else 
		                                &lt;nsfil:FradragsberettigetIndbetaling>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb)}&lt;/nsfil:FradragsberettigetIndbetaling>
									}	                            	
								&lt;/nsfil:FradragIndberettigetIndbetalingsBeloeb>								
	                           &lt;nsfil:BeloebArt>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseBeløbArt)}&lt;/nsfil:BeloebArt>
	                           &lt;nsfil:ErhvervsmaessigIndbetalingsBeloeb>
									{
	                            		let $AKFAAngivelseErhvervsmæssigIndbetalingBeløb := $IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb
	                            		return if(fn:compare(fn:substring($AKFAAngivelseErhvervsmæssigIndbetalingBeløb , 1 , 1) , '-') = 0) then
		                            		&lt;nsfil:Fortegn>{xs:string(data("-"))}&lt;/nsfil:Fortegn>
		                            	else 
			                            	&lt;nsfil:Fortegn>{xs:string(data(""))}&lt;/nsfil:Fortegn>
									}
									{
										let $ErhvervsmaessigIndbetalingBelob := $IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb									
									return if(string-length($ErhvervsmaessigIndbetalingBelob) > 5) then
			                            &lt;nsfil:ErhvervsmaessigIndbetaling>{
			                            	xs:string(fn:substring($ErhvervsmaessigIndbetalingBelob, string-length($ErhvervsmaessigIndbetalingBelob) - 4,
												string-length($ErhvervsmaessigIndbetalingBelob)))}		 
		                    			&lt;/nsfil:ErhvervsmaessigIndbetaling>
	                    			else 
	                    				&lt;nsfil:ErhvervsmaessigIndbetaling>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb)}&lt;/nsfil:ErhvervsmaessigIndbetaling>									
									}
	                           &lt;/nsfil:ErhvervsmaessigIndbetalingsBeloeb>
	                           &lt;nsfil:BetalingKode>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseBetalingKode)}&lt;/nsfil:BetalingKode>
	                           &lt;nsfil:GruppelivForsikringKode>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseGruppelivForsikringKode)}&lt;/nsfil:GruppelivForsikringKode>
	                           &lt;nsfil:RetteKode>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseRetteKode)}&lt;/nsfil:RetteKode>
	                           &lt;nsfil:NavneAdresseOpl1>
	                           {
	                           		xs:string(fn:substring($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemNavn , 1 , 40))
	                           }
	                           &lt;/nsfil:NavneAdresseOpl1>
	                           &lt;nsfil:NavneAdresseOpl2>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemAdresse)}&lt;/nsfil:NavneAdresseOpl2>
	                           &lt;nsfil:NavneAdresseOpl3>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemPostNummer)}&lt;/nsfil:NavneAdresseOpl3>
	                           &lt;nsfil:NavneAdresseOpl4>{data($IndberetningEnhed/ns1:AngivelseInddataDetail/ns1:AKFAAngivelseInddata/ns1:AKFAAngivelseMedlemPostdistrikt)}&lt;/nsfil:NavneAdresseOpl4>
	                           &lt;nsfil:Filler15>&lt;/nsfil:Filler15>
                            &lt;/nsfil:DetailIndivid>

                    }
                    &lt;nsfil:SlutIndivid>
	                    &lt;nsfil:IndividNummer>{xs:string(data("9998"))}&lt;/nsfil:IndividNummer>
                    	&lt;nsfil:IndsenderBrugerNummer>
                    		{ padInFront( data($AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:BrugerNummer), 4, '0' ) }
                    	&lt;/nsfil:IndsenderBrugerNummer>
                    	
                    		{
                    			let $SegmenterIalt := $AKFAAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:Segmentering/ns1:SegmenterIalt
	                            	return if(string-length($SegmenterIalt) > 7) then
			                            &lt;nsfil:IndividAntal>{
			                            	xs:string(fn:substring($SegmenterIalt, string-length($SegmenterIalt) - 6,
												string-length($SegmenterIalt)))}		 
		                    			&lt;/nsfil:IndividAntal>
	                    			else 
	                    				&lt;nsfil:IndividAntal>{data($SegmenterIalt)}&lt;/nsfil:IndividAntal>
                    		}
                    	&lt;nsfil:Filler215>&lt;/nsfil:Filler215>
                    &lt;/nsfil:SlutIndivid>
                &lt;/nsfil:AKFAAngivelseFilXMLOpret>
            &lt;/ns0:AKFAAngivelseFilOpret>
};

declare variable $aKFAAngivelseFilOpret_I1 as element(ns1:AKFAAngivelseFilOpret_I) external;

xf:AKFAAngivelseFilOpret_SKAT_2_TACTICAL_Input($aKFAAngivelseFilOpret_I1)</con:xquery>
</con:xqueryEntry>