<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$bankHentSvar1" type="ns0:BankHentInterface/ns0:BankHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/BankHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:BankHent_TACTICAL_2_SKAT_Output($bankHentSvar1 as element())
    as element(ns1:BankHent_O) {
        let $BankHentSvar := $bankHentSvar1
        return
            &lt;ns1:BankHent_O>
                {
                    let $Kontekst := $BankHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    for $BankAdresseOplysninger in $BankHentSvar/ns0:BankAdresseOplysninger
                    return
                        &lt;ns1:BankListe>
                            &lt;ns1:BankUddata>
                                {
                                    for $BankNavn in $BankAdresseOplysninger/ns0:BankNavn
                                    return
                                        &lt;ns1:BankNavn>{ data($BankNavn) }&lt;/ns1:BankNavn>
                                }
                                {
                                    for $BankFilialNavn in $BankAdresseOplysninger/ns0:BankFilialNavn
                                    return
                                        &lt;ns1:BankFilialNavn>{ data($BankFilialNavn) }&lt;/ns1:BankFilialNavn>
                                }
                                &lt;ns1:BankAdresse>{ data($BankAdresseOplysninger/ns0:BankAdresseLinie) }&lt;/ns1:BankAdresse>
                                {
                                    for $ByNavn in $BankAdresseOplysninger/ns0:ByNavn
                                    return
                                        &lt;ns1:BankByNavn>{ data($ByNavn) }&lt;/ns1:BankByNavn>
                                }
                                &lt;ns1:BankPostNummer>{ padInFront( data($BankHentSvar/ns0:BankAdresseOplysninger/ns0:PostNummer), 4, '0' ) }&lt;/ns1:BankPostNummer>
                                &lt;ns1:BankPostdistrikt>{ data($BankAdresseOplysninger/ns0:PostDistriktNavn) }&lt;/ns1:BankPostdistrikt>
                            &lt;/ns1:BankUddata>
                        &lt;/ns1:BankListe>
                }
            &lt;/ns1:BankHent_O>
};

declare variable $bankHentSvar1 as element() external;

xf:BankHent_TACTICAL_2_SKAT_Output($bankHentSvar1)</con:xquery>
</con:xqueryEntry>