<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/HentSpillestederSKAT2OIOOUTPUT/";
declare namespace ns0 = "http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns2 = "http://rep.oio.dk/cpr.dk/xml/schemas/core/2005/05/19/";
declare namespace ns3 = "http://rep.oio.dk/cpr.dk/xml/schemas/core/2006/01/10/";
declare namespace ns4 = "http://rep.oio.dk/skat.dk/TSE/spillested/xml/schemas/2006/09/01/";
declare namespace ns5 = "http://rep.oio.dk/ebxml/xml/schemas/dkcc/2005/05/19/";
declare namespace ns6 = "http://rep.oio.dk/skat.dk/TSE/service/SpillestederHent/xml/schemas/2006/09/01/";

declare function xf:HentSpillestederSKAT2OIOOUTPUT($hentSpillesteder_O1 as element(ns1:HentSpillesteder_O))
    as element(ns6:SpillestederHentOutputStruktur) {
        let $HentSpillesteder_O := $hentSpillesteder_O1
        return
            &lt;ns6:SpillestederHentOutputStruktur>
                {
                    for $Tilladelse in $HentSpillesteder_O/ns1:TilladelserForSpillested/ns1:Tilladelse
                    return
                        &lt;ns4:SpillestedOplysningerStruktur>
                            &lt;ns3:CompletePostalLabel>
                                &lt;ns2:AddresseeName>{ data($Tilladelse/ns1:SpillestedNavn) }&lt;/ns2:AddresseeName>
                                &lt;ns5:PostalAddressFirstLineText>{ data($Tilladelse/ns1:SpillestedAdresse) }&lt;/ns5:PostalAddressFirstLineText>
                                &lt;ns5:PostalAddressThirdLineText>{ xs:string( data($Tilladelse/ns1:SpillestedPostNummer) ) }&lt;/ns5:PostalAddressThirdLineText>
                                &lt;ns5:PostalAddressFifthLineText>{ data($Tilladelse/ns1:SpillestedPostDistrikt) }&lt;/ns5:PostalAddressFifthLineText>
                            &lt;/ns3:CompletePostalLabel>
                            &lt;ns4:SpillestedTilladelseIdentifikator>{ data($Tilladelse/ns1:SpillestedTilladelseId) }&lt;/ns4:SpillestedTilladelseIdentifikator>
                            &lt;ns4:SpillestedKode>{ data($Tilladelse/ns1:SpillestedType) }&lt;/ns4:SpillestedKode>
                            &lt;ns4:SpillestedMaksKvantitet>{ data($Tilladelse/ns1:SpillestedMaxAntal) }&lt;/ns4:SpillestedMaksKvantitet>
                            &lt;ns4:SpillestedStartDato>{ data($Tilladelse/ns1:SpillestedStartDato) }&lt;/ns4:SpillestedStartDato>
                            &lt;ns4:SpillestedSlutDato>{ data($Tilladelse/ns1:SpillestedSlutDato) }&lt;/ns4:SpillestedSlutDato>
                            &lt;ns4:SpillestedJournalNummerIdentifikator>{ data($Tilladelse/ns1:SpillestedJournalNummer) }&lt;/ns4:SpillestedJournalNummerIdentifikator>
                            {
                                for $SpillestedAfmeldelseDato in $Tilladelse/ns1:SpillestedAfmeldelseDato
                                return
                                    &lt;ns4:SpillestedAfmeldelseDato>{ data($SpillestedAfmeldelseDato) }&lt;/ns4:SpillestedAfmeldelseDato>
                            }
                        &lt;/ns4:SpillestedOplysningerStruktur>
                }
            &lt;/ns6:SpillestederHentOutputStruktur>
};

declare variable $hentSpillesteder_O1 as element(ns1:HentSpillesteder_O) external;

xf:HentSpillestederSKAT2OIOOUTPUT($hentSpillesteder_O1)</con:xquery>
</con:xqueryEntry>