<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/GenerateBasisHovedOplysninger/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/";
declare namespace ns1 = "http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/";

declare function xf:GenerateBasisHovedOplysninger($hovedOplysningerSvar1 as element(ns0:HovedOplysningerSvar))
    as element(ns1:HovedOplysningerSvar) {
        let $HovedOplysningerSvar := $hovedOplysningerSvar1
        return
            &lt;ns1:HovedOplysningerSvar>
                &lt;ns1:TransaktionIdentifikator>{ data($HovedOplysningerSvar/ns0:TransaktionsID) }&lt;/ns1:TransaktionIdentifikator>
                &lt;ns1:ServiceIdentifikator>{ data($HovedOplysningerSvar/ns0:ServiceID) }&lt;/ns1:ServiceIdentifikator>
                &lt;ns1:TransaktionTid>{ data($HovedOplysningerSvar/ns0:TransaktionsTid) }&lt;/ns1:TransaktionTid>
                &lt;ns1:SvarStruktur>
                {
                for $SvarReaktion in $HovedOplysningerSvar/ns0:SvarReaktion
                return
                
                   

                        if( count ($SvarReaktion/ns0:Advis) > 0 ) then
                            &lt;ns1:AdvisStruktur>
                                &lt;ns1:AdvisIdentifikator>{ data($SvarReaktion/ns0:Advis/ns0:AdvisNummer) }&lt;/ns1:AdvisIdentifikator>
                                &lt;ns1:AdvisTekst>{ data($SvarReaktion/ns0:Advis/ns0:AdvisTekst) }&lt;/ns1:AdvisTekst>
                            &lt;/ns1:AdvisStruktur>
                        else ""
                  }
                  {
                  for $SvarReaktion in $HovedOplysningerSvar/ns0:SvarReaktion
                	return
                  		if( count ($SvarReaktion/ns0:Fejl) > 0 ) then
                            &lt;ns1:FejlStruktur>
                                &lt;ns1:FejlIdentifikator>{ data($SvarReaktion/ns0:Fejl/ns0:FejlNummer) }&lt;/ns1:FejlIdentifikator>
                                &lt;ns1:FejlTekst>{ data($SvarReaktion/ns0:Fejl/ns0:FejlTekst) }&lt;/ns1:FejlTekst>
                            &lt;/ns1:FejlStruktur>
                        else ""
                 }   
                &lt;/ns1:SvarStruktur>
            &lt;/ns1:HovedOplysningerSvar>
};

declare variable $hovedOplysningerSvar1 as element(ns0:HovedOplysningerSvar) external;

xf:GenerateBasisHovedOplysninger($hovedOplysningerSvar1)</con:xquery>
</con:xqueryEntry>