<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/HovedOplysningerSvar_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/kontekst/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/";

declare function xf:HovedOplysningerSvar_Output($hovedOplysningerSvar1 as element(ns0:HovedOplysningerSvar))
    as element(ns1:HovedOplysningerSvar) {
        let $HovedOplysningerSvar := $hovedOplysningerSvar1
        return
            &lt;ns1:HovedOplysningerSvar>
                &lt;ns1:TransaktionsID>{ data($HovedOplysningerSvar/ns0:TransaktionsID) }&lt;/ns1:TransaktionsID>
                &lt;ns1:ServiceID>{ data($HovedOplysningerSvar/ns0:ServiceID) }&lt;/ns1:ServiceID>
                &lt;ns1:TransaktionsTid>{ data($HovedOplysningerSvar/ns0:TransaktionsTid) }&lt;/ns1:TransaktionsTid>
                {
                    for $SvarReaktion in $HovedOplysningerSvar/ns0:SvarReaktion
                    return
                        &lt;ns1:SvarReaktion>
                            {
                                let $Advis := $SvarReaktion/ns0:Advis
                                return if(count($Advis)>0) then
                                    &lt;ns1:Advis>
                                        {
                                            for $AdvisNummer in $Advis/ns0:AdvisNummer
                                            return
                                                &lt;ns1:AdvisNummer>{ data($AdvisNummer) }&lt;/ns1:AdvisNummer>
                                        }
                                        &lt;ns1:AdvisTekst>{ data($Advis/ns0:AdvisTekst) }&lt;/ns1:AdvisTekst>
                                        {
                                            for $Identifikation in $Advis/ns0:Identifikation
                                            return
                                                &lt;ns1:Identifikation>
                                                    { $Identifikation/* }
                                                &lt;/ns1:Identifikation>
                                        }
                                    &lt;/ns1:Advis>
                                else ""
                            }
                            {
                                let $Fejl := $SvarReaktion/ns0:Fejl
                                return if(count($Fejl)>0) then
                                    &lt;ns1:Fejl>
                                        {
                                            for $FejlNummer in $Fejl/ns0:FejlNummer
                                            return
                                                &lt;ns1:FejlNummer>{ data($FejlNummer) }&lt;/ns1:FejlNummer>
                                        }
                                        &lt;ns1:FejlTekst>{ data($Fejl/ns0:FejlTekst) }&lt;/ns1:FejlTekst>
                                        {
                                            for $Identifikation in $Fejl/ns0:Identifikation
                                            return
                                                &lt;ns1:Identifikation>
                                                    { $Identifikation/* }
                                                &lt;/ns1:Identifikation>
                                        }
                                    &lt;/ns1:Fejl>
                                else ""
                            }
                        &lt;/ns1:SvarReaktion>
                }
            &lt;/ns1:HovedOplysningerSvar>
};

declare variable $hovedOplysningerSvar1 as element(ns0:HovedOplysningerSvar) external;

xf:HovedOplysningerSvar_Output($hovedOplysningerSvar1)</con:xquery>
</con:xqueryEntry>