<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$virksomhedLandeHentSvar1" type="ns0:VirksomhedLandeHentInterface/ns0:VirksomhedLandeHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LandeHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LandeHent_TACTICAL_2_SKAT_Output($virksomhedLandeHentSvar1 as element())
    as element(ns1:LandeHent_O) {
        let $VirksomhedLandeHentSvar := $virksomhedLandeHentSvar1
        return
            &lt;ns1:LandeHent_O>
                {
                    let $Kontekst := $VirksomhedLandeHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                &lt;ns1:LandeListe>
                    {
                        for $LandeOplysninger in $VirksomhedLandeHentSvar/ns0:LandeOplysninger
                        return
                            &lt;ns1:Lande>
                                &lt;ns1:LandeNummerKode>{ xs:integer( data($LandeOplysninger/ns0:LandeNummerKode) ) }&lt;/ns1:LandeNummerKode>
                                &lt;ns1:LandeKode>{ data($LandeOplysninger/ns0:LandeKode) }&lt;/ns1:LandeKode>
                                &lt;ns1:LandeNavn>{ data($LandeOplysninger/ns0:LandeNavn) }&lt;/ns1:LandeNavn>
                            &lt;/ns1:Lande>
                    }
                &lt;/ns1:LandeListe>
            &lt;/ns1:LandeHent_O>
};

declare variable $virksomhedLandeHentSvar1 as element() external;

xf:LandeHent_TACTICAL_2_SKAT_Output($virksomhedLandeHentSvar1)</con:xquery>
</con:xqueryEntry>