<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ListeAngivelseAendre_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns1 = "http://skat.dk/tse/steria/xml/schema/liws/2008/01701/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:ListeAngivelseAendre_SKAT_2_TACTICAL_Input($listeAngivelseÆndre_I1 as element(ns0:ListeAngivelseÆndre_I))
    as element(ns1:ListeAngivelseAendre) {
        let $ListeAngivelseÆndre_I := $listeAngivelseÆndre_I1
        return
            &lt;ns1:ListeAngivelseAendre>
                {
                    let $Kontekst := $ListeAngivelseÆndre_I/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                &lt;ns1:SeNr1>{  data($ListeAngivelseÆndre_I/ns0:InputParametre/ns0:VirksomhedInddata/ns0:IndberetterVirksomhedSENummer/ns0:VirksomhedSENummer)  }&lt;/ns1:SeNr1>
                &lt;ns1:SeNr2>{  data($ListeAngivelseÆndre_I/ns0:InputParametre/ns0:VirksomhedInddata/ns0:AngiverVirksomhedSENummer/ns0:VirksomhedSENummer)  }&lt;/ns1:SeNr2>
                &lt;ns1:AngivelsesTid>{ data($ListeAngivelseÆndre_I/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseAngivelseTid) }&lt;/ns1:AngivelsesTid>
                &lt;ns1:ValgtIndberetningsFormKode>{ padInFront(data($ListeAngivelseÆndre_I/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseValgtIndberetningFormKode), 3,'0')  }&lt;/ns1:ValgtIndberetningsFormKode>
                {
                    let $AngivelseValgtPeriode := $ListeAngivelseÆndre_I/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseValgtPeriode
                    return
                        &lt;ns1:ValgtPeriode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns1:StartDato>
                                     {fn:concat(xs:string(year-from-date(data($AngivelseValgtPeriodeStartDato))),'-',padInFront(xs:string(month-from-date(data($AngivelseValgtPeriodeStartDato))),2,'0'),'-',padInFront(xs:string(day-from-date(data($AngivelseValgtPeriodeStartDato))),2,'0'))}
                                    &lt;/ns1:StartDato>
                            }
                            &lt;ns1:SlutDato>
                              {fn:concat(xs:string(year-from-date(data($AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))),'-',padInFront(xs:string(month-from-date(data($AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))),2,'0'),'-',padInFront(xs:string(day-from-date(data($AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))),2,'0'))}
                           
                            
                            &lt;/ns1:SlutDato>
                        &lt;/ns1:ValgtPeriode>
                }
                &lt;ns1:Valuta>{ data($ListeAngivelseÆndre_I/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseValuta) }&lt;/ns1:Valuta>
                {
                    for $AngivelseKvitteringNummer in $ListeAngivelseÆndre_I/ns0:InputParametre/ns0:AngivelseInddata/ns0:AngivelseKvitteringNummer
                    return
                        &lt;ns1:KvitteringsNr>{padInFront(xs:string( data($AngivelseKvitteringNummer) ),8,'0') }&lt;/ns1:KvitteringsNr>
                }
                {
                    for $ListeAngivelseListeEnhed in $ListeAngivelseÆndre_I/ns0:InputParametre/ns0:AngivelseInddata/ns0:ListeAngivelseListe/ns0:ListeAngivelseListeEnhed
                    return
                        &lt;ns1:ListeAngivelse>
                            
                            &lt;ns1:KoebersMomsNr>{ data($ListeAngivelseListeEnhed/ns0:ListeAngivelseKøbersMomsNummer) }&lt;/ns1:KoebersMomsNr>
                          	{
                          	let $ListeAngivelseLandeKode := $ListeAngivelseListeEnhed/ns0:ListeAngivelseLandeKode
                            return if(fn:matches($ListeAngivelseLandeKode,'GR'))then
                            &lt;ns1:LandeKode>{xs:string(data("EL"))}&lt;/ns1:LandeKode>
                            else
                            &lt;ns1:LandeKode>{ data($ListeAngivelseLandeKode) }&lt;/ns1:LandeKode>
                            }
                            {
                                for $ListeAngivelseSalgsBeløb in $ListeAngivelseListeEnhed/ns0:ListeAngivelseSalgsBeløb
                                return
                                    &lt;ns1:SalgsBeloeb>{ xs:decimal( data($ListeAngivelseSalgsBeløb) ) }&lt;/ns1:SalgsBeloeb>
                            }
                            {
                                for $ListeAngivelseTrekantBeløb in $ListeAngivelseListeEnhed/ns0:ListeAngivelseTrekantBeløb
                                return
                                    &lt;ns1:TrekantBeloeb>{ xs:decimal( data($ListeAngivelseTrekantBeløb) ) }&lt;/ns1:TrekantBeloeb>
                            }
                            &lt;ns1:AendreKode>{ data($ListeAngivelseListeEnhed/ns0:ListeAngivelseÆndreKode) }&lt;/ns1:AendreKode>
                        &lt;/ns1:ListeAngivelse>
                }
            &lt;/ns1:ListeAngivelseAendre>
};

declare variable $listeAngivelseÆndre_I1 as element(ns0:ListeAngivelseÆndre_I) external;

xf:ListeAngivelseAendre_SKAT_2_TACTICAL_Input($listeAngivelseÆndre_I1)</con:xquery>
</con:xqueryEntry>