<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Fejl/ListeAngivelseFilOpretFejl_TACTICAL_2_SKAT/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns1 = "http://skat.dk/tse/steria/xml/schema/liws/2008/01701/";

declare function xf:ListeAngivelseFilOpretFejl_TACTICAL_2_SKAT($listeAngivelseFilOpret_FejlId1 as element(ns0:ListeAngivelseFilOpret_FejlId))
    as element(ns1:ListeAngivelseFilOpretFejl) {
        &lt;ns1:ListeAngivelseFilOpretFejl>
            {
                for $ListeAngivelseKøbersMomsNummer in $listeAngivelseFilOpret_FejlId1/ns0:ListeAngivelseKøbersMomsNummer
                return
                    &lt;ns1:KoebersMomsNr>{ data($ListeAngivelseKøbersMomsNummer) }&lt;/ns1:KoebersMomsNr>
            }
            {
                for $ListeAngivelseLandeKode in $listeAngivelseFilOpret_FejlId1/ns0:ListeAngivelseLandeKode
                return
                    &lt;ns1:LandeKode>{ data($ListeAngivelseLandeKode) }&lt;/ns1:LandeKode>
            }
            {
                for $AngivelseValgtPeriodeStartDato in $listeAngivelseFilOpret_FejlId1/ns0:AngivelseValgtPeriodeStartDato
                return
                    &lt;ns1:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns1:StartDato>
            }
            {
                for $AngivelseValgtPeriodeSlutDato in $listeAngivelseFilOpret_FejlId1/ns0:AngivelseValgtPeriodeSlutDato
                return
                    &lt;ns1:SlutDato>{ data($AngivelseValgtPeriodeSlutDato) }&lt;/ns1:SlutDato>
            }
            &lt;ns1:SeNr2>{ xs:integer( data($listeAngivelseFilOpret_FejlId1/ns0:AngiverVirksomhedSENummer/ns0:VirksomhedSENummer) ) }&lt;/ns1:SeNr2>
        &lt;/ns1:ListeAngivelseFilOpretFejl>
};

declare variable $listeAngivelseFilOpret_FejlId1 as element(ns0:ListeAngivelseFilOpret_FejlId) external;

xf:ListeAngivelseFilOpretFejl_TACTICAL_2_SKAT($listeAngivelseFilOpret_FejlId1)</con:xquery>
</con:xqueryEntry>