<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ListeAngivelseHent_SKAT_2_TACTICAL_INPUT/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns1 = "http://skat.dk/tse/steria/xml/schema/liws/2008/01701/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:ListeAngivelseHent_SKAT_2_TACTICAL_INPUT($listeAngivelseHent_I1 as element(ns0:ListeAngivelseHent_I))
    as element(ns1:ListeAngivelseHent) {
        let $ListeAngivelseHent_I := $listeAngivelseHent_I1
        return
            &lt;ns1:ListeAngivelseHent>
                {
                    let $Kontekst := $ListeAngivelseHent_I/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                &lt;ns1:SeNr2>{ ( padInFront(data($ListeAngivelseHent_I/ns0:InputParametre/ns0:AngiverVirksomhedSENummer/ns0:VirksomhedSENummer), 8, '0' )) }&lt;/ns1:SeNr2>
                &lt;ns1:ValgtPeriode>
                    {
                        for $AngivelseValgtPeriodeStartDato in $ListeAngivelseHent_I/ns0:InputParametre/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeStartDato
                        return
                            &lt;ns1:StartDato>{fn:concat(xs:string(year-from-date(data($AngivelseValgtPeriodeStartDato))),'-',padInFront(xs:string(month-from-date(data($AngivelseValgtPeriodeStartDato))),2,'0'),'-',padInFront(xs:string(day-from-date(data($AngivelseValgtPeriodeStartDato))),2,'0')) }&lt;/ns1:StartDato>
                    }
                    &lt;ns1:SlutDato>{fn:concat(xs:string(year-from-date(data($ListeAngivelseHent_I/ns0:InputParametre/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))),'-',padInFront(xs:string(month-from-date(data($ListeAngivelseHent_I/ns0:InputParametre/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))),2,'0'),'-',padInFront(xs:string(day-from-date(data($ListeAngivelseHent_I/ns0:InputParametre/ns0:AngivelseValgtPeriode/ns0:AngivelseValgtPeriodeSlutDato))),2,'0'))}&lt;/ns1:SlutDato>
                &lt;/ns1:ValgtPeriode>
            &lt;/ns1:ListeAngivelseHent>
};

declare variable $listeAngivelseHent_I1 as element(ns0:ListeAngivelseHent_I) external;

xf:ListeAngivelseHent_SKAT_2_TACTICAL_INPUT($listeAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>