<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/ListeAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns1 = "http://skat.dk/tse/steria/xml/schema/liws/2008/01701/";

declare function xf:ListeAngivelseHent_TACTICAL_2_SKAT_Output($listeAngivelseHentSvar1 as element(ns1:ListeAngivelseHentSvar))
    as element(ns0:ListeAngivelseHent_O) {
        let $ListeAngivelseHentSvar := $listeAngivelseHentSvar1
        return
            &lt;ns0:ListeAngivelseHent_O>
                {
                    let $Kontekst := $ListeAngivelseHentSvar/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                for $ListeAngivelseSvar in $ListeAngivelseHentSvar/ns1:ListeAngivelseHentOutput/ns1:TilladtAktion
                            return
                &lt;ns0:AngivelseUddata>
                    &lt;ns0:AngivelseTilladtAktion>{ data($ListeAngivelseHentSvar/ns1:ListeAngivelseHentOutput/ns1:TilladtAktion) }&lt;/ns0:AngivelseTilladtAktion>
                    &lt;ns0:AngivelseKvitteringNummer>{ xs:integer( data($ListeAngivelseHentSvar/ns1:ListeAngivelseHentOutput/ns1:KvitteringsNr) ) }&lt;/ns0:AngivelseKvitteringNummer>
                    {
                        let $ValgtPeriode := $ListeAngivelseHentSvar/ns1:ListeAngivelseHentOutput/ns1:ValgtPeriode
                        return
                            &lt;ns0:AngivelseValgtPeriode>
                                {
                                    for $StartDato in $ValgtPeriode/ns1:StartDato
                                    return
                                        &lt;ns0:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns0:AngivelseValgtPeriodeStartDato>
                                }
                                &lt;ns0:AngivelseValgtPeriodeSlutDato>{ data($ValgtPeriode/ns1:SlutDato) }&lt;/ns0:AngivelseValgtPeriodeSlutDato>
                            &lt;/ns0:AngivelseValgtPeriode>
                    }
                    &lt;ns0:AngivelseValuta>{ data($ListeAngivelseHentSvar/ns1:ListeAngivelseHentOutput/ns1:Valuta) }&lt;/ns0:AngivelseValuta>
                    &lt;ns0:ListeAngivelseListe>
                        {
                            for $ListeAngivelseSvar in $ListeAngivelseHentSvar/ns1:ListeAngivelseHentOutput/ListeAngivelseSvar
                            return
                                &lt;ns0:ListeAngivelseUddata>
                                    &lt;ns0:IndberetterVirksomhedSENummer>
                                        &lt;ns0:VirksomhedSENummer>{ xs:string( data($ListeAngivelseSvar/ns1:SeNr1) ) }&lt;/ns0:VirksomhedSENummer>
                                    &lt;/ns0:IndberetterVirksomhedSENummer>
                                    &lt;ns0:AngivelseAngivelseTid>{ data($ListeAngivelseSvar/ns1:AngivelsesTid) }&lt;/ns0:AngivelseAngivelseTid>
                                    {
                                        for $ValgtIndberetningsFormKode in $ListeAngivelseSvar/ns1:ValgtIndberetningsFormKode
                                        return
                                            &lt;ns0:AngivelseValgtIndberetningFormKode>{ xs:integer( data($ValgtIndberetningsFormKode) ) }&lt;/ns0:AngivelseValgtIndberetningFormKode>
                                    }
                                    &lt;ns0:ListeAngivelseKøbersMomsNummer>{ data($ListeAngivelseSvar/ns1:KoebersMomsNr) }&lt;/ns0:ListeAngivelseKøbersMomsNummer>
                                    {
                                    let $LandeKode := $ListeAngivelseSvar/ns1:LandeKode
                                    return if(fn:matches($LandeKode,'EL')) then
                                    	&lt;ns0:ListeAngivelseLandeKode>{xs:string(data("GR"))}&lt;/ns0:ListeAngivelseLandeKode>
                                    else
                                    	&lt;ns0:ListeAngivelseLandeKode>{ data($LandeKode) }&lt;/ns0:ListeAngivelseLandeKode>
                                    }
                                    {
                                        for $SalgsBeloeb in $ListeAngivelseSvar/ns1:SalgsBeloeb
                                        return
                                            &lt;ns0:ListeAngivelseSalgsBeløb>{ xs:integer( round(data($SalgsBeloeb)) ) }&lt;/ns0:ListeAngivelseSalgsBeløb>
                                    }
                                    {
                                        for $TrekantBeloeb in $ListeAngivelseSvar/ns1:TrekantBeloeb
                                        return
                                            &lt;ns0:ListeAngivelseTrekantBeløb>{ xs:integer( round(data($TrekantBeloeb)) ) }&lt;/ns0:ListeAngivelseTrekantBeløb>
                                    }
                                &lt;/ns0:ListeAngivelseUddata>
                        }
                    &lt;/ns0:ListeAngivelseListe>
                &lt;/ns0:AngivelseUddata>
                }
            &lt;/ns0:ListeAngivelseHent_O>
};

declare variable $listeAngivelseHentSvar1 as element(ns1:ListeAngivelseHentSvar) external;

xf:ListeAngivelseHent_TACTICAL_2_SKAT_Output($listeAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>