<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$loenSumAngivelseHentSvar1" type="ns0:LoenSumAngivelseHentInterface/ns0:LoenSumAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LoenSumAngivelseHent_TACTICAL_2_SKAT_Output($loenSumAngivelseHentSvar1 as element())
    as element(ns1:LønsumAngivelseHent_O) {
        let $LoenSumAngivelseHentSvar := $loenSumAngivelseHentSvar1
        return
            &lt;ns1:LønsumAngivelseHent_O>
                {
                    let $Kontekst := $LoenSumAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                
                 {
                    let $LoenSumAngivelseHentSvar := $loenSumAngivelseHentSvar1
                    return if(count($LoenSumAngivelseHentSvar/ns0:LoenSumAngivelsesOplysninger) > 0) then
                &lt;ns1:UddataResultat>
                    &lt;ns1:VirksomhedUddata>
                    {
                    if(count($LoenSumAngivelseHentSvar/ns0:SENummerIndberetter) > 0) then
                        &lt;ns1:IndberetterVirksomhedSENummer>
                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($LoenSumAngivelseHentSvar/ns0:SENummerIndberetter) ) }&lt;/ns1:VirksomhedSENummer>
                        &lt;/ns1:IndberetterVirksomhedSENummer>
                    else ""
                    }
                    &lt;/ns1:VirksomhedUddata>
                    &lt;ns1:AngivelseUddata>
                        &lt;ns1:AngivelseTilladtAktion>{ data($LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
                        &lt;ns1:AngivelseAngivelseTid>{ data($LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                        &lt;ns1:AngivelseKvitteringNummer>{ data($LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:KvitteringsNummer)}&lt;/ns1:AngivelseKvitteringNummer>
                        {
                                    for $OCRLinie in $LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:OCRLinie
                                    return
                                        &lt;ns1:OCRLinie>
                                            &lt;ns1:AngivelseOCRKortType>{ data($LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:OCRLinie/ns0:KortType) }&lt;/ns1:AngivelseOCRKortType>
                                            &lt;ns1:AngivelseOCRNummer>{ data($OCRLinie/ns0:OCRNummer) }&lt;/ns1:AngivelseOCRNummer>
                                            &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                        &lt;/ns1:OCRLinie>
                                }
                       
                        &lt;ns1:AngivelseValuta>{ data($LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                        {
                            let $LoenSumAngivelsesOplysninger := $LoenSumAngivelseHentSvar/ns0:LoenSumAngivelsesOplysninger
                            return
                                &lt;ns1:LønsumAngivelseUddata>
                                    {
                                        for $Aconto in $LoenSumAngivelsesOplysninger/ns0:Aconto
                                        return
                                            &lt;ns1:LønsumAngivelseAContoBeløb>{ xs:integer(round(data($Aconto)))  }&lt;/ns1:LønsumAngivelseAContoBeløb>
                                    }
                                    {
                                        for $AvisSalg in $LoenSumAngivelsesOplysninger/ns0:AvisSalg
                                        return
                                            &lt;ns1:LønsumAngivelseAvisSalgBeløb>{ xs:integer(round(data($AvisSalg)) ) }&lt;/ns1:LønsumAngivelseAvisSalgBeløb>
                                    }
                                    {
                                        for $Sats1 in $LoenSumAngivelsesOplysninger/ns0:Sats1
                                        return
                                            &lt;ns1:LønsumAngivelseSats1Beløb>{  xs:integer(round(data($Sats1) )) }&lt;/ns1:LønsumAngivelseSats1Beløb>
                                    }
                                    {
                                        for $Sats2 in $LoenSumAngivelsesOplysninger/ns0:Sats2
                                        return
                                            &lt;ns1:LønsumAngivelseSats2Beløb>{  xs:integer(round(data($Sats2)) ) }&lt;/ns1:LønsumAngivelseSats2Beløb>
                                    }
                                    &lt;ns1:LønsumAngivelseTilsvarBeløb>{  xs:integer(round(data($LoenSumAngivelsesOplysninger/ns0:TilSvar)) ) }&lt;/ns1:LønsumAngivelseTilsvarBeløb>
                                    {
                                        for $AarAconto in $LoenSumAngivelsesOplysninger/ns0:AarAconto
                                        return
                                            &lt;ns1:LønsumAngivelseÅrAContoBeløb>{  xs:integer(round(data($AarAconto) )) }&lt;/ns1:LønsumAngivelseÅrAContoBeløb>
                                    }
                                    {
                                        for $AarResultat in $LoenSumAngivelsesOplysninger/ns0:AarResultat
                                        return
                                            &lt;ns1:LønsumAngivelseÅrResultatBeløb>{ xs:integer(round(data($AarResultat)))  }&lt;/ns1:LønsumAngivelseÅrResultatBeløb>
                                    }
                                    {
                                        for $AarLoenSum in $LoenSumAngivelsesOplysninger/ns0:AarLoenSum
                                        return
                                            &lt;ns1:LønsumAngivelseÅrLønsumBeløb>{ xs:integer(round(data($AarLoenSum) )) }&lt;/ns1:LønsumAngivelseÅrLønsumBeløb>
                                    }
                                &lt;/ns1:LønsumAngivelseUddata>
                        }
                        &lt;ns1:BetalingUddata>
                            {
                                for $ValgtBetalingsFormidler in $LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:ValgtBetalingsFormidler
                                return
                                
                                 	 if (data($ValgtBetalingsFormidler) = 'PBS') 
												then &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("PBS") }&lt;/ns1:BetalingValgtBetalingFormidler>
									else if (data($ValgtBetalingsFormidler)= 'JyskeBank')
												then &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("SKB") }&lt;/ns1:BetalingValgtBetalingFormidler>
									else if (data($ValgtBetalingsFormidler)= 'HomeBanking')
												then &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("HomeBanking") }&lt;/ns1:BetalingValgtBetalingFormidler>
									else &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("AndenBetalingsform") }&lt;/ns1:BetalingValgtBetalingFormidler>
                             }
                            {
                                for $BetalingsDato in $LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:BetalingsDato
                                return
                                    &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                            }
                            {
                                for $BetalingsBeloeb in $LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:BetalingsBeloeb
                                return
                                    &lt;ns1:BetalingBeløb>{ xs:integer(round( data($BetalingsBeloeb) )) }&lt;/ns1:BetalingBeløb>
                            }
                        &lt;/ns1:BetalingUddata>
                    &lt;/ns1:AngivelseUddata>
                    &lt;ns1:AngivelseFrekvensForhold>
                        {
                            for $BetalingsFrist in $LoenSumAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent/ns0:BetalingsFrist
                            return
                                &lt;ns1:AngivelseFrekvensForholdBetalingFristDato>{ data($BetalingsFrist) }&lt;/ns1:AngivelseFrekvensForholdBetalingFristDato>
                        }
                    &lt;/ns1:AngivelseFrekvensForhold>
                &lt;/ns1:UddataResultat>
              else ""
                }
            &lt;/ns1:LønsumAngivelseHent_O>
};

declare variable $loenSumAngivelseHentSvar1 as element() external;

xf:LoenSumAngivelseHent_TACTICAL_2_SKAT_Output($loenSumAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>