<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:LoenSumAngivelseListInterface/ns0:LoenSumAngivelseList" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelseList_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LoenSumAngivelseList_SKAT_2_TACTICAL_Input($lønsumAngivelseList_I1 as element(ns1:LønsumAngivelseList_I))
    as element() {
        let $LønsumAngivelseList_I := $lønsumAngivelseList_I1
        return
            &lt;ns0:LoenSumAngivelseList>
                {
                    let $Kontekst := $LønsumAngivelseList_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($LønsumAngivelseList_I/ns1:InputParametre/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($LønsumAngivelseList_I/ns1:InputParametre/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                {
                    for $AngivelseValgtPeriode in $LønsumAngivelseList_I/ns1:InputParametre/ns1:AngivelseValgtPeriodeInddataEnhed/ns1:AngivelseValgtPeriode
                    return
                        &lt;ns0:AngivelserValgtPeriode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                            }
                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                        &lt;/ns0:AngivelserValgtPeriode>
                }
            &lt;/ns0:LoenSumAngivelseList>
};

declare variable $lønsumAngivelseList_I1 as element(ns1:LønsumAngivelseList_I) external;

xf:LoenSumAngivelseList_SKAT_2_TACTICAL_Input($lønsumAngivelseList_I1)</con:xquery>
</con:xqueryEntry>