<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$loenSumAngivelseListSvar1" type="ns0:LoenSumAngivelseListInterface/ns0:LoenSumAngivelseListSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelseList_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LoenSumAngivelseList_TACTICAL_2_SKAT_Output($loenSumAngivelseListSvar1 as element())
    as element(ns1:LønsumAngivelseList_O) {
        let $LoenSumAngivelseListSvar := $loenSumAngivelseListSvar1
        return
            &lt;ns1:LønsumAngivelseList_O>
                {
                    let $Kontekst := $LoenSumAngivelseListSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                 {
                    let $LoenSumAngivelseListSvar := $LoenSumAngivelseListSvar
                    return if(count($LoenSumAngivelseListSvar/ns0:AngivelserListOplysninger) > 0) then
                &lt;ns1:UddataresultatListe>
                    {
                        for $AngivelserListOplysninger in $LoenSumAngivelseListSvar/ns0:AngivelserListOplysninger
                        return
                            &lt;ns1:UddataResultat>
                               {
                             for $SENummerIndberetter in $AngivelserListOplysninger/ns0:SENummerIndberetter
                             return
                                &lt;ns1:IndberetterVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ xs:string( data($AngivelserListOplysninger/ns0:SENummerIndberetter) ) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:IndberetterVirksomhedSENummer>
                                }                                {
                                    let $AngivelserValgtPeriode := $AngivelserListOplysninger/ns0:AngivelserValgtPeriode
                                    return
                                        &lt;ns1:AngivelseValgtPeriode>
                                            {
                                                for $StartDato in $AngivelserValgtPeriode/ns0:StartDato
                                                return
                                                    &lt;ns1:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                            }
                                            &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($AngivelserValgtPeriode/ns0:SlutDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                        &lt;/ns1:AngivelseValgtPeriode>
                                }
                                {
                                    for $UnderKontoArtKode in $AngivelserListOplysninger/ns0:UnderKontoArtKode
                                    return
                                        &lt;ns1:AngivelseFrekvensForholdUnderkontoArtKode>{ data($UnderKontoArtKode) }&lt;/ns1:AngivelseFrekvensForholdUnderkontoArtKode>
                                }
                                &lt;ns1:AngivelseKvitteringNummer>{ data($AngivelserListOplysninger/ns0:KvitteringsNummer) }&lt;/ns1:AngivelseKvitteringNummer>
                                &lt;ns1:AngivelseAngivelseTid>{ data($AngivelserListOplysninger/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                &lt;ns1:AngivelseTilladtAktion>{ data($AngivelserListOplysninger/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
                            &lt;/ns1:UddataResultat>
                    }
                &lt;/ns1:UddataresultatListe>
                 else ""
                }
            &lt;/ns1:LønsumAngivelseList_O>
};

declare variable $loenSumAngivelseListSvar1 as element() external;

xf:LoenSumAngivelseList_TACTICAL_2_SKAT_Output($loenSumAngivelseListSvar1)</con:xquery>
</con:xqueryEntry>