<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$loenSumAngivelseOpretSvar1" type="ns0:LoenSumAngivelseOpretInterface/ns0:LoenSumAngivelseOpretSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelseOpret_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LoenSumAngivelseOpret_TACTICAL_2_SKAT_Output($loenSumAngivelseOpretSvar1 as element())
    as element(ns1:LønsumAngivelseOpret_O) {
        let $LoenSumAngivelseOpretSvar := $loenSumAngivelseOpretSvar1
        return
            &lt;ns1:LønsumAngivelseOpret_O>
                {
                    let $Kontekst := $LoenSumAngivelseOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    for $AngivelseOpretAendreSvar in $LoenSumAngivelseOpretSvar/ns0:AngivelseOpretAendreSvar
                    return
                        &lt;ns1:Resultat>
                            {
                                for $BetalingsDato in $AngivelseOpretAendreSvar/ns0:BetalingsDato
                                return
                                    &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                            }
                            {
                                for $BetalingsBeloeb in $AngivelseOpretAendreSvar/ns0:BetalingsBeloeb
                                return
                                    &lt;ns1:BetalingBeløb>{ xs:integer( round(data($BetalingsBeloeb)) ) }&lt;/ns1:BetalingBeløb>
                            }
                            {
                                for $ValutaKode in $AngivelseOpretAendreSvar/ns0:ValutaKode
                                return
                                    &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                            }
                            {
                                for $OCRLinie in $AngivelseOpretAendreSvar/ns0:OCRLinie
                                return
                                    &lt;ns1:OCRLinie>
                                        &lt;ns1:AngivelseOCRKortType>{  data($OCRLinie/ns0:KortType)}&lt;/ns1:AngivelseOCRKortType>
                                        &lt;ns1:AngivelseOCRNummer>{ data($OCRLinie/ns0:OCRNummer) }&lt;/ns1:AngivelseOCRNummer>
                                        &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                    &lt;/ns1:OCRLinie>
                            }
                            &lt;ns1:AngivelseKvitteringNummer>{ data($AngivelseOpretAendreSvar/ns0:KvitteringsNummer)  }&lt;/ns1:AngivelseKvitteringNummer>
                        &lt;/ns1:Resultat>
                }
            &lt;/ns1:LønsumAngivelseOpret_O>
};

declare variable $loenSumAngivelseOpretSvar1 as element() external;

xf:LoenSumAngivelseOpret_TACTICAL_2_SKAT_Output($loenSumAngivelseOpretSvar1)</con:xquery>
</con:xqueryEntry>