<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:LoenSumAngivelsesSumHentInterface/ns0:LoenSumAngivelsesSumHent" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/LoenSumAngivelsesSumHent_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:LoenSumAngivelsesSumHent_SKAT_2_TACTICAL_Input($lønsumAngivelseSumHent_I1 as element(ns1:LønsumAngivelseSumHent_I))
    as element() {
        let $LønsumAngivelseSumHent_I := $lønsumAngivelseSumHent_I1
        return
            &lt;ns0:LoenSumAngivelsesSumHent>
                {
                    let $Kontekst := $LønsumAngivelseSumHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENummerAngiver>
                	{
                		data($LønsumAngivelseSumHent_I/ns1:InputParametre/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer)
                	}
                &lt;/ns0:SENummerAngiver>
                &lt;ns0:AngivelserValgtPeriode>
                    {
                        for $AngivelseValgtPeriodeStartDato in $LønsumAngivelseSumHent_I/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                        return
                            &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                    }
                    &lt;ns0:SlutDato>{ data($LønsumAngivelseSumHent_I/ns1:InputParametre/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                &lt;/ns0:AngivelserValgtPeriode>
                &lt;ns0:UnderKontoArtKode>{ data($LønsumAngivelseSumHent_I/ns1:InputParametre/ns1:AngivelseFrekvensForholdUnderkontoArtKode) }&lt;/ns0:UnderKontoArtKode>
            &lt;/ns0:LoenSumAngivelsesSumHent>
};

declare variable $lønsumAngivelseSumHent_I1 as element(ns1:LønsumAngivelseSumHent_I) external;

xf:LoenSumAngivelsesSumHent_SKAT_2_TACTICAL_Input($lønsumAngivelseSumHent_I1)</con:xquery>
</con:xqueryEntry>