<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace ns4 = "http://rep.oio.dk/xkom.dk/xml/schemas/2006/09/01/";
declare namespace xf = "http://tempuri.org/XMLTransforms/schemas/ModtagMomsAngivelse_OIO_2_SKAT_Input/";
declare namespace ns0 = "urn:oio:skat:tse:1.0.1";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns3 = "http://rep.oio.dk/skat.dk/TSE/betaling/xml/schemas/2006/09/01/";
declare namespace ns2 = "http://rep.oio.dk/skat.dk/TSE/angivelse/xml/schemas/2006/09/01/";
declare namespace ns5 = "http://rep.oio.dk/skat.dk/TSE/momsangivelse/xml/schemas/2006/09/01/";
declare namespace ns6 = "http://rep.oio.dk/skat.dk/TSE/virksomhed/xml/schemas/2006/09/01/";
declare namespace ns7 = "http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/";
declare namespace ns8 = "http://www.w3.org/2005/02/xpath-functions";

declare namespace tse2009 = "urn:oio:skat:tse:1.0.1";
declare namespace tse2008 = "urn:oio:skat:tse:1.0.0";

declare function betalingsFormidler($betformidler) as xs:string{
if (string-length($betformidler) > 0) then
		if ($betformidler = "SKB") then "JyskeBank"
		else if($betformidler = "AndenBetalingsform") then "Anden betalingsform"
		else if($betformidler = "JyskeBank") then "SKB"
		else if($betformidler = "Anden betalingsform") then "AndenBetalingsform"
		else $betformidler
else ""
};

declare function skatRound($beloebsfelt){

if(($beloebsfelt) >= 0) then floor($beloebsfelt)
else ceiling($beloebsfelt)

};

declare function xf:ModtagMomsAngivelse_OIO_2_SKAT_Input($momsAngivelseInputStruktur1 as element(ns0:MomsAngivelseInputStruktur))
    as element(ns1:ModtagMomsAngivelse_I) {
        let $MomsAngivelseInputStruktur := $momsAngivelseInputStruktur1
        return
            &lt;ns1:ModtagMomsAngivelse_I>
				&lt;ns1:Kontekst>
            		&lt;ns7:HovedOplysninger>
            			&lt;ns7:TransaktionsID>{data ("ModtagMoms")}&lt;/ns7:TransaktionsID>
            			&lt;ns7:TransaktionsTid>{current-dateTime()}&lt;/ns7:TransaktionsTid>
            		&lt;/ns7:HovedOplysninger>
				&lt;/ns1:Kontekst>
                &lt;ns1:IndberetterVirksomhedSENummer>
                    &lt;ns1:VirksomhedSENummer>{ data($MomsAngivelseInputStruktur/ns6:IndberetterSEnummerIdentifikator) }&lt;/ns1:VirksomhedSENummer>
                &lt;/ns1:IndberetterVirksomhedSENummer>
                &lt;ns1:Angivelsesliste>
                    {
                        for $MomsAngivelseStruktur in $MomsAngivelseInputStruktur/ns0:MomsAngivelseStruktur
                        return
                            &lt;ns1:EnkeltAngivelse>
                                &lt;ns1:AngiverVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ data($MomsAngivelseStruktur/tse2009:AngiverSEnummerIdentifikator) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:AngiverVirksomhedSENummer>
                                                                
                                &lt;ns1:Betalingsoplysninger>
								{
                                if (string-length (data($MomsAngivelseStruktur/ns3:BetalingsFormidlerKode)) >0 ) then
                                    &lt;ns1:BetalingValgtBetalingFormidler>{ betalingsFormidler(data($MomsAngivelseStruktur/ns3:BetalingsFormidlerKode) ) }&lt;/ns1:BetalingValgtBetalingFormidler>
                                else ""
                                }
                                    {if(string-length($MomsAngivelseStruktur/ns3:BetalingsDato) > 0) then
                                        for $BetalingsDato in $MomsAngivelseStruktur/ns3:BetalingsDato
                                        return
                                            &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                                      else""
                                    }
                                    {if(string-length($MomsAngivelseStruktur/ns3:BetalingsBeloeb) > 0 ) then
                                        for $BetalingsBeloeb in $MomsAngivelseStruktur/ns3:BetalingsBeloeb
                                        return
                                            &lt;ns1:BetalingBeløb>{ xs:integer( skatRound(data($BetalingsBeloeb) ) ) }&lt;/ns1:BetalingBeløb>
                                      else ""
                                    }
                                &lt;/ns1:Betalingsoplysninger>
                                
                                &lt;ns1:Angivelsesoplysninger>
                                    {
                                        let $AngivelsePeriodeStruktur := $MomsAngivelseStruktur/ns2:AngivelsePeriodeStruktur
                                        return
                                            &lt;ns1:AngivelseValgtPeriode>
                                                &lt;ns1:AngivelseValgtPeriodeStartDato>{ xs:date( substring-before(data($AngivelsePeriodeStruktur/ns4:StartDateTime), 'T') ) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                                &lt;ns1:AngivelseValgtPeriodeSlutDato>{ xs:date( substring-before(data($AngivelsePeriodeStruktur/ns4:EndDateTime), 'T') ) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                            &lt;/ns1:AngivelseValgtPeriode>
                                    }
                                    &lt;ns1:AngivelseValuta>{ data($MomsAngivelseStruktur/ns2:ValutaKode) }&lt;/ns1:AngivelseValuta>
                                &lt;/ns1:Angivelsesoplysninger>
                                &lt;ns1:Angivelsesafgifter>
                                    &lt;ns1:MomsAngivelseAfgiftTilsvarBeløb>{ xs:integer( skatRound( data($MomsAngivelseStruktur/ns5:MomsAngivelseAfgiftTilSvarBeloeb) ) ) }&lt;/ns1:MomsAngivelseAfgiftTilsvarBeløb>
                                    {
                                        for $MomsAngivelseCO2AfgiftBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseCOtoAfgiftBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseCO2AfgiftBeløb>{ xs:integer( skatRound( data($MomsAngivelseCO2AfgiftBeloeb) ) ) }&lt;/ns1:MomsAngivelseCO2AfgiftBeløb>
                                    }
                                    {
                                        for $MomsAngivelseEUKoebBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseEUkoebBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseEUKøbBeløb>{ xs:integer( skatRound( data($MomsAngivelseEUKoebBeloeb) ) ) }&lt;/ns1:MomsAngivelseEUKøbBeløb>
                                    }
                                    {
                                        for $MomsAngivelseEUSalgBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseEUsalgBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseEUSalgBeløb>{ xs:integer( skatRound( data($MomsAngivelseEUSalgBeloeb) ) ) }&lt;/ns1:MomsAngivelseEUSalgBeløb>
                                    }
                                    {
                                        for $MomsAngivelseElAfgiftBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseElAfgiftBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseElAfgiftBeløb>{ xs:integer( skatRound( data($MomsAngivelseElAfgiftBeloeb) ) ) }&lt;/ns1:MomsAngivelseElAfgiftBeløb>
                                    }
                                    {
                                        for $MomsAngivelseEksportOmsBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseEksportOmsBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseEksportOmsætningBeløb>{ xs:integer( skatRound( data($MomsAngivelseEksportOmsBeloeb) ) ) }&lt;/ns1:MomsAngivelseEksportOmsætningBeløb>
                                    }
                                    {
                                        for $MomsAngivelseGasAfgiftBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseGasAfgiftBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseGasAfgiftBeløb>{ xs:integer( skatRound( data($MomsAngivelseGasAfgiftBeloeb) ) ) }&lt;/ns1:MomsAngivelseGasAfgiftBeløb>
                                    }
                                    {
                                        for $MomsAngivelseKoebsMomsBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseKoebsMomsBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseKøbsMomsBeløb>{ xs:integer( skatRound( data($MomsAngivelseKoebsMomsBeloeb) ) ) }&lt;/ns1:MomsAngivelseKøbsMomsBeløb>
                                    }
                                    {
                                        for $MomsAngivelseKulAfgiftBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseKulAfgiftBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseKulAfgiftBeløb>{ xs:integer( skatRound( data($MomsAngivelseKulAfgiftBeloeb) ) ) }&lt;/ns1:MomsAngivelseKulAfgiftBeløb>
                                    }
                                    {
                                        for $MomsAngivelseEUKoebMomsBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseEUkoebMomsBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseMomsEUKøbBeløb>{ xs:integer( skatRound( data($MomsAngivelseEUKoebMomsBeloeb) ) ) }&lt;/ns1:MomsAngivelseMomsEUKøbBeløb>
                                    }
                                    {
                                        for $MomsAngivelseMomsEUYdelserBeloeb in $MomsAngivelseStruktur/tse2008:MomsAngivelseMomsEUYdelserBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseMomsEUYdelserBeløb>{ xs:integer( skatRound( data($MomsAngivelseMomsEUYdelserBeloeb) ) ) }&lt;/ns1:MomsAngivelseMomsEUYdelserBeløb>
                                    }
                                    {
                                        for $MomsAngivelseOlieAfgiftBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseOlieAfgiftBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseOlieAfgiftBeløb>{ xs:integer( skatRound( data($MomsAngivelseOlieAfgiftBeloeb) ) ) }&lt;/ns1:MomsAngivelseOlieAfgiftBeløb>
                                    }
                                    {
                                        for $MomsAngivelseSalgsMomsBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseSalgsMomsBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseSalgsMomsBeløb>{ xs:integer( skatRound( data($MomsAngivelseSalgsMomsBeloeb) ) ) }&lt;/ns1:MomsAngivelseSalgsMomsBeløb>
                                    }
                                    {
                                        for $MomsAngivelseVandAfgiftBeloeb in $MomsAngivelseStruktur/ns5:MomsAngivelseVandAfgiftBeloeb
                                        return
                                            &lt;ns1:MomsAngivelseVandAfgiftBeløb>{ xs:integer( skatRound( data($MomsAngivelseVandAfgiftBeloeb) ) ) }&lt;/ns1:MomsAngivelseVandAfgiftBeløb>
                                    }
                                &lt;/ns1:Angivelsesafgifter>
                            &lt;/ns1:EnkeltAngivelse>
                    }
                &lt;/ns1:Angivelsesliste>
            &lt;/ns1:ModtagMomsAngivelse_I>
};

declare variable $momsAngivelseInputStruktur1 as element(ns0:MomsAngivelseInputStruktur) external;

xf:ModtagMomsAngivelse_OIO_2_SKAT_Input($momsAngivelseInputStruktur1)</con:xquery>
</con:xqueryEntry>