<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace ns9 = "http://rep.oio.dk/skat.dk/TSE/virksomhed/xml/schemas/2006/09/01/";
declare namespace ns4 = "http://rep.oio.dk/skat.dk/TSE/betaling/xml/schemas/2006/09/01/";
declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/ModtagSpilleAfgiftGebyrAngivelse_OIO_2_SKAT_Input/";
declare namespace ns0 = "http://rep.oio.dk/skat.dk/TSE/punktafgiftangivelse/xml/schemas/2006/09/01/";
declare namespace ns7 = "http://rep.oio.dk/skat.dk/TSE/spillested/xml/schemas/2006/09/01/";
declare namespace ns1 = "http://rep.oio.dk/skat.dk/TSE/specifikationspilangivelse/xml/schemas/2006/09/01/";
declare namespace ns3 = "http://rep.oio.dk/skat.dk/TSE/angivelse/xml/schemas/2006/09/01/";
declare namespace ns5 = "http://rep.oio.dk/skat.dk/TSE/blanketparametre/xml/schemas/2006/09/01/";
declare namespace ns2 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns6 = "http://rep.oio.dk/xkom.dk/xml/schemas/2006/09/01/";
declare namespace ns10 = "http://skat.dk/begrebsmodel/xml/schemas/kontekst/2007/05/31/";
declare namespace ns8 = "http://rep.oio.dk/skat.dk/TSE/service/spilleafgiftgebyrangivelsemodtag/xml/schemas/2006/09/01/";

declare function betalingsFormidler($betformidler) as xs:string{

		if ($betformidler = "SKB") then "JyskeBank"
		else if($betformidler = "AndenBetalingsform") then "Anden betalingsform"
		else if($betformidler = "JyskeBank") then "SKB"
		else if($betformidler = "Anden betalingsform") then "AndenBetalingsform"
		else $betformidler
};
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function skatRound($beloebsfelt){

if(($beloebsfelt) >= 0) then floor($beloebsfelt)
else ceiling($beloebsfelt)

};

declare function xf:ModtagSpilleAfgiftGebyrAngivelse_OIO_2_SKAT_Input($spilleAfgiftGebyrInputStruktur1 as element(ns8:SpilleAfgiftGebyrInputStruktur))
    as element(ns2:ModtagSpilleAfgiftGebyrAngivelse_I) {
        let $SpilleAfgiftGebyrInputStruktur := $spilleAfgiftGebyrInputStruktur1
        return
            &lt;ns2:ModtagSpilleAfgiftGebyrAngivelse_I>
                &lt;ns2:Kontekst>
                    {
                        &lt;ns10:HovedOplysninger>
                        &lt;ns10:TransaktionsID>{data ("ModtagSpilAfg")}&lt;/ns10:TransaktionsID>
                        &lt;ns10:TransaktionsTid>{ current-dateTime() }&lt;/ns10:TransaktionsTid>
                        &lt;/ns10:HovedOplysninger>
                    }
                &lt;/ns2:Kontekst>
                &lt;ns2:InputParametre>
                    &lt;ns2:IndberetterVirksomhedSENummer>
                        &lt;ns2:VirksomhedSENummer>{ data($SpilleAfgiftGebyrInputStruktur/ns9:IndberetterSEnummerIdentifikator) }&lt;/ns2:VirksomhedSENummer>
                    &lt;/ns2:IndberetterVirksomhedSENummer>
                    &lt;ns2:MultiOpretListe>
                        {
                            for $SpilleAfgiftAngivelseStruktur in $SpilleAfgiftGebyrInputStruktur/ns0:SpilleAfgiftAngivelseStruktur
                            return
                                &lt;ns2:MultiOpretEnhed>
                                    &lt;ns2:AngiverVirksomhedSENummer>
                                        &lt;ns2:VirksomhedSENummer>{ data($SpilleAfgiftAngivelseStruktur/ns9:AngiverSEnummerIdentifikator) }&lt;/ns2:VirksomhedSENummer>
                                    &lt;/ns2:AngiverVirksomhedSENummer>
                                    {
                                        let $AngivelsePeriodeStruktur := $SpilleAfgiftAngivelseStruktur/ns3:AngivelsePeriodeStruktur
                                        return
                                            &lt;ns2:AngivelseValgtPeriode>
                                                &lt;ns2:AngivelseValgtPeriodeStartDato>{ xs:date( substring-before ( data($AngivelsePeriodeStruktur/ns6:StartDateTime), 'T' ) ) }&lt;/ns2:AngivelseValgtPeriodeStartDato>
                                                &lt;ns2:AngivelseValgtPeriodeSlutDato>{ xs:date( substring-before ( data($AngivelsePeriodeStruktur/ns6:EndDateTime), 'T' ) ) }&lt;/ns2:AngivelseValgtPeriodeSlutDato>
                                            &lt;/ns2:AngivelseValgtPeriode>
                                    }
                                    &lt;ns2:AngivelseValuta>{ data($SpilleAfgiftAngivelseStruktur/ns3:ValutaKode) }&lt;/ns2:AngivelseValuta>
                                    &lt;ns2:ValgEmneListe>
                                    {
                                    if ( count ($SpilleAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseSpilStruktur) > 0) then
                                        &lt;ns2:PunktAfgiftSpilListe>
                                            {
                                                for $PunktAfgiftAngivelseSpilStruktur in $SpilleAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseSpilStruktur
                                                return
                                                    &lt;ns2:PunktAfgiftSpilEnhed>
                                                        &lt;ns2:PunktAfgiftSpil>
                                                            &lt;ns2:BlanketParametrePligtLinieKode>{ data($PunktAfgiftAngivelseSpilStruktur/ns5:BlanketParametrePligtlinieKode) }&lt;/ns2:BlanketParametrePligtLinieKode>
                                                            {
                                                                for $PunktAfgiftAngivelsePligtlinieSatsBeloeb in $PunktAfgiftAngivelseSpilStruktur/ns0:PunktAfgiftAngivelsePligtlinieSatsBeloeb
                                                                return
                                                                    &lt;ns2:PunktAfgiftAngivelsePligtLinieSatsBeløb>{ data($PunktAfgiftAngivelsePligtlinieSatsBeloeb) }&lt;/ns2:PunktAfgiftAngivelsePligtLinieSatsBeløb>
                                                            }
                                                            &lt;ns2:PunktAfgiftAngivelseAfgiftBeløb>{ xs:integer ( skatRound ( data($PunktAfgiftAngivelseSpilStruktur/ns0:PunktAfgiftAngivelseAfgiftBeloeb) ) ) }&lt;/ns2:PunktAfgiftAngivelseAfgiftBeløb>
                                                            {
                                                                for $PunktAfgiftAngivelseGrundlagBeloeb in $PunktAfgiftAngivelseSpilStruktur/ns0:PunktAfgiftAngivelseGrundlagBeloeb
                                                                return
                                                                    &lt;ns2:PunktAfgiftAngivelseAfgiftGrundlagBeløb>{ xs:integer( skatRound( data($PunktAfgiftAngivelseGrundlagBeloeb) ) ) }&lt;/ns2:PunktAfgiftAngivelseAfgiftGrundlagBeløb>
                                                            }
                                                        &lt;/ns2:PunktAfgiftSpil>
                                                    &lt;/ns2:PunktAfgiftSpilEnhed>
                                            }
                                        &lt;/ns2:PunktAfgiftSpilListe>
                                        else ""
                                        }
                                        {
                                        if ( count ($SpilleAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseSpilGebyrStruktur) > 0) then
                                        &lt;ns2:PunktAfgiftSpilleautomaterGebyrListe>
                                            &lt;ns2:PunktAfgiftSpilleautomaterGebyrEnhed>
                                                {
                                                    let $PunktAfgiftAngivelseSpilGebyrStruktur := $SpilleAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseStruktur/ns0:PunktAfgiftAngivelseSpilGebyrStruktur
                                                    return
                                                        &lt;ns2:PunktAfgiftSpilleautomaterGebyr>
                                                            &lt;ns2:PunktAfgiftAngivelsePligtLinieSatsBeløb>{ data($PunktAfgiftAngivelseSpilGebyrStruktur/ns0:PunktAfgiftAngivelsePligtlinieSatsBeloeb) }&lt;/ns2:PunktAfgiftAngivelsePligtLinieSatsBeløb>
                                                            &lt;ns2:PunktAfgiftAngivelseAfgiftPligtigMængde>{ xs:decimal( data($PunktAfgiftAngivelseSpilGebyrStruktur/ns0:PunktAfgiftAngivelseAfgiftpligtigKvantitet) ) }&lt;/ns2:PunktAfgiftAngivelseAfgiftPligtigMængde>
                                                            &lt;ns2:PunktAfgiftAngivelseAfgiftBeløb>{ xs:integer ( skatRound ( data($PunktAfgiftAngivelseSpilGebyrStruktur/ns0:PunktAfgiftAngivelseAfgiftBeloeb) ) ) }&lt;/ns2:PunktAfgiftAngivelseAfgiftBeløb>
                                                        &lt;/ns2:PunktAfgiftSpilleautomaterGebyr>
                                                }
                                            &lt;/ns2:PunktAfgiftSpilleautomaterGebyrEnhed>
                                        &lt;/ns2:PunktAfgiftSpilleautomaterGebyrListe>
                                        else ""
                                        }
                                    &lt;/ns2:ValgEmneListe>
                                    &lt;ns2:PunktAfgiftAngivelseTilsvarIalt>{ xs:integer( skatRound( data($SpilleAfgiftAngivelseStruktur/ns0:PunktAfgiftTilSvarIaltBeloeb) ) ) }&lt;/ns2:PunktAfgiftAngivelseTilsvarIalt>
                                    {
                                        for $BetalingsFormidlerKode in $SpilleAfgiftAngivelseStruktur/ns4:BetalingsFormidlerKode
                                        return
                                            &lt;ns2:BetalingValgtBetalingFormidler>{ betalingsFormidler( data($BetalingsFormidlerKode) ) }&lt;/ns2:BetalingValgtBetalingFormidler>
                                    }
                                    {
                                        for $BetalingsDato in $SpilleAfgiftAngivelseStruktur/ns4:BetalingsDato
                                        return
                                            &lt;ns2:BetalingDato>{ data($BetalingsDato) }&lt;/ns2:BetalingDato>
                                    }
                                    {
                                        for $BetalingsBeloeb in $SpilleAfgiftAngivelseStruktur/ns4:BetalingsBeloeb
                                        return
                                            &lt;ns2:BetalingBeløb>{ xs:integer( skatRound( data($BetalingsBeloeb) ) ) }&lt;/ns2:BetalingBeløb>
                                    }
                                    &lt;ns2:SpecifikationSpilAngivelseInddataListe>
                                        {
                                            for $SpilSpecifikationerStruktur in $SpilleAfgiftAngivelseStruktur/ns1:SpilSpecifikationerStruktur
                                            return
                                            
                                            if ( count ($SpilSpecifikationerStruktur) > 0) then
                                                &lt;ns2:SpecifikationSpilAngivelseInddata>
                                                    &lt;ns2:SpillestedTilladelseId>{ data($SpilSpecifikationerStruktur/ns7:SpillestedTilladelseIdentifikator) }&lt;/ns2:SpillestedTilladelseId>
                                                    &lt;ns2:SpecifikationstypeInddata>
                                                    {
                                                    if ( count ($SpilSpecifikationerStruktur/ns1:SpilAngivelseSpillehalOmrejsendeStruktur) > 0) then
                                                        &lt;ns2:SpilTivoliSpecifikation>
                                                            {
                                                                let $SpilAngivelseSpillehalOmrejsendeStruktur := $SpilSpecifikationerStruktur/ns1:SpilAngivelseSpillehalOmrejsendeStruktur
                                                                return
                                                                    &lt;ns2:TivoliSpecifikation>
                                                                        &lt;ns2:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ xs:integer( skatRound (data($SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseSpilIndsatsBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                                        &lt;ns2:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ xs:integer( skatRound( data($SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseUdbetaltGevinstAutomatBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                                        {
                                                                            for $SpilAngivelseUdbetaltGevinstKassenBeloeb in $SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseUdbetaltGevinstKassenBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ xs:integer( skatRound( data($SpilAngivelseUdbetaltGevinstKassenBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                                        }
                                                                        &lt;ns2:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ xs:integer( skatRound( data($SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseBruttoSpilIndtaegtBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                                        {
                                                                            for $SpilAngivelseFradragToHundredeHalvtredsTusindeBeloeb in $SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseFradragToHundredeHalvtredsTusindeBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseFradrag250TusindeBeløb>{ xs:integer( skatRound( data($SpilAngivelseFradragToHundredeHalvtredsTusindeBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseFradrag250TusindeBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseTillaegNoteEtBeloeb in $SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseTillaegNoteEtBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseTillægNote1Beløb>{ xs:integer( skatRound( data($SpilAngivelseTillaegNoteEtBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseTillægNote1Beløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseTillaegNoteToBeloeb in $SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseTillaegNoteToBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseTillægNote2Beløb>{ xs:integer( skatRound( data($SpilAngivelseTillaegNoteToBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseTillægNote2Beløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb in $SpilAngivelseSpillehalOmrejsendeStruktur/ns1:SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ xs:integer( skatRound( data($SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                                        }
                                                                    &lt;/ns2:TivoliSpecifikation>
                                                            }
                                                        &lt;/ns2:SpilTivoliSpecifikation>
                                                        else ""
                                                        }
                                                        {
                                                        if ( count ($SpilSpecifikationerStruktur/ns1:SpilAngivelseRestaurationStruktur) > 0) then
                                                        &lt;ns2:SpilRestaurationSpecifikation>
                                                            {
                                                                let $SpilAngivelseRestaurationStruktur := $SpilSpecifikationerStruktur/ns1:SpilAngivelseRestaurationStruktur
                                                                return
                                                                    &lt;ns2:RestaurationSpecifikation>
                                                                        &lt;ns2:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ xs:integer( skatRound( data($SpilAngivelseRestaurationStruktur/ns1:SpilAngivelseSpilIndsatsBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                                        &lt;ns2:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ xs:integer( skatRound( data($SpilAngivelseRestaurationStruktur/ns1:SpilAngivelseUdbetaltGevinstAutomatBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                                        {
                                                                            for $SpilAngivelseUdbetaltGevinstKassenBeloeb in $SpilAngivelseRestaurationStruktur/ns1:SpilAngivelseUdbetaltGevinstKassenBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ xs:integer( skatRound( data($SpilAngivelseUdbetaltGevinstKassenBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                                        }
                                                                        &lt;ns2:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ xs:integer( skatRound( data($SpilAngivelseRestaurationStruktur/ns1:SpilAngivelseBruttoSpilIndtaegtBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                                        {
                                                                            for $SpilAngivelseFradragTrediveTusindeBeloeb in $SpilAngivelseRestaurationStruktur/ns1:SpilAngivelseFradragTrediveTusindeBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseFradrag30TusindeBeløb>{ xs:integer( skatRound( data($SpilAngivelseFradragTrediveTusindeBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseFradrag30TusindeBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb in $SpilAngivelseRestaurationStruktur/ns1:SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ xs:integer( skatRound( data($SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                                        }
                                                                    &lt;/ns2:RestaurationSpecifikation>
                                                            }
                                                        &lt;/ns2:SpilRestaurationSpecifikation>
                                                        else ""
                                                        }
                                                        {
                                                        if ( count ($SpilSpecifikationerStruktur/ns1:SpilAngivelseSpillehalStationaerStruktur) > 0) then
                                                        &lt;ns2:SpilSpillehalSpecifikation>
                                                            {
                                                                let $SpilAngivelseSpillehalStationaerStruktur := $SpilSpecifikationerStruktur/ns1:SpilAngivelseSpillehalStationaerStruktur
                                                                return
                                                                    &lt;ns2:SpillehalSpecifikation>
                                                                        &lt;ns2:SpecifikationSpilAngivelseSpilIndsatsBeløb>{ xs:integer( skatRound( data($SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseSpilIndsatsBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseSpilIndsatsBeløb>
                                                                        &lt;ns2:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>{ xs:integer( skatRound( data($SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseUdbetaltGevinstAutomatBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb>
                                                                        {
                                                                            for $SpilAngivelseUdbetaltGevinstKassenBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseUdbetaltGevinstKassenBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>{ xs:integer( skatRound( data($SpilAngivelseUdbetaltGevinstKassenBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb>
                                                                        }
                                                                        &lt;ns2:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>{ xs:integer( skatRound( data($SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseBruttoSpilIndtaegtBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb>
                                                                        {
                                                                            for $SpilAngivelseFradragToHundredeHalvtredsTusindeBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseFradragToHundredeHalvtredsTusindeBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseFradrag250TusindeBeløb>{ xs:integer( skatRound( data($SpilAngivelseFradragToHundredeHalvtredsTusindeBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseFradrag250TusindeBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseTillaegNoteEtBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseTillaegNoteEtBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseTillægNote1Beløb>{ xs:integer( skatRound( data($SpilAngivelseTillaegNoteEtBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseTillægNote1Beløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseTillaegNoteToBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseTillaegNoteToBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseTillægNote2Beløb>{ xs:integer( skatRound( data($SpilAngivelseTillaegNoteToBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseTillægNote2Beløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>{ xs:integer( skatRound( data($SpilAngivelseAfgiftGrundlagTrediveProcentBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseBruttoSpilIndtaegtFyrreProcentBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseBruttoSpilIndtaegtFyrreProcentBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb>{ xs:integer( skatRound( data($SpilAngivelseBruttoSpilIndtaegtFyrreProcentBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseAfgiftTrediveProcentBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseAfgiftTrediveProcentBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseAfgift30ProcentBeløb>{ xs:integer( skatRound( data($SpilAngivelseAfgiftTrediveProcentBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseAfgift30ProcentBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseNedslagBerettigetAfgiftBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseNedslagBerettigetAfgiftBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb>{ xs:integer( skatRound( data($SpilAngivelseNedslagBerettigetAfgiftBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseMidlerUdlodningBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseMidlerUdlodningBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseMidlerUdlodningBeløb>{ xs:integer( skatRound( data($SpilAngivelseMidlerUdlodningBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseMidlerUdlodningBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseNedslagNiTiFemProcentBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseNedslagNiTiFemProcentBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseNedslag95ProcentBeløb>{ xs:integer( skatRound( data($SpilAngivelseNedslagNiTiFemProcentBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseNedslag95ProcentBeløb>
                                                                        }
                                                                        {
                                                                            for $SpilAngivelseAfgiftNedslagBeloeb in $SpilAngivelseSpillehalStationaerStruktur/ns1:SpilAngivelseAfgiftNedslagBeloeb
                                                                            return
                                                                                &lt;ns2:SpecifikationSpilAngivelseAfgiftNedslagBeløb>{ xs:integer( skatRound( data($SpilAngivelseAfgiftNedslagBeloeb) ) ) }&lt;/ns2:SpecifikationSpilAngivelseAfgiftNedslagBeløb>
                                                                        }
                                                                    &lt;/ns2:SpillehalSpecifikation>
                                                            }
                                                        &lt;/ns2:SpilSpillehalSpecifikation>
                                                        else ""
                                                        }
                                                    &lt;/ns2:SpecifikationstypeInddata>
                                                &lt;/ns2:SpecifikationSpilAngivelseInddata>
                                                else ""
                                 
                                        }
                                    &lt;/ns2:SpecifikationSpilAngivelseInddataListe>
                                &lt;/ns2:MultiOpretEnhed>
                        }
                    &lt;/ns2:MultiOpretListe>
                &lt;/ns2:InputParametre>
            &lt;/ns2:ModtagSpilleAfgiftGebyrAngivelse_I>
};

declare variable $spilleAfgiftGebyrInputStruktur1 as element(ns8:SpilleAfgiftGebyrInputStruktur) external;

xf:ModtagSpilleAfgiftGebyrAngivelse_OIO_2_SKAT_Input($spilleAfgiftGebyrInputStruktur1)</con:xquery>
</con:xqueryEntry>