<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace ns4 = "http://rep.oio.dk/skat.dk/TSE/betaling/xml/schemas/2006/09/01/";
declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/ModtagSpilleAfgiftGebyrAngivelse_SKAT_2_OIO_Output/";
declare namespace ns0 = "http://rep.oio.dk/skat.dk/TSE/punktafgiftangivelse/xml/schemas/2006/09/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace ns7 = "http://rep.oio.dk/skat.dk/TSE/virksomhed/xml/schemas/2006/09/01/";
declare namespace ns3 = "http://rep.oio.dk/skat.dk/TSE/angivelse/xml/schemas/2006/09/01/";
declare namespace ns2 = "http://rep.oio.dk/skat.dk/basis/kontekst/xml/schemas/2006/09/01/";
declare namespace ns5 = "http://rep.oio.dk/xkom.dk/xml/schemas/2006/09/01/";
declare namespace ns6 = "http://rep.oio.dk/skat.dk/TSE/service/spilleafgiftgebyrangivelsemodtag/xml/schemas/2006/09/01/";

declare function betalingsFormidler($betformidler) as xs:string{

		if ($betformidler = "SKB") then "JyskeBank"
		else if($betformidler = "AndenBetalingsform") then "Anden betalingsform"
		else if($betformidler = "JyskeBank") then "SKB"
		else if($betformidler = "Anden betalingsform") then "AndenBetalingsform"
		else $betformidler
};

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:ModtagSpilleAfgiftGebyrAngivelse_SKAT_2_OIO_Output($modtagSpilleAfgiftGebyrAngivelse_O1 as element(ns1:ModtagSpilleAfgiftGebyrAngivelse_O))
    as element(ns6:SpilleAfgiftGebyrOutputStruktur) {
        let $ModtagSpilleAfgiftGebyrAngivelse_O := $modtagSpilleAfgiftGebyrAngivelse_O1
        return
            &lt;ns6:SpilleAfgiftGebyrOutputStruktur>
	        	
                {if ( count ($ModtagSpilleAfgiftGebyrAngivelse_O/ns1:OprettelseKvitteringUddataListe/ns1:OprettelseKvitteringUddata) > 0) then
                    for $OprettelseKvitteringUddata in $ModtagSpilleAfgiftGebyrAngivelse_O/ns1:OprettelseKvitteringUddataListe/ns1:OprettelseKvitteringUddata
                    return
                        &lt;ns0:PunktAfgiftAngivelseKvitteringStruktur>
                        {if ( count ($OprettelseKvitteringUddata/ns1:GebyrKvittering) > 0) then
                            &lt;ns0:PunktAfgiftAngivelseSpilGebyrKvitteringStruktur>
                                &lt;ns7:SEnummerIdentifikator>{ data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns7:SEnummerIdentifikator>
                                &lt;ns3:AngivelsePeriodeStruktur>
                                    &lt;ns5:StartDateTime>{ xs:dateTime( concat ( data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato), 'T00:00:00.0Z' ) ) }&lt;/ns5:StartDateTime>
                                    &lt;ns5:EndDateTime>{ xs:dateTime( concat ( data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato), 'T00:00:00.0Z' ) ) }&lt;/ns5:EndDateTime>
                                &lt;/ns3:AngivelsePeriodeStruktur>
                                &lt;ns3:AngivelseDatoTid>{ data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:AngivelseAngivelseTid) }&lt;/ns3:AngivelseDatoTid>
                                &lt;ns3:ValutaKode>{ data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:AngivelseValuta) }&lt;/ns3:ValutaKode>
                                {
                                if(count($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:GebyrBetalingUddata/ns1:BetalingValgtBetalingFormidler) > 0) then
                                &lt;ns4:BetalingsFormidlerKode>{ betalingsFormidler ( data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:GebyrBetalingUddata/ns1:BetalingValgtBetalingFormidler) ) }&lt;/ns4:BetalingsFormidlerKode>
                                else""
                                }
                                {
                                    for $BetalingDato in $OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:GebyrBetalingUddata/ns1:BetalingDato
                                    return
                                        &lt;ns4:BetalingsDato>{ data($BetalingDato) }&lt;/ns4:BetalingsDato>
                                }
                                {
                                    for $BetalingBeløb in $OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:GebyrBetalingUddata/ns1:BetalingBeløb
                                    return
                                        &lt;ns4:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns4:BetalingsBeloeb>
                                }
                                {
                                    for $OCRLinie in $OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:OCRLinie
                                    return
                                        &lt;ns3:OCRlinieStruktur>
                                            &lt;ns3:KortTypeIdentifikator>{ xs:string( padInFront ( data($OCRLinie/ns1:AngivelseOCRKortType), 2, '0' ) ) }&lt;/ns3:KortTypeIdentifikator>
                                            &lt;ns3:OCRnummerIdentifikator>{ padInFront ( data($OCRLinie/ns1:AngivelseOCRNummer), 16, '0' ) }&lt;/ns3:OCRnummerIdentifikator>
                                            &lt;ns3:KontoNummerIdentifikator>{ padInFront ( data($OCRLinie/ns1:AngivelseOCRKontoNummer), 8, '0' )  }&lt;/ns3:KontoNummerIdentifikator>
                                        &lt;/ns3:OCRlinieStruktur>
                                }
                                &lt;ns3:AngivelseKvitteringIdentifikator>{ data($OprettelseKvitteringUddata/ns1:GebyrKvittering/ns1:AngivelseKvitteringNummer) }&lt;/ns3:AngivelseKvitteringIdentifikator>
                            &lt;/ns0:PunktAfgiftAngivelseSpilGebyrKvitteringStruktur>
                            else ""
                            }
                            {if ( count ($OprettelseKvitteringUddata/ns1:SpilleAfgiftKvittering) > 0) then
                                let $SpilleAfgiftKvittering := $OprettelseKvitteringUddata/ns1:SpilleAfgiftKvittering
                                return
                                    &lt;ns0:PunktAfgiftAngivelseSpilKvitteringStruktur>
                                        &lt;ns7:SEnummerIdentifikator>{ data($SpilleAfgiftKvittering/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns7:SEnummerIdentifikator>
                                        &lt;ns3:AngivelsePeriodeStruktur>
                                            &lt;ns5:StartDateTime>{ xs:dateTime( concat ( data($SpilleAfgiftKvittering/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato), 'T03:00:00.0Z' ) ) }&lt;/ns5:StartDateTime>
                                            &lt;ns5:EndDateTime>{ xs:dateTime( concat ( data($SpilleAfgiftKvittering/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato), 'T04:00:00.0Z' ) ) }&lt;/ns5:EndDateTime>
                                        &lt;/ns3:AngivelsePeriodeStruktur>
                                        &lt;ns3:AngivelseDatoTid>{ data($SpilleAfgiftKvittering/ns1:AngivelseAngivelseTid) }&lt;/ns3:AngivelseDatoTid>
                                        &lt;ns3:ValutaKode>{ data($SpilleAfgiftKvittering/ns1:AngivelseValuta) }&lt;/ns3:ValutaKode>
                                        {
                                        if(count($SpilleAfgiftKvittering/ns1:SpilleAfgiftBetalingUddata/ns1:BetalingValgtBetalingFormidler) > 0) then
                                        &lt;ns4:BetalingsFormidlerKode>{ betalingsFormidler ( data($SpilleAfgiftKvittering/ns1:SpilleAfgiftBetalingUddata/ns1:BetalingValgtBetalingFormidler) ) }&lt;/ns4:BetalingsFormidlerKode>
                                        else""
                                        }
                                        {
                                            for $BetalingDato in $SpilleAfgiftKvittering/ns1:SpilleAfgiftBetalingUddata/ns1:BetalingDato
                                            return
                                                &lt;ns4:BetalingsDato>{ data($BetalingDato) }&lt;/ns4:BetalingsDato>
                                        }
                                        {
                                            for $BetalingBeløb in $SpilleAfgiftKvittering/ns1:SpilleAfgiftBetalingUddata/ns1:BetalingBeløb
                                            return
                                                &lt;ns4:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns4:BetalingsBeloeb>
                                        }
                                        {
                                            for $OCRLinie in $SpilleAfgiftKvittering/ns1:OCRLinie
                                            return
                                                &lt;ns3:OCRlinieStruktur>
                                                    &lt;ns3:KortTypeIdentifikator>{ xs:string( padInFront ( data($OCRLinie/ns1:AngivelseOCRKortType), 2, '0' ) ) }&lt;/ns3:KortTypeIdentifikator>
                                                    &lt;ns3:OCRnummerIdentifikator>{ padInFront ( data($OCRLinie/ns1:AngivelseOCRNummer), 16, '0' ) }&lt;/ns3:OCRnummerIdentifikator>
                                                    &lt;ns3:KontoNummerIdentifikator>{ padInFront ( data($OCRLinie/ns1:AngivelseOCRKontoNummer), 8, '0' ) }&lt;/ns3:KontoNummerIdentifikator>
                                                &lt;/ns3:OCRlinieStruktur>
                                        }
                                        &lt;ns3:AngivelseKvitteringIdentifikator>{ data($SpilleAfgiftKvittering/ns1:AngivelseKvitteringNummer) }&lt;/ns3:AngivelseKvitteringIdentifikator>
                                    &lt;/ns0:PunktAfgiftAngivelseSpilKvitteringStruktur>
                            else ""}
                        &lt;/ns0:PunktAfgiftAngivelseKvitteringStruktur>
                else "" }
            &lt;/ns6:SpilleAfgiftGebyrOutputStruktur>
};

declare variable $modtagSpilleAfgiftGebyrAngivelse_O1 as element(ns1:ModtagSpilleAfgiftGebyrAngivelse_O) external;

xf:ModtagSpilleAfgiftGebyrAngivelse_SKAT_2_OIO_Output($modtagSpilleAfgiftGebyrAngivelse_O1)</con:xquery>
</con:xqueryEntry>