<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/MomsAngivelseFilOpret_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:MomsAngivelseFilOpret_TACTICAL_2_SKAT_Output($momsAngivelseFilOpretSvar1 as element(ns0:MomsAngivelseFilOpretSvar))
    as element(ns1:MomsAngivelseFilOpret_O) {
        let $MomsAngivelseFilOpretSvar := $momsAngivelseFilOpretSvar1
        return
            &lt;ns1:MomsAngivelseFilOpret_O>
                {
                    let $Kontekst := $MomsAngivelseFilOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                &lt;ns1:AngivelseUddata>
                    {
                        for $AngivelseFilOpretSvar in $MomsAngivelseFilOpretSvar/ns0:AngivelseFilOpretSvar
                        return
                            &lt;ns1:AngivelseUddataLinie>
                                {
                                    let $AngivelserValgtPeriode := $AngivelseFilOpretSvar/ns0:AngivelserValgtPeriode
                                    return
                                        &lt;ns1:AngivelseValgtPeriode>
                                            {
                                                for $StartDato in $AngivelserValgtPeriode/ns0:StartDato
                                                return
                                                    &lt;ns1:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                            }
                                            &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($AngivelserValgtPeriode/ns0:SlutDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                        &lt;/ns1:AngivelseValgtPeriode>
                                }
                                {
                                    for $ValutaKode in $AngivelseFilOpretSvar/ns0:ValutaKode
                                    return
                                        &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                                }
                                &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($AngivelseFilOpretSvar/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                {
                                    for $OCRLinie in $AngivelseFilOpretSvar/ns0:OCRLinie
                                    return
                                        &lt;ns1:OCRLinie>
                                            &lt;ns1:AngivelseOCRKortType>{ ( padInFront(data($OCRLinie/ns0:KortType), 2, '0' ) ) }&lt;/ns1:AngivelseOCRKortType>
                                            &lt;ns1:AngivelseOCRNummer>{ data($OCRLinie/ns0:OCRNummer) }&lt;/ns1:AngivelseOCRNummer>
                                            &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                        &lt;/ns1:OCRLinie>
                                }
                                &lt;ns1:AngivelseAngivelseTid>{ data($AngivelseFilOpretSvar/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                &lt;ns1:AngiverVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ xs:string( data($AngivelseFilOpretSvar/ns0:SENummerAngiver) ) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:AngiverVirksomhedSENummer>
                                &lt;ns1:BetalingUddata>
                                    {
                                        for $BetalingsBeloeb in $AngivelseFilOpretSvar/ns0:BetalingsBeloeb
                                        return
                                            &lt;ns1:BetalingBeløb>{ xs:integer( round(data($BetalingsBeloeb) ) ) }&lt;/ns1:BetalingBeløb>
                                    }
                                    {
                                        for $BetalingsDato in $AngivelseFilOpretSvar/ns0:BetalingsDato
                                        return
                                            &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                                    }
                                    {
                                        for $ValgtBetalingsFormidler in $AngivelseFilOpretSvar/ns0:ValgtBetalingsFormidler
                                        return
                                            &lt;ns1:BetalingValgtBetalingFormidler>{ data($ValgtBetalingsFormidler) }&lt;/ns1:BetalingValgtBetalingFormidler>
                                    }
                                &lt;/ns1:BetalingUddata>
                            &lt;/ns1:AngivelseUddataLinie>
                    }
                &lt;/ns1:AngivelseUddata>
            &lt;/ns1:MomsAngivelseFilOpret_O>
};

declare variable $momsAngivelseFilOpretSvar1 as element(ns0:MomsAngivelseFilOpretSvar) external;

xf:MomsAngivelseFilOpret_TACTICAL_2_SKAT_Output($momsAngivelseFilOpretSvar1)</con:xquery>
</con:xqueryEntry>