<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/deliverance2/MomsAngivelseHentSvar_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:MomsAngivelseHentSvar_TACTICAL_2_SKAT_Output($momsAngivelseHentSvar1 as element(ns0:MomsAngivelseHentSvar))
    as element(ns1:MomsAngivelseHent_O) {
        let $MomsAngivelseHentSvar := $momsAngivelseHentSvar1
        return
            &lt;ns1:MomsAngivelseHent_O>
                {
                    let $Kontekst := $MomsAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>               
               }
                {
                    let $MomsAngivelsesAfgifter := $MomsAngivelseHentSvar/ns0:MomsAngivelsesAfgifter
                    return if(count($MomsAngivelsesAfgifter)>0) then
                        &lt;ns1:MomsAngivelseUddata>
                            &lt;ns1:MomsAngivelseAfgiftTilsvarBeløb>{ xs:integer( round(data($MomsAngivelsesAfgifter/ns0:AfgiftTilsvar)) ) }&lt;/ns1:MomsAngivelseAfgiftTilsvarBeløb>
                            {
                                for $CO2Afgift in $MomsAngivelsesAfgifter/ns0:CO2Afgift
                                return
                                    &lt;ns1:MomsAngivelseCO2AfgiftBeløb>{ xs:integer( round(data($CO2Afgift)) ) }&lt;/ns1:MomsAngivelseCO2AfgiftBeløb>
                            }
                            {
                                for $EUKoeb in $MomsAngivelsesAfgifter/ns0:EUKoeb
                                return
                                    &lt;ns1:MomsAngivelseEUKøbBeløb>{ xs:integer( round(data($EUKoeb)) ) }&lt;/ns1:MomsAngivelseEUKøbBeløb>
                            }                            
                            {
                                for $EUSalg in $MomsAngivelsesAfgifter/ns0:EUSalg
                                return
                                    &lt;ns1:MomsAngivelseEUSalgBeløb>{ xs:integer( round(data($EUSalg)) ) }&lt;/ns1:MomsAngivelseEUSalgBeløb>
                            }
                            {
                                for $ElAfgift in $MomsAngivelsesAfgifter/ns0:ElAfgift
                                return
                                    &lt;ns1:MomsAngivelseElAfgiftBeløb>{ xs:integer( round(data($ElAfgift)) ) }&lt;/ns1:MomsAngivelseElAfgiftBeløb>
                            }
                            {
                                for $ExportOmsaetning in $MomsAngivelsesAfgifter/ns0:ExportOmsaetning
                                return
                                    &lt;ns1:MomsAngivelseEksportOmsætningBeløb>{ xs:integer( round(data($ExportOmsaetning)) ) }&lt;/ns1:MomsAngivelseEksportOmsætningBeløb>
                            }
                            {
                                for $GasAfgift in $MomsAngivelsesAfgifter/ns0:GasAfgift
                                return
                                    &lt;ns1:MomsAngivelseGasAfgiftBeløb>{ xs:integer( round(data($GasAfgift)) ) }&lt;/ns1:MomsAngivelseGasAfgiftBeløb>
                            }
                            {
                                for $KoebsMoms in $MomsAngivelsesAfgifter/ns0:KoebsMoms
                                return
                                    &lt;ns1:MomsAngivelseKøbsMomsBeløb>{ xs:integer( round(data($KoebsMoms)) ) }&lt;/ns1:MomsAngivelseKøbsMomsBeløb>
                            }
                            {
                                for $KulAfgift in $MomsAngivelsesAfgifter/ns0:KulAfgift
                                return
                                    &lt;ns1:MomsAngivelseKulAfgiftBeløb>{ xs:integer( round(data($KulAfgift)) ) }&lt;/ns1:MomsAngivelseKulAfgiftBeløb>
                            }
                            {
                                for $MomsEUKoeb in $MomsAngivelsesAfgifter/ns0:MomsEUKoeb
                                return
                                    &lt;ns1:MomsAngivelseMomsEUKøbBeløb>{ xs:integer( round(data($MomsEUKoeb)) ) }&lt;/ns1:MomsAngivelseMomsEUKøbBeløb>
                                    
                            }
                            {
                                for $MomsEUYdelser in $MomsAngivelsesAfgifter/ns0:MomsEUYdelser
                                return
                                    &lt;ns1:MomsAngivelseMomsEUYdelserBeløb>{ xs:integer( data($MomsEUYdelser) ) }&lt;/ns1:MomsAngivelseMomsEUYdelserBeløb>
                            }
                           
                            {
                                for $OlieAfgift in $MomsAngivelsesAfgifter/ns0:OlieAfgift
                                return
                                    &lt;ns1:MomsAngivelseOlieAfgiftBeløb>{ xs:integer( round(data($OlieAfgift)) ) }&lt;/ns1:MomsAngivelseOlieAfgiftBeløb>
                            }
                            {
                                for $SalgsMoms in $MomsAngivelsesAfgifter/ns0:SalgsMoms
                                return
                                    &lt;ns1:MomsAngivelseSalgsMomsBeløb>{ xs:integer( round(data($SalgsMoms)) ) }&lt;/ns1:MomsAngivelseSalgsMomsBeløb>
                            }
                            {
                                for $VandAfgift in $MomsAngivelsesAfgifter/ns0:VandAfgift
                                return
                                    &lt;ns1:MomsAngivelseVandAfgiftBeløb>{ xs:integer( round(data($VandAfgift)) ) }&lt;/ns1:MomsAngivelseVandAfgiftBeløb>
                            }
                            {
                                let $AngivelserBetalingsOplysningerHent := $MomsAngivelseHentSvar/ns0:AngivelserBetalingsOplysningerHent
                                return  if(count($AngivelserBetalingsOplysningerHent)>0) then
                                    &lt;ns1:AngivelseUddata>
                                        {
                                            for $OCRLinie in $AngivelserBetalingsOplysningerHent/ns0:OCRLinie
                                            return
                                                &lt;ns1:OCRLinie>
                                                    &lt;ns1:AngivelseOCRKortType>{ xs:integer( data($OCRLinie/ns0:KortType) ) }&lt;/ns1:AngivelseOCRKortType>
                                                    &lt;ns1:AngivelseOCRNummer>{ xs:string( data($OCRLinie/ns0:OCRNummer) ) }&lt;/ns1:AngivelseOCRNummer>
                                                    &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                                &lt;/ns1:OCRLinie>
                                        }
                                        &lt;ns1:AngivelseKvitteringNummer>{ xs:string( data($AngivelserBetalingsOplysningerHent/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                        &lt;ns1:AngivelseValuta>{ data($AngivelserBetalingsOplysningerHent/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                                        &lt;ns1:AngivelseAngivelseTid>{ data($AngivelserBetalingsOplysningerHent/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                        &lt;ns1:AngivelseTilladtAktion>{ data($AngivelserBetalingsOplysningerHent/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
                                        &lt;ns1:IndberetterVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ data($MomsAngivelseHentSvar/ns0:SENummerIndberetter) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberetterVirksomhedSENummer>
                                        {
                                            for $BetalingsFrist in $AngivelserBetalingsOplysningerHent/ns0:BetalingsFrist
                                            return
                                                &lt;ns1:AngivelseFrekvensForholdBetalingFristDato>{ data($BetalingsFrist) }&lt;/ns1:AngivelseFrekvensForholdBetalingFristDato>
                                        }
                                        &lt;ns1:BetalingUddata>
                                            {
                                                for $ValgtBetalingsFormidler in $AngivelserBetalingsOplysningerHent/ns0:ValgtBetalingsFormidler
                                                return
                                                              &lt;ns1:BetalingValgtBetalingFormidler>{ if (data($ValgtBetalingsFormidler) = 'PBS') then   "PBS"
                                                                                          else if (data($ValgtBetalingsFormidler)= 'JyskeBank')    then "SKB"
                                                                                          else if (data($ValgtBetalingsFormidler)= 'HomeBanking')  then "HomeBanking"
                                                                                          else  "AndenBetalingsform"
        
                                                                                              }&lt;/ns1:BetalingValgtBetalingFormidler>


                                                    }
                                            {
                                                for $BetalingsDato in $AngivelserBetalingsOplysningerHent/ns0:BetalingsDato
                                                return
                                                    &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                                            }
                                            {
                                                for $BetalingsBeloeb in $AngivelserBetalingsOplysningerHent/ns0:BetalingsBeloeb
                                                return
                                                    &lt;ns1:BetalingBeløb>{ xs:integer( round(data($BetalingsBeloeb)) ) }&lt;/ns1:BetalingBeløb>
                                            }
                                        &lt;/ns1:BetalingUddata>
                                    &lt;/ns1:AngivelseUddata>
                                else ""
                            }
                        &lt;/ns1:MomsAngivelseUddata>
                        else ""
                }
                       &lt;/ns1:MomsAngivelseHent_O>
};

declare variable $momsAngivelseHentSvar1 as element(ns0:MomsAngivelseHentSvar) external;

xf:MomsAngivelseHentSvar_TACTICAL_2_SKAT_Output($momsAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>