<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/MomsAngivelseList_I_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:MomsAngivelseList_I_SKAT_2_TACTICAL_Input($momsAngivelseList_I1 as element(ns1:MomsAngivelseList_I))
    as element(ns0:MomsAngivelseList) {
        let $MomsAngivelseList_I := $momsAngivelseList_I1
        return
            &lt;ns0:MomsAngivelseList>
                {
                    let $Kontekst := $MomsAngivelseList_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                    let $VirksomhedIdentifikation := $MomsAngivelseList_I/ns1:VirksomhedIdentifikation
                    return
                        &lt;ns0:SENumre>
                            {
                                let $VirksomhedSENummer1 := $VirksomhedIdentifikation/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer
                                return
                                    &lt;ns0:SENummerIndberetter>{ data($VirksomhedSENummer1) }&lt;/ns0:SENummerIndberetter>
                            }
                            {
                                let $VirksomhedSENummer := $VirksomhedIdentifikation/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                                return
                                    &lt;ns0:SENummerAngiver>{ data($VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                            }
                        &lt;/ns0:SENumre>
                }
                {
                    for $AngivelseValgtPeriodeInddataEnhed in $MomsAngivelseList_I/ns1:VirksomhedIdentifikation/ns1:AngivelseValgtPeriodeInddata/ns1:AngivelseValgtPeriodeInddataEnhed
                    return
                        &lt;ns0:AngivelserValgtPeriode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriodeInddataEnhed/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                            }
                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriodeInddataEnhed/ns1:AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                        &lt;/ns0:AngivelserValgtPeriode>
                }
            &lt;/ns0:MomsAngivelseList>
};

declare variable $momsAngivelseList_I1 as element(ns1:MomsAngivelseList_I) external;

xf:MomsAngivelseList_I_SKAT_2_TACTICAL_Input($momsAngivelseList_I1)</con:xquery>
</con:xqueryEntry>