<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/deliverance2/MomsAngivelseOpret_I_SKAT_2_TACTCAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};
declare function xf:MomsAngivelseOpret_I_SKAT_2_TACTCAL_Input($momsAngivelseOpret_I1 as element(ns1:MomsAngivelseOpret_I))
    as element(ns0:MomsAngivelseOpret) {
        let $MomsAngivelseOpret_I := $momsAngivelseOpret_I1
        return
            &lt;ns0:MomsAngivelseOpret>
                {
                    let $Kontekst := $MomsAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    {
                        let $VirksomhedSENummer := $MomsAngivelseOpret_I/ns1:MomsAngivelseInddata/ns1:AngivelseInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer
                        return
                            &lt;ns0:SENummerIndberetter>{ data($VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    }
                    {
                        let $VirksomhedSENummer1 := $MomsAngivelseOpret_I/ns1:MomsAngivelseInddata/ns1:AngivelseInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                        return
                            &lt;ns0:SENummerAngiver>{ data($VirksomhedSENummer1) }&lt;/ns0:SENummerAngiver>
                    }
                &lt;/ns0:SENumre>
                {
                    let $MomsAngivelseInddata := $MomsAngivelseOpret_I/ns1:MomsAngivelseInddata
                    return
                        &lt;ns0:MomsAngivelsesAfgifter>
                            &lt;ns0:AfgiftTilsvar>{ xs:decimal( data($MomsAngivelseInddata/ns1:MomsAngivelseAfgiftTilsvarBeløb) ) }&lt;/ns0:AfgiftTilsvar>
                            {
                                for $MomsAngivelseCO2AfgiftBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseCO2AfgiftBeløb
                                return
                                    &lt;ns0:CO2Afgift>{ xs:decimal( data($MomsAngivelseCO2AfgiftBeløb) ) }&lt;/ns0:CO2Afgift>
                            }
                            {
                                for $MomsAngivelseEUKøbBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseEUKøbBeløb
                                return
                                    &lt;ns0:EUKoeb>{ xs:decimal( data($MomsAngivelseEUKøbBeløb) ) }&lt;/ns0:EUKoeb>
                            }
                            {
                                for $MomsAngivelseEUSalgBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseEUSalgBeløb
                                return
                                    &lt;ns0:EUSalg>{ xs:decimal( data($MomsAngivelseEUSalgBeløb) ) }&lt;/ns0:EUSalg>
                            }
                            {
                                for $MomsAngivelseElAfgiftBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseElAfgiftBeløb
                                return
                                    &lt;ns0:ElAfgift>{ xs:decimal( data($MomsAngivelseElAfgiftBeløb) ) }&lt;/ns0:ElAfgift>
                            }
                            {
                                for $MomsAngivelseEksportOmsætningBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseEksportOmsætningBeløb
                                return
                                    &lt;ns0:ExportOmsaetning>{ xs:decimal( data($MomsAngivelseEksportOmsætningBeløb) ) }&lt;/ns0:ExportOmsaetning>
                            }
                            {
                                for $MomsAngivelseGasAfgiftBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseGasAfgiftBeløb
                                return
                                    &lt;ns0:GasAfgift>{ xs:decimal( data($MomsAngivelseGasAfgiftBeløb) ) }&lt;/ns0:GasAfgift>
                            }
                            {
                                for $MomsAngivelseKulAfgiftBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseKulAfgiftBeløb
                                return
                                    &lt;ns0:KulAfgift>{ xs:decimal( data($MomsAngivelseKulAfgiftBeløb) ) }&lt;/ns0:KulAfgift>
                            }
                            {
                                for $MomsAngivelseMomsEUKøbBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseMomsEUKøbBeløb
                                return
                                    &lt;ns0:MomsEUKoeb>{ xs:decimal( data($MomsAngivelseMomsEUKøbBeløb) ) }&lt;/ns0:MomsEUKoeb>
                            }
                            {
                                for $MomsAngivelseMomsEUYdelserBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseMomsEUYdelserBeløb
                                return
                                    &lt;ns0:MomsEUYdelser>{ xs:decimal( data($MomsAngivelseMomsEUYdelserBeløb) ) }&lt;/ns0:MomsEUYdelser>
                            }
                            {
                                for $MomsAngivelseOlieAfgiftBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseOlieAfgiftBeløb
                                return
                                    &lt;ns0:OlieAfgift>{ xs:decimal( data($MomsAngivelseOlieAfgiftBeløb) ) }&lt;/ns0:OlieAfgift>
                            }
                            {
                                for $MomsAngivelseSalgsMomsBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseSalgsMomsBeløb
                                return
                                    &lt;ns0:SalgsMoms>{ xs:decimal( data($MomsAngivelseSalgsMomsBeløb) ) }&lt;/ns0:SalgsMoms>
                            }
                            {
                                for $MomsAngivelseKøbsMomsBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseKøbsMomsBeløb
                                return
                                    &lt;ns0:KoebsMoms>{ xs:decimal( data($MomsAngivelseKøbsMomsBeløb) ) }&lt;/ns0:KoebsMoms>
                            }
                            {
                                for $MomsAngivelseVandAfgiftBeløb in $MomsAngivelseInddata/ns1:MomsAngivelseVandAfgiftBeløb
                                return
                                    &lt;ns0:VandAfgift>{ xs:decimal( data($MomsAngivelseVandAfgiftBeløb) ) }&lt;/ns0:VandAfgift>
                            }
                        &lt;/ns0:MomsAngivelsesAfgifter>
                }
                {
                    let $AngivelseInddata := $MomsAngivelseOpret_I/ns1:MomsAngivelseInddata/ns1:AngivelseInddata
                    return
                        &lt;ns0:MomsBetalingsOplysningerOpret>
                            &lt;ns0:AngivelsesTidspunkt>{ data($AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                            {
                                for $AngivelseValgtIndberetningFormKode in $AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode
                                return
                                    &lt;ns0:ValgtIndberetningsForm>{ padInFront( data($AngivelseValgtIndberetningFormKode), 3, '0' ) }&lt;/ns0:ValgtIndberetningsForm>                            }
                            {
                                let $AngivelseValgtPeriode := $AngivelseInddata/ns1:AngivelseValgtPeriode
                                return
                                    &lt;ns0:AngivelserValgtPeriode>
                                        {
                                            for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                            return
                                                &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                        }
                                        &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                                    &lt;/ns0:AngivelserValgtPeriode>
                            }
                            &lt;ns0:ValutaKode>{ data($AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                            {
                                for $BetalingValgtBetalingFormidler in $AngivelseInddata/ns1:BetalingInddata/ns1:BetalingValgtBetalingFormidler
                                return
                                    
                                         if (data($BetalingValgtBetalingFormidler) = 'PBS') 
                                             	then  &lt;ns0:ValgtBetalingsFormidler>{xs:string("PBS") }&lt;/ns0:ValgtBetalingsFormidler>
		         else if (data($BetalingValgtBetalingFormidler)= 'JyskeBank')
			then  &lt;ns0:ValgtBetalingsFormidler>{xs:string("SKB") }&lt;/ns0:ValgtBetalingsFormidler>
                                        else if (data($BetalingValgtBetalingFormidler)= 'HomeBanking')
			then &lt;ns0:ValgtBetalingsFormidler>{xs:string("HomeBanking") }&lt;/ns0:ValgtBetalingsFormidler>
		        else &lt;ns0:ValgtBetalingsFormidler>{xs:string("AndenBetalingsform") }&lt;/ns0:ValgtBetalingsFormidler>
										

                            }
                            {
                                for $BetalingDato in $AngivelseInddata/ns1:BetalingInddata/ns1:BetalingDato
                                return
                                    &lt;ns0:BetalingsDato>{ data($BetalingDato) }&lt;/ns0:BetalingsDato>
                            }
                            {
                                for $BetalingBeløb in $AngivelseInddata/ns1:BetalingInddata/ns1:BetalingBeløb
                                return
                                    &lt;ns0:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns0:BetalingsBeloeb>
                            }
                        &lt;/ns0:MomsBetalingsOplysningerOpret>
                }
                {
                    for $AngivelseKvitteringNummer in $MomsAngivelseOpret_I/ns1:MomsAngivelseInddata/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ data($AngivelseKvitteringNummer) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:MomsAngivelseOpret>
};

declare variable $momsAngivelseOpret_I1 as element(ns1:MomsAngivelseOpret_I) external;

xf:MomsAngivelseOpret_I_SKAT_2_TACTCAL_Input($momsAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>