<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/deliverance2/MomsAngivelseSlet_I_SKAT_2_TACTCAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:MomsAngivelseSlet_I_SKAT_2_TACTCAL_Input($momsAngivelseSlet_I1 as element(ns1:MomsAngivelseSlet_I))
    as element(ns0:MomsAngivelseSlet) {
        let $MomsAngivelseSlet_I := $momsAngivelseSlet_I1
        return
            &lt;ns0:MomsAngivelseSlet>
                {
                    let $Kontekst := $MomsAngivelseSlet_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    {
                        let $VirksomhedSENummer := $MomsAngivelseSlet_I/ns1:AngivelseInddata/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer
                        return
                            &lt;ns0:SENummerIndberetter>{ data($VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    }
                    {
                        let $VirksomhedSENummer1 := $MomsAngivelseSlet_I/ns1:AngivelseInddata/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer
                        return
                            &lt;ns0:SENummerAngiver>{ data($VirksomhedSENummer1) }&lt;/ns0:SENummerAngiver>
                    }
                &lt;/ns0:SENumre>
                {
                    let $AngivelseValgtPeriode := $MomsAngivelseSlet_I/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode
                    return
                        &lt;ns0:AngivelserValgtPeriode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                            }
                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                        &lt;/ns0:AngivelserValgtPeriode>
                }
                &lt;ns0:KvitteringsNummer>{ data($MomsAngivelseSlet_I/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer) }&lt;/ns0:KvitteringsNummer>
            &lt;/ns0:MomsAngivelseSlet>
};

declare variable $momsAngivelseSlet_I1 as element(ns1:MomsAngivelseSlet_I) external;

xf:MomsAngivelseSlet_I_SKAT_2_TACTCAL_Input($momsAngivelseSlet_I1)</con:xquery>
</con:xqueryEntry>