<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCTransforms/PAFAngivelseFilOpret_TACTICAL_2_SKAT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PAFAngivelseFilOpret_TACTICAL_2_SKAT($pAFAngivelseFilOpretSvar1 as element(ns0:PAFAngivelseFilOpretSvar))
    as element(ns1:PAFAngivelseFilOpret_O) {
        let $PAFAngivelseFilOpretSvar := $pAFAngivelseFilOpretSvar1
        return
            &lt;ns1:PAFAngivelseFilOpret_O>
                {
                    let $Kontekst := $PAFAngivelseFilOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                let $PAFAngivelseFilOpretSvar := $pAFAngivelseFilOpretSvar1
                return if(count($PAFAngivelseFilOpretSvar/ns0:SENummerIndberetter) > 0) then
                &lt;ns1:UddataResultat>
                    &lt;ns1:IndberetterVirksomhedSENummer>
                        &lt;ns1:VirksomhedSENummer>{ xs:string( data($PAFAngivelseFilOpretSvar/ns0:SENummerIndberetter) ) }&lt;/ns1:VirksomhedSENummer>
                    &lt;/ns1:IndberetterVirksomhedSENummer>
                    &lt;ns1:AngivelseAngivelseTid>{ data($PAFAngivelseFilOpretSvar/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                    &lt;ns1:PAFAngivelseIndsendelseReference>{ data($PAFAngivelseFilOpretSvar/ns0:PAFIndsendelsesReference) }&lt;/ns1:PAFAngivelseIndsendelseReference>
                    &lt;ns1:PensionAfgiftTypeListe>
                        {
                            for $PAFListe in $PAFAngivelseFilOpretSvar/ns0:PAFListe
                            return
                                &lt;ns1:PensionAfgiftTypeUddata>
                                    &lt;ns1:PAFAngivelsePensionAfgiftType>{ data($PAFListe/ns0:PensionsAfgiftsType) }&lt;/ns1:PAFAngivelsePensionAfgiftType>
                                    &lt;ns1:PAFAngivelsePensionAfgiftTypeRecordAntal>{ xs:integer( data($PAFListe/ns0:AntalRecords) ) }&lt;/ns1:PAFAngivelsePensionAfgiftTypeRecordAntal>
                                &lt;/ns1:PensionAfgiftTypeUddata>
                        }
                    &lt;/ns1:PensionAfgiftTypeListe>
                &lt;/ns1:UddataResultat>
                else ""
                }
            &lt;/ns1:PAFAngivelseFilOpret_O>
};

declare variable $pAFAngivelseFilOpretSvar1 as element(ns0:PAFAngivelseFilOpretSvar) external;

xf:PAFAngivelseFilOpret_TACTICAL_2_SKAT($pAFAngivelseFilOpretSvar1)</con:xquery>
</con:xqueryEntry>