<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$pAFAngivelseKvitteringHentSvar1" type="ns0:PAFAngivelseKvitteringHentInterface/ns0:PAFAngivelseKvitteringHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/PAFAngivelseKvitteringHent1_TACTICAL_2_SKAT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PAFAngivelseKvitteringHent1_TACTICAL_2_SKAT($pAFAngivelseKvitteringHentSvar1 as element())
    as element(ns1:PAFAngivelseKvitteringHent_O) {
        let $PAFAngivelseKvitteringHentSvar := $pAFAngivelseKvitteringHentSvar1
        return
            &lt;ns1:PAFAngivelseKvitteringHent_O>
                {
                    let $Kontekst := $PAFAngivelseKvitteringHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
		{	
		 let $SENummer := $PAFAngivelseKvitteringHentSvar/ns0:SENummerIndberetter
                     return if(count($SENummer) > 0) then
                &lt;ns1:UddataResultat>
                    &lt;ns1:IndberetterVirksomhedSENummer>
                        &lt;ns1:VirksomhedSENummer>{ data($PAFAngivelseKvitteringHentSvar/ns0:SENummerIndberetter) }&lt;/ns1:VirksomhedSENummer>
                    &lt;/ns1:IndberetterVirksomhedSENummer>
                    &lt;ns1:PAFAngivelseIndsendelseReference>{ data($PAFAngivelseKvitteringHentSvar/ns0:PAFIndsendelsesReference) }&lt;/ns1:PAFAngivelseIndsendelseReference>
                    &lt;ns1:AngivelseAngivelseTid>{ data($PAFAngivelseKvitteringHentSvar/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                    &lt;ns1:PAFModtager>{ data($PAFAngivelseKvitteringHentSvar/ns0:PAFModtager) }&lt;/ns1:PAFModtager>
                    &lt;ns1:PAFAngivelseReferenceListe>
                        {
                            for $PAFKvitteringsOplysninger in $PAFAngivelseKvitteringHentSvar/ns0:PAFKvitteringsListe/ns0:PAFKvitteringsOplysninger
                            return
                                &lt;ns1:PAFAngivelseReferenceListeEnhed>
                                    &lt;ns1:PAFAngivelseReference>{ data($PAFKvitteringsOplysninger/ns0:PAFReference) }&lt;/ns1:PAFAngivelseReference>
                                    &lt;ns1:PAFAfvisningListe>
                                        {
                                            for $PAFAfvisning in $PAFKvitteringsOplysninger/ns0:PAFAfvisning
                                            return
                                                &lt;ns1:PAFAfvisning>
                                                    &lt;ns1:PAFFejlNummer>{ xs:integer( data($PAFAfvisning/ns0:PAFFejlNummer) ) }&lt;/ns1:PAFFejlNummer>
                                                    &lt;ns1:PAFFejlTekst>{ data($PAFAfvisning/ns0:PAFFejlTekst) }&lt;/ns1:PAFFejlTekst>
                                                &lt;/ns1:PAFAfvisning>
                                        }
                                    &lt;/ns1:PAFAfvisningListe>
                                &lt;/ns1:PAFAngivelseReferenceListeEnhed>
                        }
                    &lt;/ns1:PAFAngivelseReferenceListe>
                &lt;/ns1:UddataResultat>
		else ""
		}
            &lt;/ns1:PAFAngivelseKvitteringHent_O>
};

declare variable $pAFAngivelseKvitteringHentSvar1 as element() external;

xf:PAFAngivelseKvitteringHent1_TACTICAL_2_SKAT($pAFAngivelseKvitteringHentSvar1)</con:xquery>
</con:xqueryEntry>