<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCTransforms/PEREAngivelseFilOpret_SKAT_2_TACTICAL/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";
declare namespace nsfil = "http://toldskat.dk/xml/schemas/raplet/pereangivelsefilopret/2005/01/01/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:PEREAngivelseFilOpret_SKAT_2_TACTICAL($pEREAngivelseFilOpret_I1 as element(ns1:PEREAngivelseFilOpret_I))
    as element(ns0:PEREAngivelseFilOpret) {
        let $PEREAngivelseFilOpret_I := $pEREAngivelseFilOpret_I1
        return
            &lt;ns0:PEREAngivelseFilOpret>
                {
                    let $Kontekst := $PEREAngivelseFilOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderVirksomhedSENumre/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:AfgiverVirksomhedSENumre/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:AngivelsesTidspunkt>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
                &lt;ns0:ValgtIndberetningsForm>
	                { padInFront( data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode), 3, '0' ) }
                &lt;/ns0:ValgtIndberetningsForm>
                &lt;ns0:ValutaKode>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                &lt;nsfil:PEREAngivelseFilXMLOpret>
                    &lt;nsfil:StartIndivid>
                    	&lt;nsfil:IndividNummer>{xs:string(data("0001"))}&lt;/nsfil:IndividNummer>
                        &lt;nsfil:IndsenderBrugerNummer>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:BrugerNummer) }&lt;/nsfil:IndsenderBrugerNummer>
                        &lt;nsfil:FilNummer>{xs:string(data("0314324230"))}&lt;/nsfil:FilNummer>
                        &lt;nsfil:IndsenderNavn>{ data(fn:substring($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:IndsenderNavn , 1 , 27)) }&lt;/nsfil:IndsenderNavn>
                        &lt;nsfil:IndsenderGadeAdresse>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:IndsenderGadeAdresse) }&lt;/nsfil:IndsenderGadeAdresse>
                        &lt;nsfil:Filler106>&lt;/nsfil:Filler106>
                    &lt;/nsfil:StartIndivid>
                    {
                        for $PEREAngivelseInddataLinie in $PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:AngivelseInddata/ns1:PEREAngivelseInddataListe/ns1:PEREAngivelseInddataLinie
                        return
                            &lt;nsfil:DetailIndivid>
                                &lt;nsfil:IndividNummer>{xs:string(data("2230"))}&lt;/nsfil:IndividNummer>
                                &lt;nsfil:OplysningPligtigeSENummer>{ data($PEREAngivelseInddataLinie/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/nsfil:OplysningPligtigeSENummer>
                                &lt;nsfil:BankRegistreringsNummer>{data(fn:substring($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseBankRegistreringNummer ,1 ,4))}&lt;/nsfil:BankRegistreringsNummer>
                                &lt;nsfil:PoliceKontoNummer>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePoliceKontoMedlemNummer) ) }&lt;/nsfil:PoliceKontoNummer>
                                &lt;nsfil:PersonNummer>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseCPRNummer) }&lt;/nsfil:PersonNummer>
                                &lt;nsfil:PensionRettighedIndbetalingsBeloeb>
	                                {
	                            		let $PEREAngivelsePensionRettighedBeløb := $PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePensionRettighedBeløb
	                            		return if(fn:compare(fn:substring($PEREAngivelsePensionRettighedBeløb , 1 , 1) , '-') = 0) then
		                            		&lt;nsfil:Fortegn>{xs:string(data("-"))}&lt;/nsfil:Fortegn>
		                            	else 
			                            	&lt;nsfil:Fortegn>{xs:string(data(""))}&lt;/nsfil:Fortegn>
	                            	}
                                    &lt;nsfil:PensionRettighedBeloeb>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePensionRettighedBeløb) ) }&lt;/nsfil:PensionRettighedBeloeb>
                                &lt;/nsfil:PensionRettighedIndbetalingsBeloeb>
                                &lt;nsfil:SkatteKode>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseSkatOrdningKode) ) }&lt;/nsfil:SkatteKode>
                                &lt;nsfil:OpgoerelseDato>
                                { 
                                	fn:concat(
                                	fn:concat(xs:string(fn:year-from-date($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseOpgørelseDato)),
                                	padInFront(xs:string(fn:month-from-date($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseOpgørelseDato)),2,'0')) ,
                                	padInFront(xs:string(fn:day-from-date($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseOpgørelseDato)),2,'0'))
                                	
                                	
                                }
                                &lt;/nsfil:OpgoerelseDato>
                                &lt;nsfil:OpgoerelseMetodeKode>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseOpgørelseMetode) ) }&lt;/nsfil:OpgoerelseMetodeKode>
                                &lt;nsfil:Aar>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseAngivelseÅr) ) }&lt;/nsfil:Aar>
                                &lt;nsfil:MaanedNummer>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseAngivelseMåned) ) }&lt;/nsfil:MaanedNummer>
                                &lt;nsfil:RetteKode>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseRetteKode) }&lt;/nsfil:RetteKode>
                                &lt;nsfil:EjerStatusKode>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseEjerStatusKode) }&lt;/nsfil:EjerStatusKode>
                                &lt;nsfil:Navn>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseNavn) }&lt;/nsfil:Navn>
                                &lt;nsfil:GadeAdresse>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseGade) }&lt;/nsfil:GadeAdresse>
                                &lt;nsfil:PostNummer>{ xs:string( data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePostNummer) ) }&lt;/nsfil:PostNummer>
                                &lt;nsfil:PostDistrikt>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelsePostDistrikt) }&lt;/nsfil:PostDistrikt>
                                &lt;nsfil:LandeKode>{ data($PEREAngivelseInddataLinie/ns1:PEREAngivelseInddata/ns1:PEREAngivelseLandeKode) }&lt;/nsfil:LandeKode>
                                &lt;nsfil:Filler12>&lt;/nsfil:Filler12>
                            &lt;/nsfil:DetailIndivid>
                    }
                    &lt;nsfil:SlutIndivid>
                    	&lt;nsfil:IndividNummer>{xs:string(data("9998"))}&lt;/nsfil:IndividNummer>
                        &lt;nsfil:IndsenderBrugerNummer>{ data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:BrugerNummer) }&lt;/nsfil:IndsenderBrugerNummer>
                        &lt;nsfil:IndividAntal>{ xs:string( data($PEREAngivelseFilOpret_I/ns1:InputParametre/ns1:IndsenderOplysningerInddata/ns1:Segmentering/ns1:SegmenterIalt) ) }&lt;/nsfil:IndividAntal>
                        &lt;nsfil:Filler171>&lt;/nsfil:Filler171>
                    &lt;/nsfil:SlutIndivid>
                &lt;/nsfil:PEREAngivelseFilXMLOpret>
            &lt;/ns0:PEREAngivelseFilOpret>
};

declare variable $pEREAngivelseFilOpret_I1 as element(ns1:PEREAngivelseFilOpret_I) external;

xf:PEREAngivelseFilOpret_SKAT_2_TACTICAL($pEREAngivelseFilOpret_I1)</con:xquery>
</con:xqueryEntry>