<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/PersonStamOplysningerHent_TACTICAL_2_SKAT_OUTPUT/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PersonStamOplysningerHent_TACTICAL_2_SKAT_OUTPUT($personStamOplysningerHentSvar1 as element())
    as element(ns1:PersonStamoplysningerHent_O) {
        let $PersonStamOplysningerHentSvar := $personStamOplysningerHentSvar1
        return
            &lt;ns1:PersonStamoplysningerHent_O>
                {
                    let $Kontekst := $PersonStamOplysningerHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    let $DanskPersonOplysninger := $PersonStamOplysningerHentSvar/ns0:DanskPersonOplysninger
                    return if(count($DanskPersonOplysninger) > 0) then
                        &lt;ns1:PersonUddata>
                            &lt;ns1:PersonCPRNummer>{ data($PersonStamOplysningerHentSvar/ns0:DanskPersonOplysninger/ns0:CPRNummer) }&lt;/ns1:PersonCPRNummer>
                            {
                                let $PersonNavnAdresseBeskyttelseMarkering := $DanskPersonOplysninger/ns0:AdresseBeskyttelsesKode
                                return if(count($PersonNavnAdresseBeskyttelseMarkering) > 0 and fn:compare($PersonNavnAdresseBeskyttelseMarkering,'B') = 0) then
                                    &lt;ns1:PersonNavnAdresseBeskyttelseMarkering>T&lt;/ns1:PersonNavnAdresseBeskyttelseMarkering>
                                  else
                                    &lt;ns1:PersonNavnAdresseBeskyttelseMarkering>F&lt;/ns1:PersonNavnAdresseBeskyttelseMarkering>
                            }
                            &lt;ns1:PersonPersonnavn>{ data($DanskPersonOplysninger/ns0:PersonNavn) }&lt;/ns1:PersonPersonnavn>
                            {
                                let $PersonStatusKode := $DanskPersonOplysninger/ns0:PersonStatusKode
                                return if(fn:compare($PersonStatusKode,'1')=0) then
                                    &lt;ns1:PersonStatus>Aktiv&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'2')=0) then
                                    &lt;ns1:PersonStatus>Omplaceret&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'3')=0) then
                                    &lt;ns1:PersonStatus>UdvandretForsvundetFør19700701&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'4')=0) then
                                    &lt;ns1:PersonStatus>ForsvundetEfter19700701&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'5')=0) then
                                    &lt;ns1:PersonStatus>UdvandretEfter19700701&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'6')=0) then
                                    &lt;ns1:PersonStatus>KongeligDelvisSkattepligtig&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'7')=0) then
                                    &lt;ns1:PersonStatus>KongeligSkattefri&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'8')=0) then
                                    &lt;ns1:PersonStatus>UdenlandskeSøfolk&lt;/ns1:PersonStatus>
                                else if(fn:compare($PersonStatusKode,'9')=0) then
                                    &lt;ns1:PersonStatus>Grønlænder&lt;/ns1:PersonStatus>
                                else ""
                            }
                            &lt;ns1:PersonAdresseListe>
                                {
                                    let $PersonAdresseOplysninger := $PersonStamOplysningerHentSvar/ns0:PersonAdresseOplysninger
                                    return
                                        &lt;ns1:PersonAdresseEnhed>
                                             {
                                                  let $personAdresseVejNavn := $PersonAdresseOplysninger/ns0:VejNavn
                                                  return if(count($personAdresseVejNavn)>0) then
                                                     &lt;ns1:PersonAdresseVejNavn>{ data($personAdresseVejNavn) }&lt;/ns1:PersonAdresseVejNavn>
                                                  else ""
                                              }
                                              {
                                                  let $personAdresseVejKode := $PersonAdresseOplysninger/ns0:VejKode
                                                  return if(count($personAdresseVejKode)>0) then
                                                     &lt;ns1:PersonAdresseVejKode>{ data($personAdresseVejKode) }&lt;/ns1:PersonAdresseVejKode>
                                                  else ""
                                              }                                           
                                              {
                                                  let $FraHusNummer := $PersonAdresseOplysninger/ns0:FraHusNummer
                                                  return if(count($FraHusNummer)>0) then
                                                    &lt;ns1:PersonAdresseFraHusNummer>{ xs:integer( data($FraHusNummer) ) }&lt;/ns1:PersonAdresseFraHusNummer>
                                                  else ""
                                              }
                                              {
                                                  let $PersonAdresseFraHusBogstav := $PersonAdresseOplysninger/ns0:FraHusBogstav
                                                  return if(count($PersonAdresseFraHusBogstav)>0) then
	                                            &lt;ns1:PersonAdresseFraHusBogstav>{ data($PersonAdresseOplysninger/ns0:FraHusBogstav) }&lt;/ns1:PersonAdresseFraHusBogstav>
                                                  else ""
                                              }
                                              {
                                                  let $TilHusNummer := $PersonAdresseOplysninger/ns0:TilHusNummer
                                                  return if(count($TilHusNummer)>0) then
	                                            &lt;ns1:PersonAdresseTilHusNummer>{ xs:integer( data($TilHusNummer) ) }&lt;/ns1:PersonAdresseTilHusNummer>
                                                  else ""
                                              }
                                              {
                                                  let $PersonAdresseTilHusBogstav := $PersonAdresseOplysninger/ns0:TilHusBogstav
                                                  return if(count($PersonAdresseTilHusBogstav)>0) then
		                                    &lt;ns1:PersonAdresseTilHusBogstav>{ data($PersonAdresseOplysninger/ns0:TilHusBogstav) }&lt;/ns1:PersonAdresseTilHusBogstav>
                                                  else ""
                                              }
                                              {
			  let $LigeUlige := $PersonAdresseOplysninger/ns0:LigeUlige
                                                  return if(fn:compare($LigeUlige ,'Lige')=0) then
			      &lt;ns1:PersonAdresseLigeUlige>lige&lt;/ns1:PersonAdresseLigeUlige>
                                                  else if(fn:compare($LigeUlige ,'Ulige')=0) then
			      &lt;ns1:PersonAdresseLigeUlige>ulige&lt;/ns1:PersonAdresseLigeUlige>
                                                  else ""
                                              }                                            
                                              {
			  let $PersonAdresseEtageTekst := $PersonAdresseOplysninger/ns0:EtageTekst
                                                  return if(count($PersonAdresseEtageTekst)>0) then
				&lt;ns1:PersonAdresseEtageTekst>{ data($PersonAdresseOplysninger/ns0:EtageTekst) }&lt;/ns1:PersonAdresseEtageTekst>
                                                  else ""
                                              }                                            
                                              {
			  let $PersonAdresseSideDørTekst := $PersonAdresseOplysninger/ns0:SideDoerTekst
                                                  return if(count($PersonAdresseSideDørTekst)>0) then
				&lt;ns1:PersonAdresseSideDørTekst>{ data($PersonAdresseOplysninger/ns0:SideDoerTekst) }&lt;/ns1:PersonAdresseSideDørTekst>
                                                  else ""
                                              }                                                      
                                              {
			  let $PersonAdresseCONavn := $PersonAdresseOplysninger/ns0:CONavn
                                                  return if(count($PersonAdresseCONavn)>0) then
		                                         &lt;ns1:PersonAdresseCONavn>{ data($PersonAdresseOplysninger/ns0:CONavn) }&lt;/ns1:PersonAdresseCONavn>
                                                  else ""
                                              }                                                                                                  
                                              {
			  let $PersonAdressePostNummer := $PersonAdresseOplysninger/ns0:PostNummer
                                                  return if(count($PersonAdressePostNummer)>0) then
			                &lt;ns1:PersonAdressePostNummer>{ xs:integer( data($PersonAdresseOplysninger/ns0:PostNummer) ) }&lt;/ns1:PersonAdressePostNummer>
                                                  else ""
                                              }
                                               {
			  let $PersonAdressePostDistrikt := $PersonAdresseOplysninger/ns0:PostDistriktNavn
                                                  return if(count($PersonAdressePostDistrikt)>0) then
			                   &lt;ns1:PersonAdressePostDistrikt>{ data($PersonAdresseOplysninger/ns0:PostDistriktNavn) }&lt;/ns1:PersonAdressePostDistrikt>
                                                  else ""
                                              }                                           
                                               {
			  let $PersonAdresseByNavn := $PersonAdresseOplysninger/ns0:ByNavn
                                                  return if(count($PersonAdresseByNavn)>0) then
			            &lt;ns1:PersonAdresseByNavn>{ data($PersonAdresseOplysninger/ns0:ByNavn) }&lt;/ns1:PersonAdresseByNavn>
                                                  else ""
                                              }                                                                                       
                                             {
                                                  let $landKode := $PersonStamOplysningerHentSvar/ns0:PersonUdenlandskSimpelAdresse/ns0:LandeKode
                                                  return if(count($landKode)>0) then
                                                     &lt;ns1:PersonAdresseLandekode>{ data($landKode) }&lt;/ns1:PersonAdresseLandekode>
                                                  else ""
                                              } 
                                             {
                                                  let $PersonAdressePostbox := $PersonAdresseOplysninger/ns0:PostBoksNummer
                                                  return if(count($PersonAdressePostbox)>0) then
	                                            &lt;ns1:PersonAdressePostbox>{ xs:integer( data($PersonAdresseOplysninger/ns0:PostBoksNummer) ) }&lt;/ns1:PersonAdressePostbox>
                                                  else ""
                                              } 
                                             {
                                                  let $PersonAdresseSkatteregion := $PersonAdresseOplysninger/ns0:SkatteRegion
                                                  return if(count($PersonAdresseSkatteregion)>0) then
		                                    &lt;ns1:PersonAdresseSkatteregion>{ xs:integer( data($PersonAdresseOplysninger/ns0:SkatteRegion) ) }&lt;/ns1:PersonAdresseSkatteregion>
                                                  else ""
                                              } 
                                            &lt;ns1:PersonAdresseMyndighedNummer>{ xs:integer( data($PersonAdresseOplysninger/ns0:MyndighedsNummer) ) }&lt;/ns1:PersonAdresseMyndighedNummer>
                                        &lt;/ns1:PersonAdresseEnhed>
                                }
                                
		&lt;ns1:CivilstandOplysninger>
                                          {
                                          let $Doed:=$PersonStamOplysningerHentSvar/ns0:CivilStandsOplysninger/ns0:Doed
                                          return if(count($Doed)>0) then
                                              &lt;ns1:Doed>
                                                     &lt;ns1:CivilstandDødDato>{ data($PersonStamOplysningerHentSvar/ns0:CivilStandsOplysninger/ns0:Doed/ns0:DoedsDato) }&lt;/ns1:CivilstandDødDato>
                                                       {
                                                           for $DoedsKode in $PersonStamOplysningerHentSvar/ns0:CivilStandsOplysninger/ns0:Doed/ns0:DoedsKode
                                                             return if(count($DoedsKode)>0) then
                                                                  &lt;ns1:CivilstandDødKode>{ data($DoedsKode) }&lt;/ns1:CivilstandDødKode>
                                                             else ""
                                                      }
                                              &lt;/ns1:Doed>                                               
                                          else ""
                                         } 
                                         {
                                                 let $Genoplivet:=$PersonStamOplysningerHentSvar/ns0:CivilStandsOplysninger/ns0:Genoplivet
                                                 return if(count($Genoplivet)>0) then
                                                    &lt;ns1:Genoplivet>
                                                         &lt;ns1:CivilstandGenoplivetDato>{ data($PersonStamOplysningerHentSvar/ns0:CivilStandsOplysninger/ns0:Genoplivet/ns0:GenoplivetDato) }&lt;/ns1:CivilstandGenoplivetDato>
                                                            {
                                                               for $GenoplivetKode in $PersonStamOplysningerHentSvar/ns0:CivilStandsOplysninger/ns0:Genoplivet/ns0:GenoplivetKode
                                                                return if(count($GenoplivetKode)>0) then
                                                                     &lt;ns1:CivilstandGenoplivetKode>{ data($GenoplivetKode) }&lt;/ns1:CivilstandGenoplivetKode>
                                                               else ""
                                                              }
                                                    &lt;/ns1:Genoplivet>                                                   
                                               else ""
                                          }
                                &lt;/ns1:CivilstandOplysninger>
                            &lt;/ns1:PersonAdresseListe>
                        &lt;/ns1:PersonUddata>
                        else ""
                }
            &lt;/ns1:PersonStamoplysningerHent_O>
};

declare variable $personStamOplysningerHentSvar1 as element() external;

xf:PersonStamOplysningerHent_TACTICAL_2_SKAT_OUTPUT($personStamOplysningerHentSvar1)</con:xquery>
</con:xqueryEntry>