<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/Transforms/PunktAfgiftAngivelseHent_O/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PunktAfgiftAngivelseHent_O($punktAfgiftAngivelseHent_I1 as element(ns1:PunktAfgiftAngivelseHent_I))
    as element(ns0:PunktAfgiftAngivelseHent) {
        let $PunktAfgiftAngivelseHent_I := $punktAfgiftAngivelseHent_I1
        return
            &lt;ns0:PunktAfgiftAngivelseHent>
                {
                    let $Kontekst := $PunktAfgiftAngivelseHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENummerAngiver>{ data($PunktAfgiftAngivelseHent_I/ns1:InputParametre/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                {
                    let $AngivelseValgtPeriode := $PunktAfgiftAngivelseHent_I/ns1:InputParametre/ns1:AngivelseValgtPeriode
                    return
                        &lt;ns0:AngivelserValgtPeriode>
                            {
                                for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                return
                                    &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                            }
                            &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                        &lt;/ns0:AngivelserValgtPeriode>
                }
                {
                    for $AngivelseKvitteringNummer in $PunktAfgiftAngivelseHent_I/ns1:InputParametre/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ data($AngivelseKvitteringNummer) }&lt;/ns0:KvitteringsNummer>
                }
                &lt;ns0:OCRNummer>{ data($PunktAfgiftAngivelseHent_I/ns1:InputParametre/ns1:AngivelseFrekvensForholdOCRNummer) }&lt;/ns0:OCRNummer>
                &lt;ns0:PligtKode>{ data($PunktAfgiftAngivelseHent_I/ns1:InputParametre/ns1:MenuParametrePligtKode) }&lt;/ns0:PligtKode>
            &lt;/ns0:PunktAfgiftAngivelseHent>
};

declare variable $punktAfgiftAngivelseHent_I1 as element(ns1:PunktAfgiftAngivelseHent_I) external;

xf:PunktAfgiftAngivelseHent_O($punktAfgiftAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>