<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/PunktAfgiftAngivelseHent_O/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PunktAfgiftAngivelseHent_O($punktAfgiftAngivelseHentSvar1 as element(ns0:PunktAfgiftAngivelseHentSvar))
    as element(ns1:PunktAfgiftAngivelseHent_O) {
        let $PunktAfgiftAngivelseHentSvar := $punktAfgiftAngivelseHentSvar1
        return
            &lt;ns1:PunktAfgiftAngivelseHent_O>
                {
                    let $Kontekst := $PunktAfgiftAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                	for $SENummerIndberetter in $PunktAfgiftAngivelseHentSvar/ns0:SENummerIndberetter
                	return
		                &lt;ns1:VirksomhedIdentifikation>
		                    &lt;ns1:IndberetterVirksomhedSENummer>
		                        &lt;ns1:VirksomhedSENummer>{ data($SENummerIndberetter) }&lt;/ns1:VirksomhedSENummer>
		                    &lt;/ns1:IndberetterVirksomhedSENummer>
		                &lt;/ns1:VirksomhedIdentifikation>
                		
                }
                {
                	for $PunktAfgiftBetalingsOplysningerHent in $PunktAfgiftAngivelseHentSvar/ns0:PunktAfgiftBetalingsOplysningerHent
                	return 
		                &lt;ns1:AngivelseUddata>
		                    &lt;ns1:AngivelseAngivelseTid>{ data($PunktAfgiftBetalingsOplysningerHent/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
		                    &lt;ns1:AngivelseTilladtAktion>{ data($PunktAfgiftBetalingsOplysningerHent/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
		                    &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($PunktAfgiftBetalingsOplysningerHent/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
		                    {
		                        for $OCRLinie in $PunktAfgiftBetalingsOplysningerHent/ns0:OCRLinie
		                        return
		                            &lt;ns1:OCRLinie>
		                                &lt;ns1:AngivelseOCRKortType>{ data($OCRLinie/ns0:KortType) }&lt;/ns1:AngivelseOCRKortType>
		                                &lt;ns1:AngivelseOCRNummer>{ xs:string( data($OCRLinie/ns0:OCRNummer) ) }&lt;/ns1:AngivelseOCRNummer>
		                                &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
		                            &lt;/ns1:OCRLinie>
		                    }
		                    &lt;ns1:PunktAfgiftAngivelseTilsvarIalt>{ xs:integer(round( data($PunktAfgiftAngivelseHentSvar/ns0:TilSvarIalt)) ) }&lt;/ns1:PunktAfgiftAngivelseTilsvarIalt>
		                    &lt;ns1:AngivelseValuta>{ data($PunktAfgiftBetalingsOplysningerHent/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
		                    &lt;ns1:BetalingUddata>
		                        {
		                            for $ValgtBetalingsFormidler in $PunktAfgiftBetalingsOplysningerHent/ns0:ValgtBetalingsFormidler
		                            return                                								                              
												if (data($ValgtBetalingsFormidler) = 'PBS') 
												then &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("PBS") }&lt;/ns1:BetalingValgtBetalingFormidler>
												else if (data($ValgtBetalingsFormidler)= 'JyskeBank')
												then &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("SKB") }&lt;/ns1:BetalingValgtBetalingFormidler>
												else if (data($ValgtBetalingsFormidler)= 'HomeBanking')
												then &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("HomeBanking") }&lt;/ns1:BetalingValgtBetalingFormidler>
												else &lt;ns1:BetalingValgtBetalingFormidler>{xs:string("AndenBetalingsform") }&lt;/ns1:BetalingValgtBetalingFormidler>
									                 
		                        }
		                        {
		                            for $BetalingsDato in $PunktAfgiftBetalingsOplysningerHent/ns0:BetalingsDato
		                            return
		                                &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
		                        }
		                        {
		                            for $BetalingsBeloeb in $PunktAfgiftBetalingsOplysningerHent/ns0:BetalingsBeloeb
		                            return
		                                &lt;ns1:BetalingBeløb>{ xs:integer(round( data($BetalingsBeloeb) ) ) }&lt;/ns1:BetalingBeløb>
		                        }
		                        {
		                            for $BetalingsModtagelsesTidspunkt in $PunktAfgiftBetalingsOplysningerHent/ns0:BetalingsModtagelsesTidspunkt
		                            return
		                                &lt;ns1:BetalingModtagelseTid>{ xs:dateTime(xs:date(data($BetalingsModtagelsesTidspunkt) )) }&lt;/ns1:BetalingModtagelseTid>
		                        }
		                    &lt;/ns1:BetalingUddata>
		                &lt;/ns1:AngivelseUddata>
                }
                {
                	for $PunktAfgiftBetalingsOplysningerHent in $PunktAfgiftAngivelseHentSvar/ns0:PunktAfgiftBetalingsOplysningerHent
                	return 
		                &lt;ns1:AngivelseFrekvensForholdUddata>
		                    {
		                        for $AngivelsesFrist in $PunktAfgiftBetalingsOplysningerHent/ns0:AngivelsesFrist
		                        return
		                            &lt;ns1:AngivelseFrekvensForholdAngivelseFristDato>{ data($AngivelsesFrist) }&lt;/ns1:AngivelseFrekvensForholdAngivelseFristDato>
		                    }
		                    {
		                        for $BetalingsFrist in $PunktAfgiftBetalingsOplysningerHent/ns0:BetalingsFrist
		                        return
		                            &lt;ns1:AngivelseFrekvensForholdBetalingFristDato>{ data($BetalingsFrist) }&lt;/ns1:AngivelseFrekvensForholdBetalingFristDato>
		                    }
		                &lt;/ns1:AngivelseFrekvensForholdUddata>
                }
                {
                    for $PunktAfgiftOplysninger in $PunktAfgiftAngivelseHentSvar/ns0:PunktAfgiftOplysninger
                    return
                        &lt;ns1:Resultat>
                            {
                                let $PunktAfgiftOevrigeListe := $PunktAfgiftOplysninger/ns0:PunktAfgiftOevrigeListe
                                return if(count($PunktAfgiftOevrigeListe)>0) then
                                    &lt;ns1:ØvrigeOplysninger>
                                        &lt;ns1:Oplysningslinier>
                                            {
                                                for $PunktAfgiftOevrige in $PunktAfgiftOevrigeListe/ns0:PunktAfgiftOevrige
                                                return
                                                    &lt;ns1:Oplysningslinie>
                                                        &lt;ns1:PunktAfgiftØvrigeOplysninger>
                                                            &lt;ns1:BlanketParametrePligtLinieKode>{ xs:integer( data($PunktAfgiftOevrige/ns0:PligtLinieKode) ) }&lt;/ns1:BlanketParametrePligtLinieKode>
                                                            {
                                                                for $AfgiftPligtigSatsBeloeb in $PunktAfgiftOevrige/ns0:AfgiftPligtigSatsBeloeb
                                                                return
                                                                    &lt;ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb>{ xs:decimal( data($AfgiftPligtigSatsBeloeb) ) }&lt;/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb>
                                                            }
                                                            {
                                                                for $AfgiftPligtigMaengde in $PunktAfgiftOevrige/ns0:AfgiftPligtigMaengde
                                                                return
                                                                    &lt;ns1:PunktAfgiftAngivelseAfgiftPligtigMængde>{ xs:decimal(data($AfgiftPligtigMaengde)) }&lt;/ns1:PunktAfgiftAngivelseAfgiftPligtigMængde>
                                                            }
                                                            {
                                                                for $AfgiftBeloeb in $PunktAfgiftOevrige/ns0:AfgiftBeloeb
                                                                return
                                                                    &lt;ns1:PunktAfgiftAngivelseAfgiftBeløb>{ xs:integer(round(data($AfgiftBeloeb))) }&lt;/ns1:PunktAfgiftAngivelseAfgiftBeløb>
                                                            }
                                                            {
                                                                for $ForretningsOmraadeKode in $PunktAfgiftOevrige/ns0:ForretningsOmraadeKode
                                                                return
                                                                    &lt;ns1:BlanketForretningOmrådeKode>{ data($ForretningsOmraadeKode) }&lt;/ns1:BlanketForretningOmrådeKode>
                                                            }
                                                            {
                                                                for $PligtKode in $PunktAfgiftOevrige/ns0:PligtKode
                                                                return
                                                                    &lt;ns1:MenuParametrePligtKode>{ data($PligtKode) }&lt;/ns1:MenuParametrePligtKode>
                                                            }
                                                        &lt;/ns1:PunktAfgiftØvrigeOplysninger>
                                                    &lt;/ns1:Oplysningslinie>
                                            }
                                        &lt;/ns1:Oplysningslinier>
                                        {
                                            for $KreditAftaleKode in $PunktAfgiftOevrigeListe/ns0:KreditAftaleKode
                                            return
                                                &lt;ns1:PunktAfgiftAngivelseKreditAftaleKode>{ data($KreditAftaleKode) }&lt;/ns1:PunktAfgiftAngivelseKreditAftaleKode>
                                        }
                                    &lt;/ns1:ØvrigeOplysninger>
                                    else ""
                            }
                            {
                                let $PunktAfgiftSpilListe := $PunktAfgiftOplysninger/ns0:PunktAfgiftSpilListe
                                return if(count($PunktAfgiftSpilListe)>0) then
                                    &lt;ns1:SpilOplysningListe>
                                    {
                                        for $PunktAfgiftSpil in $PunktAfgiftSpilListe/ns0:PunktAfgiftSpil
                                            return
                                                &lt;ns1:SpilOplysningLinie>
                                                    &lt;ns1:PunktAfgiftSpilOplysninger>
                                                        &lt;ns1:BlanketParametrePligtLinieKode>{ xs:integer( data($PunktAfgiftSpil/ns0:PligtLinieKode) ) }&lt;/ns1:BlanketParametrePligtLinieKode>
                                                        {
                                                            for $AfgiftPligtigSatsBeloeb in $PunktAfgiftSpil/ns0:AfgiftPligtigSatsBeloeb
                                                            return
                                                                &lt;ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb>{ xs:decimal(data($AfgiftPligtigSatsBeloeb)) }&lt;/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb>
                                                        }
                                                        {
                                                            for $AfgiftGrundBeloeb in $PunktAfgiftSpil/ns0:AfgiftGrundBeloeb
                                                            return
                                                                &lt;ns1:PunktAfgiftAngivelseAfgiftGrundlagBeløb>{ xs:integer(round( data($AfgiftGrundBeloeb) )) }&lt;/ns1:PunktAfgiftAngivelseAfgiftGrundlagBeløb>
                                                        }
                                                        {
                                                            for $AfgiftBeloeb in $PunktAfgiftSpil/ns0:AfgiftBeloeb
                                                            return
                                                                &lt;ns1:PunktAfgiftAngivelseAfgiftBeløb>{ xs:integer(round( data($AfgiftBeloeb) )) }&lt;/ns1:PunktAfgiftAngivelseAfgiftBeløb>
                                                        }
                                                    &lt;/ns1:PunktAfgiftSpilOplysninger>
                                                &lt;/ns1:SpilOplysningLinie>
                                              }
                                    &lt;/ns1:SpilOplysningListe>
                                    else ""
                            }
                            {
                                let $PunktAfgiftSpilleautomatGebyrListe := $PunktAfgiftOplysninger/ns0:PunktAfgiftSpilleautomatGebyrListe
                                return if(count($PunktAfgiftSpilleautomatGebyrListe)>0) then
                                    &lt;ns1:GebyrOplysninger>
                                        {
                                            let $PunktAfgiftSpilleautomatGebyr := $PunktAfgiftSpilleautomatGebyrListe/ns0:PunktAfgiftSpilleautomatGebyr
                                            return
                                                &lt;ns1:PunktAfgiftGebyrOplysninger>
                                                    {
                                                        for $AfgiftPligtigSatsBeloeb in $PunktAfgiftSpilleautomatGebyr/ns0:AfgiftPligtigSatsBeloeb
                                                        return
                                                            &lt;ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb>{ xs:decimal(data($AfgiftPligtigSatsBeloeb) )}&lt;/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb>
                                                    }
                                                    {
                                                        for $AfgiftPligtigMaengde in $PunktAfgiftSpilleautomatGebyr/ns0:AfgiftPligtigMaengde
                                                        return
                                                            &lt;ns1:PunktAfgiftAngivelseAfgiftPligtigMængde>{ xs:decimal( data($AfgiftPligtigMaengde)) }&lt;/ns1:PunktAfgiftAngivelseAfgiftPligtigMængde>
                                                    }
                                                    {
                                                        for $AfgiftBeloeb in $PunktAfgiftSpilleautomatGebyr/ns0:AfgiftBeloeb
                                                        return
                                                            &lt;ns1:PunktAfgiftAngivelseAfgiftBeløb>{ xs:integer(round( data($AfgiftBeloeb)) ) }&lt;/ns1:PunktAfgiftAngivelseAfgiftBeløb>
                                                    }
                                                &lt;/ns1:PunktAfgiftGebyrOplysninger>
                                        }
                                    &lt;/ns1:GebyrOplysninger>
                                     else ""
                            }
                        &lt;/ns1:Resultat>
                }
            &lt;/ns1:PunktAfgiftAngivelseHent_O>
};

declare variable $punktAfgiftAngivelseHentSvar1 as element(ns0:PunktAfgiftAngivelseHentSvar) external;

xf:PunktAfgiftAngivelseHent_O($punktAfgiftAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>