<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/PunktAfgiftAngivelseList_O/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PunktAfgiftAngivelseList_O($punktAfgiftAngivelseListSvar1 as element(ns0:PunktAfgiftAngivelseListSvar))
    as element(ns1:PunktAfgiftAngivelseList_O) {
        let $PunktAfgiftAngivelseListSvar := $punktAfgiftAngivelseListSvar1
        return
            &lt;ns1:PunktAfgiftAngivelseList_O>
                {
                    let $Kontekst := $PunktAfgiftAngivelseListSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                let $PunktAfgiftAngivelseListOplysninger:= $PunktAfgiftAngivelseListSvar/ns0:PunktAfgiftAngivelseListOplysninger
                return if(count($PunktAfgiftAngivelseListOplysninger)>0) then
                &lt;ns1:ResultatListe>
                    {
                        for $PunktAfgiftAngivelseListOplysninger in $PunktAfgiftAngivelseListSvar/ns0:PunktAfgiftAngivelseListOplysninger
                        return
                            &lt;ns1:ResultatEnhed>
                            {
                            	let $seNummer :=  $PunktAfgiftAngivelseListOplysninger/ns0:SENummerIndberetter
                            	return 
                                		if(count($seNummer) > 0) then (
                                &lt;ns1:IndberetterVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ data($PunktAfgiftAngivelseListOplysninger/ns0:SENummerIndberetter) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:IndberetterVirksomhedSENummer>)
                                else (
                                )
                            }
                                {
                                    let $AngivelserValgtPeriode := $PunktAfgiftAngivelseListOplysninger/ns0:AngivelserValgtPeriode
                                    return
                                        &lt;ns1:AngivelseValgtPeriode>
                                            {
                                                for $StartDato in $AngivelserValgtPeriode/ns0:StartDato
                                                return
                                                    &lt;ns1:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                            }
                                            &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($AngivelserValgtPeriode/ns0:SlutDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                        &lt;/ns1:AngivelseValgtPeriode>
                                }
                                &lt;ns1:AngivelseFrekvensForholdOCRNummer>{ xs:string( data($PunktAfgiftAngivelseListOplysninger/ns0:OCRNummer) ) }&lt;/ns1:AngivelseFrekvensForholdOCRNummer>
                                &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($PunktAfgiftAngivelseListOplysninger/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                &lt;ns1:AngivelseAngivelseTid>{ data($PunktAfgiftAngivelseListOplysninger/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                &lt;ns1:AngivelseTilladtAktion>{ data($PunktAfgiftAngivelseListOplysninger/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
                                &lt;ns1:MenuParametreUddata>
                                    &lt;ns1:MenuParametrePligtKode>{ data($PunktAfgiftAngivelseListOplysninger/ns0:PligtKode) }&lt;/ns1:MenuParametrePligtKode>
                                &lt;/ns1:MenuParametreUddata>
                                &lt;ns1:Blanketuddata>
                                    {
                                        for $ForretningsOmraadeKode in $PunktAfgiftAngivelseListOplysninger/ns0:ForretningsOmraadeKode
                                        return
                                            &lt;ns1:BlanketForretningOmrådeKode>{ data($ForretningsOmraadeKode) }&lt;/ns1:BlanketForretningOmrådeKode>
                                    }
                                &lt;/ns1:Blanketuddata>
                            &lt;/ns1:ResultatEnhed>
                    }
                &lt;/ns1:ResultatListe>
            else ""
            }
            &lt;/ns1:PunktAfgiftAngivelseList_O>
};

declare variable $punktAfgiftAngivelseListSvar1 as element(ns0:PunktAfgiftAngivelseListSvar) external;

xf:PunktAfgiftAngivelseList_O($punktAfgiftAngivelseListSvar1)</con:xquery>
</con:xqueryEntry>