<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/PunktAfgiftAngivelseMultiOpret_Tactical_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function betalingsFormidler($betformidler) as xs:string{

		if ($betformidler = "SKB") then "JyskeBank"
		else if($betformidler = "AndenBetalingsform") then "Anden betalingsform"
		else if($betformidler = "JyskeBank") then "SKB"
		else if($betformidler = "Anden betalingsform") then "AndenBetalingsform"
		else $betformidler
};
declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:PunktAfgiftAngivelseMultiOpret_Tactical_2_SKAT_Output($punktAfgiftAngivelseMultiOpretSvar1 as element(ns0:PunktAfgiftAngivelseMultiOpretSvar))
    as element(ns1:PunktAfgiftAngivelseMultiOpret_O) {
        let $PunktAfgiftAngivelseMultiOpretSvar := $punktAfgiftAngivelseMultiOpretSvar1
        return
            &lt;ns1:PunktAfgiftAngivelseMultiOpret_O>
                {
                    let $Kontekst := $PunktAfgiftAngivelseMultiOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                &lt;ns1:OprettelseKvitteringListe>
                    {
                        for $PunktAfgiftAngivelsMultiOpretSvarListe in $PunktAfgiftAngivelseMultiOpretSvar/ns0:PunktAfgiftAngivelsMultiOpretSvarListe,
                            $PunktAfgiftAngivelsMultiOpretSvarOplysninger in $PunktAfgiftAngivelsMultiOpretSvarListe/ns0:PunktAfgiftAngivelsMultiOpretSvarOplysninger
                        return
                            &lt;ns1:OprettelseKvitteringUddata>
                                &lt;ns1:AngiverVirksomhedSENummer>
                                    &lt;ns1:VirksomhedSENummer>{ xs:string( data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:VirksomhedSENummer>
                                &lt;/ns1:AngiverVirksomhedSENummer>
                                {
                                    let $AngivelserValgtPeriode := $PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:AngivelserValgtPeriode
                                    return
                                        &lt;ns1:AngivelseValgtPeriode>
                                            {
                                                for $StartDato in $AngivelserValgtPeriode/ns0:StartDato
                                                return
                                                    &lt;ns1:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                            }
                                            &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($AngivelserValgtPeriode/ns0:SlutDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                        &lt;/ns1:AngivelseValgtPeriode>
                                }
                                &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                {
                                    for $OCRLinie in $PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:OCRLinie
                                    return
                                        &lt;ns1:OCRLinie>
                                            &lt;ns1:AngivelseOCRKortType>{ xs:string( padInFront ( data($OCRLinie/ns0:KortType),2,'0' ) ) }&lt;/ns1:AngivelseOCRKortType>
                                            &lt;ns1:AngivelseOCRNummer>{ xs:integer( data($OCRLinie/ns0:OCRNummer) ) }&lt;/ns1:AngivelseOCRNummer>
                                            &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                        &lt;/ns1:OCRLinie>
                                }
                                &lt;ns1:AngivelseAngivelseTid>{ data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                &lt;ns1:AngivelseValuta>{ data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                                &lt;ns1:BlanketUddata>
                                    &lt;ns1:BlanketForretningOmrådeKode>{ xs:string( padInFront ( data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:ForretningsOmraadeKode), 3, '0' ) ) }&lt;/ns1:BlanketForretningOmrådeKode>
                                &lt;/ns1:BlanketUddata>
                                &lt;ns1:MenuParameterUddata>
                                    &lt;ns1:MenuParametrePligtKode>{ xs:string( padInFront ( data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:PligtKode), 3, '0' ) ) }&lt;/ns1:MenuParametrePligtKode>
                                &lt;/ns1:MenuParameterUddata>
                                &lt;ns1:BetalingUddata>
                                    {
                                    if(count($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:ValgtBetalingsFormidler) > 0) then
                                    &lt;ns1:BetalingValgtBetalingFormidler>{ betalingsFormidler(data($PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:ValgtBetalingsFormidler) ) }&lt;/ns1:BetalingValgtBetalingFormidler>
                                    else ""
                                    }
                                    {
                                        for $BetalingsDato in $PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:BetalingsDato
                                        return
                                            &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                                    }
                                    {
                                        for $BetalingsBeloeb in $PunktAfgiftAngivelsMultiOpretSvarOplysninger/ns0:BetalingsBeloeb
                                        return
                                            &lt;ns1:BetalingBeløb>{ xs:integer( data($BetalingsBeloeb) ) }&lt;/ns1:BetalingBeløb>
                                    }
                                &lt;/ns1:BetalingUddata>
                            &lt;/ns1:OprettelseKvitteringUddata>
                    }
                &lt;/ns1:OprettelseKvitteringListe>
            &lt;/ns1:PunktAfgiftAngivelseMultiOpret_O>
};

declare variable $punktAfgiftAngivelseMultiOpretSvar1 as element(ns0:PunktAfgiftAngivelseMultiOpretSvar) external;

xf:PunktAfgiftAngivelseMultiOpret_Tactical_2_SKAT_Output($punktAfgiftAngivelseMultiOpretSvar1)</con:xquery>
</con:xqueryEntry>