<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/PunktAfgiftAngivelseOpret_I/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PunktAfgiftAngivelseOpret_I($punktAfgiftAngivelseOpret_I1 as element(ns1:PunktAfgiftAngivelseOpret_I))
    as element(ns0:PunktAfgiftAngivelseOpret) {
        let $PunktAfgiftAngivelseOpret_I := $punktAfgiftAngivelseOpret_I1
        return
            &lt;ns0:PunktAfgiftAngivelseOpret>
                {
                    let $Kontekst := $PunktAfgiftAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SENumre>
                    &lt;ns0:SENummerIndberetter>{ data($PunktAfgiftAngivelseOpret_I/ns1:VirksomhedParter/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerIndberetter>
                    &lt;ns0:SENummerAngiver>{ data($PunktAfgiftAngivelseOpret_I/ns1:VirksomhedParter/ns1:AngiverVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:SENummerAngiver>
                &lt;/ns0:SENumre>
                &lt;ns0:PunktAfgiftBetalingsOplysningerOpret>
                    &lt;ns0:AngivelsesTidspunkt>{ data($PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:AngivelseAngivelseTid) }&lt;/ns0:AngivelsesTidspunkt>
					&lt;ns0:ValgtIndberetningsForm>{ padInFront(data($PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:AngivelseValgtIndberetningFormKode),3,'0' )}&lt;/ns0:ValgtIndberetningsForm>
                    {
                        let $AngivelseValgtPeriode := $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:AngivelseValgtPeriode
                        return
                            &lt;ns0:AngivelserValgtPeriode>
                                {
                                    for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                    return
                                        &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                }
                                &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                            &lt;/ns0:AngivelserValgtPeriode>
                    }
                    &lt;ns0:ValutaKode>{ data($PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:AngivelseValuta) }&lt;/ns0:ValutaKode>
                    {
                        for $BetalingValgtBetalingFormidler in $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:BetalingInddata/ns1:BetalingValgtBetalingFormidler
                        return
                        
                       	                                 
										if (data($BetalingValgtBetalingFormidler) = 'PBS') 
										then  &lt;ns0:ValgtBetalingsFormidler>{xs:string("PBS") }&lt;/ns0:ValgtBetalingsFormidler>
										
										else if (data($BetalingValgtBetalingFormidler)= 'JyskeBank')
										then  &lt;ns0:ValgtBetalingsFormidler>{xs:string("SKB") }&lt;/ns0:ValgtBetalingsFormidler>
										
										else if (data($BetalingValgtBetalingFormidler)= 'HomeBanking')
										then &lt;ns0:ValgtBetalingsFormidler>{xs:string("HomeBanking") }&lt;/ns0:ValgtBetalingsFormidler>
										
										else
										 &lt;ns0:ValgtBetalingsFormidler>{xs:string("AndenBetalingsform") }&lt;/ns0:ValgtBetalingsFormidler>
									
                                               
                    }
                    &lt;ns0:OCRNummer>{ data($PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:AngivelseFrekvensForholdOCRNummer) }&lt;/ns0:OCRNummer>
                &lt;/ns0:PunktAfgiftBetalingsOplysningerOpret>
                &lt;ns0:PligtKode>{ data($PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:MenuParametrePligtKode) }&lt;/ns0:PligtKode>
                {
                    for $BlanketForretningOmrådeKode in $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:BlanketForretningOmrådeKode
                    return
                        &lt;ns0:ForretningsOmraadeKode>{ data($BlanketForretningOmrådeKode) }&lt;/ns0:ForretningsOmraadeKode>
                }
                {
                    for $BlanketBlanketNummer in $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:BlanketBlanketNummer
                    return
                        &lt;ns0:PunktAfgiftBlanketNummer>{ data($BlanketBlanketNummer) }&lt;/ns0:PunktAfgiftBlanketNummer>
                }
                {
                    let $InputParametre := $PunktAfgiftAngivelseOpret_I/ns1:InputParametre
                    return 
                        &lt;ns0:PunktAfgiftOplysninger>
                            {
                                let $ØvrigeOplysninger := $InputParametre/ns1:ØvrigeOplysninger
                                return if(count($InputParametre/ns1:ØvrigeOplysninger) > 0) then
                                    &lt;ns0:PunktAfgiftOevrigeListe>
                                        {
                                            for $PunktAfgiftAngivelseKreditAftaleKode in $ØvrigeOplysninger/ns1:PunktAfgiftAngivelseKreditAftaleKode
                                            return
                                                &lt;ns0:KreditAftaleKode>{ data($PunktAfgiftAngivelseKreditAftaleKode) }&lt;/ns0:KreditAftaleKode>
                                        }
                                        {
                                            for $Oplysningslinie in $ØvrigeOplysninger/ns1:Oplysningslinier/ns1:Oplysningslinie
                                            return
                                                &lt;ns0:PunktAfgiftOevrige>
	                                                {
                                                        for $BlanketParametrePligtLinieKode in $Oplysningslinie/ns1:PunktAfgiftØvrigeOplysninger/ns1:BlanketParametrePligtLinieKode
                                                        return if (string-length($BlanketParametrePligtLinieKode) &lt;= 3 ) then
                                                            &lt;ns0:PligtLinieKode>{  padInFront(data($BlanketParametrePligtLinieKode),3,'0' )}&lt;/ns0:PligtLinieKode>
                                                        else 
                                                        	&lt;ns0:PligtLinieKode>{ data(substring($BlanketParametrePligtLinieKode,string-length($BlanketParametrePligtLinieKode) - 2,string-length($BlanketParametrePligtLinieKode))) }&lt;/ns0:PligtLinieKode>
                                                    }
                                                    {
                                                        for $MenuParametrePligtKode in $Oplysningslinie/ns1:PunktAfgiftØvrigeOplysninger/ns1:MenuParametrePligtKode
                                                        return
                                                            &lt;ns0:PligtKode>{ data($MenuParametrePligtKode) }&lt;/ns0:PligtKode>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelsePligtLinieSatsBeløb in $Oplysningslinie/ns1:PunktAfgiftØvrigeOplysninger/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb
                                                        return
                                                            &lt;ns0:AfgiftPligtigSatsBeloeb>{ xs:decimal( data($PunktAfgiftAngivelsePligtLinieSatsBeløb) ) }&lt;/ns0:AfgiftPligtigSatsBeloeb>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelseAfgiftPligtigMængde in $Oplysningslinie/ns1:PunktAfgiftØvrigeOplysninger/ns1:PunktAfgiftAngivelseAfgiftPligtigMængde
                                                        return
                                                            &lt;ns0:AfgiftPligtigMaengde>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftPligtigMængde) ) }&lt;/ns0:AfgiftPligtigMaengde>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelseAfgiftBeløb in $Oplysningslinie/ns1:PunktAfgiftØvrigeOplysninger/ns1:PunktAfgiftAngivelseAfgiftBeløb
                                                        return
                                                            &lt;ns0:AfgiftBeloeb>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftBeløb) ) }&lt;/ns0:AfgiftBeloeb>
                                                    }
                                                    {
                                                        for $BlanketForretningOmrådeKode in $Oplysningslinie/ns1:PunktAfgiftØvrigeOplysninger/ns1:BlanketForretningOmrådeKode
                                                        return
                                                            &lt;ns0:ForretningsOmraadeKode>{ data($BlanketForretningOmrådeKode) }&lt;/ns0:ForretningsOmraadeKode>
                                                    }
                                                &lt;/ns0:PunktAfgiftOevrige>
                                        }
                                    &lt;/ns0:PunktAfgiftOevrigeListe>
                                 else ""
                            }
                            {
                                let $SpilOplysningListe := $InputParametre/ns1:SpilOplysningListe
                                return if(count($SpilOplysningListe) > 0) then
                                    &lt;ns0:PunktAfgiftSpilListe>
                                        {
                                            for $SpilOplysningLinie in $SpilOplysningListe/ns1:SpilOplysningLinie
                                            return
                                                &lt;ns0:PunktAfgiftSpil>
	                                                {
                                                        for $BlanketParametrePligtLinieKode in $SpilOplysningLinie/ns1:PunktAfgiftSpilOplysninger/ns1:BlanketParametrePligtLinieKode
                                                        return if (string-length($BlanketParametrePligtLinieKode) &lt;= 3 ) then
                                                            &lt;ns0:PligtLinieKode>{  padInFront(data($BlanketParametrePligtLinieKode),3,'0' )}&lt;/ns0:PligtLinieKode>
                                                        else 
                                                        	&lt;ns0:PligtLinieKode>{ data(substring($BlanketParametrePligtLinieKode,string-length($BlanketParametrePligtLinieKode) - 2,string-length($BlanketParametrePligtLinieKode))) }&lt;/ns0:PligtLinieKode>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelseAfgiftBeløb in $SpilOplysningLinie/ns1:PunktAfgiftSpilOplysninger/ns1:PunktAfgiftAngivelseAfgiftBeløb
                                                        return
                                                            &lt;ns0:AfgiftBeloeb>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftBeløb) ) }&lt;/ns0:AfgiftBeloeb>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelseAfgiftGrundlagBeløb in $SpilOplysningLinie/ns1:PunktAfgiftSpilOplysninger/ns1:PunktAfgiftAngivelseAfgiftGrundlagBeløb
                                                        return
                                                            &lt;ns0:AfgiftGrundBeloeb>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftGrundlagBeløb) ) }&lt;/ns0:AfgiftGrundBeloeb>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelsePligtLinieSatsBeløb in $SpilOplysningLinie/ns1:PunktAfgiftSpilOplysninger/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb
                                                        return
                                                            &lt;ns0:AfgiftPligtigSatsBeloeb>{ xs:decimal( data($PunktAfgiftAngivelsePligtLinieSatsBeløb) ) }&lt;/ns0:AfgiftPligtigSatsBeloeb>
                                                    }
                                                &lt;/ns0:PunktAfgiftSpil>
                                        }
                                    &lt;/ns0:PunktAfgiftSpilListe>
                                 else ""
                            }
                            {
                                let $GebyrOplysninger := $InputParametre/ns1:GebyrOplysninger
                                return if(count($GebyrOplysninger) > 0) then
                                    &lt;ns0:PunktAfgiftSpilleautomatGebyrListe>
                                        {
                                            let $PunktAfgiftGebyrOplysninger := $GebyrOplysninger/ns1:PunktAfgiftGebyrOplysninger
                                            return
                                                &lt;ns0:PunktAfgiftSpilleautomatGebyr>
                                                    {
                                                        for $PunktAfgiftAngivelsePligtLinieSatsBeløb in $PunktAfgiftGebyrOplysninger/ns1:PunktAfgiftAngivelsePligtLinieSatsBeløb
                                                        return
                                                            &lt;ns0:AfgiftPligtigSatsBeloeb>{ xs:decimal( data($PunktAfgiftAngivelsePligtLinieSatsBeløb) ) }&lt;/ns0:AfgiftPligtigSatsBeloeb>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelseAfgiftPligtigMængde in $PunktAfgiftGebyrOplysninger/ns1:PunktAfgiftAngivelseAfgiftPligtigMængde
                                                        return
                                                            &lt;ns0:AfgiftPligtigMaengde>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftPligtigMængde) ) }&lt;/ns0:AfgiftPligtigMaengde>
                                                    }
                                                    {
                                                        for $PunktAfgiftAngivelseAfgiftBeløb in $PunktAfgiftGebyrOplysninger/ns1:PunktAfgiftAngivelseAfgiftBeløb
                                                        return
                                                            &lt;ns0:AfgiftBeloeb>{ xs:decimal( data($PunktAfgiftAngivelseAfgiftBeløb) ) }&lt;/ns0:AfgiftBeloeb>
                                                    }
                                                &lt;/ns0:PunktAfgiftSpilleautomatGebyr>
                                        }
                                    &lt;/ns0:PunktAfgiftSpilleautomatGebyrListe>
                                else ""
                            }
                        &lt;/ns0:PunktAfgiftOplysninger>
                       
                }
                {
                    for $PunktAfgiftAngivelseTilsvarIalt in $PunktAfgiftAngivelseOpret_I/ns1:PunktAngivelseInddata/ns1:PunktAfgiftAngivelseTilsvarIalt
                    return
                        &lt;ns0:TilSvarIalt>{ xs:decimal( data($PunktAfgiftAngivelseTilsvarIalt) ) }&lt;/ns0:TilSvarIalt>
                }
                {
                    for $BetalingDato in $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:BetalingInddata/ns1:BetalingDato
                    return
                        &lt;ns0:BetalingsDato>{ data($BetalingDato) }&lt;/ns0:BetalingsDato>
                }
                {
                    for $BetalingBeløb in $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:BetalingInddata/ns1:BetalingBeløb
                    return
                        &lt;ns0:BetalingsBeloeb>{ xs:decimal( data($BetalingBeløb) ) }&lt;/ns0:BetalingsBeloeb>
                }
                {
                    for $AngivelseKvitteringNummer in $PunktAfgiftAngivelseOpret_I/ns1:AngivelseInddata/ns1:AngivelseKvitteringNummer
                    return
                        &lt;ns0:KvitteringsNummer>{ data($AngivelseKvitteringNummer) }&lt;/ns0:KvitteringsNummer>
                }
            &lt;/ns0:PunktAfgiftAngivelseOpret>
};

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare variable $punktAfgiftAngivelseOpret_I1 as element(ns1:PunktAfgiftAngivelseOpret_I) external;

xf:PunktAfgiftAngivelseOpret_I($punktAfgiftAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>