<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/Transforms/PunktAfgiftAngivelseOpret_O/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:PunktAfgiftAngivelseOpret_O($punktAfgiftAngivelseOpretSvar1 as element(ns0:PunktAfgiftAngivelseOpretSvar))
    as element(ns1:PunktAfgiftAngivelseOpret_O) {
        let $PunktAfgiftAngivelseOpretSvar := $punktAfgiftAngivelseOpretSvar1
        return
            &lt;ns1:PunktAfgiftAngivelseOpret_O>
                {
                    let $Kontekst := $PunktAfgiftAngivelseOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    for $AngivelseOpretAendreSvar in $PunktAfgiftAngivelseOpretSvar/ns0:AngivelseOpretAendreSvar
                    return
                        &lt;ns1:Resultat>
                            &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($AngivelseOpretAendreSvar/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                            {
                                for $OCRLinie in $AngivelseOpretAendreSvar/ns0:OCRLinie
                                return
                                    &lt;ns1:OCRLinie>
                                        &lt;ns1:AngivelseOCRKortType>{ xs:integer( data($OCRLinie/ns0:KortType) ) }&lt;/ns1:AngivelseOCRKortType>
                                        &lt;ns1:AngivelseOCRNummer>{ xs:string( data($OCRLinie/ns0:OCRNummer) ) }&lt;/ns1:AngivelseOCRNummer>
                                        &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                                    &lt;/ns1:OCRLinie>
                            }
                            {
                                for $ValutaKode in $AngivelseOpretAendreSvar/ns0:ValutaKode
                                return
                                    &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                            }
                            &lt;ns1:BetalingUddata>
                                {
                                    for $BetalingsDato in $AngivelseOpretAendreSvar/ns0:BetalingsDato
                                    return
                                        &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                                }
                                {
                                    for $BetalingsBeloeb in $AngivelseOpretAendreSvar/ns0:BetalingsBeloeb
                                    return
                                        &lt;ns1:BetalingBeløb>{ xs:integer( data($BetalingsBeloeb) ) }&lt;/ns1:BetalingBeløb>
                                }
                            &lt;/ns1:BetalingUddata>
                        &lt;/ns1:Resultat>
                }
            &lt;/ns1:PunktAfgiftAngivelseOpret_O>
};

declare variable $punktAfgiftAngivelseOpretSvar1 as element(ns0:PunktAfgiftAngivelseOpretSvar) external;

xf:PunktAfgiftAngivelseOpret_O($punktAfgiftAngivelseOpretSvar1)</con:xquery>
</con:xqueryEntry>