<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/RegistreringForholdBevillingHent_Tactical_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:RegistreringForholdBevillingHent_Tactical_2_SKAT_Output($registreringsForholdBevillingHentSvar1 as element(ns0:RegistreringsForholdBevillingHentSvar))
    as element(ns1:RegistreringForholdBevillingHent_O) {
        let $RegistreringsForholdBevillingHentSvar := $registreringsForholdBevillingHentSvar1
        return
            &lt;ns1:RegistreringForholdBevillingHent_O>
                {
                    let $Kontekst := $RegistreringsForholdBevillingHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                let $RegistreringsForholdBevillingHentSvar := $registreringsForholdBevillingHentSvar1
                return if(count($RegistreringsForholdBevillingHentSvar/ns0:VirksomhedBevillingsOplysningerListe/ns0:SENummer)>0) then 
                &lt;ns1:ResultatListe>
                    {
                        for $VirksomhedBevillingsOplysningerListe in $RegistreringsForholdBevillingHentSvar/ns0:VirksomhedBevillingsOplysningerListe
                        return
                            &lt;ns1:VirksomhedIdentifikation>
                                &lt;ns1:VirksomhedSENummer>{ data($VirksomhedBevillingsOplysningerListe/ns0:SENummer) }&lt;/ns1:VirksomhedSENummer>
                                &lt;ns1:BevillingForholdUddataListe>
                                    {
                                        for $VirksomhedBevillingsOplysninger in $VirksomhedBevillingsOplysningerListe/ns0:VirksomhedBevillingsOplysninger
                                        return
                                            &lt;ns1:BevillingForholdUddataEnhed>
                                                &lt;ns1:PligtKode>{ padInFront(data($VirksomhedBevillingsOplysninger/ns0:PligtKode),3,'0') }&lt;/ns1:PligtKode>
                                                &lt;ns1:RegistreringForholdStartDato>{ data($VirksomhedBevillingsOplysninger/ns0:RegistreringsForholdStartDato) }&lt;/ns1:RegistreringForholdStartDato>
                                                {
                                                    for $ForretningsOmraadeKode in $VirksomhedBevillingsOplysninger/ns0:ForretningsOmraadeKode
                                                    return
                                                        &lt;ns1:ForretningOmrådeForholdKode>{ padInFront( data($ForretningsOmraadeKode),3,'0' ) }&lt;/ns1:ForretningOmrådeForholdKode>
                                                }
                                                {
                                                    for $ForretningsOmraadeForholdStartDato in $VirksomhedBevillingsOplysninger/ns0:ForretningsOmraadeForholdStartDato
                                                    return
                                                        &lt;ns1:ForretningOmrådeForholdStartDato>{ data($ForretningsOmraadeForholdStartDato) }&lt;/ns1:ForretningOmrådeForholdStartDato>
                                                }
                                                {
                                                    for $OplysningsVirksomhedsKode in $VirksomhedBevillingsOplysninger/ns0:OplysningsVirksomhedsKode
                                                    return
                                                        &lt;ns1:BevillingForholdOplysningVirksomhedKode>{ data($OplysningsVirksomhedsKode) }&lt;/ns1:BevillingForholdOplysningVirksomhedKode>
                                                }
                                                {
                                                    for $OplysningsTypeKode in $VirksomhedBevillingsOplysninger/ns0:OplysningsTypeKode
                                                    return
                                                        &lt;ns1:BevillingForholdOplysningTypeKode>{ padInFront( data($OplysningsTypeKode),3,'0' ) }&lt;/ns1:BevillingForholdOplysningTypeKode>
                                                }
                                                {
                                                    for $OplysningsVirksomhedsForholdStartDato in $VirksomhedBevillingsOplysninger/ns0:OplysningsVirksomhedsForholdStartDato
                                                    return
                                                        &lt;ns1:BevillingForholdOplysningVirksomhedForholdStartDato>{ data($OplysningsVirksomhedsForholdStartDato) }&lt;/ns1:BevillingForholdOplysningVirksomhedForholdStartDato>
                                                }
                                                {
                                                    for $BevillingsKode in $VirksomhedBevillingsOplysninger/ns0:BevillingsKode
                                                    return
                                                        &lt;ns1:BevillingForholdBevillingKode>{ padInFront(data($BevillingsKode),3,'0')  }&lt;/ns1:BevillingForholdBevillingKode>
                                                }
                                                {
                                                    for $BevillingsForholdStartDato in $VirksomhedBevillingsOplysninger/ns0:BevillingsForholdStartDato
                                                    return
                                                        &lt;ns1:BevillingForholdStartDato>{ data($BevillingsForholdStartDato) }&lt;/ns1:BevillingForholdStartDato>
                                                }
                                                {
                                                    for $BevillingsForholdSlutDato in $VirksomhedBevillingsOplysninger/ns0:BevillingsForholdSlutDato
                                                    return
                                                        &lt;ns1:BevillingForholdSlutDato>{ data($BevillingsForholdSlutDato) }&lt;/ns1:BevillingForholdSlutDato>
                                                }
                                            &lt;/ns1:BevillingForholdUddataEnhed>
                                    }
                                &lt;/ns1:BevillingForholdUddataListe>
                            &lt;/ns1:VirksomhedIdentifikation>
                    }
                 &lt;/ns1:ResultatListe>
                 else ""
                }
            &lt;/ns1:RegistreringForholdBevillingHent_O>
};

declare variable $registreringsForholdBevillingHentSvar1 as element(ns0:RegistreringsForholdBevillingHentSvar) external;

xf:RegistreringForholdBevillingHent_Tactical_2_SKAT_Output($registreringsForholdBevillingHentSvar1)</con:xquery>
</con:xqueryEntry>