<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/SpecifikationAngivelsePeriodeValider_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:SpecifikationAngivelsePeriodeValider_SKAT_2_Tactical_Input($specifikationAngivelsePeriodeValider_I1 as element(ns1:SpecifikationAngivelsePeriodeValider_I))
    as element(ns0:SpecPeriodeValiderList) {
        let $SpecifikationAngivelsePeriodeValider_I := $specifikationAngivelsePeriodeValider_I1
        return
            &lt;ns0:SpecPeriodeValiderList>
                {
                    let $Kontekst := $SpecifikationAngivelsePeriodeValider_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                    for $PunktafgiftInddata in $SpecifikationAngivelsePeriodeValider_I/ns1:PunktafgiftListeInddata/ns1:PunktafgiftInddata
                    return
                        &lt;ns0:SpecPeriodeValiderListe>
                            {
                                let $AngiverVirksomhedCVRNummer := $PunktafgiftInddata/ns1:AngiverVirksomhedCVRNummer
                                return
                                    &lt;ns0:SENummerAngiver>{data ($PunktafgiftInddata/ns1:AngiverVirksomhedCVRNummer/ns1:VirksomhedCVRNummer) }&lt;/ns0:SENummerAngiver>
                            }
                            &lt;ns0:KvitteringsNummer>{ xs:string( data($PunktafgiftInddata/ns1:AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringsNummer>
                            &lt;ns0:PligtKode>{ xs:string( padInFront( data($PunktafgiftInddata/ns1:PligtKode), 3, '0' ) ) }&lt;/ns0:PligtKode>
                            {
                                let $AngivelseValgtPeriode := $PunktafgiftInddata/ns1:AngivelseValgtPeriode
                                return
                                    &lt;ns0:AngivelserValgtPeriode>
                                        {
                                            for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                            return
                                                &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                        }
                                        &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                                    &lt;/ns0:AngivelserValgtPeriode>
                            }
                        &lt;/ns0:SpecPeriodeValiderListe>
                }
            &lt;/ns0:SpecPeriodeValiderList>
};

declare variable $specifikationAngivelsePeriodeValider_I1 as element(ns1:SpecifikationAngivelsePeriodeValider_I) external;

xf:SpecifikationAngivelsePeriodeValider_SKAT_2_Tactical_Input($specifikationAngivelsePeriodeValider_I1)</con:xquery>
</con:xqueryEntry>