<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/Deliverance1/SpecifikationAngivelsePeriodeValider_Tactical_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare function xf:SpecifikationAngivelsePeriodeValider_Tactical_2_SKAT_Output($specPeriodeValiderListSvar1 as element(ns0:SpecPeriodeValiderListSvar))
    as element(ns1:SpecifikationAngivelsePeriodeValider_O) {
        let $SpecPeriodeValiderListSvar := $specPeriodeValiderListSvar1
        return
            &lt;ns1:SpecifikationAngivelsePeriodeValider_O>
                {
                    let $Kontekst := $SpecPeriodeValiderListSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                if ( count ($SpecPeriodeValiderListSvar/ns0:SpecPeriodeValiderOplysningerListe) > 0) then
                &lt;ns1:PunktafgiftListeUddata>
                    {
                        for $SpecPeriodeValiderOplysningerListe in $SpecPeriodeValiderListSvar/ns0:SpecPeriodeValiderOplysningerListe
                        return
                            &lt;ns1:PunktafgiftUddata>
                                &lt;ns1:AngiverVirksomhedCVRNummer>
                                    &lt;ns1:VirksomhedCVRNummer>{ xs:string( padInFront( data($SpecPeriodeValiderOplysningerListe/ns0:SENummerAngiver), 3, '0' ) ) }&lt;/ns1:VirksomhedCVRNummer>
                                &lt;/ns1:AngiverVirksomhedCVRNummer>
                                &lt;ns1:AngivelseKvitteringNummer>{ xs:integer( data($SpecPeriodeValiderOplysningerListe/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                &lt;ns1:PligtKode>{ xs:string( data($SpecPeriodeValiderOplysningerListe/ns0:PligtKode) ) }&lt;/ns1:PligtKode>
                                {
                                    let $AngivelserValgtPeriode := $SpecPeriodeValiderOplysningerListe/ns0:AngivelserValgtPeriode
                                    return
                                        &lt;ns1:AngivelseValgtPeriode>
                                            {
                                                for $StartDato in $AngivelserValgtPeriode/ns0:StartDato
                                                return
                                                    &lt;ns1:AngivelseValgtPeriodeStartDato>{ data($StartDato) }&lt;/ns1:AngivelseValgtPeriodeStartDato>
                                            }
                                            &lt;ns1:AngivelseValgtPeriodeSlutDato>{ data($AngivelserValgtPeriode/ns0:SlutDato) }&lt;/ns1:AngivelseValgtPeriodeSlutDato>
                                        &lt;/ns1:AngivelseValgtPeriode>
                                }
                            &lt;/ns1:PunktafgiftUddata>
                    }
                &lt;/ns1:PunktafgiftListeUddata>
                else ""
                }
            &lt;/ns1:SpecifikationAngivelsePeriodeValider_O>
};

declare variable $specPeriodeValiderListSvar1 as element(ns0:SpecPeriodeValiderListSvar) external;

xf:SpecifikationAngivelsePeriodeValider_Tactical_2_SKAT_Output($specPeriodeValiderListSvar1)</con:xquery>
</con:xqueryEntry>