<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/deliverance2/SpecAngOpretSKAT2TACTINPUT/";
declare namespace ns0 = "http://skat.dk/tse/wmdata/xml/schema/spil/2008/01701";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:SpecAngOpretSKAT2TACTINPUT($specifikationSpilAngivelseOpret_I1 as element(ns1:SpecifikationSpilAngivelseOpret_I))
    as element(ns0:SpilleSpecifikationsAngivelseOpret) {
        let $SpecifikationSpilAngivelseOpret_I := $specifikationSpilAngivelseOpret_I1
        return
            &lt;ns0:SpilleSpecifikationsAngivelseOpret>
                {
                    let $Kontekst := $SpecifikationSpilAngivelseOpret_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:SpilleSpecifikationsAngivelse>
                    &lt;ns0:CVRAngiver>{ data($SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:AngiverVirksomhedCVRNummer/ns1:VirksomhedCVRNummer) }&lt;/ns0:CVRAngiver>
                    &lt;ns0:CVRIndberetter>{ data($SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:IndberetterVirksomhedSENummer/ns1:VirksomhedSENummer) }&lt;/ns0:CVRIndberetter>
                    &lt;ns0:IndberetningsFormKode>{ 
						padInFront(data($SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:AngivelseIndata/ns1:AngivelseValgtIndberetningFormKode),3,'0' )
                    }&lt;/ns0:IndberetningsFormKode>
                    &lt;ns0:KvitteringNummer>{ xs:string( data($SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:AngivelseIndata/ns1:AngivelseKvitteringNummer) ) }&lt;/ns0:KvitteringNummer>
                    {
                        let $AngivelseValgtPeriode := $SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:AngivelseIndata/ns1:AngivelseValgtPeriode
                        return
                            &lt;ns0:Periode>
                                {
                                    for $AngivelseValgtPeriodeStartDato in $AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeStartDato
                                    return
                                        &lt;ns0:StartDato>{ data($AngivelseValgtPeriodeStartDato) }&lt;/ns0:StartDato>
                                }
                                &lt;ns0:SlutDato>{ data($AngivelseValgtPeriode/ns1:AngivelseValgtPeriodeSlutDato) }&lt;/ns0:SlutDato>
                            &lt;/ns0:Periode>
                    }
                    &lt;ns0:Valuta>{ data($SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:AngivelseIndata/ns1:AngivelseValuta) }&lt;/ns0:Valuta>
                    {
                        let $SpecifikationSpilAngivelseInddataListe := $SpecifikationSpilAngivelseOpret_I/ns1:SpecifikationSpilAngivelseInddataListe
                        return
                            &lt;ns0:Specifikationer>
                                {
                                    for $SpecifikationSpilAngivelseInddata in $SpecifikationSpilAngivelseInddataListe/ns1:SpecifikationSpilAngivelseInddata
                                    return
                                        &lt;ns0:Specifikation>
                                            &lt;ns0:Tilladelse>{ xs:integer( data($SpecifikationSpilAngivelseInddata/ns1:SpillestedTilladelseId) ) }&lt;/ns0:Tilladelse>
                                            {
                                                let $SpilTivoliSpecifikation := $SpecifikationSpilAngivelseInddata/ns1:SpecifikationstypeInddata/ns1:SpilTivoliSpecifikation
                                                return if(count($SpilTivoliSpecifikation)>0) then
                                                    &lt;ns0:TivoliSpecifikation>
                                                        &lt;ns0:SpilIndsatsBeloeb>{ xs:string( data($SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb) ) }&lt;/ns0:SpilIndsatsBeloeb>
                                                        &lt;ns0:UdbGevinstAutomatBeloeb>{ xs:string( data($SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) ) }&lt;/ns0:UdbGevinstAutomatBeloeb>
                                                        {
                                                            for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                            return
                                                                &lt;ns0:UdbGevinstKassenBeloeb>{ xs:string( data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) ) }&lt;/ns0:UdbGevinstKassenBeloeb>
                                                        }
                                                        &lt;ns0:BruttoSpilIndtaegtBeloeb>{ xs:string( data($SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) ) }&lt;/ns0:BruttoSpilIndtaegtBeloeb>
                                                        {
                                                            for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                            return
                                                                &lt;ns0:AfgGrundlag30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) ) }&lt;/ns0:AfgGrundlag30PctBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseFradrag250TusindeBeløb in $SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb
                                                            return
                                                                &lt;ns0:Fradrag250TusindeBeloeb>{ xs:string( data($SpecifikationSpilAngivelseFradrag250TusindeBeløb) ) }&lt;/ns0:Fradrag250TusindeBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseTillægNote1Beløb in $SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote1Beløb
                                                            return
                                                                &lt;ns0:TillaegNote1Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote1Beløb) ) }&lt;/ns0:TillaegNote1Beloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseTillægNote2Beløb in $SpilTivoliSpecifikation/ns1:TivoliSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote2Beløb
                                                            return
                                                                &lt;ns0:TillaegNote2Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote2Beløb) ) }&lt;/ns0:TillaegNote2Beloeb>
                                                        }
                                                    &lt;/ns0:TivoliSpecifikation>
                                                    else ""
                                            } 
                                            {
                                                let $SpilRestaurationSpecifikation := $SpecifikationSpilAngivelseInddata/ns1:SpecifikationstypeInddata/ns1:SpilRestaurationSpecifikation
                                                return if(count($SpilRestaurationSpecifikation)>0) then
                                                    &lt;ns0:RestaurantSpecifikation>
                                                        &lt;ns0:SpilIndsatsBeloeb>{ xs:string( data($SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb) ) }&lt;/ns0:SpilIndsatsBeloeb>
                                                        &lt;ns0:UdbGevinstAutomatBeloeb>{ xs:string( data($SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) ) }&lt;/ns0:UdbGevinstAutomatBeloeb>
                                                        {
                                                            for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                            return
                                                                &lt;ns0:UdbGevinstKassenBeloeb>{ xs:string( data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) ) }&lt;/ns0:UdbGevinstKassenBeloeb>
                                                        }
                                                        &lt;ns0:BruttoSpilIndtaegtBeloeb>{ xs:string( data($SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) ) }&lt;/ns0:BruttoSpilIndtaegtBeloeb>
                                                        {
                                                            for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                            return
                                                                &lt;ns0:AfgGrundlag30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) ) }&lt;/ns0:AfgGrundlag30PctBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseFradrag30TusindeBeløb in $SpilRestaurationSpecifikation/ns1:RestaurationSpecifikation/ns1:SpecifikationSpilAngivelseFradrag30TusindeBeløb
                                                            return
                                                                &lt;ns0:Fradrag30TusindeBeloeb>{ xs:string( data($SpecifikationSpilAngivelseFradrag30TusindeBeløb) ) }&lt;/ns0:Fradrag30TusindeBeloeb>
                                                        }
                                                    &lt;/ns0:RestaurantSpecifikation>
                                                    else ""
                                            }
                                            {
                                                let $SpilSpillehalSpecifikation := $SpecifikationSpilAngivelseInddata/ns1:SpecifikationstypeInddata/ns1:SpilSpillehalSpecifikation
                                                return if(count($SpilSpillehalSpecifikation)>0) then
                                                    &lt;ns0:SpillehalSpecifikation>
                                                        &lt;ns0:SpilIndsatsBeloeb>{ xs:string( data($SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseSpilIndsatsBeløb) ) }&lt;/ns0:SpilIndsatsBeloeb>
                                                        &lt;ns0:UdbGevinstAutomatBeloeb>{ xs:string( data($SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstAutomatBeløb) ) }&lt;/ns0:UdbGevinstAutomatBeloeb>
                                                        {
                                                            for $SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb
                                                            return
                                                                &lt;ns0:UdbGevinstKassenBeloeb>{ xs:string( data($SpecifikationSpilAngivelseUdbetaltGevinstKassenBeløb) ) }&lt;/ns0:UdbGevinstKassenBeloeb>
                                                        }
                                                        &lt;ns0:BruttoSpilIndtaegtBeloeb>{ xs:string( data($SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægtBeløb) ) }&lt;/ns0:BruttoSpilIndtaegtBeloeb>
                                                        {
                                                            for $SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb
                                                            return
                                                                &lt;ns0:AfgGrundlag30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftGrundlag30ProcentBeløb) ) }&lt;/ns0:AfgGrundlag30PctBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseFradrag250TusindeBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseFradrag250TusindeBeløb
                                                            return
                                                                &lt;ns0:Fradrag250TusindeBeloeb>{ xs:string( data($SpecifikationSpilAngivelseFradrag250TusindeBeløb) ) }&lt;/ns0:Fradrag250TusindeBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseTillægNote1Beløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote1Beløb
                                                            return
                                                                &lt;ns0:TillaegNote1Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote1Beløb) ) }&lt;/ns0:TillaegNote1Beloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseTillægNote2Beløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseTillægNote2Beløb
                                                            return
                                                                &lt;ns0:TillaegNote2Beloeb>{ xs:string( data($SpecifikationSpilAngivelseTillægNote2Beløb) ) }&lt;/ns0:TillaegNote2Beloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb
                                                            return
                                                                &lt;ns0:BruttoSpilIndtaegt40PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseBruttoSpilIndtægt40ProcentBeløb) ) }&lt;/ns0:BruttoSpilIndtaegt40PctBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseAfgift30ProcentBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseAfgift30ProcentBeløb
                                                            return
                                                                &lt;ns0:Afgift30PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgift30ProcentBeløb) ) }&lt;/ns0:Afgift30PctBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb
                                                            return
                                                                &lt;ns0:NedslagBerettigetAfgiftBeloeb>{ xs:string( data($SpecifikationSpilAngivelseNedslagBerettigetAfgiftBeløb) ) }&lt;/ns0:NedslagBerettigetAfgiftBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseMidlerUdlodningBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseMidlerUdlodningBeløb
                                                            return
                                                                &lt;ns0:MidlerUdlodningBeloeb>{ xs:string( data($SpecifikationSpilAngivelseMidlerUdlodningBeløb) ) }&lt;/ns0:MidlerUdlodningBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseNedslag95ProcentBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseNedslag95ProcentBeløb
                                                            return
                                                                &lt;ns0:Nedslag95PctBeloeb>{ xs:string( data($SpecifikationSpilAngivelseNedslag95ProcentBeløb) ) }&lt;/ns0:Nedslag95PctBeloeb>
                                                        }
                                                        {
                                                            for $SpecifikationSpilAngivelseAfgiftNedslagBeløb in $SpilSpillehalSpecifikation/ns1:SpillehalSpecifikation/ns1:SpecifikationSpilAngivelseAfgiftNedslagBeløb
                                                            return
                                                                &lt;ns0:AfgiftNedslagBeloeb>{ xs:string( data($SpecifikationSpilAngivelseAfgiftNedslagBeløb) ) }&lt;/ns0:AfgiftNedslagBeloeb>
                                                        }
                                                    &lt;/ns0:SpillehalSpecifikation>
                                                    else ""
                                            }
                                        &lt;/ns0:Specifikation>
                                }
                            &lt;/ns0:Specifikationer>
                    }
                    &lt;ns0:Tid>{ xs:string( data($SpecifikationSpilAngivelseOpret_I/ns1:VirksomhedIdentifikation/ns1:AngivelseIndata/ns1:AngivelseAngivelseTid) ) }&lt;/ns0:Tid>
                &lt;/ns0:SpilleSpecifikationsAngivelse>
            &lt;/ns0:SpilleSpecifikationsAngivelseOpret>
};

declare function padInFront($value as xs:string, $requiredLength as xs:integer, $character as xs:string){

	if(string-length($value) &lt; $requiredLength) then padInFront(concat($character, $value), $requiredLength, $character)
	else $value
};

declare variable $specifikationSpilAngivelseOpret_I1 as element(ns1:SpecifikationSpilAngivelseOpret_I) external;

xf:SpecAngOpretSKAT2TACTINPUT($specifikationSpilAngivelseOpret_I1)</con:xquery>
</con:xqueryEntry>