<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/SpillestederHent_Tactical_2_SKAT_Output/";
declare namespace ns0 = "http://skat.dk/tse/wmdata/xml/schema/spil/2008/01701";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:SpillestederHent_Tactical_2_SKAT_Output($tilladelseHentSvar1 as element(ns0:TilladelseHentSvar))
    as element(ns1:SpillestederHent_O) {
        let $TilladelseHentSvar := $tilladelseHentSvar1
        return
            &lt;ns1:SpillestederHent_O>
                {
                    let $Kontekst := $TilladelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                    for $Spillesteder in $TilladelseHentSvar/ns0:Spillesteder
                    return
                        &lt;ns1:TilladelserForSpillested>
                            {
                                for $Spillested in $Spillesteder/ns0:Spillested
                                where data($Spillested/ns0:Journalnr) = data($Spillested/ns0:Journalnr)
                                return
                                    &lt;ns1:Tilladelse>
                                        &lt;ns1:SpillestedTilladelseId>{ xs:string( data($Spillested/ns0:TilladelsesId) ) }&lt;/ns1:SpillestedTilladelseId>
                                        &lt;ns1:SpillestedNavn>{ data($Spillested/ns0:Navn) }&lt;/ns1:SpillestedNavn>
                                        &lt;ns1:SpillestedAdresse>{ data($Spillested/ns0:Adresse) }&lt;/ns1:SpillestedAdresse>
                                        &lt;ns1:SpillestedPostNummer>{ xs:integer( data($Spillested/ns0:Postnr) ) }&lt;/ns1:SpillestedPostNummer>
                                        &lt;ns1:SpillestedPostDistrikt>{ substring(data($Spillested/ns0:By), 1, 20 )}&lt;/ns1:SpillestedPostDistrikt>
                                        &lt;ns1:SpillestedType>{ data($Spillested/ns0:Type) }&lt;/ns1:SpillestedType>
                                        &lt;ns1:SpillestedJournalNummer>{ xs:string( data($Spillested/ns0:Journalnr) ) }&lt;/ns1:SpillestedJournalNummer>
                                        &lt;ns1:SpillestedMaxAntal>{ xs:integer( data($Spillested/ns0:Maxantal) ) }&lt;/ns1:SpillestedMaxAntal>
                                        &lt;ns1:SpillestedStartDato>{ xs:date( substring ( data($Spillested/ns0:Startdato), 0, 11 ) ) }&lt;/ns1:SpillestedStartDato>
                                        &lt;ns1:SpillestedSlutDato>{ xs:date( substring ( data($Spillested/ns0:Slutdato), 0, 11 ) ) }&lt;/ns1:SpillestedSlutDato>
                                        {
                                            for $Afmeldelsesdato in $Spillested/ns0:Afmeldelsesdato
                                            return
                                                &lt;ns1:SpillestedAfmeldelseDato>{ xs:date( substring ( data($Afmeldelsesdato), 0, 11 ) ) }&lt;/ns1:SpillestedAfmeldelseDato>
                                        }
                                    &lt;/ns1:Tilladelse>
                            }
                        &lt;/ns1:TilladelserForSpillested>
                }
            &lt;/ns1:SpillestederHent_O>
};

declare variable $tilladelseHentSvar1 as element(ns0:TilladelseHentSvar) external;

xf:SpillestederHent_Tactical_2_SKAT_Output($tilladelseHentSvar1)</con:xquery>
</con:xqueryEntry>