<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UdbytteModtagerAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UdbytteModtagerAngivelseHent_TACTICAL_2_SKAT_Output($udbytteModtagerAngivelseHentSvar1 as element(ns0:UdbytteModtagerAngivelseHentSvar))
    as element(ns1:UdbytteModtagerAngivelseHent_O) {
        let $UdbytteModtagerAngivelseHentSvar := $udbytteModtagerAngivelseHentSvar1
        return
            &lt;ns1:UdbytteModtagerAngivelseHent_O>
                {
                    let $Kontekst := $UdbytteModtagerAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                let $ModtagerAngivelseHentSvarListe := $UdbytteModtagerAngivelseHentSvar/ns0:UdbytteModtagerAngivelseHentSvarListe
                return if(count($ModtagerAngivelseHentSvarListe) > 0) then
	                &lt;ns1:UdbytteModtagerAngivelseListe>
	                    {
	                        for $UdbytteModtagerAngivelseHentSvarListe in $UdbytteModtagerAngivelseHentSvar/ns0:UdbytteModtagerAngivelseHentSvarListe
	                        return
	                            &lt;ns1:UdbytteModtagerAngivelseUddata>
	                                {
			                            let $SpecKode := $UdbytteModtagerAngivelseHentSvarListe/ns0:SpecTypeKode
			                            return
			                            if($SpecKode = "0") then
		                                &lt;ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>{xs:string("Person")}&lt;/ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>
		                                else if($SpecKode = "1") then
		                                &lt;ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>{xs:string("Selskab")}&lt;/ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>
		                                else ""
	                                }  
	                                {
	                                    let $EjerforholdAktieKode := $UdbytteModtagerAngivelseHentSvarListe/ns0:EjerforholdAktieKode
	                                    return if(fn:compare($EjerforholdAktieKode, '0') = 0) then
	                                        &lt;ns1:UdbytteModtagerAngivelseEjerAktieKode>{ xs:integer(1) }&lt;/ns1:UdbytteModtagerAngivelseEjerAktieKode>
	                                    else if(fn:compare($EjerforholdAktieKode, '1') = 0) then
	                                    	&lt;ns1:UdbytteModtagerAngivelseEjerAktieKode>{ xs:integer(0) }&lt;/ns1:UdbytteModtagerAngivelseEjerAktieKode>
                                    	else if(fn:compare($EjerforholdAktieKode, '2') = 0) then
	                                    	&lt;ns1:UdbytteModtagerAngivelseEjerAktieKode>{ xs:integer(2) }&lt;/ns1:UdbytteModtagerAngivelseEjerAktieKode>
	                                    else ""
	                                }
	                                
	                                &lt;ns1:UdbytteModtagerAngivelseIndkomstÅr>{ xs:integer( data($UdbytteModtagerAngivelseHentSvarListe/ns0:IndkomstAar) ) }&lt;/ns1:UdbytteModtagerAngivelseIndkomstÅr>
	                                {
	                                    for $LandeKode in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:LandeKode
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseLandeKode>{ data($LandeKode) }&lt;/ns1:UdbytteModtagerAngivelseLandeKode>
	                                }
	                                &lt;ns1:UdbytteModtagerAngivelseUdbytteBeløb>{ xs:decimal( data($UdbytteModtagerAngivelseHentSvarListe/ns0:UdbytteBeloeb) ) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteBeløb>
	                                {
	                                    for $UdbytteModtagerNummer in $UdbytteModtagerAngivelseHentSvarListe/ns0:UdbytteModtagerNummer
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseUdbytteModtagerNummer>{ xs:string( data($UdbytteModtagerNummer) ) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteModtagerNummer>
	                                }
	                                &lt;ns1:UdbytteModtagerAngivelseUdbytteProcent>{ xs:decimal( data($UdbytteModtagerAngivelseHentSvarListe/ns0:UdbytteProcent) ) }&lt;/ns1:UdbytteModtagerAngivelseUdbytteProcent>
	                                {
	                                    for $ForNavn in $UdbytteModtagerAngivelseHentSvarListe/ns0:ForNavn
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseForNavn>{ data($ForNavn) }&lt;/ns1:UdbytteModtagerAngivelseForNavn>
	                                }
	                                {
	                                    for $EfterNavn in $UdbytteModtagerAngivelseHentSvarListe/ns0:EfterNavn
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseEfterNavn>{ data($EfterNavn) }&lt;/ns1:UdbytteModtagerAngivelseEfterNavn>
	                                }
	                                {
	                                    for $CONavn in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:CONavn
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseCONavn>{ data($CONavn) }&lt;/ns1:UdbytteModtagerAngivelseCONavn>
	                                }
	                                {
	                                    for $VejNavn in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:VejNavn
	                                    return
	                                        &lt;ns1:UdbyttemodtagerAngivelseVejNavn>{ data($VejNavn) }&lt;/ns1:UdbyttemodtagerAngivelseVejNavn>
	                                }
	                                {
	                                    for $HusNummer in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:HusNummer
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseHusNummer>{ data($HusNummer) }&lt;/ns1:UdbytteModtagerAngivelseHusNummer>
	                                }
	                                {
	                                    for $EtageNummer in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:EtageNummer
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseEtageTekst>{ data($EtageNummer) }&lt;/ns1:UdbytteModtagerAngivelseEtageTekst>
	                                }
	                                {
	                                    for $SideDoerNummer in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:SideDoerNummer
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseSideTekst>{ data($SideDoerNummer) }&lt;/ns1:UdbytteModtagerAngivelseSideTekst>
	                                }
	                                {
	                                    for $PostNummer in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:PostNummer
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelsePostNummer>{ data($PostNummer) }&lt;/ns1:UdbytteModtagerAngivelsePostNummer>
	                                }
	                                {
	                                    for $Landsby in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:Landsby
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseByNavn>{ data($Landsby) }&lt;/ns1:UdbytteModtagerAngivelseByNavn>
	                                }
	                                {
	                                    for $PostBox in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:PostBox
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelsePostBoksNummer>{ data($PostBox) }&lt;/ns1:UdbytteModtagerAngivelsePostBoksNummer>
	                                }
	                                {
	                                    for $PostDistrikt in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:PostDistrikt
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelsePostdistriktNavn>{ data($PostDistrikt) }&lt;/ns1:UdbytteModtagerAngivelsePostdistriktNavn>
	                                }
	                                {
	                                    for $HusNavn in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:HusNavn
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseHusNavn>{ data($HusNavn) }&lt;/ns1:UdbytteModtagerAngivelseHusNavn>
	                                }
	                                {
	                                    for $LejlighedVaerelseNummer in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:LejlighedVaerelseNummer
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseLejlighedVærelseNummer>{ data($LejlighedVaerelseNummer) }&lt;/ns1:UdbytteModtagerAngivelseLejlighedVærelseNummer>
	                                }
	                                {
	                                    for $EgnLandsdelStat in $UdbytteModtagerAngivelseHentSvarListe/ns0:EUAdresseOplysninger/ns0:EgnLandsdelStat
	                                    return
	                                        &lt;ns1:UdbytteModtagerAngivelseEgnLandsdelStat>{ data($EgnLandsdelStat) }&lt;/ns1:UdbytteModtagerAngivelseEgnLandsdelStat>
	                                }
	                                {
	                                    let $FrikortKode := $UdbytteModtagerAngivelseHentSvarListe/ns0:FrikortKode
	                                    return if(fn:compare($FrikortKode, '1') = 0) then
	                                        &lt;ns1:UdbytteModtagerAngivelseFrikortKode>{ xs:string("02") }&lt;/ns1:UdbytteModtagerAngivelseFrikortKode>
	                                    else if(fn:compare($FrikortKode, '0') = 0) then
	                                    	&lt;ns1:UdbytteModtagerAngivelseFrikortKode>{ xs:string("00") }&lt;/ns1:UdbytteModtagerAngivelseFrikortKode>
	                                    else ""
	                                }
	                                &lt;ns1:AngivelseUddata>
	                                    &lt;ns1:AngivelseTilladtAktion>{ data($UdbytteModtagerAngivelseHentSvarListe/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
	                                    &lt;ns1:AngivelseAngivelseTid>{ data($UdbytteModtagerAngivelseHentSvarListe/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
	                                    &lt;ns1:AngivelseKvitteringNummer>{ data($UdbytteModtagerAngivelseHentSvarListe/ns0:KvitteringsNummer) }&lt;/ns1:AngivelseKvitteringNummer>
	                                    {
	                                        for $ValutaKode in $UdbytteModtagerAngivelseHentSvarListe/ns0:ValutaKode
	                                        return
	                                            &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
	                                    }
	                                &lt;/ns1:AngivelseUddata>
	                                &lt;ns1:VirksomhedUddata>
	                                {
	                                let $VirksomhedSENummer := $UdbytteModtagerAngivelseHentSvarListe/ns0:SENummerIndberetter
	                                return if( count($VirksomhedSENummer) > 0 ) then
	                                    &lt;ns1:IndberetterVirksomhedSENummer>
	                                        &lt;ns1:VirksomhedSENummer>{ xs:string( data($UdbytteModtagerAngivelseHentSvarListe/ns0:SENummerIndberetter) ) }&lt;/ns1:VirksomhedSENummer>
	                                    &lt;/ns1:IndberetterVirksomhedSENummer>
	                                else ""
	                                }
	                                &lt;/ns1:VirksomhedUddata>
	                            &lt;/ns1:UdbytteModtagerAngivelseUddata>
	                    }
	                &lt;/ns1:UdbytteModtagerAngivelseListe>
                else ""
              }
            &lt;/ns1:UdbytteModtagerAngivelseHent_O>
};

declare variable $udbytteModtagerAngivelseHentSvar1 as element(ns0:UdbytteModtagerAngivelseHentSvar) external;

xf:UdbytteModtagerAngivelseHent_TACTICAL_2_SKAT_Output($udbytteModtagerAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>