<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UdbytteSamletAngivelseOpret_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UdbytteSamletAngivelseOpret_TACTICAL_2_SKAT_Output($udbytteSamletAngivelseOpretSvar1 as element(ns0:UdbytteSamletAngivelseOpretSvar))
    as element(ns1:UdbytteSamletAngivelseOpret_O) {
        let $UdbytteSamletAngivelseOpretSvar := $udbytteSamletAngivelseOpretSvar1
        return
            &lt;ns1:UdbytteSamletAngivelseOpret_O>
                {
                    let $Kontekst := $UdbytteSamletAngivelseOpretSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
					let $uddataResultat:=  $UdbytteSamletAngivelseOpretSvar/ns0:KvitteringsNummer
					let $OCRLinie1 := $UdbytteSamletAngivelseOpretSvar/ns0:OCRLinie
					return if(count($uddataResultat)>0 or count($OCRLinie1)>0)then
					&lt;ns1:UddataResultat>
                    {
                        for $KvitteringsNummer in $UdbytteSamletAngivelseOpretSvar/ns0:KvitteringsNummer
                        return
                            &lt;ns1:AngivelseKvitteringNummer>{ xs:string( data($KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                    }
                    {
                        for $OCRLinie in $UdbytteSamletAngivelseOpretSvar/ns0:OCRLinie
                        return
                            &lt;ns1:OCRLinie>
                                &lt;ns1:AngivelseOCRKortType>{ xs:string( data($OCRLinie/ns0:KortType) ) }&lt;/ns1:AngivelseOCRKortType>
                                &lt;ns1:AngivelseOCRNummer>{ data($OCRLinie/ns0:OCRNummer) }&lt;/ns1:AngivelseOCRNummer>
                                &lt;ns1:AngivelseOCRKontoNummer>{ data($OCRLinie/ns0:KontoNummer) }&lt;/ns1:AngivelseOCRKontoNummer>
                            &lt;/ns1:OCRLinie>
                    }
                    {
                        for $BetalingsDato in $UdbytteSamletAngivelseOpretSvar/ns0:BetalingsDato
                        return
                            &lt;ns1:BetalingDato>{ data($BetalingsDato) }&lt;/ns1:BetalingDato>
                    }
                    {
                        for $BetalingsBeloeb in $UdbytteSamletAngivelseOpretSvar/ns0:BetalingsBeloeb
                        return
                            &lt;ns1:BetalingBeløb>{ fn:round(xs:decimal( data($BetalingsBeloeb) ) ) }&lt;/ns1:BetalingBeløb>
                    }
                &lt;/ns1:UddataResultat>
                else ""
				}	
            &lt;/ns1:UdbytteSamletAngivelseOpret_O>
};

declare variable $udbytteSamletAngivelseOpretSvar1 as element(ns0:UdbytteSamletAngivelseOpretSvar) external;

xf:UdbytteSamletAngivelseOpret_TACTICAL_2_SKAT_Output($udbytteSamletAngivelseOpretSvar1)</con:xquery>
</con:xqueryEntry>