<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UdbytteSkatAngivelseList_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UdbytteSkatAngivelseList_TACTICAL_2_SKAT_Output($udbytteSkatAngivelseListHentSvar1 as element(ns0:UdbytteSkatAngivelseListHentSvar))
    as element(ns1:UdbytteSkatAngivelseList_O) {
        let $UdbytteSkatAngivelseListHentSvar := $udbytteSkatAngivelseListHentSvar1
        return
            &lt;ns1:UdbytteSkatAngivelseList_O>
                {
                    let $Kontekst := $UdbytteSkatAngivelseListHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }

{
let $UdbytteSkatAngivelseList := $UdbytteSkatAngivelseListHentSvar/ns0:UdbytteSkatAngivelseListOplysning
let $KvitteringNummer := $UdbytteSkatAngivelseList/ns0:KvitteringsNummer
let $AngivelseTid := $UdbytteSkatAngivelseList/ns0:AngivelsesTidspunkt
let $TilladtAktion := $UdbytteSkatAngivelseList/ns0:TilladtAktion

return if(count($KvitteringNummer) > 0 and count($AngivelseTid) > 0 and count($TilladtAktion) > 0) then
                &lt;ns1:UddataResultatListe>
                    {
                        for $UdbytteSkatAngivelseListOplysning in $UdbytteSkatAngivelseListHentSvar/ns0:UdbytteSkatAngivelseListOplysning
                        return
                            &lt;ns1:UddataResultat>
                                {
                                for $SENummer in $UdbytteSkatAngivelseListOplysning/ns0:SENummerIndberetter
                                 return
                                 &lt;ns1:IndberetterVirksomhedSENummer>
                                     &lt;ns1:VirksomhedSENummer>{ xs:string( data($UdbytteSkatAngivelseListOplysning/ns0:SENummerIndberetter) ) }&lt;/ns1:VirksomhedSENummer>
                                 &lt;/ns1:IndberetterVirksomhedSENummer>
                                }
                                {
                                    for $VedtagelseSamletDato in $UdbytteSkatAngivelseListOplysning/ns0:VedtagelseSamletDato
                                    return
                                        &lt;ns1:UdbytteSamletAngivelseVedtagelseDato>{ data($VedtagelseSamletDato) }&lt;/ns1:UdbytteSamletAngivelseVedtagelseDato>
                                }
                                {
                                    for $VedtagelsesModtagerDato in $UdbytteSkatAngivelseListOplysning/ns0:VedtagelsesModtagerDato
                                    return
                                        &lt;ns1:UdbytteModtagerAngivelseVedtagelseDato>{ data($VedtagelsesModtagerDato) }&lt;/ns1:UdbytteModtagerAngivelseVedtagelseDato>
                                }
                                {
                                    for $SpecTypeKode in $UdbytteSkatAngivelseListOplysning/ns0:SpecTypeKode
	                            	let $SpecKode := $UdbytteSkatAngivelseListOplysning/ns0:SpecTypeKode
	                            	return
	                            	if($SpecKode = "0") then
                                	&lt;ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>{xs:string("Person")}&lt;/ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>
                                	else if($SpecKode = "1") then
                                	&lt;ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>{xs:string("Selskab")}&lt;/ns1:UdbytteModtagerAngivelseSpecifikationTypeKode>
                                	else ""                                    
                                }
                                &lt;ns1:AngivelseUddata>
                                    &lt;ns1:AngivelseKvitteringNummer>{ xs:string( data($UdbytteSkatAngivelseListOplysning/ns0:KvitteringsNummer) ) }&lt;/ns1:AngivelseKvitteringNummer>
                                    &lt;ns1:AngivelseAngivelseTid>{ data($UdbytteSkatAngivelseListOplysning/ns0:AngivelsesTidspunkt) }&lt;/ns1:AngivelseAngivelseTid>
                                    &lt;ns1:AngivelseTilladtAktion>{ data($UdbytteSkatAngivelseListOplysning/ns0:TilladtAktion) }&lt;/ns1:AngivelseTilladtAktion>
                                &lt;/ns1:AngivelseUddata>
                            &lt;/ns1:UddataResultat>
                    }
                &lt;/ns1:UddataResultatListe>
else ""
}
            &lt;/ns1:UdbytteSkatAngivelseList_O>
};

declare variable $udbytteSkatAngivelseListHentSvar1 as element(ns0:UdbytteSkatAngivelseListHentSvar) external;

xf:UdbytteSkatAngivelseList_TACTICAL_2_SKAT_Output($udbytteSkatAngivelseListHentSvar1)</con:xquery>
</con:xqueryEntry>