<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningAKFAAngivelseHentSvar1" type="ns0:UnderretningAKFAAngivelseHentInterface/ns0:UnderretningAKFAAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningAKFAAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningAKFAAngivelseHent_TACTICAL_2_SKAT_Output($underretningAKFAAngivelseHentSvar1 as element())
    as element(ns1:UnderretningAKFAAngivelseHent_O) {
        let $UnderretningAKFAAngivelseHentSvar := $underretningAKFAAngivelseHentSvar1
        return
            &lt;ns1:UnderretningAKFAAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningAKFAAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningAKFAAngivelseHentSvar/ns0:UnderretningAKFAAngivelsesOplysningerHent
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $UnderretningAKFAAngivelsesOplysningerHent in $UnderretningAKFAAngivelseHentSvar/ns0:UnderretningAKFAAngivelsesOplysningerHent
                        return
                            &lt;ns1:AKFAAngivelseUddata>
                                &lt;ns1:RegistreringDato>{ xs:date(substring(data($UnderretningAKFAAngivelsesOplysningerHent/ns0:RegistreringsDato),1,10)) }&lt;/ns1:RegistreringDato>
                                {
                                    for $IndberettetSENummer in $UnderretningAKFAAngivelsesOplysningerHent/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                &lt;ns1:AKFAAngivelseBetalingKode>{ xs:integer( data($UnderretningAKFAAngivelsesOplysningerHent/ns0:BetalingsKode) ) }&lt;/ns1:AKFAAngivelseBetalingKode>
                                &lt;ns1:AKFAAngivelseBeløbArt>{ data($UnderretningAKFAAngivelsesOplysningerHent/ns0:BeloebsArt) }&lt;/ns1:AKFAAngivelseBeløbArt>
                                {
                                    for $ErhvervsmaessigIndb in $UnderretningAKFAAngivelsesOplysningerHent/ns0:ErhvervsmaessigIndb
                                    return if(contains($ErhvervsmaessigIndb,'.')) then
                                        &lt;ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb>{ xs:integer(substring-before($ErhvervsmaessigIndb,'.' )) }&lt;/ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb>
                                    else 
                                     &lt;ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb>{ xs:integer(data($ErhvervsmaessigIndb)) }&lt;/ns1:AKFAAngivelseErhvervsmæssigIndbetalingBeløb>                                     
                                }
                                {
                                    for $FradragsBerettigetIndb in $UnderretningAKFAAngivelsesOplysningerHent/ns0:FradragsBerettigetIndb
                                    return if(contains($FradragsBerettigetIndb,'.')) then
                                        &lt;ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb>{ xs:integer(substring-before($FradragsBerettigetIndb,'.' )) }&lt;/ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb>
                                    else 
                                     &lt;ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb>{ xs:integer(data($FradragsBerettigetIndb)) }&lt;/ns1:AKFAAngivelseFradragsberettigetIndbetalingBeløb>                                                                          
                                }
                                &lt;ns1:AKFAAngivelseGruppelivForsikringKode>{ xs:integer( data($UnderretningAKFAAngivelsesOplysningerHent/ns0:GruppeLivsForsikringKode) ) }&lt;/ns1:AKFAAngivelseGruppelivForsikringKode>
                                {
                                    for $MedlemsNummer in $UnderretningAKFAAngivelsesOplysningerHent/ns0:MedlemsNummer
                                    return
                                        &lt;ns1:AKFAAngivelseMedlemNummer>{ data($MedlemsNummer) }&lt;/ns1:AKFAAngivelseMedlemNummer>
                                }
                                &lt;ns1:AKFAAngivelseRetteKode>{ data($UnderretningAKFAAngivelsesOplysningerHent/ns0:RetteKode) }&lt;/ns1:AKFAAngivelseRetteKode>
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($UnderretningAKFAAngivelsesOplysningerHent/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:Angivelseuddata>
                                    &lt;ns1:AngiverVirksomhedSENummer>
                                        &lt;ns1:VirksomhedSENummer>{ xs:string( data($UnderretningAKFAAngivelsesOplysningerHent/ns0:SENummerAngiver) ) }&lt;/ns1:VirksomhedSENummer>
                                    &lt;/ns1:AngiverVirksomhedSENummer>
                                    {
                                        for $ValutaKode in $UnderretningAKFAAngivelsesOplysningerHent/ns0:ValutaKode
                                        return
                                            &lt;ns1:AngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AngivelseValuta>
                                    }
                                &lt;/ns1:Angivelseuddata>
                            &lt;/ns1:AKFAAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                  else ""
                }
            &lt;/ns1:UnderretningAKFAAngivelseHent_O>
};

declare variable $underretningAKFAAngivelseHentSvar1 as element() external;

xf:UnderretningAKFAAngivelseHent_TACTICAL_2_SKAT_Output($underretningAKFAAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>