<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningAKSAAngivelseHentSvar1" type="ns0:UnderretningAKSAAngivelseHentInterface/ns0:UnderretningAKSAAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/underretningAKSAAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:underretningAKSAAngivelseHent_TACTICAL_2_SKAT_Output($underretningAKSAAngivelseHentSvar1 as element())
    as element(ns1:UnderretningAKSAAngivelseHent_O) {
        let $UnderretningAKSAAngivelseHentSvar := $underretningAKSAAngivelseHentSvar1
        return
            &lt;ns1:UnderretningAKSAAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningAKSAAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningAKSAAngivelseHentSvar/ns0:AKSAAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $AKSAAngivelsesOplysninger in $UnderretningAKSAAngivelseHentSvar/ns0:AKSAAngivelsesOplysninger
                        return
                            &lt;ns1:AKSAAngivelseUddata>
                                &lt;ns1:AKSAAngivelseIndberetningPligtigSENummer>{ xs:string( data($AKSAAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:AKSAAngivelseIndberetningPligtigSENummer>
                                {
                                    for $DepotNummer in $AKSAAngivelsesOplysninger/ns0:DepotNummer
                                    return
                                        &lt;ns1:AKSAAngivelseDepotNummer>{ data($DepotNummer) }&lt;/ns1:AKSAAngivelseDepotNummer>
                                }
                                &lt;ns1:AKSAAngivelseFondsnotaNummer>{ data($AKSAAngivelsesOplysninger/ns0:FondsnotaNummer) }&lt;/ns1:AKSAAngivelseFondsnotaNummer>
                                &lt;ns1:AKSAAngivelseEjerStatusKode>{ data($AKSAAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:AKSAAngivelseEjerStatusKode>
                                &lt;ns1:AKSAAngivelseRetteKode>{ data($AKSAAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:AKSAAngivelseRetteKode>
                                {
                                    for $IsinKode in $AKSAAngivelsesOplysninger/ns0:IsinKode
                                    return
                                        &lt;ns1:AKSAAngivelseAktieISINKode>{ data($IsinKode) }&lt;/ns1:AKSAAngivelseAktieISINKode>
                                }
                                &lt;ns1:AKSAAngivelsePapirNavn>{ data($AKSAAngivelsesOplysninger/ns0:PapirNavn) }&lt;/ns1:AKSAAngivelsePapirNavn>
                                {
	                    let $PapirType := $AKSAAngivelsesOplysninger/ns0:PapirType
	                    return if(fn:compare($PapirType, '1') = 0) then
	                    &lt;ns1:AKSAAngivelsePapirType>1Aktie&lt;/ns1:AKSAAngivelsePapirType>
	                     else if(fn:compare($PapirType, '2') = 0) then
	                     &lt;ns1:AKSAAngivelsePapirType>2AktieretEllerTegningsret&lt;/ns1:AKSAAngivelsePapirType>
	                     else ""
	                 }
                                &lt;ns1:AKSAAngivelseAktieLand>{ data($AKSAAngivelsesOplysninger/ns0:PapirLandeKode) }&lt;/ns1:AKSAAngivelseAktieLand>
                                {
                                    for $StykAntal in $AKSAAngivelsesOplysninger/ns0:StykAntal
                                    return if(contains($StykAntal,'.')) then
                                    	if(string-length(substring-before($StykAntal,'.' ))>12) then
                                        &lt;ns1:AKSAAngivelseSolgteAktierAntal>{ substring(substring-before($StykAntal,'.' ),2,12) }&lt;/ns1:AKSAAngivelseSolgteAktierAntal>
                                        else
                                        &lt;ns1:AKSAAngivelseSolgteAktierAntal>{ xs:integer(substring-before($StykAntal,'.' )) }&lt;/ns1:AKSAAngivelseSolgteAktierAntal>
                                    else if(string-length($StykAntal)>12) then
                                    &lt;ns1:AKSAAngivelseSolgteAktierAntal>{ substring($StykAntal,2,12) }&lt;/ns1:AKSAAngivelseSolgteAktierAntal>
                                    else 
                                     &lt;ns1:AKSAAngivelseSolgteAktierAntal>{ xs:integer(data($StykAntal)) }&lt;/ns1:AKSAAngivelseSolgteAktierAntal>                                     
                                    
                                }
                                {
                                    for $AktieKurs in $AKSAAngivelsesOplysninger/ns0:AktieKurs
                                    return
                                        if(string-length(substring-after($AktieKurs,'.'))>6) then
                                        &lt;ns1:AKSAAngivelseAktieKurs>{ concat(substring-before($AktieKurs,'.'),'.',substring((substring-after($AktieKurs,'.')),1,6)) }&lt;/ns1:AKSAAngivelseAktieKurs>
                                        else
                                        &lt;ns1:AKSAAngivelseAktieKurs>{ data($AktieKurs) }&lt;/ns1:AKSAAngivelseAktieKurs>
                                }
                                {
                                    for $KursvaerdiBeskatningsValuta in $AKSAAngivelsesOplysninger/ns0:KursvaerdiBeskatningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseKursværdiBeskattetValutaBeløb>{ data($KursvaerdiBeskatningsValuta) }&lt;/ns1:AKSAAngivelseKursværdiBeskattetValutaBeløb>
                                }
                                {
                                    for $OmkostningerOmsaetningsValuta in $AKSAAngivelsesOplysninger/ns0:OmkostningerOmsaetningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseOmkostningOmsætningValutaBeløb>{ data($OmkostningerOmsaetningsValuta) }&lt;/ns1:AKSAAngivelseOmkostningOmsætningValutaBeløb>
                                }
                                {
                                    for $NettoafregningsOmsaetningsValuta in $AKSAAngivelsesOplysninger/ns0:NettoafregningsOmsaetningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseNettoafregningOmsætningValutaBeløb>{ data($NettoafregningsOmsaetningsValuta) }&lt;/ns1:AKSAAngivelseNettoafregningOmsætningValutaBeløb>
                                }
                                {
                                    for $NettoafregningsAfregningsValuta in $AKSAAngivelsesOplysninger/ns0:NettoafregningsAfregningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseNettoafregningValutaBeløb>{ data($NettoafregningsAfregningsValuta) }&lt;/ns1:AKSAAngivelseNettoafregningValutaBeløb>
                                }
                                {
                                    for $OmkostningerBeskatningsValuta in $AKSAAngivelsesOplysninger/ns0:OmkostningerBeskatningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseOmkostningBeskattetValutaBeløb>{ data($OmkostningerBeskatningsValuta) }&lt;/ns1:AKSAAngivelseOmkostningBeskattetValutaBeløb>
                                }
                                {
                                    for $ValutaKurs in $AKSAAngivelsesOplysninger/ns0:ValutaKurs
                                    return
                                        &lt;ns1:AKSAAngivelseValutaKurs>{ data($ValutaKurs) }&lt;/ns1:AKSAAngivelseValutaKurs>
                                }
                                &lt;ns1:AKSAAngivelseHandelDato>{ data($AKSAAngivelsesOplysninger/ns0:HandelsDato) }&lt;/ns1:AKSAAngivelseHandelDato>
                                &lt;ns1:AKSAAngivelseValørDato>{ data($AKSAAngivelsesOplysninger/ns0:ValoerDato) }&lt;/ns1:AKSAAngivelseValørDato>
                                {
                                    for $LandeKode in $AKSAAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:AKSAAngivelseSælgerLand>{ data($LandeKode) }&lt;/ns1:AKSAAngivelseSælgerLand>
                                }
                                {
                                    for $BankRegistreringsNummer in $AKSAAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:AKSAAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:AKSAAngivelseBankRegistreringNummer>
                                }
                                &lt;ns1:AKSAAngivelseOmsætningValutaKode>{ data($AKSAAngivelsesOplysninger/ns0:OmsaetningsValutaKode) }&lt;/ns1:AKSAAngivelseOmsætningValutaKode>
                                &lt;ns1:AKSAAngivelseAfregningValutaKode>{ data($AKSAAngivelsesOplysninger/ns0:AfregningsValutaKode) }&lt;/ns1:AKSAAngivelseAfregningValutaKode>
                                {
                                    for $KursvaerdiOmsaetningsValuta in $AKSAAngivelsesOplysninger/ns0:KursvaerdiOmsaetningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseKursværdiOmsætningValuta>{ data($KursvaerdiOmsaetningsValuta) }&lt;/ns1:AKSAAngivelseKursværdiOmsætningValuta>
                                }
                                {
                                    for $ValutaKode in $AKSAAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:AKSAAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:AKSAAngivelseValuta>
                                }
                                {
                                    for $NettoafregningsBeskatningsValuta in $AKSAAngivelsesOplysninger/ns0:NettoafregningsBeskatningsValuta
                                    return
                                        &lt;ns1:AKSAAngivelseNettoafregningBeskattetValutaBeløb>{ data($NettoafregningsBeskatningsValuta) }&lt;/ns1:AKSAAngivelseNettoafregningBeskattetValutaBeløb>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($AKSAAngivelsesOplysninger/ns0:RegistreringsDato),1,10) ) }&lt;/ns1:RegistreringDato>
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($AKSAAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($AKSAAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $AKSAAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                {
                                    for $CONavn in $AKSAAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:AKSAAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:AKSAAngivelseCONavnTIN>
                                }
                                {
                                    for $FoedeLandKode in $AKSAAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:AKSAAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:AKSAAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $AKSAAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:AKSAAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:AKSAAngivelseFødeSted>
                                }
                                {
                                    for $TINNummer in $AKSAAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:AKSAAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:AKSAAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $AKSAAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:AKSAAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:AKSAAngivelseTINNummerType>
                                }
                            &lt;/ns1:AKSAAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                     else ""
                }
            &lt;/ns1:UnderretningAKSAAngivelseHent_O>
};

declare variable $underretningAKSAAngivelseHentSvar1 as element() external;

xf:underretningAKSAAngivelseHent_TACTICAL_2_SKAT_Output($underretningAKSAAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>