<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningANPAAngivelseHentSvar1" type="ns0:UnderretningANPAAngivelseHentInterface/ns0:UnderretningANPAAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningANPAAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningANPAAngivelseHent_TACTICAL_2_SKAT_Output($underretningANPAAngivelseHentSvar1 as element())
    as element(ns1:UnderretningANPAAngivelseHent_O) {
        let $UnderretningANPAAngivelseHentSvar := $underretningANPAAngivelseHentSvar1
        return
            &lt;ns1:UnderretningANPAAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningANPAAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningANPAAngivelseHentSvar/ns0:ANPAAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $ANPAAngivelsesOplysninger in $UnderretningANPAAngivelseHentSvar/ns0:ANPAAngivelsesOplysninger
                        where data($ANPAAngivelsesOplysninger/ns0:ForskudAfskrivningsKode) = data($ANPAAngivelsesOplysninger/ns0:ForskudAfskrivningsKode)
                        return
                            &lt;ns1:ANPAAngivelseUddata>
                                &lt;ns1:ANPAAngivelseIndberetningPligtigSENummer>{ xs:string( data($ANPAAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:ANPAAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:ANPAAngivelseEjerStatusKode>{ data($ANPAAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:ANPAAngivelseEjerStatusKode>
                                &lt;ns1:ANPAAngivelseRetteKode>{ data($ANPAAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:ANPAAngivelseRetteKode>
                                {
                                    let $VirksomhedsTypeKode := $ANPAAngivelsesOplysninger/ns0:VirksomhedsTypeKode
                                    return 
                                    	if($VirksomhedsTypeKode = 1) then
		                                	&lt;ns1:ANPAAngivelseVirksomhedArtKode>Driftsmidler&lt;/ns1:ANPAAngivelseVirksomhedArtKode>
         								else if($VirksomhedsTypeKode = 2) then
		                                &lt;ns1:ANPAAngivelseVirksomhedArtKode>Skibe&lt;/ns1:ANPAAngivelseVirksomhedArtKode>
         								else if($VirksomhedsTypeKode = 4) then
		                               	 &lt;ns1:ANPAAngivelseVirksomhedArtKode>FastEjendom&lt;/ns1:ANPAAngivelseVirksomhedArtKode>
         								else if($VirksomhedsTypeKode = 5) then
		                          	      &lt;ns1:ANPAAngivelseVirksomhedArtKode>Blandet&lt;/ns1:ANPAAngivelseVirksomhedArtKode>
         								else if($VirksomhedsTypeKode = 6) then
		                              	  &lt;ns1:ANPAAngivelseVirksomhedArtKode>UdenlandskIndkomst&lt;/ns1:ANPAAngivelseVirksomhedArtKode>
         								else if($VirksomhedsTypeKode = 7) then
		                              	  &lt;ns1:ANPAAngivelseVirksomhedArtKode>BornholmerProjekt&lt;/ns1:ANPAAngivelseVirksomhedArtKode>
										else ""         
                                        
                                }
                                {
                                    for $AnpartsNavn in $ANPAAngivelsesOplysninger/ns0:AnpartsNavn
                                    return
                                        &lt;ns1:ANPAAngivelseAnpartsnavn>{ data($AnpartsNavn) }&lt;/ns1:ANPAAngivelseAnpartsnavn>
                                }
                                &lt;ns1:ANPAAngivelseAndeleEjedeAntal>{ data($ANPAAngivelsesOplysninger/ns0:AntalAndeleAnpartshaver) }&lt;/ns1:ANPAAngivelseAndeleEjedeAntal>
                                &lt;ns1:ANPAAngivelseAndeleTotalAntal>{ data($ANPAAngivelsesOplysninger/ns0:AntalAndeleTotalt) }&lt;/ns1:ANPAAngivelseAndeleTotalAntal>
                                {
                                    for $SkattemaessigtResultat in $ANPAAngivelsesOplysninger/ns0:SkattemaessigtResultat
                                     return if(contains($SkattemaessigtResultat,'.')) then
                                        &lt;ns1:ANPAAngivelseSkattepligtigResultatandelBeløb>{ xs:integer(substring-before($SkattemaessigtResultat,'.' )) }&lt;/ns1:ANPAAngivelseSkattepligtigResultatandelBeløb>
                                    else 
                                     &lt;ns1:ANPAAngivelseSkattepligtigResultatandelBeløb>{ xs:integer(data($SkattemaessigtResultat)) }&lt;/ns1:ANPAAngivelseSkattepligtigResultatandelBeløb>
                                }
                                {
                                    for $RenteIndtaegter in $ANPAAngivelsesOplysninger/ns0:RenteIndtaegter
                                    return  if(contains($RenteIndtaegter,'.')) then
                                        &lt;ns1:ANPAAngivelseRenteindtægterBeløb>{ xs:integer(substring-before($RenteIndtaegter,'.' )) }&lt;/ns1:ANPAAngivelseRenteindtægterBeløb>
                                    else 
                                        &lt;ns1:ANPAAngivelseRenteindtægterBeløb>{xs:integer((data($RenteIndtaegter)))}&lt;/ns1:ANPAAngivelseRenteindtægterBeløb>
                                }
                                {
                                    for $Aktiver in $ANPAAngivelsesOplysninger/ns0:Aktiver
                                   return  if(contains($Aktiver,'.')) then
                                        &lt;ns1:ANPAAngivelseAktiverBeløb>{ xs:integer(substring-before($Aktiver,'.' )) }&lt;/ns1:ANPAAngivelseAktiverBeløb>
                                    else 
                                        &lt;ns1:ANPAAngivelseAktiverBeløb>{ xs:integer(data($Aktiver)) }&lt;/ns1:ANPAAngivelseAktiverBeløb>
                                }
                                {
                                    for $Afskrivninger in $ANPAAngivelsesOplysninger/ns0:Afskrivninger
                                   return  if(contains($Afskrivninger,'.')) then
                                        &lt;ns1:ANPAAngivelseAfskrivningBeløb>{ xs:integer(substring-before($Afskrivninger,'.' )) }&lt;/ns1:ANPAAngivelseAfskrivningBeløb>
                                    else 
                                        &lt;ns1:ANPAAngivelseAfskrivningBeløb>{ xs:integer(data($Afskrivninger)) }&lt;/ns1:ANPAAngivelseAfskrivningBeløb>
                                }
                                {
                                    for $KursGevinst in $ANPAAngivelsesOplysninger/ns0:KursGevinst
                                    return  if(contains($KursGevinst,'.')) then
                                        &lt;ns1:ANPAAngivelseKursgevinstBeløb>{ xs:integer(substring-before($KursGevinst,'.' )) }&lt;/ns1:ANPAAngivelseKursgevinstBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseKursgevinstBeløb>{ xs:integer(data($KursGevinst)) }&lt;/ns1:ANPAAngivelseKursgevinstBeløb>
                                }
                                {
                                    for $Gaeld in $ANPAAngivelsesOplysninger/ns0:Gaeld
                                   return  if(contains($Gaeld,'.')) then
                                        &lt;ns1:ANPAAngivelseGældBeløb>{ xs:integer(substring-before($Gaeld,'.' )) }&lt;/ns1:ANPAAngivelseGældBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseGældBeløb>{ xs:integer(data($Gaeld)) }&lt;/ns1:ANPAAngivelseGældBeløb>
                                }
                                {
                                    for $SkattepligtigIndkomst in $ANPAAngivelsesOplysninger/ns0:SkattepligtigIndkomst
                                     return  if(contains($SkattepligtigIndkomst,'.')) then
                                        &lt;ns1:ANPAAngivelseSkattemæssigResultatandelBeløb>{ xs:integer(substring-before($SkattepligtigIndkomst,'.' )) }&lt;/ns1:ANPAAngivelseSkattemæssigResultatandelBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseSkattemæssigResultatandelBeløb>{ xs:integer(data($SkattepligtigIndkomst)) }&lt;/ns1:ANPAAngivelseSkattemæssigResultatandelBeløb>
                                }
                                {
                                    for $RenteUdgifter in $ANPAAngivelsesOplysninger/ns0:RenteUdgifter
                                   return  if(contains($RenteUdgifter,'.')) then
                                        &lt;ns1:ANPAAngivelseRenteudgifterBeløb>{ xs:integer(substring-before($RenteUdgifter,'.' )) }&lt;/ns1:ANPAAngivelseRenteudgifterBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseRenteudgifterBeløb>{ xs:integer(data($RenteUdgifter)) }&lt;/ns1:ANPAAngivelseRenteudgifterBeløb>
                                }
                                {
                                    for $BegraensetFradrag in $ANPAAngivelsesOplysninger/ns0:BegraensetFradrag
                                   return  if(contains($BegraensetFradrag,'.')) then
                                        &lt;ns1:ANPAAngivelseFradragBegrænsningBeløb>{ xs:integer(substring-before($BegraensetFradrag,'.' )) }&lt;/ns1:ANPAAngivelseFradragBegrænsningBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseFradragBegrænsningBeløb>{ xs:integer(data($BegraensetFradrag)) }&lt;/ns1:ANPAAngivelseFradragBegrænsningBeløb>
                                }
                                {
                                    for $KursTab in $ANPAAngivelsesOplysninger/ns0:KursTab
                                    return  if(contains($KursTab,'.')) then
                                        &lt;ns1:ANPAAngivelseKurstabBeløb>{ xs:integer(substring-before($KursTab,'.' )) }&lt;/ns1:ANPAAngivelseKurstabBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseKurstabBeløb>{ xs:integer(data($KursTab)) }&lt;/ns1:ANPAAngivelseKurstabBeløb>
                                }
                                {
                                    for $AfskrivningsGrundlagPrimo in $ANPAAngivelsesOplysninger/ns0:AfskrivningsGrundlagPrimo
                                    return  if(contains($AfskrivningsGrundlagPrimo,'.')) then
                                        &lt;ns1:ANPAAngivelseAfskrivningsgrundlagPrimoBeløb>{ xs:integer(substring-before($AfskrivningsGrundlagPrimo,'.' )) }&lt;/ns1:ANPAAngivelseAfskrivningsgrundlagPrimoBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseAfskrivningsgrundlagPrimoBeløb>{ xs:integer(data($AfskrivningsGrundlagPrimo)) }&lt;/ns1:ANPAAngivelseAfskrivningsgrundlagPrimoBeløb>
                                }
                                {
                                    for $AfskrivningsGrundlagUltimo in $ANPAAngivelsesOplysninger/ns0:AfskrivningsGrundlagUltimo
                                   return  if(contains($AfskrivningsGrundlagUltimo,'.')) then
                                        &lt;ns1:ANPAAngivelseAfskrivningsgrundlagUltimoBeløb>{ xs:integer(substring-before($AfskrivningsGrundlagUltimo,'.' )) }&lt;/ns1:ANPAAngivelseAfskrivningsgrundlagUltimoBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseAfskrivningsgrundlagUltimoBeløb>{ xs:integer(data($AfskrivningsGrundlagUltimo)) }&lt;/ns1:ANPAAngivelseAfskrivningsgrundlagUltimoBeløb> 
                               }
                                {
                                    for $Afgang in $ANPAAngivelsesOplysninger/ns0:Afgang
                                   return  if(contains($Afgang,'.')) then
                                        &lt;ns1:ANPAAngivelseAfgangBeløb>{ xs:integer(substring-before($Afgang,'.' )) }&lt;/ns1:ANPAAngivelseAfgangBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseAfgangBeløb>{ xs:integer(data($Afgang)) }&lt;/ns1:ANPAAngivelseAfgangBeløb>                                
                                }
                                {
                                    for $Tilgang in $ANPAAngivelsesOplysninger/ns0:Tilgang
                                   return  if(contains($Tilgang,'.')) then
                                        &lt;ns1:ANPAAngivelseTilgangBeløb>{ xs:integer(substring-before($Tilgang,'.' )) }&lt;/ns1:ANPAAngivelseTilgangBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseTilgangBeløb>{ xs:integer(data($Tilgang)) }&lt;/ns1:ANPAAngivelseTilgangBeløb>
                                }
                                &lt;ns1:ANPAAngivelseAfskrivningSats>{ data($ANPAAngivelsesOplysninger/ns0:Afskrivningsprocent) }&lt;/ns1:ANPAAngivelseAfskrivningSats>
                                &lt;ns1:ANPAAngivelseForskudAfskrivningKode>{ data($ANPAAngivelsesOplysninger/ns0:ForskudAfskrivningsKode) }&lt;/ns1:ANPAAngivelseForskudAfskrivningKode>
                                &lt;ns1:ANPAAngivelseAnskaffelseKode>{ data($ANPAAngivelsesOplysninger/ns0:AnskaffelsesKode) }&lt;/ns1:ANPAAngivelseAnskaffelseKode>
                                &lt;ns1:ANPAAngivelseSkibsprojektKode>{ data($ANPAAngivelsesOplysninger/ns0:SkibsprojektKode) }&lt;/ns1:ANPAAngivelseSkibsprojektKode>
                                {
                                    for $AnskaffelsesDato in $ANPAAngivelsesOplysninger/ns0:AnskaffelsesDato
                                    return
                                        &lt;ns1:ANPAAngivelseAnskaffelseDato>{ data($AnskaffelsesDato) }&lt;/ns1:ANPAAngivelseAnskaffelseDato>
                                }
                                {
                                    for $AfhaendelsesDato in $ANPAAngivelsesOplysninger/ns0:AfhaendelsesDato
                                    return
                                        &lt;ns1:ANPAAngivelseAfhændelseDato>{ data($AfhaendelsesDato) }&lt;/ns1:ANPAAngivelseAfhændelseDato>
                                }
                                &lt;ns1:ANPAAngivelseSuccessionKode>{ data($ANPAAngivelsesOplysninger/ns0:SuccesionsKode) }&lt;/ns1:ANPAAngivelseSuccessionKode>
                                {
                                    for $GenvundneAfskrivninger in $ANPAAngivelsesOplysninger/ns0:GenvundneAfskrivninger
                                   return  if(contains($GenvundneAfskrivninger,'.')) then
                                        &lt;ns1:ANPAAngivelseGenvundenKapitalIndkomstBeløb>{ xs:integer(substring-before($GenvundneAfskrivninger,'.' )) }&lt;/ns1:ANPAAngivelseGenvundenKapitalIndkomstBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseGenvundenKapitalIndkomstBeløb>{ xs:integer(data($GenvundneAfskrivninger)) }&lt;/ns1:ANPAAngivelseGenvundenKapitalIndkomstBeløb>
                                }
                                {
                                    for $SkattepligtigEjendomsAvance in $ANPAAngivelsesOplysninger/ns0:SkattepligtigEjendomsAvance
                                   return  if(contains($SkattepligtigEjendomsAvance,'.')) then
                                        &lt;ns1:ANPAAngivelseSkattepligtigEjendomsavanceBeløb>{ xs:integer(substring-before($SkattepligtigEjendomsAvance,'.' )) }&lt;/ns1:ANPAAngivelseSkattepligtigEjendomsavanceBeløb>
                                    else
                                        &lt;ns1:ANPAAngivelseSkattepligtigEjendomsavanceBeløb>{ xs:integer(data($SkattepligtigEjendomsAvance)) }&lt;/ns1:ANPAAngivelseSkattepligtigEjendomsavanceBeløb>
                                }
                                {
                                    for $ValutaKode in $ANPAAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:ANPAAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:ANPAAngivelseValuta>
                                }                              
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($ANPAAngivelsesOplysninger/ns0:RegistreringsDato) ,1,10) ) }&lt;/ns1:RegistreringDato>
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($ANPAAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($ANPAAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
										"1"	
							                                      else 
						                                                              "0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $ANPAAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                            &lt;/ns1:ANPAAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                  else ""
                }
            &lt;/ns1:UnderretningANPAAngivelseHent_O>
};

declare variable $underretningANPAAngivelseHentSvar1 as element() external;

xf:UnderretningANPAAngivelseHent_TACTICAL_2_SKAT_Output($underretningANPAAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>