<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningBHOLAngivelseHentSvar1" type="ns0:UnderretningBHOLAngivelseHentInterface/ns0:UnderretningBHOLAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningBHOLAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningBHOLAngivelseHent_TACTICAL_2_SKAT_Output($underretningBHOLAngivelseHentSvar1 as element())
    as element(ns1:UnderretningBHOLAngivelseHent_O) {
        let $UnderretningBHOLAngivelseHentSvar := $underretningBHOLAngivelseHentSvar1
        return
            &lt;ns1:UnderretningBHOLAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningBHOLAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningBHOLAngivelseHentSvar/ns0:BHOLAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $BHOLAngivelsesOplysninger in $UnderretningBHOLAngivelseHentSvar/ns0:BHOLAngivelsesOplysninger
                        return
                            &lt;ns1:BHOLAngivelseUddata>
                                &lt;ns1:BHOLAngivelseIndberetningPligtigSENummer>{ xs:string( data($BHOLAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:BHOLAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:BHOLAngivelseDepotNummer>{ data($BHOLAngivelsesOplysninger/ns0:DepotNummer) }&lt;/ns1:BHOLAngivelseDepotNummer>
                                &lt;ns1:BHOLAngivelseNomineeMedarbejderAktieMarkering>{ data($BHOLAngivelsesOplysninger/ns0:NomineeKode) }&lt;/ns1:BHOLAngivelseNomineeMedarbejderAktieMarkering>
                                &lt;ns1:BHOLAngivelseEjerStatusKode>{ data($BHOLAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:BHOLAngivelseEjerStatusKode>
                                &lt;ns1:BHOLAngivelseRetteKode>{ data($BHOLAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:BHOLAngivelseRetteKode>
                                {
                                    for $IsinKode in $BHOLAngivelsesOplysninger/ns0:IsinKode
                                    return
                                        &lt;ns1:BHOLAngivelseAktieISINKode>{ data($IsinKode) }&lt;/ns1:BHOLAngivelseAktieISINKode>
                                }
                                &lt;ns1:BHOLAngivelsePapirNavn>{ data($BHOLAngivelsesOplysninger/ns0:PapirNavn) }&lt;/ns1:BHOLAngivelsePapirNavn>
                                &lt;ns1:BHOLAngivelseAktieLand>{ data($BHOLAngivelsesOplysninger/ns0:PapirLandeKode) }&lt;/ns1:BHOLAngivelseAktieLand>
                                {
                                    for $StykAntal in $BHOLAngivelsesOplysninger/ns0:StykAntal
                                    return
                                        &lt;ns1:BHOLAngivelseAktier3112Antal>{ data($StykAntal) }&lt;/ns1:BHOLAngivelseAktier3112Antal>
                                }
                                {
                                    for $AktieKurs in $BHOLAngivelsesOplysninger/ns0:AktieKurs
                                    return
                                        &lt;ns1:BHOLAngivelseAktieKurs>{ data($AktieKurs) }&lt;/ns1:BHOLAngivelseAktieKurs>
                                }
                                {
                                    for $KursvaerdiOmsaetningsValuta in $BHOLAngivelsesOplysninger/ns0:KursvaerdiOmsaetningsValuta
                                    return
                                        &lt;ns1:BHOLAngivelseKursværdiOmsætningValuta>{ data($KursvaerdiOmsaetningsValuta) }&lt;/ns1:BHOLAngivelseKursværdiOmsætningValuta>
                                }
                                {
                                    for $ValutaKurs in $BHOLAngivelsesOplysninger/ns0:ValutaKurs
                                    return
                                        &lt;ns1:BHOLAngivelseValutaKurs>{ data($ValutaKurs) }&lt;/ns1:BHOLAngivelseValutaKurs>
                                }
                                {
                                    for $KursvaerdiBeskatningsValuta in $BHOLAngivelsesOplysninger/ns0:KursvaerdiBeskatningsValuta
                                    return
                                        &lt;ns1:BHOLAngivelseKursværdiBeskattetValutaBeløb>{ data($KursvaerdiBeskatningsValuta) }&lt;/ns1:BHOLAngivelseKursværdiBeskattetValutaBeløb>
                                }
                                {
                                    for $LandeKode in $BHOLAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:BHOLAngivelseDepotindehaverLand>{ data($LandeKode) }&lt;/ns1:BHOLAngivelseDepotindehaverLand>
                                }
                                {
                                    for $BankRegistreringsNummer in $BHOLAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:BHOLAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:BHOLAngivelseBankRegistreringNummer>
                                }
                                {
                                    for $ValutaKode in $BHOLAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:BHOLAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:BHOLAngivelseValuta>
                                }
                                &lt;ns1:BHOLAngivelseOmsætningValutaKode>{ data($BHOLAngivelsesOplysninger/ns0:OmsaetningsValutaKode) }&lt;/ns1:BHOLAngivelseOmsætningValutaKode>
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($BHOLAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>

                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($BHOLAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>

                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($BHOLAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetVirksomhedSENummer in $BHOLAngivelsesOplysninger/ns0:IndberettetSENummer                           
                                       return
                                        &lt;ns1:IndberettetVirksomhedSENummer>                              
                                             &lt;ns1:VirksomhedSENummer>{ xs:string( data($BHOLAngivelsesOplysninger/ns0:IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>                               
                                         &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                {
                                    for $CONavn in $BHOLAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:BHOLAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:BHOLAngivelseCONavnTIN>
                                }
                                {
                                    for $FoedeLandKode in $BHOLAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:BHOLAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:BHOLAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $BHOLAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:BHOLAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:BHOLAngivelseFødeSted>
                                }
                                {
                                    for $TINNummer in $BHOLAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:BHOLAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:BHOLAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $BHOLAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:BHOLAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:BHOLAngivelseTINNummerType>
                                }
                            &lt;/ns1:BHOLAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                    else ""
                }
            &lt;/ns1:UnderretningBHOLAngivelseHent_O>
};

declare variable $underretningBHOLAngivelseHentSvar1 as element() external;

xf:UnderretningBHOLAngivelseHent_TACTICAL_2_SKAT_Output($underretningBHOLAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>