<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningCORAngivelseHentSvar1" type="ns0:UnderretningCORAngivelseHentInterface/ns0:UnderretningCORAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningCORAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function removeFront($value as xs:string, $requiredLength as xs:integer, $remove as xs:integer){
	
	if(string-length($value) = $requiredLength) then removeFront(substring($value, $remove),$requiredLength,$remove)
	else $value	
	
};


declare function xf:UnderretningCORAngivelseHent_TACTICAL_2_SKAT_Output($underretningCORAngivelseHentSvar1 as element())
    as element(ns1:UnderretningCORAngivelseHent_O) {
        let $UnderretningCORAngivelseHentSvar := $underretningCORAngivelseHentSvar1
        return
            &lt;ns1:UnderretningCORAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningCORAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningCORAngivelseHentSvar/ns0:UnderretningCORAngivelsesOplysningerHent
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $UnderretningCORAngivelsesOplysningerHent in $UnderretningCORAngivelseHentSvar/ns0:UnderretningCORAngivelsesOplysningerHent
                        return
                            &lt;ns1:CORAngivelseUddata>
                                {
                                    for $CORLandeKode in $UnderretningCORAngivelsesOplysningerHent/ns0:CORLandeKode
                                    return
                                        &lt;ns1:CORAngivelseIndkomstModtagerLand>{ data($CORLandeKode) }&lt;/ns1:CORAngivelseIndkomstModtagerLand>
                                }
                                {
                                    for $ArbejdsStedKode in $UnderretningCORAngivelsesOplysningerHent/ns0:ArbejdsStedKode
                                    return
                                        &lt;ns1:CORAngivelseArbejdstedKode>{ data($ArbejdsStedKode) }&lt;/ns1:CORAngivelseArbejdstedKode>
                                }
                                {
                                    for $AnsatHeleAaret in $UnderretningCORAngivelsesOplysningerHent/ns0:AnsatHeleAaret
                                    return
                                        &lt;ns1:CORAngivelseAnsatHeleÅretMarkering>{ if (xs:string(data($AnsatHeleAaret)) = 'false') then
                                                                                      "F"
                                                                                  else 
                                                                                      "T" }&lt;/ns1:CORAngivelseAnsatHeleÅretMarkering>
                                }
                                {
                                    for $AnsatSammenhaengPeriodeFraDato in $UnderretningCORAngivelsesOplysningerHent/ns0:AnsatSammenhaengPeriodeFraDato
                                    return
                                        &lt;ns1:CORAngivelseAnsatSammenhængendePeriodeFraDato>{ data($AnsatSammenhaengPeriodeFraDato) }&lt;/ns1:CORAngivelseAnsatSammenhængendePeriodeFraDato>
                                }
                                {
                                    for $AnsatSammenhaengPeriodeTilDato in $UnderretningCORAngivelsesOplysningerHent/ns0:AnsatSammenhaengPeriodeTilDato
                                    return
                                        &lt;ns1:CORAngivelseAnsatSammenhængendePeriodeTilDato>{ data($AnsatSammenhaengPeriodeTilDato ) }&lt;/ns1:CORAngivelseAnsatSammenhængendePeriodeTilDato>
                                }                              
                                {
                                    for $AnsatSidsteDagNovember in $UnderretningCORAngivelsesOplysningerHent/ns0:AnsatSidsteDagNovember
                                    return
                                        &lt;ns1:CORAngivelseAnsat3011Markering>{ if (xs:string(data($AnsatSidsteDagNovember)) = 'false') then
                                                                                  "F"
                                                                              else 
                                                                                  "T" }&lt;/ns1:CORAngivelseAnsat3011Markering>
                                }
                                {
                                            for $EjAnsatSidstDagNovember in $UnderretningCORAngivelsesOplysningerHent/ns0:EjAnsatSidstDagNovember
                                            return
                                                &lt;ns1:CORAngivelseIkkeAnsat3011Markering>{ if (xs:string(data($EjAnsatSidstDagNovember)) = 'false') then
                                                                                          "F"
                                                                                        else 
                                                                                          "T" }&lt;/ns1:CORAngivelseIkkeAnsat3011Markering>
                                 }
                                {
                                    for $AIndkomstAMPligtig in $UnderretningCORAngivelsesOplysningerHent/ns0:AIndkomstAMPligtig
                                    return if(contains($AIndkomstAMPligtig,'.')) then
                                        &lt;ns1:CORAngivelseAIndkomstMedAMBidragBeløb>{ xs:integer(substring-before($AIndkomstAMPligtig,'.' )) }&lt;/ns1:CORAngivelseAIndkomstMedAMBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseAIndkomstMedAMBidragBeløb>{ xs:integer(data($AIndkomstAMPligtig)) }&lt;/ns1:CORAngivelseAIndkomstMedAMBidragBeløb>                                    
                                }
                                {
                                    for $AIndkomstEjAMPligtig in $UnderretningCORAngivelsesOplysningerHent/ns0:AIndkomstEjAMPligtig
                                     return if(contains($AIndkomstEjAMPligtig,'.')) then
                                        &lt;ns1:CORAngivelseAIndkomstEjAMBidragBeløb>{ xs:integer(substring-before($AIndkomstEjAMPligtig,'.' )) }&lt;/ns1:CORAngivelseAIndkomstEjAMBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseAIndkomstEjAMBidragBeløb>{ xs:integer(data($AIndkomstEjAMPligtig)) }&lt;/ns1:CORAngivelseAIndkomstEjAMBidragBeløb>                                    
                                }
                                {
                                    for $IndeholdtASkat in $UnderretningCORAngivelsesOplysningerHent/ns0:IndeholdtASkat
                                    return if(contains($IndeholdtASkat,'.')) then
                                        &lt;ns1:CORAngivelseIndeholdtASkatBeløb>{ xs:integer(substring-before($IndeholdtASkat,'.' )) }&lt;/ns1:CORAngivelseIndeholdtASkatBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseIndeholdtASkatBeløb>{ xs:integer(data($IndeholdtASkat)) }&lt;/ns1:CORAngivelseIndeholdtASkatBeløb>                                    
                                }
                                {
                                    for $IndeholdtAMBidrag in $UnderretningCORAngivelsesOplysningerHent/ns0:IndeholdtAMBidrag
                                    return if(contains($IndeholdtAMBidrag,'.')) then
                                        &lt;ns1:CORAngivelseIndeholdtAMBidragBeløb>{ xs:integer(substring-before($IndeholdtAMBidrag,'.' )) }&lt;/ns1:CORAngivelseIndeholdtAMBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseIndeholdtAMBidragBeløb>{ xs:integer(data($IndeholdtAMBidrag)) }&lt;/ns1:CORAngivelseIndeholdtAMBidragBeløb>                                                                        
                                }
                                {
                                    for $VaerdiFriBil in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriBil
                                    return if(contains($VaerdiFriBil,'.')) then
                                        &lt;ns1:CORAngivelseFriBilBeløb>{ xs:integer(substring-before($VaerdiFriBil,'.' )) }&lt;/ns1:CORAngivelseFriBilBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriBilBeløb>{ xs:integer(data($VaerdiFriBil)) }&lt;/ns1:CORAngivelseFriBilBeløb>                                    
                                }
                                {
                                    for $VaerdiFriTelefon in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriTelefon
                                    return if(contains($VaerdiFriTelefon,'.')) then
                                        &lt;ns1:CORAngivelseFriTelefonBeløb>{ xs:integer(substring-before($VaerdiFriTelefon,'.' )) }&lt;/ns1:CORAngivelseFriTelefonBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriTelefonBeløb>{ xs:integer(data($VaerdiFriTelefon)) }&lt;/ns1:CORAngivelseFriTelefonBeløb>                                   
                                }
                                {
                                    for $VaerdiFriKostOgLogi in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriKostOgLogi
                                    return if(contains($VaerdiFriKostOgLogi,'.')) then
                                        &lt;ns1:CORAngivelseFriKostLogiBeløb>{ xs:integer(substring-before($VaerdiFriKostOgLogi,'.' )) }&lt;/ns1:CORAngivelseFriKostLogiBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriKostLogiBeløb>{ xs:integer(data($VaerdiFriKostOgLogi)) }&lt;/ns1:CORAngivelseFriKostLogiBeløb>                                    
                                }
                                {
                                    for $BIndkomstAMPligtig in $UnderretningCORAngivelsesOplysningerHent/ns0:BIndkomstAMPligtig
                                     return if(contains($BIndkomstAMPligtig,'.')) then
                                        &lt;ns1:CORAngivelseBIndkomstMedAMBidragBeløb>{ xs:integer(substring-before($BIndkomstAMPligtig,'.' )) }&lt;/ns1:CORAngivelseBIndkomstMedAMBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseBIndkomstMedAMBidragBeløb>{ xs:integer(data($BIndkomstAMPligtig)) }&lt;/ns1:CORAngivelseBIndkomstMedAMBidragBeløb>                                                                        
                                }
                                {
                                    for $BIndkomstEjAMPligtig in $UnderretningCORAngivelsesOplysningerHent/ns0:BIndkomstEjAMPligtig
                                     return if(contains($BIndkomstEjAMPligtig,'.')) then
                                        &lt;ns1:CORAngivelseBIndkomstEjAMBidragBeløb>{ xs:integer(substring-before($BIndkomstEjAMPligtig,'.' )) }&lt;/ns1:CORAngivelseBIndkomstEjAMBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseBIndkomstEjAMBidragBeløb>{ xs:integer(data($BIndkomstEjAMPligtig)) }&lt;/ns1:CORAngivelseBIndkomstEjAMBidragBeløb>                                   
                                }
                                {
                                    for $VaerdiHaedersgave in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiHaedersgave
                                    return if(contains($VaerdiHaedersgave,'.')) then
                                        &lt;ns1:CORAngivelseHædersgaveEjAMBidragBeløb>{ xs:integer(substring-before($VaerdiHaedersgave,'.' )) }&lt;/ns1:CORAngivelseHædersgaveEjAMBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseHædersgaveEjAMBidragBeløb>{ xs:integer(data($VaerdiHaedersgave)) }&lt;/ns1:CORAngivelseHædersgaveEjAMBidragBeløb>                                    
                                }
                                {
                                    for $NaturalieYdelse in $UnderretningCORAngivelsesOplysningerHent/ns0:NaturalieYdelse
                                    return
                                        &lt;ns1:CORAngivelseNaturalieYdelserMarkering>{ if (xs:string(data($NaturalieYdelse)) = 'false') then
                                                                                         "F"
                                                                                     else 
                                                                                         "T" }&lt;/ns1:CORAngivelseNaturalieYdelserMarkering>
                                }
                                {
                                    for $ATPBidrag in $UnderretningCORAngivelsesOplysningerHent/ns0:ATPBidrag
                                    return if(contains($ATPBidrag,'.')) then
                                        &lt;ns1:CORAngivelseATPBidragBeløb>{ xs:integer(substring-before($ATPBidrag,'.' )) }&lt;/ns1:CORAngivelseATPBidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseATPBidragBeløb>{ xs:integer(data($ATPBidrag)) }&lt;/ns1:CORAngivelseATPBidragBeløb>                                    
                                }
                                {
                                    for $ATPSats in $UnderretningCORAngivelsesOplysningerHent/ns0:ATPSats
                                    return
                                        &lt;ns1:CORAngivelseATPSats>{ data($ATPSats) }&lt;/ns1:CORAngivelseATPSats>
                                }
                                {
                                    for $SkatteFriRejseBefordringsGodtGoerelse in $UnderretningCORAngivelsesOplysningerHent/ns0:SkatteFriRejseBefordringsGodtGoerelse
                                    return if(contains($SkatteFriRejseBefordringsGodtGoerelse,'.')) then
                                        &lt;ns1:CORAngivelseSkattefriRejseBefordringBeløb>{ xs:integer(substring-before($SkatteFriRejseBefordringsGodtGoerelse,'.' )) }&lt;/ns1:CORAngivelseSkattefriRejseBefordringBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseSkattefriRejseBefordringBeløb>{ xs:integer(data($SkatteFriRejseBefordringsGodtGoerelse)) }&lt;/ns1:CORAngivelseSkattefriRejseBefordringBeløb>                                   
                                }
                                {
                                    for $VaerdiFriSommerboligDK in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriSommerboligDK
                                    return if(contains($VaerdiFriSommerboligDK,'.')) then
                                        &lt;ns1:CORAngivelseFriSommerboligDanmarkBeløb>{ xs:integer(substring-before($VaerdiFriSommerboligDK,'.' )) }&lt;/ns1:CORAngivelseFriSommerboligDanmarkBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriSommerboligDanmarkBeløb>{ xs:integer(data($VaerdiFriSommerboligDK)) }&lt;/ns1:CORAngivelseFriSommerboligDanmarkBeløb>                                                                       
                                }
                                {
                                    for $VaerdiFriHelaarsBolig in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriHelaarsBolig
                                    return if(contains($VaerdiFriHelaarsBolig,'.')) then
                                        &lt;ns1:CORAngivelseFriHelårsboligBeløb>{ xs:integer(substring-before($VaerdiFriHelaarsBolig,'.' )) }&lt;/ns1:CORAngivelseFriHelårsboligBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriHelårsboligBeløb>{ xs:integer(data($VaerdiFriHelaarsBolig)) }&lt;/ns1:CORAngivelseFriHelårsboligBeløb>                                   
                                }
                                {
                                    for $VaerdiFriLystbaad in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriLystbaad
                                    return if(contains($VaerdiFriLystbaad,'.')) then
                                        &lt;ns1:CORAngivelseFriLystbådBeløb>{ xs:integer(substring-before($VaerdiFriLystbaad,'.' )) }&lt;/ns1:CORAngivelseFriLystbådBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriLystbådBeløb>{ xs:integer(data($VaerdiFriLystbaad)) }&lt;/ns1:CORAngivelseFriLystbådBeløb>                                   
                                }
                                {
                                    for $VaerdiFriLicens in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiFriLicens
                                    return if(contains($VaerdiFriLicens,'.')) then
                                        &lt;ns1:CORAngivelseFriLicensBeløb>{ xs:integer(substring-before($VaerdiFriLicens,'.' )) }&lt;/ns1:CORAngivelseFriLicensBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseFriLicensBeløb>{ xs:integer(data($VaerdiFriLicens)) }&lt;/ns1:CORAngivelseFriLicensBeløb>                                   
                                }
                                {
                                    for $PersonaleLaan in $UnderretningCORAngivelsesOplysningerHent/ns0:PersonaleLaan
                                    return
                                        &lt;ns1:CORAngivelseYdetPersonalelånMarkering>{ if (xs:string(data($PersonaleLaan)) = 'false') then
                                                                                         "F"
                                                                                     else 
                                                                                         "T" }&lt;/ns1:CORAngivelseYdetPersonalelånMarkering>
                                }
                                {
                                    for $FriSommerboligUdland in $UnderretningCORAngivelsesOplysningerHent/ns0:FriSommerboligUdland
                                    return
                                        &lt;ns1:CORAngivelseFriSommerboligUdlandMarkering>{ if (xs:string(data($FriSommerboligUdland)) = 'false') then
                                                                                             "F"
                                                                                         else 
                                                                                             "T" }&lt;/ns1:CORAngivelseFriSommerboligUdlandMarkering>
                                }
                                {
                                    for $FriOffentligBefordring in $UnderretningCORAngivelsesOplysningerHent/ns0:FriOffentligBefordring
                                    return
                                        &lt;ns1:CORAngivelseFriOffentligBefordringMarkering>{ if (xs:string(data($FriOffentligBefordring)) = 'false') then
                                                                                               "F"
                                                                                           else 
                                                                                               "T" }&lt;/ns1:CORAngivelseFriOffentligBefordringMarkering>
                                }
                                {
                                    for $YderligereOplysninger in $UnderretningCORAngivelsesOplysningerHent/ns0:YderligereOplysninger
                                    return
                                        &lt;ns1:CORAngivelseYderligereOplysninger>{ data($YderligereOplysninger) }&lt;/ns1:CORAngivelseYderligereOplysninger>
                                }
                                {
                                    for $IndtaegtArtKode in $UnderretningCORAngivelsesOplysningerHent/ns0:IndtaegtArtKode
                                    return  
                                    if(string-length($IndtaegtArtKode)=3)  then
                                        &lt;ns1:CORAngivelseFelt68Kode>{removeFront ( data($IndtaegtArtKode),3,2) }&lt;/ns1:CORAngivelseFelt68Kode>
                                    else ""    
                                        
                                }
                                {
                                    for $JubilaeumFratraedGodtGoerelse in $UnderretningCORAngivelsesOplysningerHent/ns0:JubilaeumFratraedGodtGoerelse
                                    return if(contains($JubilaeumFratraedGodtGoerelse,'.')) then
                                        &lt;ns1:CORAngivelseJubilæumFratrædelseVederlagBeløb>{ xs:integer(substring-before($JubilaeumFratraedGodtGoerelse,'.' )) }&lt;/ns1:CORAngivelseJubilæumFratrædelseVederlagBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseJubilæumFratrædelseVederlagBeløb>{ xs:integer(data($JubilaeumFratraedGodtGoerelse)) }&lt;/ns1:CORAngivelseJubilæumFratrædelseVederlagBeløb>                                                                       
                                }
                                {
                                    for $IndbetaltTilPensionsOrdning in $UnderretningCORAngivelsesOplysningerHent/ns0:IndbetaltTilPensionsOrdning
                                    return if(contains($IndbetaltTilPensionsOrdning,'.')) then
                                        &lt;ns1:CORAngivelseIndbetaltPensionsordningBeløb>{ xs:integer(substring-before($IndbetaltTilPensionsOrdning,'.' )) }&lt;/ns1:CORAngivelseIndbetaltPensionsordningBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseIndbetaltPensionsordningBeløb>{ xs:integer(data($IndbetaltTilPensionsOrdning)) }&lt;/ns1:CORAngivelseIndbetaltPensionsordningBeløb>                                                                                                           
                                }
                                {
                                    for $VaerdiTingsGaver in $UnderretningCORAngivelsesOplysningerHent/ns0:VaerdiTingsGaver
                                    return if(contains($VaerdiTingsGaver,'.')) then
                                        &lt;ns1:CORAngivelseTingsgaverBeløb>{ xs:integer(substring-before($VaerdiTingsGaver,'.' )) }&lt;/ns1:CORAngivelseTingsgaverBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseTingsgaverBeløb>{ xs:integer(data($VaerdiTingsGaver)) }&lt;/ns1:CORAngivelseTingsgaverBeløb>                                   
                                }
                                {
                                    for $SaerligePensionsBidrag in $UnderretningCORAngivelsesOplysningerHent/ns0:SaerligePensionsBidrag
                                    return if(contains($SaerligePensionsBidrag,'.')) then
                                        &lt;ns1:CORAngivelseSærligPensionsbidragBeløb>{ xs:integer(substring-before($SaerligePensionsBidrag,'.' )) }&lt;/ns1:CORAngivelseSærligPensionsbidragBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseSærligPensionsbidragBeløb>{ xs:integer(data($SaerligePensionsBidrag)) }&lt;/ns1:CORAngivelseSærligPensionsbidragBeløb>                                    
                                }
                                {
                                    for $AnsattesAndelPCOrdning in $UnderretningCORAngivelsesOplysningerHent/ns0:AnsattesAndelPCOrdning
                                    return if(contains($AnsattesAndelPCOrdning,'.')) then
                                        &lt;ns1:CORAngivelseAnsatAndelPCOrdningBeløb>{ xs:integer(substring-before($AnsattesAndelPCOrdning,'.' )) }&lt;/ns1:CORAngivelseAnsatAndelPCOrdningBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseAnsatAndelPCOrdningBeløb>{ xs:integer(data($AnsattesAndelPCOrdning)) }&lt;/ns1:CORAngivelseAnsatAndelPCOrdningBeløb>                                   
                                }
                                {
                                    for $ArbejdsstedEjVirksomhedsAdresse in $UnderretningCORAngivelsesOplysningerHent/ns0:ArbejdsstedEjVirksomhedsAdresse
                                    return
                                        &lt;ns1:CORAngivelseArbejdstedEjVirksomhedAdresseMarkering>{ if (xs:string(data($ArbejdsstedEjVirksomhedsAdresse)) = 'false') then
                                                                                                      "F"
                                                                                                  else 
                                                                                                      "T" }&lt;/ns1:CORAngivelseArbejdstedEjVirksomhedAdresseMarkering>
                                }
                                {
                                    for $IndskudSvenskPension in $UnderretningCORAngivelsesOplysningerHent/ns0:IndskudSvenskPension
                                    return if(contains($IndskudSvenskPension,'.')) then
                                        &lt;ns1:CORAngivelseIndskudSvenskPensionsordningBeløb>{ xs:integer(substring-before($IndskudSvenskPension,'.' )) }&lt;/ns1:CORAngivelseIndskudSvenskPensionsordningBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseIndskudSvenskPensionsordningBeløb>{ xs:integer(data($IndskudSvenskPension)) }&lt;/ns1:CORAngivelseIndskudSvenskPensionsordningBeløb>                                   
                                }
                                {
                                    for $AMBidragSvenskPension in $UnderretningCORAngivelsesOplysningerHent/ns0:AMBidragSvenskPension
                                    return if(contains($AMBidragSvenskPension,'.')) then
                                        &lt;ns1:CORAngivelseAMBidragIndskudSvenskPensionBeløb>{ xs:integer(substring-before($AMBidragSvenskPension,'.' )) }&lt;/ns1:CORAngivelseAMBidragIndskudSvenskPensionBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseAMBidragIndskudSvenskPensionBeløb>{ xs:integer(data($AMBidragSvenskPension)) }&lt;/ns1:CORAngivelseAMBidragIndskudSvenskPensionBeløb>                                                                      
                                }
                                {
                                    for $BerigtigetAktieLoen in $UnderretningCORAngivelsesOplysningerHent/ns0:BerigtigetAktieLoen
                                    return if(contains($BerigtigetAktieLoen,'.')) then
                                        &lt;ns1:CORAngivelseAfgiftberigtigetAktielønBeløb>{ xs:integer(substring-before($BerigtigetAktieLoen,'.' )) }&lt;/ns1:CORAngivelseAfgiftberigtigetAktielønBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseAfgiftberigtigetAktielønBeløb>{ xs:integer(data($BerigtigetAktieLoen)) }&lt;/ns1:CORAngivelseAfgiftberigtigetAktielønBeløb>                                    
                                }
                                {
                                    for $AntalSoeDage in $UnderretningCORAngivelsesOplysningerHent/ns0:AntalSoeDage
                                    return
                                        &lt;ns1:CORAngivelseSødageAntal>{ data($AntalSoeDage) }&lt;/ns1:CORAngivelseSødageAntal>
                                }
                                {
                                    for $Udlaending in $UnderretningCORAngivelsesOplysningerHent/ns0:Udlaending
                                    return
                                        &lt;ns1:CORAngivelseUdlændingeKode>{ if (xs:string(data($Udlaending)) = 'false') then
                                                                              "F"
                                                                          else 
                                                                              "T" }&lt;/ns1:CORAngivelseUdlændingeKode>
                                }
                                {
                                    for $TilbageBetaltKontantHjaelp in $UnderretningCORAngivelsesOplysningerHent/ns0:TilbageBetaltKontantHjaelp
                                     return if(contains($TilbageBetaltKontantHjaelp,'.')) then
                                        &lt;ns1:CORAngivelseTilbagebetaltKontanthjælpBeløb>{ xs:integer(substring-before($TilbageBetaltKontantHjaelp,'.' )) }&lt;/ns1:CORAngivelseTilbagebetaltKontanthjælpBeløb>
                                    else 
                                     &lt;ns1:CORAngivelseTilbagebetaltKontanthjælpBeløb>{ xs:integer(data($TilbageBetaltKontantHjaelp)) }&lt;/ns1:CORAngivelseTilbagebetaltKontanthjælpBeløb>                                                                       
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($UnderretningCORAngivelsesOplysningerHent/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>
                                &lt;ns1:TidligereCPRNummer>
                                    {
                                        for $TidligereNummer in $UnderretningCORAngivelsesOplysningerHent/ns0:TidligereNummer
                                        return
                                            &lt;ns1:PersonCPRNummer>{ data($TidligereNummer) }&lt;/ns1:PersonCPRNummer>
                                    }
                                &lt;/ns1:TidligereCPRNummer>
                                &lt;ns1:AngivelseUddata>
                                    &lt;ns1:AngivelseValuta>{ data($UnderretningCORAngivelsesOplysningerHent/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                                    {
                                        let $SENummerAngiver := $UnderretningCORAngivelsesOplysningerHent/ns0:SENummerAngiver
                                        return
                                            &lt;ns1:AngiverVirksomhedSENummer>
                                                &lt;ns1:VirksomhedSENummer>{ data($UnderretningCORAngivelsesOplysningerHent/ns0:SENummerAngiver) }&lt;/ns1:VirksomhedSENummer>
                                            &lt;/ns1:AngiverVirksomhedSENummer>
                                    }
                                &lt;/ns1:AngivelseUddata>
                            &lt;/ns1:CORAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                    else ""
                }
            &lt;/ns1:UnderretningCORAngivelseHent_O>
};

declare variable $underretningCORAngivelseHentSvar1 as element() external;

xf:UnderretningCORAngivelseHent_TACTICAL_2_SKAT_Output($underretningCORAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>