<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningFINKAngivelseHentSvar1" type="ns0:UnderretningFINKAngivelseHentInterface/ns0:UnderretningFINKAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningFINKAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningFINKAngivelseHent_TACTICAL_2_SKAT_Output($underretningFINKAngivelseHentSvar1 as element())
    as element(ns1:UnderretningFINKAngivelseHent_O) {
        let $UnderretningFINKAngivelseHentSvar := $underretningFINKAngivelseHentSvar1
        return
            &lt;ns1:UnderretningFINKAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningFINKAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningFINKAngivelseHentSvar/ns0:FINKAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $FINKAngivelsesOplysninger in $UnderretningFINKAngivelseHentSvar/ns0:FINKAngivelsesOplysninger
                        return
                            &lt;ns1:FINKAngivelseUddata>
                                &lt;ns1:FINKAngivelseIndberetningPligtigSENummer>{ xs:string( data($FINKAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:FINKAngivelseIndberetningPligtigSENummer>
                                {
                                    for $TINNummer in $FINKAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:FINKAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:FINKAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $FINKAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:FINKAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:FINKAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeSted in $FINKAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:FINKAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:FINKAngivelseFødeSted>
                                }
                                {
                                    for $FoedeLandKode in $FINKAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:FINKAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:FINKAngivelseFødeLand>
                                }
                                {
                                    for $CONavn in $FINKAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:FINKAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:FINKAngivelseCONavnTIN>
                                }
                                {
                                    for $LandeKode in $FINKAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:FINKAngivelseInvestorLand>{ data($LandeKode) }&lt;/ns1:FINKAngivelseInvestorLand>
                                }
                                {
                                    for $KontraktIdent in $FINKAngivelsesOplysninger/ns0:KontraktIdent
                                    return
                                        &lt;ns1:FINKAngivelseKontraktId>{ data($KontraktIdent) }&lt;/ns1:FINKAngivelseKontraktId>
                                }
                                &lt;ns1:FINKAngivelseProduktTypeKode>{ data($FINKAngivelsesOplysninger/ns0:ProduktTypeKode) }&lt;/ns1:FINKAngivelseProduktTypeKode>
                                &lt;ns1:FINKAngivelseProduktKategori>{ data($FINKAngivelsesOplysninger/ns0:ProduktKategori) }&lt;/ns1:FINKAngivelseProduktKategori>
                                {
                                    for $AvanceTabBeloeb in $FINKAngivelsesOplysninger/ns0:AvanceTabBeloeb
                                     return if(contains($AvanceTabBeloeb,'.')) then
                                        &lt;ns1:FINKAngivelseAvanceTabBeløb>{ xs:integer(substring-before($AvanceTabBeloeb,'.' )) }&lt;/ns1:FINKAngivelseAvanceTabBeløb>
                                    else 
                                     &lt;ns1:FINKAngivelseAvanceTabBeløb>{ xs:integer(data($AvanceTabBeloeb)) }&lt;/ns1:FINKAngivelseAvanceTabBeløb>                                   
                                }
                                {
                                    for $HandletKursvaerdiBeloeb in $FINKAngivelsesOplysninger/ns0:HandletKursvaerdiBeloeb
                                    return if(contains($HandletKursvaerdiBeloeb,'.')) then
                                        &lt;ns1:FINKAngivelseHandletKursværdiBeløb>{ xs:integer(substring-before($HandletKursvaerdiBeloeb,'.' )) }&lt;/ns1:FINKAngivelseHandletKursværdiBeløb>
                                    else 
                                     &lt;ns1:FINKAngivelseHandletKursværdiBeløb>{ xs:integer(data($HandletKursvaerdiBeloeb)) }&lt;/ns1:FINKAngivelseHandletKursværdiBeløb>                                    
                                }
                                {
                                    for $KontraktAntal in $FINKAngivelsesOplysninger/ns0:KontraktAntal
                                    return
                                        &lt;ns1:FINKAngivelseKontraktAntal>{ data($KontraktAntal) }&lt;/ns1:FINKAngivelseKontraktAntal>
                                }
                                &lt;ns1:FINKAngivelseEjerStatusKode>{ data($FINKAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:FINKAngivelseEjerStatusKode>
                                &lt;ns1:FINKAngivelseRetteKode>{ data($FINKAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:FINKAngivelseRetteKode>
                                {
                                    for $BankRegistreringsNummer in $FINKAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:FINKAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:FINKAngivelseBankRegistreringNummer>
                                }
                                {
                                    for $IndsendelsesDato in $FINKAngivelsesOplysninger/ns0:IndsendelsesDato
                                    return
                                        &lt;ns1:FINKAngivelseIndsendelseDato>{ data($IndsendelsesDato) }&lt;/ns1:FINKAngivelseIndsendelseDato>
                                }
                                {
                                    for $SkatteBegunstigetOrdning in $FINKAngivelsesOplysninger/ns0:SkatteBegunstigetOrdning
                                    return
                                        &lt;ns1:FINKAngivelseSkatteBegunstigetKode>{ if(xs:string( data($SkatteBegunstigetOrdning)) = '1') then
                                				             "T"	
                                				        else 
                                				             "F" }&lt;/ns1:FINKAngivelseSkatteBegunstigetKode>
                                }
                                &lt;ns1:FINKAngivelseValuta>{ data($FINKAngivelsesOplysninger/ns0:ValutaKode) }&lt;/ns1:FINKAngivelseValuta>
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($FINKAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($FINKAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($FINKAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $FINKAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                            &lt;/ns1:FINKAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                   else ""
                }
            &lt;/ns1:UnderretningFINKAngivelseHent_O>
};

declare variable $underretningFINKAngivelseHentSvar1 as element() external;

xf:UnderretningFINKAngivelseHent_TACTICAL_2_SKAT_Output($underretningFINKAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>