<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-return type="ns0:UnderretningGaveAngivelseHentInterface/ns0:UnderretningGaveAngivelseHent" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningGAVEAngivelseHent_SKAT_2_TACTICAL_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningGAVEAngivelseHent_SKAT_2_TACTICAL_Input($underretningGaveDonationAngivelseHent_I1 as element(ns1:UnderretningGaveDonationAngivelseHent_I))
    as element() {
        let $UnderretningGaveDonationAngivelseHent_I := $underretningGaveDonationAngivelseHent_I1
        return
            &lt;ns0:UnderretningGaveAngivelseHent>
                {
                    let $Kontekst := $UnderretningGaveDonationAngivelseHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                &lt;ns0:IndkomstAar>{ xs:gYear( data($UnderretningGaveDonationAngivelseHent_I/ns1:InputParametre/ns1:UnderretningTypeIndkomstÅr) ) }&lt;/ns0:IndkomstAar>
                &lt;ns0:CPRSENummer>
					{
						let $CPRSENummer := $UnderretningGaveDonationAngivelseHent_I/ns1:InputParametre/ns1:GaveDonationAngivelseGiverCPRSENummer
						return if (fn:string-length($CPRSENummer) = 10 and fn:not(fn:starts-with($CPRSENummer , '00'))) then
						    &lt;ns0:CPRNummer>
								{data($CPRSENummer)}
		    	            &lt;/ns0:CPRNummer>
		    	        else 
			    	        &lt;ns0:SENummer>
								{data($CPRSENummer)}
		    	            &lt;/ns0:SENummer>
					}                
                &lt;/ns0:CPRSENummer>
            &lt;/ns0:UnderretningGaveAngivelseHent>
};

declare variable $underretningGaveDonationAngivelseHent_I1 as element(ns1:UnderretningGaveDonationAngivelseHent_I) external;

xf:UnderretningGAVEAngivelseHent_SKAT_2_TACTICAL_Input($underretningGaveDonationAngivelseHent_I1)</con:xquery>
</con:xqueryEntry>