<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningKOBOAngivelseHentSvar1" type="ns0:UnderretningKOBOAngivelseHentInterface/ns0:UnderretningKOBOAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningKOBOAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningKOBOAngivelseHent_TACTICAL_2_SKAT_Output($underretningKOBOAngivelseHentSvar1 as element())
    as element(ns1:UnderretningKOBOAngivelseHent_O) {
        let $UnderretningKOBOAngivelseHentSvar := $underretningKOBOAngivelseHentSvar1
        return
            &lt;ns1:UnderretningKOBOAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningKOBOAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningKOBOAngivelseHentSvar/ns0:KOBOAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $KOBOAngivelsesOplysninger in $UnderretningKOBOAngivelseHentSvar/ns0:KOBOAngivelsesOplysninger
                        return
                            &lt;ns1:KOBOAngivelseUddata>
                                &lt;ns1:KOBOAngivelseIndberetningPligtigSENummer>{ xs:string( data($KOBOAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:KOBOAngivelseIndberetningPligtigSENummer>
                                 {
                                	let $CPRNummer := $KOBOAngivelsesOplysninger/ns0:KonkursboCPRSENummer/ns0:CPRNummer
                                	return if(count($CPRNummer) > 0) then
                                		&lt;ns1:KOBOAngivelseKonkursboCPRCVRSENummer>{ data($KOBOAngivelsesOplysninger/ns0:KonkursboCPRSENummer/ns0:CPRNummer) }&lt;/ns1:KOBOAngivelseKonkursboCPRCVRSENummer>
                                	else
	                                	&lt;ns1:KOBOAngivelseKonkursboCPRCVRSENummer>{ data($KOBOAngivelsesOplysninger/ns0:KonkursboCPRSENummer/ns0:SENummer) }&lt;/ns1:KOBOAngivelseKonkursboCPRCVRSENummer>
                                }
                                {
                                    for $UdloddetBeloeb in $KOBOAngivelsesOplysninger/ns0:UdloddetBeloeb
                                    return if(contains($UdloddetBeloeb,'.')) then
                                        &lt;ns1:KOBOAngivelseUdloddetBeløb>{ xs:integer(substring-before($UdloddetBeloeb,'.' )) }&lt;/ns1:KOBOAngivelseUdloddetBeløb>
                                    	else 
                                     	&lt;ns1:KOBOAngivelseUdloddetBeløb>{ xs:integer(data($UdloddetBeloeb)) }&lt;/ns1:KOBOAngivelseUdloddetBeløb>                                  
                                }
                                &lt;ns1:KOBOAngivelseEjerStatusKode>{ data($KOBOAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:KOBOAngivelseEjerStatusKode>
                                &lt;ns1:KOBOAngivelseRetteKode>{ data($KOBOAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:KOBOAngivelseRetteKode>
                                {
                                    for $ValutaKode in $KOBOAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:KOBOAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:KOBOAngivelseValuta>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($KOBOAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($KOBOAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                {
                                    for $IndberettetSENummer in $KOBOAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                            &lt;/ns1:KOBOAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                 else ""
                }
            &lt;/ns1:UnderretningKOBOAngivelseHent_O>
};

declare variable $underretningKOBOAngivelseHentSvar1 as element() external;

xf:UnderretningKOBOAngivelseHent_TACTICAL_2_SKAT_Output($underretningKOBOAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>