<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningPADESalgAngivelseHentSvar1" type="ns0:UnderretningPADESalgAngivelseHentInterface/ns0:UnderretningPADESalgAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningPADESALGAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningPADESALGAngivelseHent_TACTICAL_2_SKAT_Output($underretningPADESalgAngivelseHentSvar1 as element())
    as element(ns1:UnderretningPADESALGAngivelseHent_O) {
        let $UnderretningPADESalgAngivelseHentSvar := $underretningPADESalgAngivelseHentSvar1
        return
            &lt;ns1:UnderretningPADESALGAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningPADESalgAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
               {
               let $uddatalist :=  $UnderretningPADESalgAngivelseHentSvar/ns0:PADESalgAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $PADESalgAngivelsesOplysninger in $UnderretningPADESalgAngivelseHentSvar/ns0:PADESalgAngivelsesOplysninger
                        return
                            &lt;ns1:PADESALGAngivelseUddata>
                                &lt;ns1:PADESALGAngivelseIndberetningPligtigSENummer>{ xs:string( data($PADESalgAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:PADESALGAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:PADESALGAngivelseDepotNummer>{ data($PADESalgAngivelsesOplysninger/ns0:DepotNummer) }&lt;/ns1:PADESALGAngivelseDepotNummer>
                                &lt;ns1:PADESALGAngivelseEjerStatusKode>{ data($PADESalgAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:PADESALGAngivelseEjerStatusKode>
                                &lt;ns1:PADESALGAngivelseRetteKode>{ data($PADESalgAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:PADESALGAngivelseRetteKode>
                                {
                                    for $TINNummer in $PADESalgAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:PADESALGAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:PADESALGAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $PADESalgAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:PADESALGAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:PADESALGAngivelseTINNummerType>
                                }
                                {
                                    for $FoedeSted in $PADESalgAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:PADESALGAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:PADESALGAngivelseFødeSted>
                                }
                                {
                                    for $FoedeLandKode in $PADESalgAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:PADESALGAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:PADESALGAngivelseFødeLand>
                                }
                                {
                                    for $CONavn in $PADESalgAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:PADESALGAngivelseCONavnTIN>{ data($CONavn) }&lt;/ns1:PADESALGAngivelseCONavnTIN>
                                }
                                {
                                    for $BankRegistreringsNummer in $PADESalgAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:PADESALGAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:PADESALGAngivelseBankRegistreringNummer>
                                }
                                {
                                    for $BruttoAfregningsAfstaaelse in $PADESalgAngivelsesOplysninger/ns0:BruttoAfregningsAfstaaelse
                                    return
                                        &lt;ns1:PADESALGAngivelseBruttoAfregningAfståelseBeløb>{ data($BruttoAfregningsAfstaaelse) }&lt;/ns1:PADESALGAngivelseBruttoAfregningAfståelseBeløb>
                                }
                                {
                                    for $NettoAfregningsAfstaaelse in $PADESalgAngivelsesOplysninger/ns0:NettoAfregningsAfstaaelse
                                    return
                                        &lt;ns1:PADESALGAngivelseNettoAfregningAfståelseBeløb>{ data($NettoAfregningsAfstaaelse) }&lt;/ns1:PADESALGAngivelseNettoAfregningAfståelseBeløb>
                                }
                                {
                                    for $OmkostningAfstaaelse in $PADESalgAngivelsesOplysninger/ns0:OmkostningAfstaaelse
                                    return
                                        &lt;ns1:PADESALGAngivelseOmkostningAfståelseBeløb>{ data($OmkostningAfstaaelse) }&lt;/ns1:PADESALGAngivelseOmkostningAfståelseBeløb>
                                }
                                {
                                    for $LandeKode in $PADESalgAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:PADESALGAngivelseSælgerLand>{ data($LandeKode) }&lt;/ns1:PADESALGAngivelseSælgerLand>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($PADESalgAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($PADESalgAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode> { if(xs:string( data($PADESalgAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $PADESalgAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                &lt;ns1:AngivelseUddata>
                                    &lt;ns1:AngivelseValuta>{ data($PADESalgAngivelsesOplysninger/ns0:ValutaKode) }&lt;/ns1:AngivelseValuta>
                                &lt;/ns1:AngivelseUddata>
                            &lt;/ns1:PADESALGAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                     else ""
                }
            &lt;/ns1:UnderretningPADESALGAngivelseHent_O>
};

declare variable $underretningPADESalgAngivelseHentSvar1 as element() external;

xf:UnderretningPADESALGAngivelseHent_TACTICAL_2_SKAT_Output($underretningPADESalgAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>