<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$underretningURTEAngivelseHentSvar1" type="ns0:UnderretningURTEAngivelseHentInterface/ns0:UnderretningURTEAngivelseHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/UnderretningURTEAngivelseHent_TACTICAL_2_SKAT_Output/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:UnderretningURTEAngivelseHent_TACTICAL_2_SKAT_Output($underretningURTEAngivelseHentSvar1 as element())
    as element(ns1:UnderretningURTEAngivelseHent_O) {
        let $UnderretningURTEAngivelseHentSvar := $underretningURTEAngivelseHentSvar1
        return
            &lt;ns1:UnderretningURTEAngivelseHent_O>
                {
                    let $Kontekst := $UnderretningURTEAngivelseHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
               let $uddatalist :=  $UnderretningURTEAngivelseHentSvar/ns0:URTEAngivelsesOplysninger
               return if(count($uddatalist)>0)then
                &lt;ns1:UddataListe>
                    {
                        for $URTEAngivelsesOplysninger in $UnderretningURTEAngivelseHentSvar/ns0:URTEAngivelsesOplysninger
                        return
                            &lt;ns1:URTEAngivelseUddata>
                                &lt;ns1:URTEAngivelseIndberetningPligtigSENummer>{ xs:string( data($URTEAngivelsesOplysninger/ns0:SENummerAngiver) ) }&lt;/ns1:URTEAngivelseIndberetningPligtigSENummer>
                                &lt;ns1:URTEAngivelseKontoNummer>{ data($URTEAngivelsesOplysninger/ns0:KontoIDNummer) }&lt;/ns1:URTEAngivelseKontoNummer>
                                {
                                    for $RenteBeloeb in $URTEAngivelsesOplysninger/ns0:RenteBeloeb
                                    return
                                        &lt;ns1:URTEAngivelseRenteBeløb>{ data($RenteBeloeb) }&lt;/ns1:URTEAngivelseRenteBeløb>
                                }
                                &lt;ns1:URTEAngivelseEjerStatusKode>{ data($URTEAngivelsesOplysninger/ns0:EjerStatusKode) }&lt;/ns1:URTEAngivelseEjerStatusKode>
                                &lt;ns1:URTEAngivelseKontoType>{ data($URTEAngivelsesOplysninger/ns0:KontoType) }&lt;/ns1:URTEAngivelseKontoType>
                                {
                                    for $Restgaeld in $URTEAngivelsesOplysninger/ns0:Restgaeld
                                    return
                                        &lt;ns1:URTEAngivelseRestgæld3112Beløb>{ data($Restgaeld) }&lt;/ns1:URTEAngivelseRestgæld3112Beløb>
                                }
                                &lt;ns1:URTEAngivelseRetteKode>{ data($URTEAngivelsesOplysninger/ns0:RetteKode) }&lt;/ns1:URTEAngivelseRetteKode>
                                {
                                    for $RestLoebeTid in $URTEAngivelsesOplysninger/ns0:RestLoebeTid
                                    return
                                        &lt;ns1:URTEAngivelseRestløbetid>{ xs:integer( data($RestLoebeTid) ) }&lt;/ns1:URTEAngivelseRestløbetid>
                                }
                                {
                                    for $RenteFod in $URTEAngivelsesOplysninger/ns0:RenteFod
                                    return
                                        &lt;ns1:URTEAngivelseRenteFod>{ xs:integer( data($RenteFod) ) }&lt;/ns1:URTEAngivelseRenteFod>
                                }
                                {
                                    for $Kursvaerdi in $URTEAngivelsesOplysninger/ns0:Kursvaerdi
                                    return
                                        &lt;ns1:URTEAngivelseKursværdi>{ data($Kursvaerdi) }&lt;/ns1:URTEAngivelseKursværdi>
                                }

                                &lt;ns1:URTEAngivelseBeregnetKursværdiKode>{ if (xs:string(data($URTEAngivelsesOplysninger/ns0:KursvaerdiBeregningsKode)) = 'true') then
                                                                              "1"
                                                                          else 
                                                                              "0" }&lt;/ns1:URTEAngivelseBeregnetKursværdiKode>
                                &lt;ns1:URTEAngivelseEjerskifteKode>{ data($URTEAngivelsesOplysninger/ns0:EjerskifteKode) }&lt;/ns1:URTEAngivelseEjerskifteKode>
                                &lt;ns1:URTEAngivelseRestanceMarkering>{ data($URTEAngivelsesOplysninger/ns0:RestanceMarkering) }&lt;/ns1:URTEAngivelseRestanceMarkering>
                                {
                                    for $BankRegistreringsNummer in $URTEAngivelsesOplysninger/ns0:BankRegistreringsNummer
                                    return
                                        &lt;ns1:URTEAngivelseBankRegistreringNummer>{ data($BankRegistreringsNummer) }&lt;/ns1:URTEAngivelseBankRegistreringNummer>
                                }
                                {
                                    for $ValutaKode in $URTEAngivelsesOplysninger/ns0:ValutaKode
                                    return
                                        &lt;ns1:URTEAngivelseValuta>{ data($ValutaKode) }&lt;/ns1:URTEAngivelseValuta>
                                }
                                &lt;ns1:RegistreringDato>{ xs:date(substring( data($URTEAngivelsesOplysninger/ns0:RegistreringsDato),1,10))}&lt;/ns1:RegistreringDato>                                
                                &lt;ns1:NummerOmsætningDuplikeringKode>{ if(xs:string( data($URTEAngivelsesOplysninger/ns0:NromsaetningsDubliceringsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerOmsætningDuplikeringKode>
                                &lt;ns1:NummerSøgningKode>{ if(xs:string( data($URTEAngivelsesOplysninger/ns0:NrSoegningsKode)) = 'true') then
                                											"1"	
                                										else 
                                											"0" }&lt;/ns1:NummerSøgningKode>
                                {
                                    for $IndberettetSENummer in $URTEAngivelsesOplysninger/ns0:IndberettetSENummer
                                    return
                                        &lt;ns1:IndberettetVirksomhedSENummer>
                                            &lt;ns1:VirksomhedSENummer>{ xs:string( data($IndberettetSENummer) ) }&lt;/ns1:VirksomhedSENummer>
                                        &lt;/ns1:IndberettetVirksomhedSENummer>
                                }
                                {
                                    for $CONavn in $URTEAngivelsesOplysninger/ns0:CONavn
                                    return
                                        &lt;ns1:URTEAngivelseCONavn>{ data($CONavn) }&lt;/ns1:URTEAngivelseCONavn>
                                }
                                {
                                    for $FoedeLandKode in $URTEAngivelsesOplysninger/ns0:FoedeLandKode
                                    return
                                        &lt;ns1:URTEAngivelseFødeLand>{ data($FoedeLandKode) }&lt;/ns1:URTEAngivelseFødeLand>
                                }
                                {
                                    for $FoedeSted in $URTEAngivelsesOplysninger/ns0:FoedeSted
                                    return
                                        &lt;ns1:URTEAngivelseFødeSted>{ data($FoedeSted) }&lt;/ns1:URTEAngivelseFødeSted>
                                }
                                {
                                    for $LandeKode in $URTEAngivelsesOplysninger/ns0:LandeKode
                                    return
                                        &lt;ns1:URTEAngivelseKontoindehaverLand>{ data($LandeKode) }&lt;/ns1:URTEAngivelseKontoindehaverLand>
                                }
                                {
                                    for $TINNummer in $URTEAngivelsesOplysninger/ns0:TINNummer
                                    return
                                        &lt;ns1:URTEAngivelseTINNummer>{ data($TINNummer) }&lt;/ns1:URTEAngivelseTINNummer>
                                }
                                {
                                    for $TINNummerKode in $URTEAngivelsesOplysninger/ns0:TINNummerKode
                                    return
                                        &lt;ns1:URTEAngivelseTINNummerType>{ data($TINNummerKode) }&lt;/ns1:URTEAngivelseTINNummerType>
                                }
                            &lt;/ns1:URTEAngivelseUddata>
                    }
                &lt;/ns1:UddataListe>
                 else ""
                }
            &lt;/ns1:UnderretningURTEAngivelseHent_O>
};

declare variable $underretningURTEAngivelseHentSvar1 as element() external;

xf:UnderretningURTEAngivelseHent_TACTICAL_2_SKAT_Output($underretningURTEAngivelseHentSvar1)</con:xquery>
</con:xqueryEntry>