<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>(:: pragma bea:local-element-parameter parameter="$virksomhedAdresserHentSvar1" type="ns0:VirksomhedAdresserHentInterface/ns0:VirksomhedAdresserHentSvar" ::)

declare namespace xf = "http://tempuri.org/XMLTransforms/2BCMappings/VirksomhedAdresserHent_TACTICAL_2_SKAT_new/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedAdresserHent_TACTICAL_2_SKAT_new($virksomhedAdresserHentSvar1 as element())
    as element(ns1:VirksomhedAdresseHent_O) {
        let $VirksomhedAdresserHentSvar := $virksomhedAdresserHentSvar1
        return
            &lt;ns1:VirksomhedAdresseHent_O>
                {
                    let $Kontekst := $VirksomhedAdresserHentSvar/ns0:Kontekst
                    return
                        &lt;ns1:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns1:Kontekst>
                }
                {
                	let $VirksomhedAdresseOplysninger := $VirksomhedAdresserHentSvar/ns0:VirksomhedAdresseOplysninger
                	return if(count($VirksomhedAdresseOplysninger) > 0) then
		                &lt;ns1:AdresseUddata>
		                    &lt;ns1:DanskAdresseListe>
		                        {
		                            for $DanskAdresse in $VirksomhedAdresserHentSvar/ns0:VirksomhedAdresseOplysninger/ns0:DanskAdresse
		                            return
		                                &lt;ns1:DanskAdresse>
		                                    &lt;ns1:VirksomhedAdresseKode>{ data($DanskAdresse/ns0:VirksomhedAdresseKode) }&lt;/ns1:VirksomhedAdresseKode>
		                                    &lt;ns1:VirksomhedAdresseVejNavn>{ data($DanskAdresse/ns0:AdresseOplysninger/ns0:VejNavn) }&lt;/ns1:VirksomhedAdresseVejNavn>
		                                    &lt;ns1:VirksomhedAdresseFraHusNummer>{ xs:integer( data($DanskAdresse/ns0:AdresseOplysninger/ns0:FraHusNummer) ) }&lt;/ns1:VirksomhedAdresseFraHusNummer>
		                                    {
		                                        for $FraHusBogstav in $DanskAdresse/ns0:AdresseOplysninger/ns0:FraHusBogstav
		                                        return
		                                            &lt;ns1:VirksomhedAdresseFraHusBogstav>{ data($FraHusBogstav) }&lt;/ns1:VirksomhedAdresseFraHusBogstav>
		                                    }
		                                    {
		                                        for $TilHusNummer in $DanskAdresse/ns0:AdresseOplysninger/ns0:TilHusNummer
		                                        return
		                                            &lt;ns1:VirksomhedAdresseTilHusNummer>{ xs:integer( data($TilHusNummer) ) }&lt;/ns1:VirksomhedAdresseTilHusNummer>
		                                    }
		                                    {
		                                        for $TilHusBogstav in $DanskAdresse/ns0:AdresseOplysninger/ns0:TilHusBogstav
		                                        return
		                                            &lt;ns1:VirksomhedAdresseTilHusBogstav>{ data($TilHusBogstav) }&lt;/ns1:VirksomhedAdresseTilHusBogstav>
		                                    }
		                                    {
		                                        for $EtageTekst in $DanskAdresse/ns0:AdresseOplysninger/ns0:EtageTekst
		                                        return
		                                            &lt;ns1:VirksomhedAdresseEtageTekst>{ data($EtageTekst) }&lt;/ns1:VirksomhedAdresseEtageTekst>
		                                    }
		                                    {
		                                        for $SideDoerTekst in $DanskAdresse/ns0:AdresseOplysninger/ns0:SideDoerTekst
		                                        return
		                                            &lt;ns1:VirksomhedAdresseSideDørTekst>{ data($SideDoerTekst) }&lt;/ns1:VirksomhedAdresseSideDørTekst>
		                                    }
		                                    {
		                                        for $CONavn in $DanskAdresse/ns0:AdresseOplysninger/ns0:CONavn
		                                        return
		                                            &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
		                                    }
		                                    {
		                                        for $ByNavn in $DanskAdresse/ns0:AdresseOplysninger/ns0:ByNavn
		                                        return
		                                            &lt;ns1:VirksomhedAdresseByNavn>{ data($ByNavn) }&lt;/ns1:VirksomhedAdresseByNavn>
		                                    }
		                                    &lt;ns1:VirksomhedAdressePostNummer>{ data($DanskAdresse/ns0:AdresseOplysninger/ns0:PostNummer) }&lt;/ns1:VirksomhedAdressePostNummer>
		                                    &lt;ns1:VirksomhedAdressePostdistriktNavn>{ data($DanskAdresse/ns0:AdresseOplysninger/ns0:PostDistriktNavn) }&lt;/ns1:VirksomhedAdressePostdistriktNavn>
		                                    {
		                                        for $VirkomhedsAdresseLoebeNummer in $DanskAdresse/ns0:VirkomhedsAdresseLoebeNummer
		                                        return
		                                            &lt;ns1:VirksomhedAdresseLøbeNummer>{ xs:integer( data($VirkomhedsAdresseLoebeNummer) ) }&lt;/ns1:VirksomhedAdresseLøbeNummer>
		                                    }
		                                    &lt;ns1:VirksomhedAdresseVejKode>{ data($DanskAdresse/ns0:AdresseOplysninger/ns0:VejKode) }&lt;/ns1:VirksomhedAdresseVejKode>
		                                    &lt;ns1:VirksomhedAdresseMyndighedNummer>{ xs:integer( data($DanskAdresse/ns0:AdresseOplysninger/ns0:MyndighedsNummer) ) }&lt;/ns1:VirksomhedAdresseMyndighedNummer>
		                                &lt;/ns1:DanskAdresse>
		                        }
		                    &lt;/ns1:DanskAdresseListe>
		                    &lt;ns1:PostAdresseListe>
		                        {
		                            for $PostBoksAdresse in $VirksomhedAdresserHentSvar/ns0:VirksomhedAdresseOplysninger/ns0:PostBoksAdresse
		                            return
		                                &lt;ns1:PostAdresse>
		                                    &lt;ns1:VirksomhedAdresseKode>{ data($PostBoksAdresse/ns0:VirksomhedAdresseKode) }&lt;/ns1:VirksomhedAdresseKode>
		                                    {
		                                        for $VirkomhedsAdresseLoebeNummer in $PostBoksAdresse/ns0:VirkomhedsAdresseLoebeNummer
		                                        return
		                                            &lt;ns1:VirksomhedAdresseLøbeNummer>{ xs:integer( data($VirkomhedsAdresseLoebeNummer) ) }&lt;/ns1:VirksomhedAdresseLøbeNummer>
		                                    }
		                                    {
		                                        for $CONavn in $PostBoksAdresse/ns0:CONavn
		                                        return
		                                            &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
		                                    }
		                                    {
		                                        for $ByNavn in $PostBoksAdresse/ns0:ByNavn
		                                        return
		                                            &lt;ns1:VirksomhedAdresseByNavn>{ data($ByNavn) }&lt;/ns1:VirksomhedAdresseByNavn>
		                                    }
		                                    &lt;ns1:VirksomhedAdressePostNummer>{ data($PostBoksAdresse/ns0:PostNummer) }&lt;/ns1:VirksomhedAdressePostNummer>
		                                    &lt;ns1:VirksomhedAdressePostdistriktNavn>{ data($PostBoksAdresse/ns0:PostDistriktNavn) }&lt;/ns1:VirksomhedAdressePostdistriktNavn>
		                                    &lt;ns1:VirksomhedAdressePostboksNummer>{ xs:integer( data($PostBoksAdresse/ns0:PostBoksNummer) ) }&lt;/ns1:VirksomhedAdressePostboksNummer>
		                                &lt;/ns1:PostAdresse>
		                        }
		                    &lt;/ns1:PostAdresseListe>
		                    &lt;ns1:UdenlandskAdresseListe>
		                        {
		                            for $UdenlandskAdresse in $VirksomhedAdresserHentSvar/ns0:VirksomhedAdresseOplysninger/ns0:UdenlandskAdresse
		                            return
		                                &lt;ns1:UdenlandskAdresse>
		                                    &lt;ns1:VirksomhedAdresseKode>{data($UdenlandskAdresse/ns0:VirksomhedAdresseKode) }&lt;/ns1:VirksomhedAdresseKode>
		                                    {
		                                        for $VirkomhedsAdresseLoebeNummer in $UdenlandskAdresse/ns0:VirkomhedsAdresseLoebeNummer
		                                        return
		                                            &lt;ns1:VirksomhedAdresseLøbeNummer>{ xs:integer( data($VirkomhedsAdresseLoebeNummer) ) }&lt;/ns1:VirksomhedAdresseLøbeNummer>
		                                    }
		                                    {
		                                        for $CONavn in $UdenlandskAdresse/ns0:CONavn
		                                        return
		                                            &lt;ns1:VirksomhedAdresseCONavn>{ data($CONavn) }&lt;/ns1:VirksomhedAdresseCONavn>
		                                    }
		                                    &lt;ns1:VirksomhedAdresseUdenlandskAdresseLinie1>{ data($UdenlandskAdresse/ns0:UdenlandskAdresseLinie1) }&lt;/ns1:VirksomhedAdresseUdenlandskAdresseLinie1>
		                                    {
		                                        for $UdenlandskAdresseLinie2 in $UdenlandskAdresse/ns0:UdenlandskAdresseLinie2
		                                        return
		                                            &lt;ns1:VirksomhedAdresseUdenlandskAdresseLinie2>{ data($UdenlandskAdresseLinie2) }&lt;/ns1:VirksomhedAdresseUdenlandskAdresseLinie2>
		                                    }
		                                    &lt;ns1:VirksomhedAdresseLandeKode>{ data($UdenlandskAdresse/ns0:LandeKode) }&lt;/ns1:VirksomhedAdresseLandeKode>
		                                &lt;/ns1:UdenlandskAdresse>
		                        }
		                    &lt;/ns1:UdenlandskAdresseListe>
		                &lt;/ns1:AdresseUddata>
                	else ""
                }
            &lt;/ns1:VirksomhedAdresseHent_O>
};

declare variable $virksomhedAdresserHentSvar1 as element() external;

xf:VirksomhedAdresserHent_TACTICAL_2_SKAT_new($virksomhedAdresserHentSvar1)</con:xquery>
</con:xqueryEntry>