<?xml version="1.0" encoding="UTF-8"?>
<con:xqueryEntry xmlns:con="http://www.bea.com/wli/sb/resources/config">
  <con:xquery>declare namespace xf = "http://tempuri.org/XMLTransforms1/MyOwnSample/VirksomhedStamOplysninger_SKAT_2_Tactical_Input/";
declare namespace ns0 = "http://toldskat.dk/xml/schemas/raplet/2005/01/01/";
declare namespace ns1 = "http://skat.dk/begrebsmodel/2006/09/07/";

declare function xf:VirksomhedStamOplysninger_SKAT_2_Tactical_Input($virksomhedStamoplysningHent_I1 as element(ns1:VirksomhedStamoplysningHent_I))
    as element(ns0:VirksomhedStamOplysningerHent) {
        let $VirksomhedStamoplysningHent_I := $virksomhedStamoplysningHent_I1
        return
            &lt;ns0:VirksomhedStamOplysningerHent>
                {
                    let $Kontekst := $VirksomhedStamoplysningHent_I/ns1:Kontekst
                    return
                        &lt;ns0:Kontekst>
                            { $Kontekst/* }
                        &lt;/ns0:Kontekst>
                }
                {
                    let $VirksomhedSENummer := $VirksomhedStamoplysningHent_I/ns1:InputParametre/ns1:VirksomhedSENummer
                    return
                        &lt;ns0:SENummer>{ data($VirksomhedSENummer) }&lt;/ns0:SENummer>
                }
                {
                    for $DriftformForholdStartDato in $VirksomhedStamoplysningHent_I/ns1:InputParametre/ns1:DriftformForholdStartDato
                    return
                        &lt;ns0:DriftsFormForholdStartDato>{ data($DriftformForholdStartDato) }&lt;/ns0:DriftsFormForholdStartDato>
                }
                {
                    for $BeskatningParagrafForholdStartDato in $VirksomhedStamoplysningHent_I/ns1:InputParametre/ns1:BeskatningParagrafForholdStartDato
                    return
                        &lt;ns0:BeskatningsParagrafForholdStartDato>{ data($BeskatningParagrafForholdStartDato) }&lt;/ns0:BeskatningsParagrafForholdStartDato>
                }
            &lt;/ns0:VirksomhedStamOplysningerHent>
};

declare variable $virksomhedStamoplysningHent_I1 as element(ns1:VirksomhedStamoplysningHent_I) external;

xf:VirksomhedStamOplysninger_SKAT_2_Tactical_Input($virksomhedStamoplysningHent_I1)</con:xquery>
</con:xqueryEntry>